diff -pruN 2.4.10-1/aclocal.m4 2.4.11-1/aclocal.m4
--- 2.4.10-1/aclocal.m4	2018-05-03 14:23:53.000000000 +0000
+++ 2.4.11-1/aclocal.m4	2018-07-25 15:32:54.000000000 +0000
@@ -20,6 +20,196 @@ You have another version of autoconf.  I
 If you have problems, you may need to regenerate the build system entirely.
 To do so, use the procedure documented by the package, typically 'autoreconf'.])])
 
+
+dnl IT_PROG_INTLTOOL([MINIMUM-VERSION], [no-xml])
+# serial 42 IT_PROG_INTLTOOL
+AC_DEFUN([IT_PROG_INTLTOOL], [
+AC_PREREQ([2.50])dnl
+AC_REQUIRE([AM_NLS])dnl
+
+case "$am__api_version" in
+    1.[01234])
+	AC_MSG_ERROR([Automake 1.5 or newer is required to use intltool])
+    ;;
+    *)
+    ;;
+esac
+
+INTLTOOL_REQUIRED_VERSION_AS_INT=`echo $1 | awk -F. '{ print $ 1 * 1000 + $ 2 * 100 + $ 3; }'`
+INTLTOOL_APPLIED_VERSION=`intltool-update --version | head -1 | cut -d" " -f3`
+INTLTOOL_APPLIED_VERSION_AS_INT=`echo $INTLTOOL_APPLIED_VERSION | awk -F. '{ print $ 1 * 1000 + $ 2 * 100 + $ 3; }'`
+if test -n "$1"; then
+    AC_MSG_CHECKING([for intltool >= $1])
+    AC_MSG_RESULT([$INTLTOOL_APPLIED_VERSION found])
+    test "$INTLTOOL_APPLIED_VERSION_AS_INT" -ge "$INTLTOOL_REQUIRED_VERSION_AS_INT" ||
+	AC_MSG_ERROR([Your intltool is too old.  You need intltool $1 or later.])
+fi
+
+AC_PATH_PROG(INTLTOOL_UPDATE, [intltool-update])
+AC_PATH_PROG(INTLTOOL_MERGE, [intltool-merge])
+AC_PATH_PROG(INTLTOOL_EXTRACT, [intltool-extract])
+if test -z "$INTLTOOL_UPDATE" -o -z "$INTLTOOL_MERGE" -o -z "$INTLTOOL_EXTRACT"; then
+    AC_MSG_ERROR([The intltool scripts were not found. Please install intltool.])
+fi
+
+if test -z "$AM_DEFAULT_VERBOSITY"; then
+  AM_DEFAULT_VERBOSITY=1
+fi
+AC_SUBST([AM_DEFAULT_VERBOSITY])
+
+INTLTOOL_V_MERGE='$(INTLTOOL__v_MERGE_$(V))'
+INTLTOOL__v_MERGE_='$(INTLTOOL__v_MERGE_$(AM_DEFAULT_VERBOSITY))'
+INTLTOOL__v_MERGE_0='@echo "  ITMRG " [$]@;'
+AC_SUBST(INTLTOOL_V_MERGE)
+AC_SUBST(INTLTOOL__v_MERGE_)
+AC_SUBST(INTLTOOL__v_MERGE_0)
+
+INTLTOOL_V_MERGE_OPTIONS='$(intltool__v_merge_options_$(V))'
+intltool__v_merge_options_='$(intltool__v_merge_options_$(AM_DEFAULT_VERBOSITY))'
+intltool__v_merge_options_0='-q'
+AC_SUBST(INTLTOOL_V_MERGE_OPTIONS)
+AC_SUBST(intltool__v_merge_options_)
+AC_SUBST(intltool__v_merge_options_0)
+
+  INTLTOOL_DESKTOP_RULE='%.desktop:   %.desktop.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@' 
+INTLTOOL_DIRECTORY_RULE='%.directory: %.directory.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@' 
+     INTLTOOL_KEYS_RULE='%.keys:      %.keys.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -k -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@' 
+     INTLTOOL_PROP_RULE='%.prop:      %.prop.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@' 
+      INTLTOOL_OAF_RULE='%.oaf:       %.oaf.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -o -p $(top_srcdir)/po $< [$]@'
+     INTLTOOL_PONG_RULE='%.pong:      %.pong.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@' 
+   INTLTOOL_SERVER_RULE='%.server:    %.server.in    $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -o -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@' 
+    INTLTOOL_SHEET_RULE='%.sheet:     %.sheet.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@' 
+INTLTOOL_SOUNDLIST_RULE='%.soundlist: %.soundlist.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@' 
+       INTLTOOL_UI_RULE='%.ui:        %.ui.in        $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@' 
+      INTLTOOL_XML_RULE='%.xml:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@' 
+if test "$INTLTOOL_APPLIED_VERSION_AS_INT" -ge 5000; then
+      INTLTOOL_XML_NOMERGE_RULE='%.xml:       %.xml.in       $(INTLTOOL_MERGE) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -x -u --no-translations $< [$]@'
+else
+      INTLTOOL_XML_NOMERGE_RULE='%.xml:       %.xml.in       $(INTLTOOL_MERGE) ; $(INTLTOOL_V_MERGE)_it_tmp_dir=tmp.intltool.[$][$]RANDOM && mkdir [$][$]_it_tmp_dir && LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -x -u [$][$]_it_tmp_dir $< [$]@ && rmdir [$][$]_it_tmp_dir'
+fi
+      INTLTOOL_XAM_RULE='%.xam:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@' 
+      INTLTOOL_KBD_RULE='%.kbd:       %.kbd.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -x -u -m -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@' 
+    INTLTOOL_CAVES_RULE='%.caves:     %.caves.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@' 
+  INTLTOOL_SCHEMAS_RULE='%.schemas:   %.schemas.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -s -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@' 
+    INTLTOOL_THEME_RULE='%.theme:     %.theme.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@' 
+    INTLTOOL_SERVICE_RULE='%.service: %.service.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@'
+   INTLTOOL_POLICY_RULE='%.policy:    %.policy.in    $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@'
+
+_IT_SUBST(INTLTOOL_DESKTOP_RULE)
+_IT_SUBST(INTLTOOL_DIRECTORY_RULE)
+_IT_SUBST(INTLTOOL_KEYS_RULE)
+_IT_SUBST(INTLTOOL_PROP_RULE)
+_IT_SUBST(INTLTOOL_OAF_RULE)
+_IT_SUBST(INTLTOOL_PONG_RULE)
+_IT_SUBST(INTLTOOL_SERVER_RULE)
+_IT_SUBST(INTLTOOL_SHEET_RULE)
+_IT_SUBST(INTLTOOL_SOUNDLIST_RULE)
+_IT_SUBST(INTLTOOL_UI_RULE)
+_IT_SUBST(INTLTOOL_XAM_RULE)
+_IT_SUBST(INTLTOOL_KBD_RULE)
+_IT_SUBST(INTLTOOL_XML_RULE)
+_IT_SUBST(INTLTOOL_XML_NOMERGE_RULE)
+_IT_SUBST(INTLTOOL_CAVES_RULE)
+_IT_SUBST(INTLTOOL_SCHEMAS_RULE)
+_IT_SUBST(INTLTOOL_THEME_RULE)
+_IT_SUBST(INTLTOOL_SERVICE_RULE)
+_IT_SUBST(INTLTOOL_POLICY_RULE)
+
+# Check the gettext tools to make sure they are GNU
+AC_PATH_PROG(XGETTEXT, xgettext)
+AC_PATH_PROG(MSGMERGE, msgmerge)
+AC_PATH_PROG(MSGFMT, msgfmt)
+AC_PATH_PROG(GMSGFMT, gmsgfmt, $MSGFMT)
+if test -z "$XGETTEXT" -o -z "$MSGMERGE" -o -z "$MSGFMT"; then
+    AC_MSG_ERROR([GNU gettext tools not found; required for intltool])
+fi
+xgversion="`$XGETTEXT --version|grep '(GNU ' 2> /dev/null`"
+mmversion="`$MSGMERGE --version|grep '(GNU ' 2> /dev/null`"
+mfversion="`$MSGFMT --version|grep '(GNU ' 2> /dev/null`"
+if test -z "$xgversion" -o -z "$mmversion" -o -z "$mfversion"; then
+    AC_MSG_ERROR([GNU gettext tools not found; required for intltool])
+fi
+
+AC_PATH_PROG(INTLTOOL_PERL, perl)
+if test -z "$INTLTOOL_PERL"; then
+   AC_MSG_ERROR([perl not found])
+fi
+AC_MSG_CHECKING([for perl >= 5.8.1])
+$INTLTOOL_PERL -e "use 5.8.1;" > /dev/null 2>&1
+if test $? -ne 0; then
+   AC_MSG_ERROR([perl 5.8.1 is required for intltool])
+else
+   IT_PERL_VERSION=`$INTLTOOL_PERL -e "printf '%vd', $^V"`
+   AC_MSG_RESULT([$IT_PERL_VERSION])
+fi
+if test "x$2" != "xno-xml"; then
+   AC_MSG_CHECKING([for XML::Parser])
+   if `$INTLTOOL_PERL -e "require XML::Parser" 2>/dev/null`; then
+       AC_MSG_RESULT([ok])
+   else
+       AC_MSG_ERROR([XML::Parser perl module is required for intltool])
+   fi
+fi
+
+# Substitute ALL_LINGUAS so we can use it in po/Makefile
+AC_SUBST(ALL_LINGUAS)
+
+IT_PO_SUBDIR([po])
+
+])
+
+
+# IT_PO_SUBDIR(DIRNAME)
+# ---------------------
+# All po subdirs have to be declared with this macro; the subdir "po" is
+# declared by IT_PROG_INTLTOOL.
+#
+AC_DEFUN([IT_PO_SUBDIR],
+[AC_PREREQ([2.53])dnl We use ac_top_srcdir inside AC_CONFIG_COMMANDS.
+dnl
+dnl The following CONFIG_COMMANDS should be executed at the very end
+dnl of config.status.
+AC_CONFIG_COMMANDS_PRE([
+  AC_CONFIG_COMMANDS([$1/stamp-it], [
+    if [ ! grep "^# INTLTOOL_MAKEFILE$" "$1/Makefile.in" > /dev/null ]; then
+       AC_MSG_ERROR([$1/Makefile.in.in was not created by intltoolize.])
+    fi
+    rm -f "$1/stamp-it" "$1/stamp-it.tmp" "$1/POTFILES" "$1/Makefile.tmp"
+    >"$1/stamp-it.tmp"
+    [sed '/^#/d
+	 s/^[[].*] *//
+	 /^[ 	]*$/d
+	'"s|^|	$ac_top_srcdir/|" \
+      "$srcdir/$1/POTFILES.in" | sed '$!s/$/ \\/' >"$1/POTFILES"
+    ]
+    [sed '/^POTFILES =/,/[^\\]$/ {
+		/^POTFILES =/!d
+		r $1/POTFILES
+	  }
+	 ' "$1/Makefile.in" >"$1/Makefile"]
+    rm -f "$1/Makefile.tmp"
+    mv "$1/stamp-it.tmp" "$1/stamp-it"
+  ])
+])dnl
+])
+
+# _IT_SUBST(VARIABLE)
+# -------------------
+# Abstract macro to do either _AM_SUBST_NOTMAKE or AC_SUBST
+#
+AC_DEFUN([_IT_SUBST],
+[
+AC_SUBST([$1])
+m4_ifdef([_AM_SUBST_NOTMAKE], [_AM_SUBST_NOTMAKE([$1])])
+]
+)
+
+# deprecated macros
+AU_ALIAS([AC_PROG_INTLTOOL], [IT_PROG_INTLTOOL])
+# A hint is needed for aclocal from Automake <= 1.9.4:
+# AC_DEFUN([AC_PROG_INTLTOOL], ...)
+
+
 dnl -*- mode: autoconf -*-
 dnl Copyright 2009 Johan Dahlin
 dnl
@@ -1722,9 +1912,9 @@ AC_SUBST([am__untar])
 
 m4_include([m4/gnome-compiler-flags.m4])
 m4_include([m4/gtk-doc.m4])
-m4_include([m4/intltool.m4])
 m4_include([m4/libtool.m4])
 m4_include([m4/ltoptions.m4])
 m4_include([m4/ltsugar.m4])
 m4_include([m4/ltversion.m4])
 m4_include([m4/lt~obsolete.m4])
+m4_include([m4/vapigen.m4])
diff -pruN 2.4.10-1/build-aux/ar-lib 2.4.11-1/build-aux/ar-lib
--- 2.4.10-1/build-aux/ar-lib	2018-05-02 21:54:11.000000000 +0000
+++ 2.4.11-1/build-aux/ar-lib	2018-07-25 15:32:55.000000000 +0000
@@ -1,4 +1,4 @@
-#! /bin/sh
+#!/bin/sh
 # Wrapper for Microsoft lib.exe
 
 me=ar-lib
diff -pruN 2.4.10-1/build-aux/compile 2.4.11-1/build-aux/compile
--- 2.4.10-1/build-aux/compile	2018-05-02 21:54:11.000000000 +0000
+++ 2.4.11-1/build-aux/compile	2018-07-25 15:32:55.000000000 +0000
@@ -1,4 +1,4 @@
-#! /bin/sh
+#!/bin/sh
 # Wrapper for compilers which do not understand '-c -o'.
 
 scriptversion=2016-01-11.22; # UTC
diff -pruN 2.4.10-1/build-aux/config.guess 2.4.11-1/build-aux/config.guess
--- 2.4.10-1/build-aux/config.guess	2018-05-02 21:54:11.000000000 +0000
+++ 2.4.11-1/build-aux/config.guess	2018-07-25 15:32:55.000000000 +0000
@@ -1,4 +1,4 @@
-#! /bin/sh
+#!/bin/sh
 # Attempt to guess a canonical system name.
 #   Copyright 1992-2017 Free Software Foundation, Inc.
 
diff -pruN 2.4.10-1/build-aux/config.sub 2.4.11-1/build-aux/config.sub
--- 2.4.10-1/build-aux/config.sub	2018-05-02 21:54:11.000000000 +0000
+++ 2.4.11-1/build-aux/config.sub	2018-07-25 15:32:55.000000000 +0000
@@ -1,4 +1,4 @@
-#! /bin/sh
+#!/bin/sh
 # Configuration validation subroutine script.
 #   Copyright 1992-2017 Free Software Foundation, Inc.
 
diff -pruN 2.4.10-1/build-aux/depcomp 2.4.11-1/build-aux/depcomp
--- 2.4.10-1/build-aux/depcomp	2018-05-02 21:54:12.000000000 +0000
+++ 2.4.11-1/build-aux/depcomp	2018-07-25 15:32:55.000000000 +0000
@@ -1,4 +1,4 @@
-#! /bin/sh
+#!/bin/sh
 # depcomp - compile a program generating dependencies as side-effects
 
 scriptversion=2016-01-11.22; # UTC
diff -pruN 2.4.10-1/build-aux/ltmain.sh 2.4.11-1/build-aux/ltmain.sh
--- 2.4.10-1/build-aux/ltmain.sh	2018-05-02 21:54:09.000000000 +0000
+++ 2.4.11-1/build-aux/ltmain.sh	2018-07-25 15:32:52.000000000 +0000
@@ -7272,10 +7272,12 @@ func_mode_link ()
       # -tp=*                Portland pgcc target processor selection
       # --sysroot=*          for sysroot support
       # -O*, -g*, -flto*, -fwhopr*, -fuse-linker-plugin GCC link-time optimization
+      # -specs=*             GCC specs files
       # -stdlib=*            select c++ std lib with clang
       -64|-mips[0-9]|-r[0-9][0-9]*|-xarch=*|-xtarget=*|+DA*|+DD*|-q*|-m*| \
       -t[45]*|-txscale*|-p|-pg|--coverage|-fprofile-*|-F*|@*|-tp=*|--sysroot=*| \
-      -O*|-g*|-flto*|-fwhopr*|-fuse-linker-plugin|-fstack-protector*|-stdlib=*)
+      -O*|-g*|-flto*|-fwhopr*|-fuse-linker-plugin|-fstack-protector*|-stdlib=*| \
+      -specs=*)
         func_quote_for_eval "$arg"
 	arg=$func_quote_for_eval_result
         func_append compile_command " $arg"
diff -pruN 2.4.10-1/build-aux/Makefile.in 2.4.11-1/build-aux/Makefile.in
--- 2.4.10-1/build-aux/Makefile.in	2018-05-03 14:23:53.000000000 +0000
+++ 2.4.11-1/build-aux/Makefile.in	2018-07-25 15:32:55.000000000 +0000
@@ -90,10 +90,10 @@ host_triplet = @host@
 subdir = build-aux
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/gnome-compiler-flags.m4 \
-	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
-	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
-	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/libtool.m4 \
+	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
+	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
+	$(top_srcdir)/m4/vapigen.m4 $(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
@@ -122,7 +122,7 @@ am__can_run_installinfo = \
   esac
 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
 am__DIST_COMMON = $(srcdir)/Makefile.in ar-lib compile config.guess \
-	config.sub depcomp install-sh ltmain.sh missing
+	config.sub install-sh ltmain.sh missing
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ALL_LINGUAS = @ALL_LINGUAS@
@@ -235,6 +235,9 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 STRIP = @STRIP@
 USE_NLS = @USE_NLS@
+VAPIGEN = @VAPIGEN@
+VAPIGEN_MAKEFILE = @VAPIGEN_MAKEFILE@
+VAPIGEN_VAPIDIR = @VAPIGEN_VAPIDIR@
 VERSION = @VERSION@
 WARN_CFLAGS = @WARN_CFLAGS@
 XGETTEXT = @XGETTEXT@
diff -pruN 2.4.10-1/build-aux/missing 2.4.11-1/build-aux/missing
--- 2.4.10-1/build-aux/missing	2018-05-02 21:54:11.000000000 +0000
+++ 2.4.11-1/build-aux/missing	2018-07-25 15:32:55.000000000 +0000
@@ -1,4 +1,4 @@
-#! /bin/sh
+#!/bin/sh
 # Common wrapper for a few potentially missing GNU programs.
 
 scriptversion=2016-01-11.22; # UTC
diff -pruN 2.4.10-1/configure 2.4.11-1/configure
--- 2.4.10-1/configure	2018-05-03 14:23:53.000000000 +0000
+++ 2.4.11-1/configure	2018-07-25 15:32:54.000000000 +0000
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.69 for geoclue 2.4.10.
+# Generated by GNU Autoconf 2.69 for geoclue 2.4.11.
 #
 # Report bugs to <http://bugs.freedesktop.org/enter_bug.cgi?product=GeoClue>.
 #
@@ -591,8 +591,8 @@ MAKEFLAGS=
 # Identity of this package.
 PACKAGE_NAME='geoclue'
 PACKAGE_TARNAME='geoclue'
-PACKAGE_VERSION='2.4.10'
-PACKAGE_STRING='geoclue 2.4.10'
+PACKAGE_VERSION='2.4.11'
+PACKAGE_STRING='geoclue 2.4.11'
 PACKAGE_BUGREPORT='http://bugs.freedesktop.org/enter_bug.cgi?product=GeoClue'
 PACKAGE_URL='http://www.freedesktop.org/wiki/Software/GeoClue'
 
@@ -669,6 +669,11 @@ BUILD_LIBGEOCLUE_FALSE
 BUILD_LIBGEOCLUE_TRUE
 LIBGEOCLUE_LIBS
 LIBGEOCLUE_CFLAGS
+ENABLE_VAPIGEN_FALSE
+ENABLE_VAPIGEN_TRUE
+VAPIGEN_MAKEFILE
+VAPIGEN_VAPIDIR
+VAPIGEN
 HAVE_INTROSPECTION_FALSE
 HAVE_INTROSPECTION_TRUE
 INTROSPECTION_MAKEFILE
@@ -877,6 +882,7 @@ enable_gtk_doc
 enable_gtk_doc_html
 enable_gtk_doc_pdf
 enable_introspection
+enable_vala
 enable_libgeoclue
 enable_3g_source
 enable_cdma_source
@@ -1456,7 +1462,7 @@ if test "$ac_init_help" = "long"; then
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures geoclue 2.4.10 to adapt to many kinds of systems.
+\`configure' configures geoclue 2.4.11 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1526,7 +1532,7 @@ fi
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of geoclue 2.4.10:";;
+     short | recursive ) echo "Configuration of geoclue 2.4.11:";;
    esac
   cat <<\_ACEOF
 
@@ -1554,6 +1560,8 @@ Optional Features:
   --enable-gtk-doc-pdf    build documentation in pdf format [[default=no]]
   --enable-introspection=[no/auto/yes]
                           Enable introspection for this build
+  --enable-vala=[no/auto/yes]
+                          build Vala bindings [default=auto]
   --disable-libgeoclue    Disable convenience library
   --disable-3g-source     Disable 3G backend (requires ModemManager)
   --disable-cdma-source   Disable CDMA backend (requires ModemManager)
@@ -1696,7 +1704,7 @@ fi
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-geoclue configure 2.4.10
+geoclue configure 2.4.11
 generated by GNU Autoconf 2.69
 
 Copyright (C) 2012 Free Software Foundation, Inc.
@@ -1974,7 +1982,7 @@ cat >config.log <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by geoclue $as_me 2.4.10, which was
+It was created by geoclue $as_me 2.4.11, which was
 generated by GNU Autoconf 2.69.  Invocation command line was
 
   $ $0 $@
@@ -2842,7 +2850,7 @@ fi
 
 # Define the identity of the package.
  PACKAGE='geoclue'
- VERSION='2.4.10'
+ VERSION='2.4.11'
 
 
 cat >>confdefs.h <<_ACEOF
@@ -13170,7 +13178,7 @@ cat >>confdefs.h <<_ACEOF
 _ACEOF
 
 
-GLIB_MIN_VERSION=2.34.0
+GLIB_MIN_VERSION=2.44.0
 JSON_GLIB_MIN_VERSION=0.14
 LIBMM_GLIB_MIN_VERSION=1.6
 LIBSOUP_MIN_VERSION=2.42
@@ -13834,6 +13842,264 @@ fi
 
 
 
+
+  if test "x" != "xyes"; then :
+
+
+
+fi
+
+  # Check whether --enable-vala was given.
+if test "${enable_vala+set}" = set; then :
+  enableval=$enable_vala;
+else
+
+      if test "x" = "x"; then :
+
+          enable_vala=auto
+
+else
+
+          enable_vala=
+
+fi
+
+fi
+
+
+  case $enable_vala in #(
+  no) :
+    enable_vala=no ;; #(
+  yes) :
+
+        if test "x" != "xyes" -a "x$found_introspection" != "xyes"; then :
+
+            as_fn_error $? "Vala bindings require GObject Introspection" "$LINENO" 5
+
+fi
+       ;; #(
+  auto) :
+
+        if test "x" != "xyes" -a "x$found_introspection" != "xyes"; then :
+
+            enable_vala=no
+
+fi
+       ;; #(
+  *) :
+
+        as_fn_error $? "Invalid argument passed to --enable-vala, should be one of [no/auto/yes]" "$LINENO" 5
+       ;;
+esac
+
+  if test "x" = "x"; then :
+
+      vapigen_pkg_name=vapigen
+
+else
+
+      vapigen_pkg_name=vapigen-
+
+fi
+  if test "x" = "x"; then :
+
+      vapigen_pkg="$vapigen_pkg_name"
+
+else
+
+      vapigen_pkg="$vapigen_pkg_name >= "
+
+fi
+
+
+
+
+
+
+
+
+if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
+	if test -n "$ac_tool_prefix"; then
+  # Extract the first word of "${ac_tool_prefix}pkg-config", so it can be a program name with args.
+set dummy ${ac_tool_prefix}pkg-config; ac_word=$2
+{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+$as_echo_n "checking for $ac_word... " >&6; }
+if ${ac_cv_path_PKG_CONFIG+:} false; then :
+  $as_echo_n "(cached) " >&6
+else
+  case $PKG_CONFIG in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+    for ac_exec_ext in '' $ac_executable_extensions; do
+  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+    ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
+    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+  done
+IFS=$as_save_IFS
+
+  ;;
+esac
+fi
+PKG_CONFIG=$ac_cv_path_PKG_CONFIG
+if test -n "$PKG_CONFIG"; then
+  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $PKG_CONFIG" >&5
+$as_echo "$PKG_CONFIG" >&6; }
+else
+  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
+$as_echo "no" >&6; }
+fi
+
+
+fi
+if test -z "$ac_cv_path_PKG_CONFIG"; then
+  ac_pt_PKG_CONFIG=$PKG_CONFIG
+  # Extract the first word of "pkg-config", so it can be a program name with args.
+set dummy pkg-config; ac_word=$2
+{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+$as_echo_n "checking for $ac_word... " >&6; }
+if ${ac_cv_path_ac_pt_PKG_CONFIG+:} false; then :
+  $as_echo_n "(cached) " >&6
+else
+  case $ac_pt_PKG_CONFIG in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_ac_pt_PKG_CONFIG="$ac_pt_PKG_CONFIG" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+    for ac_exec_ext in '' $ac_executable_extensions; do
+  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+    ac_cv_path_ac_pt_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
+    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+  done
+IFS=$as_save_IFS
+
+  ;;
+esac
+fi
+ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG
+if test -n "$ac_pt_PKG_CONFIG"; then
+  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_pt_PKG_CONFIG" >&5
+$as_echo "$ac_pt_PKG_CONFIG" >&6; }
+else
+  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
+$as_echo "no" >&6; }
+fi
+
+  if test "x$ac_pt_PKG_CONFIG" = x; then
+    PKG_CONFIG=""
+  else
+    case $cross_compiling:$ac_tool_warned in
+yes:)
+{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
+$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
+ac_tool_warned=yes ;;
+esac
+    PKG_CONFIG=$ac_pt_PKG_CONFIG
+  fi
+else
+  PKG_CONFIG="$ac_cv_path_PKG_CONFIG"
+fi
+
+fi
+if test -n "$PKG_CONFIG"; then
+	_pkg_min_version=0.9.0
+	{ $as_echo "$as_me:${as_lineno-$LINENO}: checking pkg-config is at least version $_pkg_min_version" >&5
+$as_echo_n "checking pkg-config is at least version $_pkg_min_version... " >&6; }
+	if $PKG_CONFIG --atleast-pkgconfig-version $_pkg_min_version; then
+		{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
+$as_echo "yes" >&6; }
+	else
+		{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
+$as_echo "no" >&6; }
+		PKG_CONFIG=""
+	fi
+fi
+
+  if test -n "$PKG_CONFIG" && \
+    { { $as_echo "$as_me:${as_lineno-$LINENO}: \$PKG_CONFIG --exists --print-errors \"\$vapigen_pkg\""; } >&5
+  ($PKG_CONFIG --exists --print-errors "$vapigen_pkg") 2>&5
+  ac_status=$?
+  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
+  test $ac_status = 0; }; then
+
+      if test "$enable_vala" = "auto"; then :
+
+          enable_vala=yes
+
+fi
+
+else
+
+      case $enable_vala in #(
+  yes) :
+
+          as_fn_error $? "$vapigen_pkg not found" "$LINENO" 5
+         ;; #(
+  auto) :
+
+          enable_vala=no
+         ;; #(
+  *) :
+     ;;
+esac
+
+fi
+
+  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for vapigen" >&5
+$as_echo_n "checking for vapigen... " >&6; }
+
+  case $enable_vala in #(
+  yes) :
+
+      VAPIGEN=`$PKG_CONFIG --variable=vapigen $vapigen_pkg_name`
+      VAPIGEN_MAKEFILE=`$PKG_CONFIG --variable=datadir $vapigen_pkg_name`/vala/Makefile.vapigen
+      if test "x" = "x"; then :
+
+          VAPIGEN_VAPIDIR=`$PKG_CONFIG --variable=vapidir $vapigen_pkg_name`
+
+else
+
+          VAPIGEN_VAPIDIR=`$PKG_CONFIG --variable=vapidir_versioned $vapigen_pkg_name`
+
+fi
+     ;; #(
+  *) :
+     ;;
+esac
+
+  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $enable_vala" >&5
+$as_echo "$enable_vala" >&6; }
+
+
+
+
+
+   if test "x$enable_vala" = "xyes"; then
+  ENABLE_VAPIGEN_TRUE=
+  ENABLE_VAPIGEN_FALSE='#'
+else
+  ENABLE_VAPIGEN_TRUE='#'
+  ENABLE_VAPIGEN_FALSE=
+fi
+
+
 build_introspection=no
 
 # libgeoclue
@@ -14909,6 +15175,10 @@ if test -z "${HAVE_INTROSPECTION_TRUE}"
   as_fn_error $? "conditional \"HAVE_INTROSPECTION\" was never defined.
 Usually this means the macro was only invoked conditionally." "$LINENO" 5
 fi
+if test -z "${ENABLE_VAPIGEN_TRUE}" && test -z "${ENABLE_VAPIGEN_FALSE}"; then
+  as_fn_error $? "conditional \"ENABLE_VAPIGEN\" was never defined.
+Usually this means the macro was only invoked conditionally." "$LINENO" 5
+fi
 if test -z "${BUILD_LIBGEOCLUE_TRUE}" && test -z "${BUILD_LIBGEOCLUE_FALSE}"; then
   as_fn_error $? "conditional \"BUILD_LIBGEOCLUE\" was never defined.
 Usually this means the macro was only invoked conditionally." "$LINENO" 5
@@ -15342,7 +15612,7 @@ cat >>$CONFIG_STATUS <<\_ACEOF || ac_wri
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by geoclue $as_me 2.4.10, which was
+This file was extended by geoclue $as_me 2.4.11, which was
 generated by GNU Autoconf 2.69.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -15409,7 +15679,7 @@ _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
 ac_cs_config="`$as_echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`"
 ac_cs_version="\\
-geoclue config.status 2.4.10
+geoclue config.status 2.4.11
 configured by $0, generated by GNU Autoconf 2.69,
   with options \\"\$ac_cs_config\\"
 
diff -pruN 2.4.10-1/configure.ac 2.4.11-1/configure.ac
--- 2.4.10-1/configure.ac	2018-05-03 14:23:47.000000000 +0000
+++ 2.4.11-1/configure.ac	2018-07-25 15:23:29.000000000 +0000
@@ -1,7 +1,7 @@
 AC_PREREQ([2.63])
 
 AC_INIT([geoclue],
-        [2.4.10],
+        [2.4.11],
         [http://bugs.freedesktop.org/enter_bug.cgi?product=GeoClue],
         [geoclue],
         [http://www.freedesktop.org/wiki/Software/GeoClue])
@@ -37,7 +37,7 @@ GETTEXT_PACKAGE=AC_PACKAGE_NAME
 AC_SUBST(GETTEXT_PACKAGE)
 AC_DEFINE_UNQUOTED(GETTEXT_PACKAGE,"$GETTEXT_PACKAGE",[The name of the gettext domain])
 
-GLIB_MIN_VERSION=2.34.0
+GLIB_MIN_VERSION=2.44.0
 JSON_GLIB_MIN_VERSION=0.14
 LIBMM_GLIB_MIN_VERSION=1.6
 LIBSOUP_MIN_VERSION=2.42
@@ -60,6 +60,7 @@ PKG_CHECK_MODULES(GEOCLUE, [
 
 # GObject-introspection support
 GOBJECT_INTROSPECTION_CHECK([0.9.6])
+VAPIGEN_CHECK()
 build_introspection=no
 
 # libgeoclue
diff -pruN 2.4.10-1/data/Makefile.in 2.4.11-1/data/Makefile.in
--- 2.4.10-1/data/Makefile.in	2018-05-03 14:23:53.000000000 +0000
+++ 2.4.11-1/data/Makefile.in	2018-07-25 15:32:55.000000000 +0000
@@ -91,10 +91,10 @@ host_triplet = @host@
 subdir = data
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/gnome-compiler-flags.m4 \
-	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
-	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
-	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/libtool.m4 \
+	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
+	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
+	$(top_srcdir)/m4/vapigen.m4 $(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
@@ -270,6 +270,9 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 STRIP = @STRIP@
 USE_NLS = @USE_NLS@
+VAPIGEN = @VAPIGEN@
+VAPIGEN_MAKEFILE = @VAPIGEN_MAKEFILE@
+VAPIGEN_VAPIDIR = @VAPIGEN_VAPIDIR@
 VERSION = @VERSION@
 WARN_CFLAGS = @WARN_CFLAGS@
 XGETTEXT = @XGETTEXT@
diff -pruN 2.4.10-1/debian/changelog 2.4.11-1/debian/changelog
--- 2.4.10-1/debian/changelog	2018-06-05 08:33:49.000000000 +0000
+++ 2.4.11-1/debian/changelog	2018-08-11 11:26:52.000000000 +0000
@@ -1,3 +1,16 @@
+geoclue-2.0 (2.4.11-1) unstable; urgency=medium
+
+  * [7ccde738] Bump debhelper compatibility to 11
+  * [30d692b7] debian/control: Update Homepage field
+  * [80038652] New upstream version 2.4.11
+    - Fix the demo agent, so it's functional for DE not implementing one
+      (Closes: #900936)
+  * [aca24ff5] debian/control: Bump libglib2.0-dev build-dep to 2.44.0
+  * [13ace8c7] debian/control: Bump Standards-Version to 4.2.0 (no further
+    changes)
+
+ -- Laurent Bigonville <bigon@debian.org>  Sat, 11 Aug 2018 13:26:52 +0200
+
 geoclue-2.0 (2.4.10-1) unstable; urgency=medium
 
   * [1302d116] debian/control: Update Vcs-* fields, git repository moved to
diff -pruN 2.4.10-1/debian/compat 2.4.11-1/debian/compat
--- 2.4.10-1/debian/compat	2018-06-05 08:33:49.000000000 +0000
+++ 2.4.11-1/debian/compat	2018-08-11 11:26:52.000000000 +0000
@@ -1 +1 @@
-9
+11
diff -pruN 2.4.10-1/debian/control 2.4.11-1/debian/control
--- 2.4.10-1/debian/control	2018-06-05 08:33:49.000000000 +0000
+++ 2.4.11-1/debian/control	2018-08-11 11:26:52.000000000 +0000
@@ -3,21 +3,20 @@ Section: utils
 Priority: optional
 Maintainer: Laurent Bigonville <bigon@debian.org>
 Uploaders: Craig Andrews <candrews@integralblue.com>
-Build-Depends: debhelper (>= 9.20160114),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11),
                gobject-introspection (>= 0.9.6),
                intltool (>= 0.40.0),
                libavahi-client-dev (>= 0.6.10),
                libavahi-glib-dev (>= 0.6.10),
                libgirepository1.0-dev (>= 0.9.6),
-               libglib2.0-dev (>= 2.34.0),
+               libglib2.0-dev (>= 2.44.0),
                libjson-glib-dev (>= 0.14),
                libmm-glib-dev (>= 1.6) [linux-any],
                libnotify-dev,
                libsoup2.4-dev (>= 2.42),
                pkg-config
-Homepage: http://www.freedesktop.org/wiki/Software/GeoClue
-Standards-Version: 4.1.4
+Homepage: https://gitlab.freedesktop.org/geoclue/geoclue/wikis/home
+Standards-Version: 4.2.0
 Vcs-Git: https://salsa.debian.org/freedesktop-team/geoclue-2.0.git
 Vcs-Browser: https://salsa.debian.org/freedesktop-team/geoclue-2.0
 
diff -pruN 2.4.10-1/demo/agent.c 2.4.11-1/demo/agent.c
--- 2.4.10-1/demo/agent.c	2018-04-22 14:14:56.000000000 +0000
+++ 2.4.11-1/demo/agent.c	2018-07-09 11:27:17.000000000 +0000
@@ -44,32 +44,15 @@ static GOptionEntry entries[] =
         { NULL }
 };
 
-GDBusConnection *connection;
-GMainLoop *main_loop;
 GClueServiceAgent *agent = NULL;
 
 static void
-on_service_agent_ready (GObject      *source_object,
-                        GAsyncResult *res,
-                        gpointer      user_data)
-{
-        GError *error = NULL;
-
-        agent = gclue_service_agent_new_finish (res, &error);
-        if (agent == NULL) {
-                g_critical ("Failed to launch agent service: %s", error->message);
-                g_error_free (error);
-
-                exit (-3);
-        }
-}
-
-static void
 on_get_bus_ready (GObject      *source_object,
                   GAsyncResult *res,
                   gpointer      user_data)
 {
         GError *error = NULL;
+        GDBusConnection *connection;
 
         connection = g_bus_get_finish (res, &error);
         if (connection == NULL) {
@@ -80,10 +63,7 @@ on_get_bus_ready (GObject      *source_o
                 exit (-2);
         }
 
-        gclue_service_agent_new_async (connection,
-                                       NULL,
-                                       on_service_agent_ready,
-                                       NULL);
+        agent = gclue_service_agent_new (connection);
 }
 
 #define ABS_PATH ABS_SRCDIR "/agent"
@@ -91,6 +71,7 @@ on_get_bus_ready (GObject      *source_o
 int
 main (int argc, char **argv)
 {
+        GMainLoop *main_loop;
         GError *error = NULL;
         GOptionContext *context;
 
diff -pruN 2.4.10-1/demo/gclue-service-agent.c 2.4.11-1/demo/gclue-service-agent.c
--- 2.4.10-1/demo/gclue-service-agent.c	2018-04-22 14:14:56.000000000 +0000
+++ 2.4.11-1/demo/gclue-service-agent.c	2018-07-09 11:27:17.000000000 +0000
@@ -31,22 +31,25 @@
 
 #define AGENT_PATH "/org/freedesktop/GeoClue2/Agent"
 
+#define SERVICE           "org.freedesktop.GeoClue2"
+#define MANAGER_PATH      "/org/freedesktop/GeoClue2/Manager"
+#define MANAGER_INTERFACE "org.freedesktop.GeoClue2.Manager"
+
 static void
 gclue_service_agent_agent_iface_init (GClueAgentIface *iface);
 static void
-gclue_service_agent_async_initable_init (GAsyncInitableIface *iface);
+gclue_service_agent_constructed (GObject *object);
 
 G_DEFINE_TYPE_WITH_CODE (GClueServiceAgent,
                          gclue_service_agent,
                          GCLUE_TYPE_AGENT_SKELETON,
                          G_IMPLEMENT_INTERFACE (GCLUE_TYPE_AGENT,
-                                                gclue_service_agent_agent_iface_init)
-                         G_IMPLEMENT_INTERFACE (G_TYPE_ASYNC_INITABLE,
-                                                gclue_service_agent_async_initable_init))
+                                                gclue_service_agent_agent_iface_init))
 
 struct _GClueServiceAgentPrivate
 {
         GDBusConnection *connection;
+        GDBusProxy *manager_proxy;
 };
 
 enum
@@ -114,6 +117,7 @@ gclue_service_agent_class_init (GClueSer
         object_class->finalize = gclue_service_agent_finalize;
         object_class->get_property = gclue_service_agent_get_property;
         object_class->set_property = gclue_service_agent_set_property;
+        object_class->constructed = gclue_service_agent_constructed;
 
         g_type_class_add_private (object_class, sizeof (GClueServiceAgentPrivate));
 
@@ -141,22 +145,11 @@ on_add_agent_ready (GObject      *source
                     GAsyncResult *res,
                     gpointer      user_data)
 {
-        GTask *task = G_TASK (user_data);
-        GVariant *results;
         GError *error = NULL;
 
-        results = g_dbus_proxy_call_finish (G_DBUS_PROXY (source_object),
-                                            res,
-                                            &error);
-        if (results == NULL) {
-                g_task_return_error (task, error);
-                g_object_unref (task);
-                return;
-        }
-
-        g_task_return_boolean (task, TRUE);
-
-        g_object_unref (task);
+        g_dbus_proxy_call_finish (G_DBUS_PROXY (source_object),
+                                  res,
+                                  &error);
 }
 
 static void
@@ -201,76 +194,85 @@ on_manager_proxy_ready (GObject      *so
                         GAsyncResult *res,
                         gpointer      user_data)
 {
-        GTask *task = G_TASK (user_data);
-        GClueAgent *agent;
-        GDBusProxy *proxy;
+        GClueServiceAgent *agent;
         GError *error = NULL;
+        agent = GCLUE_SERVICE_AGENT (user_data);
 
-        proxy = g_dbus_proxy_new_for_bus_finish (res, &error);
-        if (proxy == NULL) {
-                g_task_return_error (task, error);
-                g_object_unref (task);
+        agent->priv->manager_proxy = g_dbus_proxy_new_for_bus_finish (res,
+                                                                      &error);
+        if (agent->priv->manager_proxy == NULL) {
+                g_critical ("Failed to create proxy to %s: %s",
+                            MANAGER_PATH,
+                            error->message);
+                g_error_free (error);
                 return;
         }
 
-        agent = GCLUE_AGENT (g_task_get_source_object (task));
-        gclue_agent_set_max_accuracy_level (agent, GCLUE_ACCURACY_LEVEL_EXACT);
-
-        g_dbus_proxy_call (proxy,
+        g_dbus_proxy_call (agent->priv->manager_proxy,
                            "AddAgent",
                            g_variant_new ("(s)",
                                           "geoclue-demo-agent"),
                            G_DBUS_CALL_FLAGS_NONE,
                            -1,
-                           g_task_get_cancellable (task),
+                           NULL,
                            on_add_agent_ready,
-                           task);
-        print_in_use_info (proxy);
-        g_signal_connect (proxy,
+                           NULL);
+        print_in_use_info (agent->priv->manager_proxy);
+        g_signal_connect (agent->priv->manager_proxy,
                           "g-properties-changed",
                           G_CALLBACK (on_manager_props_changed),
-                          agent);
+                          NULL);
 }
 
 static void
-gclue_service_agent_init_async (GAsyncInitable     *initable,
-                                int                 io_priority,
-                                GCancellable       *cancellable,
-                                GAsyncReadyCallback callback,
-                                gpointer            user_data)
+on_name_appeared (GDBusConnection *connection,
+                  const gchar     *name,
+                  const gchar     *name_owner,
+                  gpointer         user_data)
 {
-        GTask *task;
-        GError *error = NULL;
+        g_dbus_proxy_new_for_bus (G_BUS_TYPE_SYSTEM,
+                                  G_DBUS_PROXY_FLAGS_NONE,
+                                  NULL,
+                                  SERVICE,
+                                  MANAGER_PATH,
+                                  MANAGER_INTERFACE,
+                                  NULL,
+                                  on_manager_proxy_ready,
+                                  user_data);
+}
 
-        task = g_task_new (initable, cancellable, callback, user_data);
+static void
+on_name_vanished (GDBusConnection *connection,
+                  const gchar     *name,
+                  gpointer         user_data)
+{
+        GClueServiceAgent *agent = GCLUE_SERVICE_AGENT (user_data);
+
+        g_clear_object (&agent->priv->manager_proxy);
+}
 
+static void
+gclue_service_agent_constructed (GObject *object)
+{
+        GError *error = NULL;
+        GClueServiceAgent *agent = GCLUE_SERVICE_AGENT (object);
         if (!g_dbus_interface_skeleton_export
-                (G_DBUS_INTERFACE_SKELETON (initable),
-                 GCLUE_SERVICE_AGENT (initable)->priv->connection,
+                (G_DBUS_INTERFACE_SKELETON (agent),
+                 agent->priv->connection,
                  AGENT_PATH,
                  &error)) {
-                g_task_return_error (task, error);
-                g_object_unref (task);
                 return;
         }
+        gclue_agent_set_max_accuracy_level (GCLUE_AGENT (agent),
+                                            GCLUE_ACCURACY_LEVEL_EXACT);
+        g_bus_watch_name (G_BUS_TYPE_SYSTEM,
+                          SERVICE,
+                          G_BUS_NAME_WATCHER_FLAGS_NONE,
+                          on_name_appeared,
+                          on_name_vanished,
+                          agent,
+                          NULL);
 
-        g_dbus_proxy_new_for_bus (G_BUS_TYPE_SYSTEM,
-                                  G_DBUS_PROXY_FLAGS_NONE,
-                                  NULL,
-                                  "org.freedesktop.GeoClue2",
-                                  "/org/freedesktop/GeoClue2/Manager",
-                                  "org.freedesktop.GeoClue2.Manager",
-                                  cancellable,
-                                  on_manager_proxy_ready,
-                                  task);
-}
-
-static gboolean
-gclue_service_agent_init_finish (GAsyncInitable *initable,
-                                 GAsyncResult   *result,
-                                 GError        **error)
-{
-        return g_task_propagate_boolean (G_TASK (result), error);
 }
 
 typedef struct
@@ -405,42 +407,11 @@ gclue_service_agent_agent_iface_init (GC
         iface->handle_authorize_app = gclue_service_agent_handle_authorize_app;
 }
 
-static void
-gclue_service_agent_async_initable_init (GAsyncInitableIface *iface)
-{
-        iface->init_async = gclue_service_agent_init_async;
-        iface->init_finish = gclue_service_agent_init_finish;
-}
-
-void
-gclue_service_agent_new_async (GDBusConnection    *connection,
-                               GCancellable       *cancellable,
-                               GAsyncReadyCallback callback,
-                               gpointer            user_data)
-{
-        g_async_initable_new_async (GCLUE_TYPE_SERVICE_AGENT,
-                                    G_PRIORITY_DEFAULT,
-                                    cancellable,
-                                    callback,
-                                    user_data,
-                                    "connection", connection,
-                                    NULL);
-}
-
 GClueServiceAgent *
-gclue_service_agent_new_finish (GAsyncResult *res,
-                                GError      **error)
+gclue_service_agent_new (GDBusConnection *connection)
 {
-        GObject *object;
-        GObject *source_object;
-
-        source_object = g_async_result_get_source_object (res);
-        object = g_async_initable_new_finish (G_ASYNC_INITABLE (source_object),
-                                              res,
-                                              error);
-        g_object_unref (source_object);
-        if (object != NULL)
-                return GCLUE_SERVICE_AGENT (object);
-        else
-                return NULL;
+        return g_object_new (GCLUE_TYPE_SERVICE_AGENT,
+                             "connection",
+                             connection,
+                             NULL);
 }
diff -pruN 2.4.10-1/demo/gclue-service-agent.h 2.4.11-1/demo/gclue-service-agent.h
--- 2.4.10-1/demo/gclue-service-agent.h	2018-04-22 14:14:56.000000000 +0000
+++ 2.4.11-1/demo/gclue-service-agent.h	2018-07-09 11:27:17.000000000 +0000
@@ -53,14 +53,8 @@ struct _GClueServiceAgentClass
         GClueAgentSkeletonClass parent_class;
 };
 
-GType gclue_service_agent_get_type                 (void) G_GNUC_CONST;
-void  gclue_service_agent_new_async                (GDBusConnection    *connection,
-                                                    GCancellable       *cancellable,
-                                                    GAsyncReadyCallback callback,
-                                                    gpointer            user_data);
-GClueServiceAgent * gclue_service_agent_new_finish (GAsyncResult       *res,
-                                                    GError            **error);
-
+GType               gclue_service_agent_get_type (void) G_GNUC_CONST;
+GClueServiceAgent * gclue_service_agent_new      (GDBusConnection *connection);
 
 G_END_DECLS
 
diff -pruN 2.4.10-1/demo/Makefile.in 2.4.11-1/demo/Makefile.in
--- 2.4.10-1/demo/Makefile.in	2018-05-03 14:23:53.000000000 +0000
+++ 2.4.11-1/demo/Makefile.in	2018-07-25 15:32:55.000000000 +0000
@@ -97,10 +97,10 @@ host_triplet = @host@
 subdir = demo
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/gnome-compiler-flags.m4 \
-	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
-	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
-	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/libtool.m4 \
+	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
+	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
+	$(top_srcdir)/m4/vapigen.m4 $(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
@@ -334,6 +334,9 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 STRIP = @STRIP@
 USE_NLS = @USE_NLS@
+VAPIGEN = @VAPIGEN@
+VAPIGEN_MAKEFILE = @VAPIGEN_MAKEFILE@
+VAPIGEN_VAPIDIR = @VAPIGEN_VAPIDIR@
 VERSION = @VERSION@
 WARN_CFLAGS = @WARN_CFLAGS@
 XGETTEXT = @XGETTEXT@
diff -pruN 2.4.10-1/docs/docs-org.freedesktop.GeoClue2.Agent.xml 2.4.11-1/docs/docs-org.freedesktop.GeoClue2.Agent.xml
--- 2.4.10-1/docs/docs-org.freedesktop.GeoClue2.Agent.xml	2018-05-03 14:04:56.000000000 +0000
+++ 2.4.11-1/docs/docs-org.freedesktop.GeoClue2.Agent.xml	1970-01-01 00:00:00.000000000 +0000
@@ -1,80 +0,0 @@
-<?xml version="1.0" encoding="utf-8"?>
-<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
-               "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd" [
-]>
-<refentry id="gdbus-org.freedesktop.GeoClue2.Agent">
-  <refmeta>    <refentrytitle role="top_of_page" id="gdbus-interface-org-freedesktop-GeoClue2-Agent.top_of_page">org.freedesktop.GeoClue2.Agent</refentrytitle>
-  <indexterm zone="gdbus-interface-org-freedesktop-GeoClue2-Agent.top_of_page"><primary sortas="Agent">org.freedesktop.GeoClue2.Agent</primary></indexterm>
-  </refmeta>  <refnamediv>    <refname>org.freedesktop.GeoClue2.Agent</refname>    <refpurpose>The GeoClue agent interface</refpurpose>  </refnamediv>  <refsynopsisdiv role="synopsis">
-    <title role="synopsis.title">Methods</title>
-    <synopsis>
-<link linkend="gdbus-method-org-freedesktop-GeoClue2-Agent.AuthorizeApp">AuthorizeApp</link> (IN  s desktop_id,
-              IN  u req_accuracy_level,
-              OUT b authorized,
-              OUT u allowed_accuracy_level);
-</synopsis>
-  </refsynopsisdiv>
-  <refsect1 role="properties">
-    <title role="properties.title">Properties</title>
-    <synopsis>
-<link linkend="gdbus-property-org-freedesktop-GeoClue2-Agent.MaxAccuracyLevel">MaxAccuracyLevel</link>  readable   u
-</synopsis>
-  </refsect1>
-<refsect1 role="desc" id="gdbus-interface-org-freedesktop-GeoClue2-Agent">
-  <title role="desc.title">Description</title>
-  <para>      This is the interface all application-authorizing agents must implement.
-      There must be a separate agent object for every logged-in user on path
-      "/org/freedesktop/GeoClue2/Agent".
-</para>
-</refsect1>
-<refsect1 role="details" id="gdbus-methods-org.freedesktop.GeoClue2.Agent">
-  <title role="details.title">Method Details</title>
-<refsect2 role="method" id="gdbus-method-org-freedesktop-GeoClue2-Agent.AuthorizeApp">
-  <title>The AuthorizeApp() method</title>
-  <indexterm zone="gdbus-method-org-freedesktop-GeoClue2-Agent.AuthorizeApp"><primary sortas="Agent.AuthorizeApp">org.freedesktop.GeoClue2.Agent.AuthorizeApp()</primary></indexterm>
-<programlisting>
-AuthorizeApp (IN  s desktop_id,
-              IN  u req_accuracy_level,
-              OUT b authorized,
-              OUT u allowed_accuracy_level);
-</programlisting>
-<para>        This is the method that will be called by geoclue to get applications
-        authorized to be given location information.
-</para>
-<variablelist role="params">
-<varlistentry>
-  <term><literal>IN s <parameter>desktop_id</parameter></literal>:</term>
-  <listitem><para>The desktop file id (the basename of the desktop file) of the application requesting location information.</para></listitem>
-</varlistentry>
-<varlistentry>
-  <term><literal>IN u <parameter>req_accuracy_level</parameter></literal>:</term>
-  <listitem><para>The level of location accuracy requested by client, as <link linkend="GClueAccuracyLevel">GClueAccuracyLevel</link>.</para></listitem>
-</varlistentry>
-<varlistentry>
-  <term><literal>OUT b <parameter>authorized</parameter></literal>:</term>
-  <listitem><para>Return value indicating if application should be given location information or not.</para></listitem>
-</varlistentry>
-<varlistentry>
-  <term><literal>OUT u <parameter>allowed_accuracy_level</parameter></literal>:</term>
-  <listitem><para>The level of location accuracy allowed for client, as <link linkend="GClueAccuracyLevel">GClueAccuracyLevel</link>.</para></listitem>
-</varlistentry>
-</variablelist>
-</refsect2>
-</refsect1>
-<refsect1 role="details" id="gdbus-properties-org.freedesktop.GeoClue2.Agent">
-  <title role="details.title">Property Details</title>
-<refsect2 role="property" id="gdbus-property-org-freedesktop-GeoClue2-Agent.MaxAccuracyLevel">
-  <title>The "MaxAccuracyLevel" property</title>
-  <indexterm zone="gdbus-property-org-freedesktop-GeoClue2-Agent.MaxAccuracyLevel"><primary sortas="Agent:MaxAccuracyLevel">org.freedesktop.GeoClue2.Agent:MaxAccuracyLevel</primary></indexterm>
-<programlisting>
-MaxAccuracyLevel  readable   u
-</programlisting>
-<para>        The global maximum level of accuracy allowed for all clients. Since
-        agents are per-user, this can be different for each user. See
-        <link linkend="GClueAccuracyLevel">GClueAccuracyLevel</link> for
-        possible values.
-</para>
-</refsect2>
-</refsect1>
-</refentry>
-
diff -pruN 2.4.10-1/docs/docs-org.freedesktop.GeoClue2.Client.xml 2.4.11-1/docs/docs-org.freedesktop.GeoClue2.Client.xml
--- 2.4.10-1/docs/docs-org.freedesktop.GeoClue2.Client.xml	2018-05-03 14:04:56.000000000 +0000
+++ 2.4.11-1/docs/docs-org.freedesktop.GeoClue2.Client.xml	1970-01-01 00:00:00.000000000 +0000
@@ -1,169 +0,0 @@
-<?xml version="1.0" encoding="utf-8"?>
-<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
-               "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd" [
-]>
-<refentry id="gdbus-org.freedesktop.GeoClue2.Client">
-  <refmeta>    <refentrytitle role="top_of_page" id="gdbus-interface-org-freedesktop-GeoClue2-Client.top_of_page">org.freedesktop.GeoClue2.Client</refentrytitle>
-  <indexterm zone="gdbus-interface-org-freedesktop-GeoClue2-Client.top_of_page"><primary sortas="Client">org.freedesktop.GeoClue2.Client</primary></indexterm>
-  </refmeta>  <refnamediv>    <refname>org.freedesktop.GeoClue2.Client</refname>    <refpurpose>The Application-specific client API</refpurpose>  </refnamediv>  <refsynopsisdiv role="synopsis">
-    <title role="synopsis.title">Methods</title>
-    <synopsis>
-<link linkend="gdbus-method-org-freedesktop-GeoClue2-Client.Start">Start</link> ();
-<link linkend="gdbus-method-org-freedesktop-GeoClue2-Client.Stop">Stop</link>  ();
-</synopsis>
-  </refsynopsisdiv>
-  <refsect1 role="signal_proto">
-    <title role="signal_proto.title">Signals</title>
-    <synopsis>
-<link linkend="gdbus-signal-org-freedesktop-GeoClue2-Client.LocationUpdated">LocationUpdated</link> (o old,
-                 o new);
-</synopsis>
-  </refsect1>
-  <refsect1 role="properties">
-    <title role="properties.title">Properties</title>
-    <synopsis>
-<link linkend="gdbus-property-org-freedesktop-GeoClue2-Client.Location">Location</link>                readable   o
-<link linkend="gdbus-property-org-freedesktop-GeoClue2-Client.DistanceThreshold">DistanceThreshold</link>       readwrite  u
-<link linkend="gdbus-property-org-freedesktop-GeoClue2-Client.TimeThreshold">TimeThreshold</link>           readwrite  u
-<link linkend="gdbus-property-org-freedesktop-GeoClue2-Client.DesktopId">DesktopId</link>               readwrite  s
-<link linkend="gdbus-property-org-freedesktop-GeoClue2-Client.RequestedAccuracyLevel">RequestedAccuracyLevel</link>  readwrite  u
-<link linkend="gdbus-property-org-freedesktop-GeoClue2-Client.Active">Active</link>                  readable   b
-</synopsis>
-  </refsect1>
-<refsect1 role="desc" id="gdbus-interface-org-freedesktop-GeoClue2-Client">
-  <title role="desc.title">Description</title>
-  <para>      This is the interface you use to retrieve location information and receive
-      location update signals from GeoClue service. You get the client object to
-      use this interface on from org.freedesktop.GeoClue2.Manager.GetClient()
-      method.
-</para>
-</refsect1>
-<refsect1 role="details" id="gdbus-methods-org.freedesktop.GeoClue2.Client">
-  <title role="details.title">Method Details</title>
-<refsect2 role="method" id="gdbus-method-org-freedesktop-GeoClue2-Client.Start">
-  <title>The Start() method</title>
-  <indexterm zone="gdbus-method-org-freedesktop-GeoClue2-Client.Start"><primary sortas="Client.Start">org.freedesktop.GeoClue2.Client.Start()</primary></indexterm>
-<programlisting>
-Start ();
-</programlisting>
-<para>        Start receiving events about the current location. Applications should
-        hook-up to <link linkend="gdbus-signal-org-freedesktop-GeoClue2-Client.LocationUpdated">"LocationUpdated"</link> signal
-        before calling this method.
-</para>
-</refsect2>
-<refsect2 role="method" id="gdbus-method-org-freedesktop-GeoClue2-Client.Stop">
-  <title>The Stop() method</title>
-  <indexterm zone="gdbus-method-org-freedesktop-GeoClue2-Client.Stop"><primary sortas="Client.Stop">org.freedesktop.GeoClue2.Client.Stop()</primary></indexterm>
-<programlisting>
-Stop ();
-</programlisting>
-<para>        Stop receiving events about the current location.
-</para>
-</refsect2>
-</refsect1>
-<refsect1 role="details" id="gdbus-signals-org.freedesktop.GeoClue2.Client">
-  <title role="details.title">Signal Details</title>
-<refsect2 role="signal" id="gdbus-signal-org-freedesktop-GeoClue2-Client.LocationUpdated">
-  <title>The "LocationUpdated" signal</title>
-  <indexterm zone="gdbus-signal-org-freedesktop-GeoClue2-Client.LocationUpdated"><primary sortas="Client::LocationUpdated">org.freedesktop.GeoClue2.Client::LocationUpdated</primary></indexterm>
-<programlisting>
-LocationUpdated (o old,
-                 o new);
-</programlisting>
-<para>        The signal is emitted every time the location changes.
-        The client should set the DistanceThreshold property to control how
-        often this signal is emitted.
-</para>
-<variablelist role="params">
-<varlistentry>
-  <term><literal>o <parameter>old</parameter></literal>:</term>
-  <listitem><para>old location as path to a #org.freedesktop.GeoClue2.Location object</para></listitem>
-</varlistentry>
-<varlistentry>
-  <term><literal>o <parameter>new</parameter></literal>:</term>
-  <listitem><para>new location as path to a #org.freedesktop.GeoClue2.Location object</para></listitem>
-</varlistentry>
-</variablelist>
-</refsect2>
-</refsect1>
-<refsect1 role="details" id="gdbus-properties-org.freedesktop.GeoClue2.Client">
-  <title role="details.title">Property Details</title>
-<refsect2 role="property" id="gdbus-property-org-freedesktop-GeoClue2-Client.Location">
-  <title>The "Location" property</title>
-  <indexterm zone="gdbus-property-org-freedesktop-GeoClue2-Client.Location"><primary sortas="Client:Location">org.freedesktop.GeoClue2.Client:Location</primary></indexterm>
-<programlisting>
-Location  readable   o
-</programlisting>
-<para>        Current location as path to a #org.freedesktop.GeoClue2.Location object.
-        Please note that this property will be set to "/" (D-Bus equivalent of
-        null) initially, until Geoclue finds user's location. You want to delay
-        reading this property until your callback to
-        <link linkend="gdbus-signal-org-freedesktop-GeoClue2-Client.LocationUpdated">"LocationUpdated"</link> signal is called for
-        the first time after starting the client.
-</para>
-</refsect2>
-<refsect2 role="property" id="gdbus-property-org-freedesktop-GeoClue2-Client.DistanceThreshold">
-  <title>The "DistanceThreshold" property</title>
-  <indexterm zone="gdbus-property-org-freedesktop-GeoClue2-Client.DistanceThreshold"><primary sortas="Client:DistanceThreshold">org.freedesktop.GeoClue2.Client:DistanceThreshold</primary></indexterm>
-<programlisting>
-DistanceThreshold  readwrite  u
-</programlisting>
-<para>        Contains the current distance threshold in meters. This value is used
-        by the service when it gets new location info. If the distance moved is
-        below the threshold, it won't emit the LocationUpdated signal.
-        The default value is 0. When TimeThreshold is zero, it always emits
-        the signal.
-</para>
-</refsect2>
-<refsect2 role="property" id="gdbus-property-org-freedesktop-GeoClue2-Client.TimeThreshold">
-  <title>The "TimeThreshold" property</title>
-  <indexterm zone="gdbus-property-org-freedesktop-GeoClue2-Client.TimeThreshold"><primary sortas="Client:TimeThreshold">org.freedesktop.GeoClue2.Client:TimeThreshold</primary></indexterm>
-<programlisting>
-TimeThreshold  readwrite  u
-</programlisting>
-<para>        Contains the current time threshold in seconds. This value is used
-        by the service when it gets new location info. If the time since the
-        last update is below the threshold, it won't emit the LocationUpdated
-        signal. The default value is 0. When TimeThreshold is zero, it always
-        emits the signal.
-</para>
-</refsect2>
-<refsect2 role="property" id="gdbus-property-org-freedesktop-GeoClue2-Client.DesktopId">
-  <title>The "DesktopId" property</title>
-  <indexterm zone="gdbus-property-org-freedesktop-GeoClue2-Client.DesktopId"><primary sortas="Client:DesktopId">org.freedesktop.GeoClue2.Client:DesktopId</primary></indexterm>
-<programlisting>
-DesktopId  readwrite  s
-</programlisting>
-<para>        The desktop file id (the basename of the desktop file). This property
-        must be set by applications for authorization to work.
-</para>
-</refsect2>
-<refsect2 role="property" id="gdbus-property-org-freedesktop-GeoClue2-Client.RequestedAccuracyLevel">
-  <title>The "RequestedAccuracyLevel" property</title>
-  <indexterm zone="gdbus-property-org-freedesktop-GeoClue2-Client.RequestedAccuracyLevel"><primary sortas="Client:RequestedAccuracyLevel">org.freedesktop.GeoClue2.Client:RequestedAccuracyLevel</primary></indexterm>
-<programlisting>
-RequestedAccuracyLevel  readwrite  u
-</programlisting>
-<para>        The level of accuracy requested by client, as
-        <link linkend="GClueAccuracyLevel">GClueAccuracyLevel</link>.
-</para><para>        Please keep in mind that the actual accuracy of location information is
-        dependent on available hardware on your machine, external resources
-        and/or how much accuracy user agrees to be confortable with.
-</para>
-</refsect2>
-<refsect2 role="property" id="gdbus-property-org-freedesktop-GeoClue2-Client.Active">
-  <title>The "Active" property</title>
-  <indexterm zone="gdbus-property-org-freedesktop-GeoClue2-Client.Active"><primary sortas="Client:Active">org.freedesktop.GeoClue2.Client:Active</primary></indexterm>
-<programlisting>
-Active  readable   b
-</programlisting>
-<para>        If client is active, i-e started successfully using
-        <link linkend="gdbus-method-org-freedesktop-GeoClue2-Client.Start">Start()</link> and receiving location updates.
-</para><para>        Please keep in mind that geoclue can at any time stop and start the
-        client on user (agent) request. Applications that are interested in
-        in these changes, should watch for changes in this property.
-</para>
-</refsect2>
-</refsect1>
-</refentry>
-
diff -pruN 2.4.10-1/docs/docs-org.freedesktop.GeoClue2.Location.xml 2.4.11-1/docs/docs-org.freedesktop.GeoClue2.Location.xml
--- 2.4.10-1/docs/docs-org.freedesktop.GeoClue2.Location.xml	2018-05-03 14:04:56.000000000 +0000
+++ 2.4.11-1/docs/docs-org.freedesktop.GeoClue2.Location.xml	1970-01-01 00:00:00.000000000 +0000
@@ -1,117 +0,0 @@
-<?xml version="1.0" encoding="utf-8"?>
-<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
-               "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd" [
-]>
-<refentry id="gdbus-org.freedesktop.GeoClue2.Location">
-  <refmeta>    <refentrytitle role="top_of_page" id="gdbus-interface-org-freedesktop-GeoClue2-Location.top_of_page">org.freedesktop.GeoClue2.Location</refentrytitle>
-  <indexterm zone="gdbus-interface-org-freedesktop-GeoClue2-Location.top_of_page"><primary sortas="Location">org.freedesktop.GeoClue2.Location</primary></indexterm>
-  </refmeta>  <refnamediv>    <refname>org.freedesktop.GeoClue2.Location</refname>    <refpurpose>The Location interface</refpurpose>  </refnamediv>  <refsect1 role="properties">
-    <title role="properties.title">Properties</title>
-    <synopsis>
-<link linkend="gdbus-property-org-freedesktop-GeoClue2-Location.Latitude">Latitude</link>     readable   d
-<link linkend="gdbus-property-org-freedesktop-GeoClue2-Location.Longitude">Longitude</link>    readable   d
-<link linkend="gdbus-property-org-freedesktop-GeoClue2-Location.Accuracy">Accuracy</link>     readable   d
-<link linkend="gdbus-property-org-freedesktop-GeoClue2-Location.Altitude">Altitude</link>     readable   d
-<link linkend="gdbus-property-org-freedesktop-GeoClue2-Location.Speed">Speed</link>        readable   d
-<link linkend="gdbus-property-org-freedesktop-GeoClue2-Location.Heading">Heading</link>      readable   d
-<link linkend="gdbus-property-org-freedesktop-GeoClue2-Location.Description">Description</link>  readable   s
-<link linkend="gdbus-property-org-freedesktop-GeoClue2-Location.Timestamp">Timestamp</link>    readable   (tt)
-</synopsis>
-  </refsect1>
-<refsect1 role="desc" id="gdbus-interface-org-freedesktop-GeoClue2-Location">
-  <title role="desc.title">Description</title>
-  <para>      This is the interface you use on location objects.
-</para>
-</refsect1>
-<refsect1 role="details" id="gdbus-properties-org.freedesktop.GeoClue2.Location">
-  <title role="details.title">Property Details</title>
-<refsect2 role="property" id="gdbus-property-org-freedesktop-GeoClue2-Location.Latitude">
-  <title>The "Latitude" property</title>
-  <indexterm zone="gdbus-property-org-freedesktop-GeoClue2-Location.Latitude"><primary sortas="Location:Latitude">org.freedesktop.GeoClue2.Location:Latitude</primary></indexterm>
-<programlisting>
-Latitude  readable   d
-</programlisting>
-<para>        The latitude of the location, in degrees.
-</para>
-</refsect2>
-<refsect2 role="property" id="gdbus-property-org-freedesktop-GeoClue2-Location.Longitude">
-  <title>The "Longitude" property</title>
-  <indexterm zone="gdbus-property-org-freedesktop-GeoClue2-Location.Longitude"><primary sortas="Location:Longitude">org.freedesktop.GeoClue2.Location:Longitude</primary></indexterm>
-<programlisting>
-Longitude  readable   d
-</programlisting>
-<para>        The longitude of the location, in degrees.
-</para>
-</refsect2>
-<refsect2 role="property" id="gdbus-property-org-freedesktop-GeoClue2-Location.Accuracy">
-  <title>The "Accuracy" property</title>
-  <indexterm zone="gdbus-property-org-freedesktop-GeoClue2-Location.Accuracy"><primary sortas="Location:Accuracy">org.freedesktop.GeoClue2.Location:Accuracy</primary></indexterm>
-<programlisting>
-Accuracy  readable   d
-</programlisting>
-<para>        The accuracy of the location fix, in meters.
-</para>
-</refsect2>
-<refsect2 role="property" id="gdbus-property-org-freedesktop-GeoClue2-Location.Altitude">
-  <title>The "Altitude" property</title>
-  <indexterm zone="gdbus-property-org-freedesktop-GeoClue2-Location.Altitude"><primary sortas="Location:Altitude">org.freedesktop.GeoClue2.Location:Altitude</primary></indexterm>
-<programlisting>
-Altitude  readable   d
-</programlisting>
-<para>        The altitude of the location fix, in meters. When unknown, its set to
-        minimum double value, -1.7976931348623157e+308.
-</para>
-</refsect2>
-<refsect2 role="property" id="gdbus-property-org-freedesktop-GeoClue2-Location.Speed">
-  <title>The "Speed" property</title>
-  <indexterm zone="gdbus-property-org-freedesktop-GeoClue2-Location.Speed"><primary sortas="Location:Speed">org.freedesktop.GeoClue2.Location:Speed</primary></indexterm>
-<programlisting>
-Speed  readable   d
-</programlisting>
-<para>        The speed in meters per second. When unknown, it's set to -1.0.
-</para>
-</refsect2>
-<refsect2 role="property" id="gdbus-property-org-freedesktop-GeoClue2-Location.Heading">
-  <title>The "Heading" property</title>
-  <indexterm zone="gdbus-property-org-freedesktop-GeoClue2-Location.Heading"><primary sortas="Location:Heading">org.freedesktop.GeoClue2.Location:Heading</primary></indexterm>
-<programlisting>
-Heading  readable   d
-</programlisting>
-<para>        The heading direction in degrees with respect to North direction, in
-        clockwise order. That means North becomes 0 degree, East: 90 degrees,
-        South: 180 degrees, West: 270 degrees and so on. When unknown,
-        it's set to -1.0.
-</para>
-</refsect2>
-<refsect2 role="property" id="gdbus-property-org-freedesktop-GeoClue2-Location.Description">
-  <title>The "Description" property</title>
-  <indexterm zone="gdbus-property-org-freedesktop-GeoClue2-Location.Description"><primary sortas="Location:Description">org.freedesktop.GeoClue2.Location:Description</primary></indexterm>
-<programlisting>
-Description  readable   s
-</programlisting>
-<para>        A human-readable description of the location, if available.
-</para><para>        WARNING: Applications should not rely on this property since not all
-        sources provide a description. If you really need a description (or
-        more details) about current location, use a reverse-geocoding API, e.g
-        geocode-glib.
-</para>
-</refsect2>
-<refsect2 role="property" id="gdbus-property-org-freedesktop-GeoClue2-Location.Timestamp">
-  <title>The "Timestamp" property</title>
-  <indexterm zone="gdbus-property-org-freedesktop-GeoClue2-Location.Timestamp"><primary sortas="Location:Timestamp">org.freedesktop.GeoClue2.Location:Timestamp</primary></indexterm>
-<programlisting>
-Timestamp  readable   (tt)
-</programlisting>
-<para>        The timestamp when the location was determined, in seconds and
-        microseconds since the Epoch. This is the time of measurement if the
-        backend provided that information, otherwise the time when GeoClue
-        received the new location.
-</para><para>        Note that GeoClue can't guarantee that the timestamp will always
-        monotonically increase, as a backend may not respect that.
-        Also note that a timestamp can be very old, e.g. because of a cached
-        location.
-</para>
-</refsect2>
-</refsect1>
-</refentry>
-
diff -pruN 2.4.10-1/docs/docs-org.freedesktop.GeoClue2.Manager.xml 2.4.11-1/docs/docs-org.freedesktop.GeoClue2.Manager.xml
--- 2.4.10-1/docs/docs-org.freedesktop.GeoClue2.Manager.xml	2018-05-03 14:04:56.000000000 +0000
+++ 2.4.11-1/docs/docs-org.freedesktop.GeoClue2.Manager.xml	1970-01-01 00:00:00.000000000 +0000
@@ -1,89 +0,0 @@
-<?xml version="1.0" encoding="utf-8"?>
-<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
-               "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd" [
-]>
-<refentry id="gdbus-org.freedesktop.GeoClue2.Manager">
-  <refmeta>    <refentrytitle role="top_of_page" id="gdbus-interface-org-freedesktop-GeoClue2-Manager.top_of_page">org.freedesktop.GeoClue2.Manager</refentrytitle>
-  <indexterm zone="gdbus-interface-org-freedesktop-GeoClue2-Manager.top_of_page"><primary sortas="Manager">org.freedesktop.GeoClue2.Manager</primary></indexterm>
-  </refmeta>  <refnamediv>    <refname>org.freedesktop.GeoClue2.Manager</refname>    <refpurpose>The GeoClue service manager</refpurpose>  </refnamediv>  <refsynopsisdiv role="synopsis">
-    <title role="synopsis.title">Methods</title>
-    <synopsis>
-<link linkend="gdbus-method-org-freedesktop-GeoClue2-Manager.GetClient">GetClient</link> (OUT o client);
-<link linkend="gdbus-method-org-freedesktop-GeoClue2-Manager.AddAgent">AddAgent</link>  (IN  s id);
-</synopsis>
-  </refsynopsisdiv>
-  <refsect1 role="properties">
-    <title role="properties.title">Properties</title>
-    <synopsis>
-<link linkend="gdbus-property-org-freedesktop-GeoClue2-Manager.InUse">InUse</link>                   readable   b
-<link linkend="gdbus-property-org-freedesktop-GeoClue2-Manager.AvailableAccuracyLevel">AvailableAccuracyLevel</link>  readable   u
-</synopsis>
-  </refsect1>
-<refsect1 role="desc" id="gdbus-interface-org-freedesktop-GeoClue2-Manager">
-  <title role="desc.title">Description</title>
-  <para>      This is the interface you use to talk to main GeoClue2 manager object at
-      path "/org/freedesktop/GeoClue2/Manager". The only thing you do with this
-      interface is to call <link linkend="gdbus-method-org-freedesktop-GeoClue2-Manager.GetClient">GetClient()</link> on it
-      to get your application specific client object.
-</para>
-</refsect1>
-<refsect1 role="details" id="gdbus-methods-org.freedesktop.GeoClue2.Manager">
-  <title role="details.title">Method Details</title>
-<refsect2 role="method" id="gdbus-method-org-freedesktop-GeoClue2-Manager.GetClient">
-  <title>The GetClient() method</title>
-  <indexterm zone="gdbus-method-org-freedesktop-GeoClue2-Manager.GetClient"><primary sortas="Manager.GetClient">org.freedesktop.GeoClue2.Manager.GetClient()</primary></indexterm>
-<programlisting>
-GetClient (OUT o client);
-</programlisting>
-<para>        Retrieves a client object which can only be used by the calling
-        application only.
-</para>
-<variablelist role="params">
-<varlistentry>
-  <term><literal>OUT o <parameter>client</parameter></literal>:</term>
-  <listitem><para>The path for newly created client object</para></listitem>
-</varlistentry>
-</variablelist>
-</refsect2>
-<refsect2 role="method" id="gdbus-method-org-freedesktop-GeoClue2-Manager.AddAgent">
-  <title>The AddAgent() method</title>
-  <indexterm zone="gdbus-method-org-freedesktop-GeoClue2-Manager.AddAgent"><primary sortas="Manager.AddAgent">org.freedesktop.GeoClue2.Manager.AddAgent()</primary></indexterm>
-<programlisting>
-AddAgent (IN  s id);
-</programlisting>
-<para>        An API for user authorization agents to register themselves. Each agent
-        is responsible for the user it is running as. Application developers
-        can and should simply ignore this API.
-</para>
-<variablelist role="params">
-<varlistentry>
-  <term><literal>IN s <parameter>id</parameter></literal>:</term>
-  <listitem><para>The Desktop ID (excluding .desktop) of the agent</para></listitem>
-</varlistentry>
-</variablelist>
-</refsect2>
-</refsect1>
-<refsect1 role="details" id="gdbus-properties-org.freedesktop.GeoClue2.Manager">
-  <title role="details.title">Property Details</title>
-<refsect2 role="property" id="gdbus-property-org-freedesktop-GeoClue2-Manager.InUse">
-  <title>The "InUse" property</title>
-  <indexterm zone="gdbus-property-org-freedesktop-GeoClue2-Manager.InUse"><primary sortas="Manager:InUse">org.freedesktop.GeoClue2.Manager:InUse</primary></indexterm>
-<programlisting>
-InUse  readable   b
-</programlisting>
-<para>        Whether service is currently is use by any application.
-</para>
-</refsect2>
-<refsect2 role="property" id="gdbus-property-org-freedesktop-GeoClue2-Manager.AvailableAccuracyLevel">
-  <title>The "AvailableAccuracyLevel" property</title>
-  <indexterm zone="gdbus-property-org-freedesktop-GeoClue2-Manager.AvailableAccuracyLevel"><primary sortas="Manager:AvailableAccuracyLevel">org.freedesktop.GeoClue2.Manager:AvailableAccuracyLevel</primary></indexterm>
-<programlisting>
-AvailableAccuracyLevel  readable   u
-</programlisting>
-<para>        The level of available accuracy, as
-        <link linkend="GClueAccuracyLevel">GClueAccuracyLevel</link>.
-</para>
-</refsect2>
-</refsect1>
-</refentry>
-
diff -pruN 2.4.10-1/docs/geoclue-sections.txt 2.4.11-1/docs/geoclue-sections.txt
--- 2.4.10-1/docs/geoclue-sections.txt	2018-05-03 14:24:01.000000000 +0000
+++ 2.4.11-1/docs/geoclue-sections.txt	1970-01-01 00:00:00.000000000 +0000
@@ -1,14 +0,0 @@
-<SECTION>
-<FILE>gclue-enum-types</FILE>
-gclue_accuracy_level_get_string
-gclue_accuracy_level_build_string_from_mask
-<SUBSECTION Standard>
-GCLUE_TYPE_ACCURACY_LEVEL
-gclue_accuracy_level_get_type
-</SECTION>
-
-<SECTION>
-<FILE>gclue-enums</FILE>
-GClueAccuracyLevel
-</SECTION>
-
diff -pruN 2.4.10-1/docs/geoclue.types 2.4.11-1/docs/geoclue.types
--- 2.4.10-1/docs/geoclue.types	2018-05-03 14:24:01.000000000 +0000
+++ 2.4.11-1/docs/geoclue.types	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-gclue_accuracy_level_get_type
diff -pruN 2.4.10-1/docs/html/gdbus-org.freedesktop.GeoClue2.Agent.html 2.4.11-1/docs/html/gdbus-org.freedesktop.GeoClue2.Agent.html
--- 2.4.10-1/docs/html/gdbus-org.freedesktop.GeoClue2.Agent.html	2018-05-03 14:24:01.000000000 +0000
+++ 2.4.11-1/docs/html/gdbus-org.freedesktop.GeoClue2.Agent.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,114 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>org.freedesktop.GeoClue2.Agent: Geoclue Reference Manual</title>
-<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
-<link rel="home" href="index.html" title="Geoclue Reference Manual">
-<link rel="up" href="ref-agent-dbus.html" title="Agent D-Bus API Reference">
-<link rel="prev" href="ref-agent-dbus.html" title="Agent D-Bus API Reference">
-<link rel="next" href="ix01.html" title="Index">
-<meta name="generator" content="GTK-Doc V1.27 (XML mode)">
-<link rel="stylesheet" href="style.css" type="text/css">
-</head>
-<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
-<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
-<td width="100%" align="left" class="shortcuts">
-<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
-                  <a href="#gdbus-org.freedesktop.GeoClue2.Agent.description" class="shortcut">Description</a></span><span id="nav_properties">  <span class="dim">|</span> 
-                  <a href="#gdbus-org.freedesktop.GeoClue2.Agent.properties" class="shortcut">Properties</a></span>
-</td>
-<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
-<td><a accesskey="u" href="ref-agent-dbus.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
-<td><a accesskey="p" href="ref-agent-dbus.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
-<td><a accesskey="n" href="ix01.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
-</tr></table>
-<div class="refentry">
-<a name="gdbus-org.freedesktop.GeoClue2.Agent"></a><div class="titlepage"></div>
-<div class="refnamediv"><table width="100%"><tr>
-<td valign="top">
-<h2><span class="refentrytitle"><a name="gdbus-interface-org-freedesktop-GeoClue2-Agent.top_of_page"></a>org.freedesktop.GeoClue2.Agent</span></h2>
-<p>org.freedesktop.GeoClue2.Agent — The GeoClue agent interface</p>
-</td>
-<td class="gallery_image" valign="top" align="right"></td>
-</tr></table></div>
-<div class="refsynopsisdiv">
-<h2>Methods</h2>
-<pre class="synopsis">
-<a class="link" href="gdbus-org.freedesktop.GeoClue2.Agent.html#gdbus-method-org-freedesktop-GeoClue2-Agent.AuthorizeApp" title="The AuthorizeApp() method">AuthorizeApp</a> (IN  s desktop_id,
-              IN  u req_accuracy_level,
-              OUT b authorized,
-              OUT u allowed_accuracy_level);
-</pre>
-</div>
-<div class="refsect1">
-<a name="id-1.3.3.4"></a><h2>Properties</h2>
-<pre class="synopsis">
-<a class="link" href="gdbus-org.freedesktop.GeoClue2.Agent.html#gdbus-property-org-freedesktop-GeoClue2-Agent.MaxAccuracyLevel" title='The "MaxAccuracyLevel" property'>MaxAccuracyLevel</a>  readable   u
-</pre>
-</div>
-<div class="refsect1">
-<a name="gdbus-interface-org-freedesktop-GeoClue2-Agent"></a><h2>Description</h2>
-<p>      This is the interface all application-authorizing agents must implement.
-      There must be a separate agent object for every logged-in user on path
-      "/org/freedesktop/GeoClue2/Agent".
-</p>
-</div>
-<div class="refsect1">
-<a name="gdbus-methods-org.freedesktop.GeoClue2.Agent"></a><h2>Method Details</h2>
-<div class="refsect2">
-<a name="gdbus-method-org-freedesktop-GeoClue2-Agent.AuthorizeApp"></a><h3>The AuthorizeApp() method</h3>
-<pre class="programlisting">
-AuthorizeApp (IN  s desktop_id,
-              IN  u req_accuracy_level,
-              OUT b authorized,
-              OUT u allowed_accuracy_level);
-</pre>
-<p>        This is the method that will be called by geoclue to get applications
-        authorized to be given location information.
-</p>
-<div class="variablelist"><table border="0" class="variablelist">
-<colgroup>
-<col align="left" valign="top">
-<col>
-</colgroup>
-<tbody>
-<tr>
-<td><p><span class="term"><code class="literal">IN s <em class="parameter"><code>desktop_id</code></em></code>:</span></p></td>
-<td><p>The desktop file id (the basename of the desktop file) of the application requesting location information.</p></td>
-</tr>
-<tr>
-<td><p><span class="term"><code class="literal">IN u <em class="parameter"><code>req_accuracy_level</code></em></code>:</span></p></td>
-<td><p>The level of location accuracy requested by client, as <a class="link" href="geoclue-gclue-enums.html#GClueAccuracyLevel" title="enum GClueAccuracyLevel">GClueAccuracyLevel</a>.</p></td>
-</tr>
-<tr>
-<td><p><span class="term"><code class="literal">OUT b <em class="parameter"><code>authorized</code></em></code>:</span></p></td>
-<td><p>Return value indicating if application should be given location information or not.</p></td>
-</tr>
-<tr>
-<td><p><span class="term"><code class="literal">OUT u <em class="parameter"><code>allowed_accuracy_level</code></em></code>:</span></p></td>
-<td><p>The level of location accuracy allowed for client, as <a class="link" href="geoclue-gclue-enums.html#GClueAccuracyLevel" title="enum GClueAccuracyLevel">GClueAccuracyLevel</a>.</p></td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-<div class="refsect1">
-<a name="gdbus-properties-org.freedesktop.GeoClue2.Agent"></a><h2>Property Details</h2>
-<div class="refsect2">
-<a name="gdbus-property-org-freedesktop-GeoClue2-Agent.MaxAccuracyLevel"></a><h3>The "MaxAccuracyLevel" property</h3>
-<pre class="programlisting">
-MaxAccuracyLevel  readable   u
-</pre>
-<p>        The global maximum level of accuracy allowed for all clients. Since
-        agents are per-user, this can be different for each user. See
-        <a class="link" href="geoclue-gclue-enums.html#GClueAccuracyLevel" title="enum GClueAccuracyLevel">GClueAccuracyLevel</a> for
-        possible values.
-</p>
-</div>
-</div>
-</div>
-<div class="footer">
-<hr>Generated by GTK-Doc V1.27</div>
-</body>
-</html>
\ No newline at end of file
diff -pruN 2.4.10-1/docs/html/gdbus-org.freedesktop.GeoClue2.Client.html 2.4.11-1/docs/html/gdbus-org.freedesktop.GeoClue2.Client.html
--- 2.4.10-1/docs/html/gdbus-org.freedesktop.GeoClue2.Client.html	2018-05-03 14:24:01.000000000 +0000
+++ 2.4.11-1/docs/html/gdbus-org.freedesktop.GeoClue2.Client.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,205 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>org.freedesktop.GeoClue2.Client: Geoclue Reference Manual</title>
-<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
-<link rel="home" href="index.html" title="Geoclue Reference Manual">
-<link rel="up" href="ref-dbus.html" title="D-Bus API Reference">
-<link rel="prev" href="gdbus-org.freedesktop.GeoClue2.Manager.html" title="org.freedesktop.GeoClue2.Manager">
-<link rel="next" href="gdbus-org.freedesktop.GeoClue2.Location.html" title="org.freedesktop.GeoClue2.Location">
-<meta name="generator" content="GTK-Doc V1.27 (XML mode)">
-<link rel="stylesheet" href="style.css" type="text/css">
-</head>
-<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
-<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
-<td width="100%" align="left" class="shortcuts">
-<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
-                  <a href="#gdbus-org.freedesktop.GeoClue2.Client.description" class="shortcut">Description</a></span><span id="nav_properties">  <span class="dim">|</span> 
-                  <a href="#gdbus-org.freedesktop.GeoClue2.Client.properties" class="shortcut">Properties</a></span><span id="nav_signals">  <span class="dim">|</span> 
-                  <a href="#gdbus-org.freedesktop.GeoClue2.Client.signals" class="shortcut">Signals</a></span>
-</td>
-<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
-<td><a accesskey="u" href="ref-dbus.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
-<td><a accesskey="p" href="gdbus-org.freedesktop.GeoClue2.Manager.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
-<td><a accesskey="n" href="gdbus-org.freedesktop.GeoClue2.Location.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
-</tr></table>
-<div class="refentry">
-<a name="gdbus-org.freedesktop.GeoClue2.Client"></a><div class="titlepage"></div>
-<div class="refnamediv"><table width="100%"><tr>
-<td valign="top">
-<h2><span class="refentrytitle"><a name="gdbus-interface-org-freedesktop-GeoClue2-Client.top_of_page"></a>org.freedesktop.GeoClue2.Client</span></h2>
-<p>org.freedesktop.GeoClue2.Client — The Application-specific client API</p>
-</td>
-<td class="gallery_image" valign="top" align="right"></td>
-</tr></table></div>
-<div class="refsynopsisdiv">
-<h2>Methods</h2>
-<pre class="synopsis">
-<a class="link" href="gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-method-org-freedesktop-GeoClue2-Client.Start" title="The Start() method">Start</a> ();
-<a class="link" href="gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-method-org-freedesktop-GeoClue2-Client.Stop" title="The Stop() method">Stop</a>  ();
-</pre>
-</div>
-<div class="refsect1">
-<a name="id-1.2.4.4"></a><h2>Signals</h2>
-<pre class="synopsis">
-<a class="link" href="gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-signal-org-freedesktop-GeoClue2-Client.LocationUpdated" title='The "LocationUpdated" signal'>LocationUpdated</a> (o old,
-                 o new);
-</pre>
-</div>
-<div class="refsect1">
-<a name="id-1.2.4.5"></a><h2>Properties</h2>
-<pre class="synopsis">
-<a class="link" href="gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.Location" title='The "Location" property'>Location</a>                readable   o
-<a class="link" href="gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.DistanceThreshold" title='The "DistanceThreshold" property'>DistanceThreshold</a>       readwrite  u
-<a class="link" href="gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.TimeThreshold" title='The "TimeThreshold" property'>TimeThreshold</a>           readwrite  u
-<a class="link" href="gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.DesktopId" title='The "DesktopId" property'>DesktopId</a>               readwrite  s
-<a class="link" href="gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.RequestedAccuracyLevel" title='The "RequestedAccuracyLevel" property'>RequestedAccuracyLevel</a>  readwrite  u
-<a class="link" href="gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.Active" title='The "Active" property'>Active</a>                  readable   b
-</pre>
-</div>
-<div class="refsect1">
-<a name="gdbus-interface-org-freedesktop-GeoClue2-Client"></a><h2>Description</h2>
-<p>      This is the interface you use to retrieve location information and receive
-      location update signals from GeoClue service. You get the client object to
-      use this interface on from org.freedesktop.GeoClue2.Manager.GetClient()
-      method.
-</p>
-</div>
-<div class="refsect1">
-<a name="gdbus-methods-org.freedesktop.GeoClue2.Client"></a><h2>Method Details</h2>
-<div class="refsect2">
-<a name="gdbus-method-org-freedesktop-GeoClue2-Client.Start"></a><h3>The Start() method</h3>
-<pre class="programlisting">
-Start ();
-</pre>
-<p>        Start receiving events about the current location. Applications should
-        hook-up to <a class="link" href="gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-signal-org-freedesktop-GeoClue2-Client.LocationUpdated" title='The "LocationUpdated" signal'>"LocationUpdated"</a> signal
-        before calling this method.
-</p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gdbus-method-org-freedesktop-GeoClue2-Client.Stop"></a><h3>The Stop() method</h3>
-<pre class="programlisting">
-Stop ();
-</pre>
-<p>        Stop receiving events about the current location.
-</p>
-</div>
-</div>
-<div class="refsect1">
-<a name="gdbus-signals-org.freedesktop.GeoClue2.Client"></a><h2>Signal Details</h2>
-<div class="refsect2">
-<a name="gdbus-signal-org-freedesktop-GeoClue2-Client.LocationUpdated"></a><h3>The "LocationUpdated" signal</h3>
-<pre class="programlisting">
-LocationUpdated (o old,
-                 o new);
-</pre>
-<p>        The signal is emitted every time the location changes.
-        The client should set the DistanceThreshold property to control how
-        often this signal is emitted.
-</p>
-<div class="variablelist"><table border="0" class="variablelist">
-<colgroup>
-<col align="left" valign="top">
-<col>
-</colgroup>
-<tbody>
-<tr>
-<td><p><span class="term"><code class="literal">o <em class="parameter"><code>old</code></em></code>:</span></p></td>
-<td><p>old location as path to a #org.freedesktop.GeoClue2.Location object</p></td>
-</tr>
-<tr>
-<td><p><span class="term"><code class="literal">o <em class="parameter"><code>new</code></em></code>:</span></p></td>
-<td><p>new location as path to a #org.freedesktop.GeoClue2.Location object</p></td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-<div class="refsect1">
-<a name="gdbus-properties-org.freedesktop.GeoClue2.Client"></a><h2>Property Details</h2>
-<div class="refsect2">
-<a name="gdbus-property-org-freedesktop-GeoClue2-Client.Location"></a><h3>The "Location" property</h3>
-<pre class="programlisting">
-Location  readable   o
-</pre>
-<p>        Current location as path to a #org.freedesktop.GeoClue2.Location object.
-        Please note that this property will be set to "/" (D-Bus equivalent of
-        null) initially, until Geoclue finds user's location. You want to delay
-        reading this property until your callback to
-        <a class="link" href="gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-signal-org-freedesktop-GeoClue2-Client.LocationUpdated" title='The "LocationUpdated" signal'>"LocationUpdated"</a> signal is called for
-        the first time after starting the client.
-</p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gdbus-property-org-freedesktop-GeoClue2-Client.DistanceThreshold"></a><h3>The "DistanceThreshold" property</h3>
-<pre class="programlisting">
-DistanceThreshold  readwrite  u
-</pre>
-<p>        Contains the current distance threshold in meters. This value is used
-        by the service when it gets new location info. If the distance moved is
-        below the threshold, it won't emit the LocationUpdated signal.
-        The default value is 0. When TimeThreshold is zero, it always emits
-        the signal.
-</p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gdbus-property-org-freedesktop-GeoClue2-Client.TimeThreshold"></a><h3>The "TimeThreshold" property</h3>
-<pre class="programlisting">
-TimeThreshold  readwrite  u
-</pre>
-<p>        Contains the current time threshold in seconds. This value is used
-        by the service when it gets new location info. If the time since the
-        last update is below the threshold, it won't emit the LocationUpdated
-        signal. The default value is 0. When TimeThreshold is zero, it always
-        emits the signal.
-</p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gdbus-property-org-freedesktop-GeoClue2-Client.DesktopId"></a><h3>The "DesktopId" property</h3>
-<pre class="programlisting">
-DesktopId  readwrite  s
-</pre>
-<p>        The desktop file id (the basename of the desktop file). This property
-        must be set by applications for authorization to work.
-</p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gdbus-property-org-freedesktop-GeoClue2-Client.RequestedAccuracyLevel"></a><h3>The "RequestedAccuracyLevel" property</h3>
-<pre class="programlisting">
-RequestedAccuracyLevel  readwrite  u
-</pre>
-<p>        The level of accuracy requested by client, as
-        <a class="link" href="geoclue-gclue-enums.html#GClueAccuracyLevel" title="enum GClueAccuracyLevel">GClueAccuracyLevel</a>.
-</p>
-<p>        Please keep in mind that the actual accuracy of location information is
-        dependent on available hardware on your machine, external resources
-        and/or how much accuracy user agrees to be confortable with.
-</p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gdbus-property-org-freedesktop-GeoClue2-Client.Active"></a><h3>The "Active" property</h3>
-<pre class="programlisting">
-Active  readable   b
-</pre>
-<p>        If client is active, i-e started successfully using
-        <a class="link" href="gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-method-org-freedesktop-GeoClue2-Client.Start" title="The Start() method">Start()</a> and receiving location updates.
-</p>
-<p>        Please keep in mind that geoclue can at any time stop and start the
-        client on user (agent) request. Applications that are interested in
-        in these changes, should watch for changes in this property.
-</p>
-</div>
-</div>
-</div>
-<div class="footer">
-<hr>Generated by GTK-Doc V1.27</div>
-</body>
-</html>
\ No newline at end of file
diff -pruN 2.4.10-1/docs/html/gdbus-org.freedesktop.GeoClue2.Location.html 2.4.11-1/docs/html/gdbus-org.freedesktop.GeoClue2.Location.html
--- 2.4.10-1/docs/html/gdbus-org.freedesktop.GeoClue2.Location.html	2018-05-03 14:24:01.000000000 +0000
+++ 2.4.11-1/docs/html/gdbus-org.freedesktop.GeoClue2.Location.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,148 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>org.freedesktop.GeoClue2.Location: Geoclue Reference Manual</title>
-<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
-<link rel="home" href="index.html" title="Geoclue Reference Manual">
-<link rel="up" href="ref-dbus.html" title="D-Bus API Reference">
-<link rel="prev" href="gdbus-org.freedesktop.GeoClue2.Client.html" title="org.freedesktop.GeoClue2.Client">
-<link rel="next" href="geoclue-gclue-enums.html" title="gclue-enums">
-<meta name="generator" content="GTK-Doc V1.27 (XML mode)">
-<link rel="stylesheet" href="style.css" type="text/css">
-</head>
-<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
-<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
-<td width="100%" align="left" class="shortcuts">
-<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
-                  <a href="#gdbus-org.freedesktop.GeoClue2.Location.description" class="shortcut">Description</a></span><span id="nav_properties">  <span class="dim">|</span> 
-                  <a href="#gdbus-org.freedesktop.GeoClue2.Location.properties" class="shortcut">Properties</a></span>
-</td>
-<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
-<td><a accesskey="u" href="ref-dbus.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
-<td><a accesskey="p" href="gdbus-org.freedesktop.GeoClue2.Client.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
-<td><a accesskey="n" href="geoclue-gclue-enums.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
-</tr></table>
-<div class="refentry">
-<a name="gdbus-org.freedesktop.GeoClue2.Location"></a><div class="titlepage"></div>
-<div class="refnamediv"><table width="100%"><tr>
-<td valign="top">
-<h2><span class="refentrytitle"><a name="gdbus-interface-org-freedesktop-GeoClue2-Location.top_of_page"></a>org.freedesktop.GeoClue2.Location</span></h2>
-<p>org.freedesktop.GeoClue2.Location — The Location interface</p>
-</td>
-<td class="gallery_image" valign="top" align="right"></td>
-</tr></table></div>
-<div class="refsect1">
-<a name="id-1.2.5.3"></a><h2>Properties</h2>
-<pre class="synopsis">
-<a class="link" href="gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Latitude" title='The "Latitude" property'>Latitude</a>     readable   d
-<a class="link" href="gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Longitude" title='The "Longitude" property'>Longitude</a>    readable   d
-<a class="link" href="gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Accuracy" title='The "Accuracy" property'>Accuracy</a>     readable   d
-<a class="link" href="gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Altitude" title='The "Altitude" property'>Altitude</a>     readable   d
-<a class="link" href="gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Speed" title='The "Speed" property'>Speed</a>        readable   d
-<a class="link" href="gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Heading" title='The "Heading" property'>Heading</a>      readable   d
-<a class="link" href="gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Description" title='The "Description" property'>Description</a>  readable   s
-<a class="link" href="gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Timestamp" title='The "Timestamp" property'>Timestamp</a>    readable   (tt)
-</pre>
-</div>
-<div class="refsect1">
-<a name="gdbus-interface-org-freedesktop-GeoClue2-Location"></a><h2>Description</h2>
-<p>      This is the interface you use on location objects.
-</p>
-</div>
-<div class="refsect1">
-<a name="gdbus-properties-org.freedesktop.GeoClue2.Location"></a><h2>Property Details</h2>
-<div class="refsect2">
-<a name="gdbus-property-org-freedesktop-GeoClue2-Location.Latitude"></a><h3>The "Latitude" property</h3>
-<pre class="programlisting">
-Latitude  readable   d
-</pre>
-<p>        The latitude of the location, in degrees.
-</p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gdbus-property-org-freedesktop-GeoClue2-Location.Longitude"></a><h3>The "Longitude" property</h3>
-<pre class="programlisting">
-Longitude  readable   d
-</pre>
-<p>        The longitude of the location, in degrees.
-</p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gdbus-property-org-freedesktop-GeoClue2-Location.Accuracy"></a><h3>The "Accuracy" property</h3>
-<pre class="programlisting">
-Accuracy  readable   d
-</pre>
-<p>        The accuracy of the location fix, in meters.
-</p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gdbus-property-org-freedesktop-GeoClue2-Location.Altitude"></a><h3>The "Altitude" property</h3>
-<pre class="programlisting">
-Altitude  readable   d
-</pre>
-<p>        The altitude of the location fix, in meters. When unknown, its set to
-        minimum double value, -1.7976931348623157e+308.
-</p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gdbus-property-org-freedesktop-GeoClue2-Location.Speed"></a><h3>The "Speed" property</h3>
-<pre class="programlisting">
-Speed  readable   d
-</pre>
-<p>        The speed in meters per second. When unknown, it's set to -1.0.
-</p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gdbus-property-org-freedesktop-GeoClue2-Location.Heading"></a><h3>The "Heading" property</h3>
-<pre class="programlisting">
-Heading  readable   d
-</pre>
-<p>        The heading direction in degrees with respect to North direction, in
-        clockwise order. That means North becomes 0 degree, East: 90 degrees,
-        South: 180 degrees, West: 270 degrees and so on. When unknown,
-        it's set to -1.0.
-</p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gdbus-property-org-freedesktop-GeoClue2-Location.Description"></a><h3>The "Description" property</h3>
-<pre class="programlisting">
-Description  readable   s
-</pre>
-<p>        A human-readable description of the location, if available.
-</p>
-<p>        WARNING: Applications should not rely on this property since not all
-        sources provide a description. If you really need a description (or
-        more details) about current location, use a reverse-geocoding API, e.g
-        geocode-glib.
-</p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gdbus-property-org-freedesktop-GeoClue2-Location.Timestamp"></a><h3>The "Timestamp" property</h3>
-<pre class="programlisting">
-Timestamp  readable   (tt)
-</pre>
-<p>        The timestamp when the location was determined, in seconds and
-        microseconds since the Epoch. This is the time of measurement if the
-        backend provided that information, otherwise the time when GeoClue
-        received the new location.
-</p>
-<p>        Note that GeoClue can't guarantee that the timestamp will always
-        monotonically increase, as a backend may not respect that.
-        Also note that a timestamp can be very old, e.g. because of a cached
-        location.
-</p>
-</div>
-</div>
-</div>
-<div class="footer">
-<hr>Generated by GTK-Doc V1.27</div>
-</body>
-</html>
\ No newline at end of file
diff -pruN 2.4.10-1/docs/html/gdbus-org.freedesktop.GeoClue2.Manager.html 2.4.11-1/docs/html/gdbus-org.freedesktop.GeoClue2.Manager.html
--- 2.4.10-1/docs/html/gdbus-org.freedesktop.GeoClue2.Manager.html	2018-05-03 14:24:01.000000000 +0000
+++ 2.4.11-1/docs/html/gdbus-org.freedesktop.GeoClue2.Manager.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,125 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>org.freedesktop.GeoClue2.Manager: Geoclue Reference Manual</title>
-<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
-<link rel="home" href="index.html" title="Geoclue Reference Manual">
-<link rel="up" href="ref-dbus.html" title="D-Bus API Reference">
-<link rel="prev" href="ref-dbus.html" title="D-Bus API Reference">
-<link rel="next" href="gdbus-org.freedesktop.GeoClue2.Client.html" title="org.freedesktop.GeoClue2.Client">
-<meta name="generator" content="GTK-Doc V1.27 (XML mode)">
-<link rel="stylesheet" href="style.css" type="text/css">
-</head>
-<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
-<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
-<td width="100%" align="left" class="shortcuts">
-<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
-                  <a href="#gdbus-org.freedesktop.GeoClue2.Manager.description" class="shortcut">Description</a></span><span id="nav_properties">  <span class="dim">|</span> 
-                  <a href="#gdbus-org.freedesktop.GeoClue2.Manager.properties" class="shortcut">Properties</a></span>
-</td>
-<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
-<td><a accesskey="u" href="ref-dbus.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
-<td><a accesskey="p" href="ref-dbus.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
-<td><a accesskey="n" href="gdbus-org.freedesktop.GeoClue2.Client.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
-</tr></table>
-<div class="refentry">
-<a name="gdbus-org.freedesktop.GeoClue2.Manager"></a><div class="titlepage"></div>
-<div class="refnamediv"><table width="100%"><tr>
-<td valign="top">
-<h2><span class="refentrytitle"><a name="gdbus-interface-org-freedesktop-GeoClue2-Manager.top_of_page"></a>org.freedesktop.GeoClue2.Manager</span></h2>
-<p>org.freedesktop.GeoClue2.Manager — The GeoClue service manager</p>
-</td>
-<td class="gallery_image" valign="top" align="right"></td>
-</tr></table></div>
-<div class="refsynopsisdiv">
-<h2>Methods</h2>
-<pre class="synopsis">
-<a class="link" href="gdbus-org.freedesktop.GeoClue2.Manager.html#gdbus-method-org-freedesktop-GeoClue2-Manager.GetClient" title="The GetClient() method">GetClient</a> (OUT o client);
-<a class="link" href="gdbus-org.freedesktop.GeoClue2.Manager.html#gdbus-method-org-freedesktop-GeoClue2-Manager.AddAgent" title="The AddAgent() method">AddAgent</a>  (IN  s id);
-</pre>
-</div>
-<div class="refsect1">
-<a name="id-1.2.3.4"></a><h2>Properties</h2>
-<pre class="synopsis">
-<a class="link" href="gdbus-org.freedesktop.GeoClue2.Manager.html#gdbus-property-org-freedesktop-GeoClue2-Manager.InUse" title='The "InUse" property'>InUse</a>                   readable   b
-<a class="link" href="gdbus-org.freedesktop.GeoClue2.Manager.html#gdbus-property-org-freedesktop-GeoClue2-Manager.AvailableAccuracyLevel" title='The "AvailableAccuracyLevel" property'>AvailableAccuracyLevel</a>  readable   u
-</pre>
-</div>
-<div class="refsect1">
-<a name="gdbus-interface-org-freedesktop-GeoClue2-Manager"></a><h2>Description</h2>
-<p>      This is the interface you use to talk to main GeoClue2 manager object at
-      path "/org/freedesktop/GeoClue2/Manager". The only thing you do with this
-      interface is to call <a class="link" href="gdbus-org.freedesktop.GeoClue2.Manager.html#gdbus-method-org-freedesktop-GeoClue2-Manager.GetClient" title="The GetClient() method">GetClient()</a> on it
-      to get your application specific client object.
-</p>
-</div>
-<div class="refsect1">
-<a name="gdbus-methods-org.freedesktop.GeoClue2.Manager"></a><h2>Method Details</h2>
-<div class="refsect2">
-<a name="gdbus-method-org-freedesktop-GeoClue2-Manager.GetClient"></a><h3>The GetClient() method</h3>
-<pre class="programlisting">
-GetClient (OUT o client);
-</pre>
-<p>        Retrieves a client object which can only be used by the calling
-        application only.
-</p>
-<div class="variablelist"><table border="0" class="variablelist">
-<colgroup>
-<col align="left" valign="top">
-<col>
-</colgroup>
-<tbody><tr>
-<td><p><span class="term"><code class="literal">OUT o <em class="parameter"><code>client</code></em></code>:</span></p></td>
-<td><p>The path for newly created client object</p></td>
-</tr></tbody>
-</table></div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gdbus-method-org-freedesktop-GeoClue2-Manager.AddAgent"></a><h3>The AddAgent() method</h3>
-<pre class="programlisting">
-AddAgent (IN  s id);
-</pre>
-<p>        An API for user authorization agents to register themselves. Each agent
-        is responsible for the user it is running as. Application developers
-        can and should simply ignore this API.
-</p>
-<div class="variablelist"><table border="0" class="variablelist">
-<colgroup>
-<col align="left" valign="top">
-<col>
-</colgroup>
-<tbody><tr>
-<td><p><span class="term"><code class="literal">IN s <em class="parameter"><code>id</code></em></code>:</span></p></td>
-<td><p>The Desktop ID (excluding .desktop) of the agent</p></td>
-</tr></tbody>
-</table></div>
-</div>
-</div>
-<div class="refsect1">
-<a name="gdbus-properties-org.freedesktop.GeoClue2.Manager"></a><h2>Property Details</h2>
-<div class="refsect2">
-<a name="gdbus-property-org-freedesktop-GeoClue2-Manager.InUse"></a><h3>The "InUse" property</h3>
-<pre class="programlisting">
-InUse  readable   b
-</pre>
-<p>        Whether service is currently is use by any application.
-</p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gdbus-property-org-freedesktop-GeoClue2-Manager.AvailableAccuracyLevel"></a><h3>The "AvailableAccuracyLevel" property</h3>
-<pre class="programlisting">
-AvailableAccuracyLevel  readable   u
-</pre>
-<p>        The level of available accuracy, as
-        <a class="link" href="geoclue-gclue-enums.html#GClueAccuracyLevel" title="enum GClueAccuracyLevel">GClueAccuracyLevel</a>.
-</p>
-</div>
-</div>
-</div>
-<div class="footer">
-<hr>Generated by GTK-Doc V1.27</div>
-</body>
-</html>
\ No newline at end of file
diff -pruN 2.4.10-1/docs/html/geoclue.devhelp2 2.4.11-1/docs/html/geoclue.devhelp2
--- 2.4.10-1/docs/html/geoclue.devhelp2	2018-05-03 14:24:01.000000000 +0000
+++ 2.4.11-1/docs/html/geoclue.devhelp2	1970-01-01 00:00:00.000000000 +0000
@@ -1,48 +0,0 @@
-<?xml version="1.0" encoding="utf-8" standalone="no"?>
-<book xmlns="http://www.devhelp.net/book" title="Geoclue Reference Manual" link="index.html" author="Zeeshan Ali (Khattak)" name="geoclue" version="2" language="c">
-  <chapters>
-    <sub name="D-Bus API Reference" link="ref-dbus.html">
-      <sub name="org.freedesktop.GeoClue2.Manager" link="gdbus-org.freedesktop.GeoClue2.Manager.html"/>
-      <sub name="org.freedesktop.GeoClue2.Client" link="gdbus-org.freedesktop.GeoClue2.Client.html"/>
-      <sub name="org.freedesktop.GeoClue2.Location" link="gdbus-org.freedesktop.GeoClue2.Location.html"/>
-      <sub name="gclue-enums" link="geoclue-gclue-enums.html"/>
-    </sub>
-    <sub name="Agent D-Bus API Reference" link="ref-agent-dbus.html">
-      <sub name="org.freedesktop.GeoClue2.Agent" link="gdbus-org.freedesktop.GeoClue2.Agent.html"/>
-    </sub>
-    <sub name="Index" link="ix01.html"/>
-    <sub name="License" link="license.html"/>
-  </chapters>
-  <functions>
-    <keyword type="method" name="The GetClient() method" link="gdbus-org.freedesktop.GeoClue2.Manager.html#gdbus-method-org-freedesktop-GeoClue2-Manager.GetClient"/>
-    <keyword type="method" name="The AddAgent() method" link="gdbus-org.freedesktop.GeoClue2.Manager.html#gdbus-method-org-freedesktop-GeoClue2-Manager.AddAgent"/>
-    <keyword type="property" name="The &quot;InUse&quot; property" link="gdbus-org.freedesktop.GeoClue2.Manager.html#gdbus-property-org-freedesktop-GeoClue2-Manager.InUse"/>
-    <keyword type="property" name="The &quot;AvailableAccuracyLevel&quot; property" link="gdbus-org.freedesktop.GeoClue2.Manager.html#gdbus-property-org-freedesktop-GeoClue2-Manager.AvailableAccuracyLevel"/>
-    <keyword type="method" name="The Start() method" link="gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-method-org-freedesktop-GeoClue2-Client.Start"/>
-    <keyword type="method" name="The Stop() method" link="gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-method-org-freedesktop-GeoClue2-Client.Stop"/>
-    <keyword type="signal" name="The &quot;LocationUpdated&quot; signal" link="gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-signal-org-freedesktop-GeoClue2-Client.LocationUpdated"/>
-    <keyword type="property" name="The &quot;Location&quot; property" link="gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.Location"/>
-    <keyword type="property" name="The &quot;DistanceThreshold&quot; property" link="gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.DistanceThreshold"/>
-    <keyword type="property" name="The &quot;TimeThreshold&quot; property" link="gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.TimeThreshold"/>
-    <keyword type="property" name="The &quot;DesktopId&quot; property" link="gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.DesktopId"/>
-    <keyword type="property" name="The &quot;RequestedAccuracyLevel&quot; property" link="gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.RequestedAccuracyLevel"/>
-    <keyword type="property" name="The &quot;Active&quot; property" link="gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.Active"/>
-    <keyword type="property" name="The &quot;Latitude&quot; property" link="gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Latitude"/>
-    <keyword type="property" name="The &quot;Longitude&quot; property" link="gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Longitude"/>
-    <keyword type="property" name="The &quot;Accuracy&quot; property" link="gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Accuracy"/>
-    <keyword type="property" name="The &quot;Altitude&quot; property" link="gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Altitude"/>
-    <keyword type="property" name="The &quot;Speed&quot; property" link="gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Speed"/>
-    <keyword type="property" name="The &quot;Heading&quot; property" link="gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Heading"/>
-    <keyword type="property" name="The &quot;Description&quot; property" link="gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Description"/>
-    <keyword type="property" name="The &quot;Timestamp&quot; property" link="gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Timestamp"/>
-    <keyword type="enum" name="enum GClueAccuracyLevel" link="geoclue-gclue-enums.html#GClueAccuracyLevel"/>
-    <keyword type="method" name="The AuthorizeApp() method" link="gdbus-org.freedesktop.GeoClue2.Agent.html#gdbus-method-org-freedesktop-GeoClue2-Agent.AuthorizeApp"/>
-    <keyword type="property" name="The &quot;MaxAccuracyLevel&quot; property" link="gdbus-org.freedesktop.GeoClue2.Agent.html#gdbus-property-org-freedesktop-GeoClue2-Agent.MaxAccuracyLevel"/>
-    <keyword type="constant" name="GCLUE_ACCURACY_LEVEL_NONE" link="geoclue-gclue-enums.html#GCLUE-ACCURACY-LEVEL-NONE:CAPS"/>
-    <keyword type="constant" name="GCLUE_ACCURACY_LEVEL_COUNTRY" link="geoclue-gclue-enums.html#GCLUE-ACCURACY-LEVEL-COUNTRY:CAPS"/>
-    <keyword type="constant" name="GCLUE_ACCURACY_LEVEL_CITY" link="geoclue-gclue-enums.html#GCLUE-ACCURACY-LEVEL-CITY:CAPS"/>
-    <keyword type="constant" name="GCLUE_ACCURACY_LEVEL_NEIGHBORHOOD" link="geoclue-gclue-enums.html#GCLUE-ACCURACY-LEVEL-NEIGHBORHOOD:CAPS"/>
-    <keyword type="constant" name="GCLUE_ACCURACY_LEVEL_STREET" link="geoclue-gclue-enums.html#GCLUE-ACCURACY-LEVEL-STREET:CAPS"/>
-    <keyword type="constant" name="GCLUE_ACCURACY_LEVEL_EXACT" link="geoclue-gclue-enums.html#GCLUE-ACCURACY-LEVEL-EXACT:CAPS"/>
-  </functions>
-</book>
diff -pruN 2.4.10-1/docs/html/geoclue-gclue-enums.html 2.4.11-1/docs/html/geoclue-gclue-enums.html
--- 2.4.10-1/docs/html/geoclue-gclue-enums.html	2018-05-03 14:24:01.000000000 +0000
+++ 2.4.11-1/docs/html/geoclue-gclue-enums.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,126 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>gclue-enums: Geoclue Reference Manual</title>
-<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
-<link rel="home" href="index.html" title="Geoclue Reference Manual">
-<link rel="up" href="ref-dbus.html" title="D-Bus API Reference">
-<link rel="prev" href="gdbus-org.freedesktop.GeoClue2.Location.html" title="org.freedesktop.GeoClue2.Location">
-<link rel="next" href="ref-agent-dbus.html" title="Agent D-Bus API Reference">
-<meta name="generator" content="GTK-Doc V1.27 (XML mode)">
-<link rel="stylesheet" href="style.css" type="text/css">
-</head>
-<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
-<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
-<td width="100%" align="left" class="shortcuts">
-<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
-                  <a href="#geoclue-gclue-enums.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
-                  <a href="#geoclue-gclue-enums.object-hierarchy" class="shortcut">Object Hierarchy</a></span>
-</td>
-<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
-<td><a accesskey="u" href="ref-dbus.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
-<td><a accesskey="p" href="gdbus-org.freedesktop.GeoClue2.Location.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
-<td><a accesskey="n" href="ref-agent-dbus.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
-</tr></table>
-<div class="refentry">
-<a name="geoclue-gclue-enums"></a><div class="titlepage"></div>
-<div class="refnamediv"><table width="100%"><tr>
-<td valign="top">
-<h2><span class="refentrytitle"><a name="geoclue-gclue-enums.top_of_page"></a>gclue-enums</span></h2>
-<p>gclue-enums</p>
-</td>
-<td class="gallery_image" valign="top" align="right"></td>
-</tr></table></div>
-<div class="refsect1">
-<a name="geoclue-gclue-enums.other"></a><h2>Types and Values</h2>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="name">
-<col class="description">
-</colgroup>
-<tbody><tr>
-<td class="datatype_keyword">enum</td>
-<td class="function_name"><a class="link" href="geoclue-gclue-enums.html#GClueAccuracyLevel" title="enum GClueAccuracyLevel">GClueAccuracyLevel</a></td>
-</tr></tbody>
-</table></div>
-</div>
-<div class="refsect1">
-<a name="geoclue-gclue-enums.object-hierarchy"></a><h2>Object Hierarchy</h2>
-<pre class="screen">    <a href="/usr/share/gtk-doc/html/gobject/gobject-Enumeration-and-Flag-Types.html">GEnum</a>
-    <span class="lineart">╰──</span> GClueAccuracyLevel
-</pre>
-</div>
-<div class="refsect1">
-<a name="geoclue-gclue-enums.description"></a><h2>Description</h2>
-</div>
-<div class="refsect1">
-<a name="geoclue-gclue-enums.functions_details"></a><h2>Functions</h2>
-<p></p>
-</div>
-<div class="refsect1">
-<a name="geoclue-gclue-enums.other_details"></a><h2>Types and Values</h2>
-<div class="refsect2">
-<a name="GClueAccuracyLevel"></a><h3>enum GClueAccuracyLevel</h3>
-<p>Used to specify level of accuracy requested by, or allowed for a client.</p>
-<div class="refsect3">
-<a name="GClueAccuracyLevel.members"></a><h4>Members</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="300px" class="enum_members_name">
-<col class="enum_members_description">
-<col width="200px" class="enum_members_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="enum_member_name"><p><a name="GCLUE-ACCURACY-LEVEL-NONE:CAPS"></a>GCLUE_ACCURACY_LEVEL_NONE</p></td>
-<td class="enum_member_description">
-<p>Accuracy level unknown or unset.</p>
-</td>
-<td class="enum_member_annotations"> </td>
-</tr>
-<tr>
-<td class="enum_member_name"><p><a name="GCLUE-ACCURACY-LEVEL-COUNTRY:CAPS"></a>GCLUE_ACCURACY_LEVEL_COUNTRY</p></td>
-<td class="enum_member_description">
-<p>Country-level accuracy.</p>
-</td>
-<td class="enum_member_annotations"> </td>
-</tr>
-<tr>
-<td class="enum_member_name"><p><a name="GCLUE-ACCURACY-LEVEL-CITY:CAPS"></a>GCLUE_ACCURACY_LEVEL_CITY</p></td>
-<td class="enum_member_description">
-<p>City-level accuracy.</p>
-</td>
-<td class="enum_member_annotations"> </td>
-</tr>
-<tr>
-<td class="enum_member_name"><p><a name="GCLUE-ACCURACY-LEVEL-NEIGHBORHOOD:CAPS"></a>GCLUE_ACCURACY_LEVEL_NEIGHBORHOOD</p></td>
-<td class="enum_member_description">
-<p>neighborhood-level accuracy.</p>
-</td>
-<td class="enum_member_annotations"> </td>
-</tr>
-<tr>
-<td class="enum_member_name"><p><a name="GCLUE-ACCURACY-LEVEL-STREET:CAPS"></a>GCLUE_ACCURACY_LEVEL_STREET</p></td>
-<td class="enum_member_description">
-<p>Street-level accuracy.</p>
-</td>
-<td class="enum_member_annotations"> </td>
-</tr>
-<tr>
-<td class="enum_member_name"><p><a name="GCLUE-ACCURACY-LEVEL-EXACT:CAPS"></a>GCLUE_ACCURACY_LEVEL_EXACT</p></td>
-<td class="enum_member_description">
-<p>Exact accuracy. Typically requires GPS receiver.</p>
-</td>
-<td class="enum_member_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-</div>
-</div>
-<div class="footer">
-<hr>Generated by GTK-Doc V1.27</div>
-</body>
-</html>
\ No newline at end of file
Binary files 2.4.10-1/docs/html/home.png and 2.4.11-1/docs/html/home.png differ
diff -pruN 2.4.10-1/docs/html/index.html 2.4.11-1/docs/html/index.html
--- 2.4.10-1/docs/html/index.html	2018-05-03 14:24:01.000000000 +0000
+++ 2.4.11-1/docs/html/index.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,87 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>Geoclue Reference Manual: Geoclue Reference Manual</title>
-<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
-<link rel="home" href="index.html" title="Geoclue Reference Manual">
-<link rel="next" href="ref-dbus.html" title="D-Bus API Reference">
-<meta name="generator" content="GTK-Doc V1.27 (XML mode)">
-<link rel="stylesheet" href="style.css" type="text/css">
-</head>
-<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
-<div class="book">
-<div class="titlepage">
-<div>
-<div><table class="navigation" id="top" width="100%" cellpadding="2" cellspacing="0"><tr><th valign="middle"><p class="title">Geoclue Reference Manual</p></th></tr></table></div>
-<div><div class="authorgroup"><div class="author">
-<h3 class="author">
-<span class="firstname">Zeeshan</span> <span class="surname">Ali (Khattak)</span>
-</h3>
-<div class="affiliation"><div class="address"><p><br>
-	    <code class="email">&lt;<a class="email" href="mailto:zeeshanak@gnome.org">zeeshanak@gnome.org</a>&gt;</code><br>
-	  </p></div></div>
-</div></div></div>
-<div><p class="releaseinfo">Version 2.4.10
-</p></div>
-<div><p class="copyright">Copyright © 2013, 2014 Red Hat, Inc.</p></div>
-<div><div class="legalnotice">
-<a name="id-1.1.5"></a><p>
-	Permission is granted to copy, distribute and/or modify this
-	document under the terms of the <em class="citetitle">GNU Free
-	Documentation License</em>, Version 1.1 or any later
-	version published by the Free Software Foundation with no
-	Invariant Sections, no Front-Cover Texts, and no Back-Cover
-	Texts. You may obtain a copy of the <em class="citetitle">GNU Free
-	Documentation License</em> from the Free Software
-	Foundation by visiting <a class="ulink" href="http://www.fsf.org" target="_top">their Web site</a> or by writing
-	to:
-
-	</p>
-<div class="address"><p><br>
-	  The Free Software Foundation, Inc.,<br>
-	  <span class="street">59 Temple Place</span> - Suite 330,<br>
-	  <span class="city">Boston</span>, <span class="state">MA</span> <span class="postcode">02111-1307</span>,<br>
-	  <span class="country">USA</span><br>
-	</p></div>
-<p>
-      </p>
-<p>
-	Many of the names used by companies to distinguish their
-	products and services are claimed as trademarks. Where those
-	names appear in any GNOME documentation, and those trademarks
-	are made aware to the members of the GNOME Documentation
-	Project, the names have been printed in caps or initial caps.
-      </p>
-</div></div>
-</div>
-<hr>
-</div>
-<div class="toc"><dl class="toc">
-<dt><span class="reference"><a href="ref-dbus.html">I. D-Bus API Reference</a></span></dt>
-<dd><dl>
-<dt>
-<span class="refentrytitle"><a href="gdbus-org.freedesktop.GeoClue2.Manager.html">org.freedesktop.GeoClue2.Manager</a></span><span class="refpurpose"> — The GeoClue service manager</span>
-</dt>
-<dt>
-<span class="refentrytitle"><a href="gdbus-org.freedesktop.GeoClue2.Client.html">org.freedesktop.GeoClue2.Client</a></span><span class="refpurpose"> — The Application-specific client API</span>
-</dt>
-<dt>
-<span class="refentrytitle"><a href="gdbus-org.freedesktop.GeoClue2.Location.html">org.freedesktop.GeoClue2.Location</a></span><span class="refpurpose"> — The Location interface</span>
-</dt>
-<dt>
-<span class="refentrytitle"><a href="geoclue-gclue-enums.html">gclue-enums</a></span><span class="refpurpose"></span>
-</dt>
-</dl></dd>
-<dt><span class="reference"><a href="ref-agent-dbus.html">II. Agent D-Bus API Reference</a></span></dt>
-<dd><dl><dt>
-<span class="refentrytitle"><a href="gdbus-org.freedesktop.GeoClue2.Agent.html">org.freedesktop.GeoClue2.Agent</a></span><span class="refpurpose"> — The GeoClue agent interface</span>
-</dt></dl></dd>
-<dt><span class="index"><a href="ix01.html">Index</a></span></dt>
-<dt><span class="appendix"><a href="license.html">A. License</a></span></dt>
-</dl></div>
-</div>
-<div class="footer">
-<hr>Generated by GTK-Doc V1.27</div>
-</body>
-</html>
\ No newline at end of file
diff -pruN 2.4.10-1/docs/html/ix01.html 2.4.11-1/docs/html/ix01.html
--- 2.4.10-1/docs/html/ix01.html	2018-05-03 14:24:01.000000000 +0000
+++ 2.4.11-1/docs/html/ix01.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,110 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>Index: Geoclue Reference Manual</title>
-<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
-<link rel="home" href="index.html" title="Geoclue Reference Manual">
-<link rel="up" href="index.html" title="Geoclue Reference Manual">
-<link rel="prev" href="gdbus-org.freedesktop.GeoClue2.Agent.html" title="org.freedesktop.GeoClue2.Agent">
-<link rel="next" href="license.html" title="Appendix A. License">
-<meta name="generator" content="GTK-Doc V1.27 (XML mode)">
-<link rel="stylesheet" href="style.css" type="text/css">
-</head>
-<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
-<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
-<td width="100%" align="left" class="shortcuts"></td>
-<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
-<td><img src="up-insensitive.png" width="16" height="16" border="0"></td>
-<td><a accesskey="p" href="gdbus-org.freedesktop.GeoClue2.Agent.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
-<td><a accesskey="n" href="license.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
-</tr></table>
-<div class="index">
-<div class="titlepage"><div><div><h1 class="title">
-<a name="id-1.4"></a>Index</h1></div></div></div>
-<div xmlns:xlink="http://www.w3.org/1999/xlink" class="index">
-<div class="indexdiv">
-<h3>A</h3>
-<dl>
-<dt id="ientry-idm140057360035984">org.freedesktop.GeoClue2.Agent, <a class="indexterm" href="gdbus-org.freedesktop.GeoClue2.Agent.html#gdbus-interface-org-freedesktop-GeoClue2-Agent.top_of_page">org.freedesktop.GeoClue2.Agent</a>
-</dt>
-<dt id="ientry-idm140057362533184">org.freedesktop.GeoClue2.Agent.AuthorizeApp(), <a class="indexterm" href="gdbus-org.freedesktop.GeoClue2.Agent.html#gdbus-method-org-freedesktop-GeoClue2-Agent.AuthorizeApp">The AuthorizeApp() method</a>
-</dt>
-<dt id="ientry-idm140057363040640">org.freedesktop.GeoClue2.Agent:MaxAccuracyLevel, <a class="indexterm" href="gdbus-org.freedesktop.GeoClue2.Agent.html#gdbus-property-org-freedesktop-GeoClue2-Agent.MaxAccuracyLevel">The "MaxAccuracyLevel" property</a>
-</dt>
-</dl>
-</div>
-<div class="indexdiv">
-<h3>C</h3>
-<dl>
-<dt id="ientry-idm140057361343344">org.freedesktop.GeoClue2.Client, <a class="indexterm" href="gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-interface-org-freedesktop-GeoClue2-Client.top_of_page">org.freedesktop.GeoClue2.Client</a>
-</dt>
-<dt id="ientry-idm140057360315408">org.freedesktop.GeoClue2.Client.Start(), <a class="indexterm" href="gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-method-org-freedesktop-GeoClue2-Client.Start">The Start() method</a>
-</dt>
-<dt id="ientry-idm140057363175376">org.freedesktop.GeoClue2.Client.Stop(), <a class="indexterm" href="gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-method-org-freedesktop-GeoClue2-Client.Stop">The Stop() method</a>
-</dt>
-<dt id="ientry-idm140057363169520">org.freedesktop.GeoClue2.Client::LocationUpdated, <a class="indexterm" href="gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-signal-org-freedesktop-GeoClue2-Client.LocationUpdated">The "LocationUpdated" signal</a>
-</dt>
-<dt id="ientry-idm140057362439296">org.freedesktop.GeoClue2.Client:Active, <a class="indexterm" href="gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.Active">The "Active" property</a>
-</dt>
-<dt id="ientry-idm140057362448560">org.freedesktop.GeoClue2.Client:DesktopId, <a class="indexterm" href="gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.DesktopId">The "DesktopId" property</a>
-</dt>
-<dt id="ientry-idm140057363116880">org.freedesktop.GeoClue2.Client:DistanceThreshold, <a class="indexterm" href="gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.DistanceThreshold">The "DistanceThreshold" property</a>
-</dt>
-<dt id="ientry-idm140057363121712">org.freedesktop.GeoClue2.Client:Location, <a class="indexterm" href="gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.Location">The "Location" property</a>
-</dt>
-<dt id="ientry-idm140057362444256">org.freedesktop.GeoClue2.Client:RequestedAccuracyLevel, <a class="indexterm" href="gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.RequestedAccuracyLevel">The "RequestedAccuracyLevel" property</a>
-</dt>
-<dt id="ientry-idm140057362452704">org.freedesktop.GeoClue2.Client:TimeThreshold, <a class="indexterm" href="gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.TimeThreshold">The "TimeThreshold" property</a>
-</dt>
-</dl>
-</div>
-<div class="indexdiv">
-<h3>G</h3>
-<dl><dt id="ientry-idm140057361043792">GClueAccuracyLevel, <a class="indexterm" href="geoclue-gclue-enums.html#GClueAccuracyLevel">enum GClueAccuracyLevel</a>
-</dt></dl>
-</div>
-<div class="indexdiv">
-<h3>L</h3>
-<dl>
-<dt id="ientry-idm140057359830064">org.freedesktop.GeoClue2.Location, <a class="indexterm" href="gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-interface-org-freedesktop-GeoClue2-Location.top_of_page">org.freedesktop.GeoClue2.Location</a>
-</dt>
-<dt id="ientry-idm140057360594016">org.freedesktop.GeoClue2.Location:Accuracy, <a class="indexterm" href="gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Accuracy">The "Accuracy" property</a>
-</dt>
-<dt id="ientry-idm140057362551184">org.freedesktop.GeoClue2.Location:Altitude, <a class="indexterm" href="gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Altitude">The "Altitude" property</a>
-</dt>
-<dt id="ientry-idm140057358705520">org.freedesktop.GeoClue2.Location:Description, <a class="indexterm" href="gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Description">The "Description" property</a>
-</dt>
-<dt id="ientry-idm140057358709536">org.freedesktop.GeoClue2.Location:Heading, <a class="indexterm" href="gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Heading">The "Heading" property</a>
-</dt>
-<dt id="ientry-idm140057362705280">org.freedesktop.GeoClue2.Location:Latitude, <a class="indexterm" href="gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Latitude">The "Latitude" property</a>
-</dt>
-<dt id="ientry-idm140057360598096">org.freedesktop.GeoClue2.Location:Longitude, <a class="indexterm" href="gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Longitude">The "Longitude" property</a>
-</dt>
-<dt id="ientry-idm140057362547200">org.freedesktop.GeoClue2.Location:Speed, <a class="indexterm" href="gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Speed">The "Speed" property</a>
-</dt>
-<dt id="ientry-idm140057358700768">org.freedesktop.GeoClue2.Location:Timestamp, <a class="indexterm" href="gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Timestamp">The "Timestamp" property</a>
-</dt>
-</dl>
-</div>
-<div class="indexdiv">
-<h3>M</h3>
-<dl>
-<dt id="ientry-idm140057361776160">org.freedesktop.GeoClue2.Manager, <a class="indexterm" href="gdbus-org.freedesktop.GeoClue2.Manager.html#gdbus-interface-org-freedesktop-GeoClue2-Manager.top_of_page">org.freedesktop.GeoClue2.Manager</a>
-</dt>
-<dt id="ientry-idm140057368043248">org.freedesktop.GeoClue2.Manager.AddAgent(), <a class="indexterm" href="gdbus-org.freedesktop.GeoClue2.Manager.html#gdbus-method-org-freedesktop-GeoClue2-Manager.AddAgent">The AddAgent() method</a>
-</dt>
-<dt id="ientry-idm140057368050448">org.freedesktop.GeoClue2.Manager.GetClient(), <a class="indexterm" href="gdbus-org.freedesktop.GeoClue2.Manager.html#gdbus-method-org-freedesktop-GeoClue2-Manager.GetClient">The GetClient() method</a>
-</dt>
-<dt id="ientry-idm140057368138976">org.freedesktop.GeoClue2.Manager:AvailableAccuracyLevel, <a class="indexterm" href="gdbus-org.freedesktop.GeoClue2.Manager.html#gdbus-property-org-freedesktop-GeoClue2-Manager.AvailableAccuracyLevel">The "AvailableAccuracyLevel" property</a>
-</dt>
-<dt id="ientry-idm140057367961696">org.freedesktop.GeoClue2.Manager:InUse, <a class="indexterm" href="gdbus-org.freedesktop.GeoClue2.Manager.html#gdbus-property-org-freedesktop-GeoClue2-Manager.InUse">The "InUse" property</a>
-</dt>
-</dl>
-</div>
-</div>
-</div>
-<div class="footer">
-<hr>Generated by GTK-Doc V1.27</div>
-</body>
-</html>
\ No newline at end of file
Binary files 2.4.10-1/docs/html/left-insensitive.png and 2.4.11-1/docs/html/left-insensitive.png differ
Binary files 2.4.10-1/docs/html/left.png and 2.4.11-1/docs/html/left.png differ
diff -pruN 2.4.10-1/docs/html/license.html 2.4.11-1/docs/html/license.html
--- 2.4.10-1/docs/html/license.html	2018-05-03 14:24:01.000000000 +0000
+++ 2.4.11-1/docs/html/license.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,861 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>Appendix A. License: Geoclue Reference Manual</title>
-<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
-<link rel="home" href="index.html" title="Geoclue Reference Manual">
-<link rel="up" href="index.html" title="Geoclue Reference Manual">
-<link rel="prev" href="ix01.html" title="Index">
-<meta name="generator" content="GTK-Doc V1.27 (XML mode)">
-<link rel="stylesheet" href="style.css" type="text/css">
-</head>
-<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
-<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
-<td width="100%" align="left" class="shortcuts"></td>
-<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
-<td><img src="up-insensitive.png" width="16" height="16" border="0"></td>
-<td><a accesskey="p" href="ix01.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
-<td><img src="right-insensitive.png" width="16" height="16" border="0"></td>
-</tr></table>
-<div class="appendix">
-<div class="titlepage"><div><div><h1 class="title">
-<a name="license"></a>Appendix A. License</h1></div></div></div>
-<p>
-</p>
-<pre class="programlisting">The source code of Geoclue is licensed to you under the GNU General Public
-License version 2, or (at your option) any later version.
-
-========================================================================
-
-                    GNU GENERAL PUBLIC LICENSE
-                       Version 2, June 1991
-
- Copyright 1989, 1991 Free Software Foundation, Inc.,
- 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
- Everyone is permitted to copy and distribute verbatim copies
- of this license document, but changing it is not allowed.
-
-                            Preamble
-
-  The licenses for most software are designed to take away your
-freedom to share and change it.  By contrast, the GNU General Public
-License is intended to guarantee your freedom to share and change free
-software--to make sure the software is free for all its users.  This
-General Public License applies to most of the Free Software
-Foundation's software and to any other program whose authors commit to
-using it.  (Some other Free Software Foundation software is covered by
-the GNU Lesser General Public License instead.)  You can apply it to
-your programs, too.
-
-  When we speak of free software, we are referring to freedom, not
-price.  Our General Public Licenses are designed to make sure that you
-have the freedom to distribute copies of free software (and charge for
-this service if you wish), that you receive source code or can get it
-if you want it, that you can change the software or use pieces of it
-in new free programs; and that you know you can do these things.
-
-  To protect your rights, we need to make restrictions that forbid
-anyone to deny you these rights or to ask you to surrender the rights.
-These restrictions translate to certain responsibilities for you if you
-distribute copies of the software, or if you modify it.
-
-  For example, if you distribute copies of such a program, whether
-gratis or for a fee, you must give the recipients all the rights that
-you have.  You must make sure that they, too, receive or can get the
-source code.  And you must show them these terms so they know their
-rights.
-
-  We protect your rights with two steps: (1) copyright the software, and
-(2) offer you this license which gives you legal permission to copy,
-distribute and/or modify the software.
-
-  Also, for each author's protection and ours, we want to make certain
-that everyone understands that there is no warranty for this free
-software.  If the software is modified by someone else and passed on, we
-want its recipients to know that what they have is not the original, so
-that any problems introduced by others will not reflect on the original
-authors' reputations.
-
-  Finally, any free program is threatened constantly by software
-patents.  We wish to avoid the danger that redistributors of a free
-program will individually obtain patent licenses, in effect making the
-program proprietary.  To prevent this, we have made it clear that any
-patent must be licensed for everyone's free use or not licensed at all.
-
-  The precise terms and conditions for copying, distribution and
-modification follow.
-
-                    GNU GENERAL PUBLIC LICENSE
-   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
-
-  0. This License applies to any program or other work which contains
-a notice placed by the copyright holder saying it may be distributed
-under the terms of this General Public License.  The "Program", below,
-refers to any such program or work, and a "work based on the Program"
-means either the Program or any derivative work under copyright law:
-that is to say, a work containing the Program or a portion of it,
-either verbatim or with modifications and/or translated into another
-language.  (Hereinafter, translation is included without limitation in
-the term "modification".)  Each licensee is addressed as "you".
-
-Activities other than copying, distribution and modification are not
-covered by this License; they are outside its scope.  The act of
-running the Program is not restricted, and the output from the Program
-is covered only if its contents constitute a work based on the
-Program (independent of having been made by running the Program).
-Whether that is true depends on what the Program does.
-
-  1. You may copy and distribute verbatim copies of the Program's
-source code as you receive it, in any medium, provided that you
-conspicuously and appropriately publish on each copy an appropriate
-copyright notice and disclaimer of warranty; keep intact all the
-notices that refer to this License and to the absence of any warranty;
-and give any other recipients of the Program a copy of this License
-along with the Program.
-
-You may charge a fee for the physical act of transferring a copy, and
-you may at your option offer warranty protection in exchange for a fee.
-
-  2. You may modify your copy or copies of the Program or any portion
-of it, thus forming a work based on the Program, and copy and
-distribute such modifications or work under the terms of Section 1
-above, provided that you also meet all of these conditions:
-
-    a) You must cause the modified files to carry prominent notices
-    stating that you changed the files and the date of any change.
-
-    b) You must cause any work that you distribute or publish, that in
-    whole or in part contains or is derived from the Program or any
-    part thereof, to be licensed as a whole at no charge to all third
-    parties under the terms of this License.
-
-    c) If the modified program normally reads commands interactively
-    when run, you must cause it, when started running for such
-    interactive use in the most ordinary way, to print or display an
-    announcement including an appropriate copyright notice and a
-    notice that there is no warranty (or else, saying that you provide
-    a warranty) and that users may redistribute the program under
-    these conditions, and telling the user how to view a copy of this
-    License.  (Exception: if the Program itself is interactive but
-    does not normally print such an announcement, your work based on
-    the Program is not required to print an announcement.)
-
-These requirements apply to the modified work as a whole.  If
-identifiable sections of that work are not derived from the Program,
-and can be reasonably considered independent and separate works in
-themselves, then this License, and its terms, do not apply to those
-sections when you distribute them as separate works.  But when you
-distribute the same sections as part of a whole which is a work based
-on the Program, the distribution of the whole must be on the terms of
-this License, whose permissions for other licensees extend to the
-entire whole, and thus to each and every part regardless of who wrote it.
-
-Thus, it is not the intent of this section to claim rights or contest
-your rights to work written entirely by you; rather, the intent is to
-exercise the right to control the distribution of derivative or
-collective works based on the Program.
-
-In addition, mere aggregation of another work not based on the Program
-with the Program (or with a work based on the Program) on a volume of
-a storage or distribution medium does not bring the other work under
-the scope of this License.
-
-  3. You may copy and distribute the Program (or a work based on it,
-under Section 2) in object code or executable form under the terms of
-Sections 1 and 2 above provided that you also do one of the following:
-
-    a) Accompany it with the complete corresponding machine-readable
-    source code, which must be distributed under the terms of Sections
-    1 and 2 above on a medium customarily used for software interchange; or,
-
-    b) Accompany it with a written offer, valid for at least three
-    years, to give any third party, for a charge no more than your
-    cost of physically performing source distribution, a complete
-    machine-readable copy of the corresponding source code, to be
-    distributed under the terms of Sections 1 and 2 above on a medium
-    customarily used for software interchange; or,
-
-    c) Accompany it with the information you received as to the offer
-    to distribute corresponding source code.  (This alternative is
-    allowed only for noncommercial distribution and only if you
-    received the program in object code or executable form with such
-    an offer, in accord with Subsection b above.)
-
-The source code for a work means the preferred form of the work for
-making modifications to it.  For an executable work, complete source
-code means all the source code for all modules it contains, plus any
-associated interface definition files, plus the scripts used to
-control compilation and installation of the executable.  However, as a
-special exception, the source code distributed need not include
-anything that is normally distributed (in either source or binary
-form) with the major components (compiler, kernel, and so on) of the
-operating system on which the executable runs, unless that component
-itself accompanies the executable.
-
-If distribution of executable or object code is made by offering
-access to copy from a designated place, then offering equivalent
-access to copy the source code from the same place counts as
-distribution of the source code, even though third parties are not
-compelled to copy the source along with the object code.
-
-  4. You may not copy, modify, sublicense, or distribute the Program
-except as expressly provided under this License.  Any attempt
-otherwise to copy, modify, sublicense or distribute the Program is
-void, and will automatically terminate your rights under this License.
-However, parties who have received copies, or rights, from you under
-this License will not have their licenses terminated so long as such
-parties remain in full compliance.
-
-  5. You are not required to accept this License, since you have not
-signed it.  However, nothing else grants you permission to modify or
-distribute the Program or its derivative works.  These actions are
-prohibited by law if you do not accept this License.  Therefore, by
-modifying or distributing the Program (or any work based on the
-Program), you indicate your acceptance of this License to do so, and
-all its terms and conditions for copying, distributing or modifying
-the Program or works based on it.
-
-  6. Each time you redistribute the Program (or any work based on the
-Program), the recipient automatically receives a license from the
-original licensor to copy, distribute or modify the Program subject to
-these terms and conditions.  You may not impose any further
-restrictions on the recipients' exercise of the rights granted herein.
-You are not responsible for enforcing compliance by third parties to
-this License.
-
-  7. If, as a consequence of a court judgment or allegation of patent
-infringement or for any other reason (not limited to patent issues),
-conditions are imposed on you (whether by court order, agreement or
-otherwise) that contradict the conditions of this License, they do not
-excuse you from the conditions of this License.  If you cannot
-distribute so as to satisfy simultaneously your obligations under this
-License and any other pertinent obligations, then as a consequence you
-may not distribute the Program at all.  For example, if a patent
-license would not permit royalty-free redistribution of the Program by
-all those who receive copies directly or indirectly through you, then
-the only way you could satisfy both it and this License would be to
-refrain entirely from distribution of the Program.
-
-If any portion of this section is held invalid or unenforceable under
-any particular circumstance, the balance of the section is intended to
-apply and the section as a whole is intended to apply in other
-circumstances.
-
-It is not the purpose of this section to induce you to infringe any
-patents or other property right claims or to contest validity of any
-such claims; this section has the sole purpose of protecting the
-integrity of the free software distribution system, which is
-implemented by public license practices.  Many people have made
-generous contributions to the wide range of software distributed
-through that system in reliance on consistent application of that
-system; it is up to the author/donor to decide if he or she is willing
-to distribute software through any other system and a licensee cannot
-impose that choice.
-
-This section is intended to make thoroughly clear what is believed to
-be a consequence of the rest of this License.
-
-  8. If the distribution and/or use of the Program is restricted in
-certain countries either by patents or by copyrighted interfaces, the
-original copyright holder who places the Program under this License
-may add an explicit geographical distribution limitation excluding
-those countries, so that distribution is permitted only in or among
-countries not thus excluded.  In such case, this License incorporates
-the limitation as if written in the body of this License.
-
-  9. The Free Software Foundation may publish revised and/or new versions
-of the General Public License from time to time.  Such new versions will
-be similar in spirit to the present version, but may differ in detail to
-address new problems or concerns.
-
-Each version is given a distinguishing version number.  If the Program
-specifies a version number of this License which applies to it and "any
-later version", you have the option of following the terms and conditions
-either of that version or of any later version published by the Free
-Software Foundation.  If the Program does not specify a version number of
-this License, you may choose any version ever published by the Free Software
-Foundation.
-
-  10. If you wish to incorporate parts of the Program into other free
-programs whose distribution conditions are different, write to the author
-to ask for permission.  For software which is copyrighted by the Free
-Software Foundation, write to the Free Software Foundation; we sometimes
-make exceptions for this.  Our decision will be guided by the two goals
-of preserving the free status of all derivatives of our free software and
-of promoting the sharing and reuse of software generally.
-
-                            NO WARRANTY
-
-  11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
-FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN
-OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
-PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
-OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS
-TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE
-PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
-REPAIR OR CORRECTION.
-
-  12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
-WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
-REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
-INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
-OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
-TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
-YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
-PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
-POSSIBILITY OF SUCH DAMAGES.
-
-                     END OF TERMS AND CONDITIONS
-
-            How to Apply These Terms to Your New Programs
-
-  If you develop a new program, and you want it to be of the greatest
-possible use to the public, the best way to achieve this is to make it
-free software which everyone can redistribute and change under these terms.
-
-  To do so, attach the following notices to the program.  It is safest
-to attach them to the start of each source file to most effectively
-convey the exclusion of warranty; and each file should have at least
-the "copyright" line and a pointer to where the full notice is found.
-
-    &lt;one line to give the program's name and a brief idea of what it does.&gt;
-    Copyright &lt;year&gt;  &lt;name of author&gt;
-
-    This program is free software; you can redistribute it and/or modify
-    it under the terms of the GNU General Public License as published by
-    the Free Software Foundation; either version 2 of the License, or
-    (at your option) any later version.
-
-    This program is distributed in the hope that it will be useful,
-    but WITHOUT ANY WARRANTY; without even the implied warranty of
-    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-    GNU General Public License for more details.
-
-    You should have received a copy of the GNU General Public License along
-    with this program; if not, write to the Free Software Foundation, Inc.,
-    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
-
-Also add information on how to contact you by electronic and paper mail.
-
-If the program is interactive, make it output a short notice like this
-when it starts in an interactive mode:
-
-    Gnomovision version 69, Copyright year name of author
-    Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'.
-    This is free software, and you are welcome to redistribute it
-    under certain conditions; type `show c' for details.
-
-The hypothetical commands `show w' and `show c' should show the appropriate
-parts of the General Public License.  Of course, the commands you use may
-be called something other than `show w' and `show c'; they could even be
-mouse-clicks or menu items--whatever suits your program.
-
-You should also get your employer (if you work as a programmer) or your
-school, if any, to sign a "copyright disclaimer" for the program, if
-necessary.  Here is a sample; alter the names:
-
-  Yoyodyne, Inc., hereby disclaims all copyright interest in the program
-  `Gnomovision' (which makes passes at compilers) written by James Hacker.
-
-  &lt;signature of Ty Coon&gt;, 1 April 1989
-  Ty Coon, President of Vice
-
-This General Public License does not permit incorporating your program into
-proprietary programs.  If your program is a subroutine library, you may
-consider it more useful to permit linking proprietary applications with the
-library.  If this is what you want to do, use the GNU Lesser General
-Public License instead of this License.
-
-================================================================================
-
-                  GNU LIBRARY GENERAL PUBLIC LICENSE
-                       Version 2, June 1991
-
- Copyright 1991 Free Software Foundation, Inc.
- 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
- Everyone is permitted to copy and distribute verbatim copies
- of this license document, but changing it is not allowed.
-
-[This is the first released version of the library GPL.  It is
- numbered 2 because it goes with version 2 of the ordinary GPL.]
-
-                            Preamble
-
-  The licenses for most software are designed to take away your
-freedom to share and change it.  By contrast, the GNU General Public
-Licenses are intended to guarantee your freedom to share and change
-free software--to make sure the software is free for all its users.
-
-  This license, the Library General Public License, applies to some
-specially designated Free Software Foundation software, and to any
-other libraries whose authors decide to use it.  You can use it for
-your libraries, too.
-
-  When we speak of free software, we are referring to freedom, not
-price.  Our General Public Licenses are designed to make sure that you
-have the freedom to distribute copies of free software (and charge for
-this service if you wish), that you receive source code or can get it
-if you want it, that you can change the software or use pieces of it
-in new free programs; and that you know you can do these things.
-
-  To protect your rights, we need to make restrictions that forbid
-anyone to deny you these rights or to ask you to surrender the rights.
-These restrictions translate to certain responsibilities for you if
-you distribute copies of the library, or if you modify it.
-
-  For example, if you distribute copies of the library, whether gratis
-or for a fee, you must give the recipients all the rights that we gave
-you.  You must make sure that they, too, receive or can get the source
-code.  If you link a program with the library, you must provide
-complete object files to the recipients so that they can relink them
-with the library, after making changes to the library and recompiling
-it.  And you must show them these terms so they know their rights.
-
-  Our method of protecting your rights has two steps: (1) copyright
-the library, and (2) offer you this license which gives you legal
-permission to copy, distribute and/or modify the library.
-
-  Also, for each distributor's protection, we want to make certain
-that everyone understands that there is no warranty for this free
-library.  If the library is modified by someone else and passed on, we
-want its recipients to know that what they have is not the original
-version, so that any problems introduced by others will not reflect on
-the original authors' reputations.
-
-  Finally, any free program is threatened constantly by software
-patents.  We wish to avoid the danger that companies distributing free
-software will individually obtain patent licenses, thus in effect
-transforming the program into proprietary software.  To prevent this,
-we have made it clear that any patent must be licensed for everyone's
-free use or not licensed at all.
-
-  Most GNU software, including some libraries, is covered by the ordinary
-GNU General Public License, which was designed for utility programs.  This
-license, the GNU Library General Public License, applies to certain
-designated libraries.  This license is quite different from the ordinary
-one; be sure to read it in full, and don't assume that anything in it is
-the same as in the ordinary license.
-
-  The reason we have a separate public license for some libraries is that
-they blur the distinction we usually make between modifying or adding to a
-program and simply using it.  Linking a program with a library, without
-changing the library, is in some sense simply using the library, and is
-analogous to running a utility program or application program.  However, in
-a textual and legal sense, the linked executable is a combined work, a
-derivative of the original library, and the ordinary General Public License
-treats it as such.
-
-  Because of this blurred distinction, using the ordinary General
-Public License for libraries did not effectively promote software
-sharing, because most developers did not use the libraries.  We
-concluded that weaker conditions might promote sharing better.
-
-  However, unrestricted linking of non-free programs would deprive the
-users of those programs of all benefit from the free status of the
-libraries themselves.  This Library General Public License is intended to
-permit developers of non-free programs to use free libraries, while
-preserving your freedom as a user of such programs to change the free
-libraries that are incorporated in them.  (We have not seen how to achieve
-this as regards changes in header files, but we have achieved it as regards
-changes in the actual functions of the Library.)  The hope is that this
-will lead to faster development of free libraries.
-
-  The precise terms and conditions for copying, distribution and
-modification follow.  Pay close attention to the difference between a
-"work based on the library" and a "work that uses the library".  The
-former contains code derived from the library, while the latter only
-works together with the library.
-
-  Note that it is possible for a library to be covered by the ordinary
-General Public License rather than by this special one.
-
-                  GNU LIBRARY GENERAL PUBLIC LICENSE
-   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
-
-  0. This License Agreement applies to any software library which
-contains a notice placed by the copyright holder or other authorized
-party saying it may be distributed under the terms of this Library
-General Public License (also called "this License").  Each licensee is
-addressed as "you".
-
-  A "library" means a collection of software functions and/or data
-prepared so as to be conveniently linked with application programs
-(which use some of those functions and data) to form executables.
-
-  The "Library", below, refers to any such software library or work
-which has been distributed under these terms.  A "work based on the
-Library" means either the Library or any derivative work under
-copyright law: that is to say, a work containing the Library or a
-portion of it, either verbatim or with modifications and/or translated
-straightforwardly into another language.  (Hereinafter, translation is
-included without limitation in the term "modification".)
-
-  "Source code" for a work means the preferred form of the work for
-making modifications to it.  For a library, complete source code means
-all the source code for all modules it contains, plus any associated
-interface definition files, plus the scripts used to control compilation
-and installation of the library.
-
-  Activities other than copying, distribution and modification are not
-covered by this License; they are outside its scope.  The act of
-running a program using the Library is not restricted, and output from
-such a program is covered only if its contents constitute a work based
-on the Library (independent of the use of the Library in a tool for
-writing it).  Whether that is true depends on what the Library does
-and what the program that uses the Library does.
-  
-  1. You may copy and distribute verbatim copies of the Library's
-complete source code as you receive it, in any medium, provided that
-you conspicuously and appropriately publish on each copy an
-appropriate copyright notice and disclaimer of warranty; keep intact
-all the notices that refer to this License and to the absence of any
-warranty; and distribute a copy of this License along with the
-Library.
-
-  You may charge a fee for the physical act of transferring a copy,
-and you may at your option offer warranty protection in exchange for a
-fee.
-
-  2. You may modify your copy or copies of the Library or any portion
-of it, thus forming a work based on the Library, and copy and
-distribute such modifications or work under the terms of Section 1
-above, provided that you also meet all of these conditions:
-
-    a) The modified work must itself be a software library.
-
-    b) You must cause the files modified to carry prominent notices
-    stating that you changed the files and the date of any change.
-
-    c) You must cause the whole of the work to be licensed at no
-    charge to all third parties under the terms of this License.
-
-    d) If a facility in the modified Library refers to a function or a
-    table of data to be supplied by an application program that uses
-    the facility, other than as an argument passed when the facility
-    is invoked, then you must make a good faith effort to ensure that,
-    in the event an application does not supply such function or
-    table, the facility still operates, and performs whatever part of
-    its purpose remains meaningful.
-
-    (For example, a function in a library to compute square roots has
-    a purpose that is entirely well-defined independent of the
-    application.  Therefore, Subsection 2d requires that any
-    application-supplied function or table used by this function must
-    be optional: if the application does not supply it, the square
-    root function must still compute square roots.)
-
-These requirements apply to the modified work as a whole.  If
-identifiable sections of that work are not derived from the Library,
-and can be reasonably considered independent and separate works in
-themselves, then this License, and its terms, do not apply to those
-sections when you distribute them as separate works.  But when you
-distribute the same sections as part of a whole which is a work based
-on the Library, the distribution of the whole must be on the terms of
-this License, whose permissions for other licensees extend to the
-entire whole, and thus to each and every part regardless of who wrote
-it.
-
-Thus, it is not the intent of this section to claim rights or contest
-your rights to work written entirely by you; rather, the intent is to
-exercise the right to control the distribution of derivative or
-collective works based on the Library.
-
-In addition, mere aggregation of another work not based on the Library
-with the Library (or with a work based on the Library) on a volume of
-a storage or distribution medium does not bring the other work under
-the scope of this License.
-
-  3. You may opt to apply the terms of the ordinary GNU General Public
-License instead of this License to a given copy of the Library.  To do
-this, you must alter all the notices that refer to this License, so
-that they refer to the ordinary GNU General Public License, version 2,
-instead of to this License.  (If a newer version than version 2 of the
-ordinary GNU General Public License has appeared, then you can specify
-that version instead if you wish.)  Do not make any other change in
-these notices.
-
-  Once this change is made in a given copy, it is irreversible for
-that copy, so the ordinary GNU General Public License applies to all
-subsequent copies and derivative works made from that copy.
-
-  This option is useful when you wish to copy part of the code of
-the Library into a program that is not a library.
-
-  4. You may copy and distribute the Library (or a portion or
-derivative of it, under Section 2) in object code or executable form
-under the terms of Sections 1 and 2 above provided that you accompany
-it with the complete corresponding machine-readable source code, which
-must be distributed under the terms of Sections 1 and 2 above on a
-medium customarily used for software interchange.
-
-  If distribution of object code is made by offering access to copy
-from a designated place, then offering equivalent access to copy the
-source code from the same place satisfies the requirement to
-distribute the source code, even though third parties are not
-compelled to copy the source along with the object code.
-
-  5. A program that contains no derivative of any portion of the
-Library, but is designed to work with the Library by being compiled or
-linked with it, is called a "work that uses the Library".  Such a
-work, in isolation, is not a derivative work of the Library, and
-therefore falls outside the scope of this License.
-
-  However, linking a "work that uses the Library" with the Library
-creates an executable that is a derivative of the Library (because it
-contains portions of the Library), rather than a "work that uses the
-library".  The executable is therefore covered by this License.
-Section 6 states terms for distribution of such executables.
-
-  When a "work that uses the Library" uses material from a header file
-that is part of the Library, the object code for the work may be a
-derivative work of the Library even though the source code is not.
-Whether this is true is especially significant if the work can be
-linked without the Library, or if the work is itself a library.  The
-threshold for this to be true is not precisely defined by law.
-
-  If such an object file uses only numerical parameters, data
-structure layouts and accessors, and small macros and small inline
-functions (ten lines or less in length), then the use of the object
-file is unrestricted, regardless of whether it is legally a derivative
-work.  (Executables containing this object code plus portions of the
-Library will still fall under Section 6.)
-
-  Otherwise, if the work is a derivative of the Library, you may
-distribute the object code for the work under the terms of Section 6.
-Any executables containing that work also fall under Section 6,
-whether or not they are linked directly with the Library itself.
-
-  6. As an exception to the Sections above, you may also compile or
-link a "work that uses the Library" with the Library to produce a
-work containing portions of the Library, and distribute that work
-under terms of your choice, provided that the terms permit
-modification of the work for the customer's own use and reverse
-engineering for debugging such modifications.
-
-  You must give prominent notice with each copy of the work that the
-Library is used in it and that the Library and its use are covered by
-this License.  You must supply a copy of this License.  If the work
-during execution displays copyright notices, you must include the
-copyright notice for the Library among them, as well as a reference
-directing the user to the copy of this License.  Also, you must do one
-of these things:
-
-    a) Accompany the work with the complete corresponding
-    machine-readable source code for the Library including whatever
-    changes were used in the work (which must be distributed under
-    Sections 1 and 2 above); and, if the work is an executable linked
-    with the Library, with the complete machine-readable "work that
-    uses the Library", as object code and/or source code, so that the
-    user can modify the Library and then relink to produce a modified
-    executable containing the modified Library.  (It is understood
-    that the user who changes the contents of definitions files in the
-    Library will not necessarily be able to recompile the application
-    to use the modified definitions.)
-
-    b) Accompany the work with a written offer, valid for at
-    least three years, to give the same user the materials
-    specified in Subsection 6a, above, for a charge no more
-    than the cost of performing this distribution.
-
-    c) If distribution of the work is made by offering access to copy
-    from a designated place, offer equivalent access to copy the above
-    specified materials from the same place.
-
-    d) Verify that the user has already received a copy of these
-    materials or that you have already sent this user a copy.
-
-  For an executable, the required form of the "work that uses the
-Library" must include any data and utility programs needed for
-reproducing the executable from it.  However, as a special exception,
-the source code distributed need not include anything that is normally
-distributed (in either source or binary form) with the major
-components (compiler, kernel, and so on) of the operating system on
-which the executable runs, unless that component itself accompanies
-the executable.
-
-  It may happen that this requirement contradicts the license
-restrictions of other proprietary libraries that do not normally
-accompany the operating system.  Such a contradiction means you cannot
-use both them and the Library together in an executable that you
-distribute.
-
-  7. You may place library facilities that are a work based on the
-Library side-by-side in a single library together with other library
-facilities not covered by this License, and distribute such a combined
-library, provided that the separate distribution of the work based on
-the Library and of the other library facilities is otherwise
-permitted, and provided that you do these two things:
-
-    a) Accompany the combined library with a copy of the same work
-    based on the Library, uncombined with any other library
-    facilities.  This must be distributed under the terms of the
-    Sections above.
-
-    b) Give prominent notice with the combined library of the fact
-    that part of it is a work based on the Library, and explaining
-    where to find the accompanying uncombined form of the same work.
-
-  8. You may not copy, modify, sublicense, link with, or distribute
-the Library except as expressly provided under this License.  Any
-attempt otherwise to copy, modify, sublicense, link with, or
-distribute the Library is void, and will automatically terminate your
-rights under this License.  However, parties who have received copies,
-or rights, from you under this License will not have their licenses
-terminated so long as such parties remain in full compliance.
-
-  9. You are not required to accept this License, since you have not
-signed it.  However, nothing else grants you permission to modify or
-distribute the Library or its derivative works.  These actions are
-prohibited by law if you do not accept this License.  Therefore, by
-modifying or distributing the Library (or any work based on the
-Library), you indicate your acceptance of this License to do so, and
-all its terms and conditions for copying, distributing or modifying
-the Library or works based on it.
-
-  10. Each time you redistribute the Library (or any work based on the
-Library), the recipient automatically receives a license from the
-original licensor to copy, distribute, link with or modify the Library
-subject to these terms and conditions.  You may not impose any further
-restrictions on the recipients' exercise of the rights granted herein.
-You are not responsible for enforcing compliance by third parties to
-this License.
-
-  11. If, as a consequence of a court judgment or allegation of patent
-infringement or for any other reason (not limited to patent issues),
-conditions are imposed on you (whether by court order, agreement or
-otherwise) that contradict the conditions of this License, they do not
-excuse you from the conditions of this License.  If you cannot
-distribute so as to satisfy simultaneously your obligations under this
-License and any other pertinent obligations, then as a consequence you
-may not distribute the Library at all.  For example, if a patent
-license would not permit royalty-free redistribution of the Library by
-all those who receive copies directly or indirectly through you, then
-the only way you could satisfy both it and this License would be to
-refrain entirely from distribution of the Library.
-
-If any portion of this section is held invalid or unenforceable under any
-particular circumstance, the balance of the section is intended to apply,
-and the section as a whole is intended to apply in other circumstances.
-
-It is not the purpose of this section to induce you to infringe any
-patents or other property right claims or to contest validity of any
-such claims; this section has the sole purpose of protecting the
-integrity of the free software distribution system which is
-implemented by public license practices.  Many people have made
-generous contributions to the wide range of software distributed
-through that system in reliance on consistent application of that
-system; it is up to the author/donor to decide if he or she is willing
-to distribute software through any other system and a licensee cannot
-impose that choice.
-
-This section is intended to make thoroughly clear what is believed to
-be a consequence of the rest of this License.
-
-  12. If the distribution and/or use of the Library is restricted in
-certain countries either by patents or by copyrighted interfaces, the
-original copyright holder who places the Library under this License may add
-an explicit geographical distribution limitation excluding those countries,
-so that distribution is permitted only in or among countries not thus
-excluded.  In such case, this License incorporates the limitation as if
-written in the body of this License.
-
-  13. The Free Software Foundation may publish revised and/or new
-versions of the Library General Public License from time to time.
-Such new versions will be similar in spirit to the present version,
-but may differ in detail to address new problems or concerns.
-
-Each version is given a distinguishing version number.  If the Library
-specifies a version number of this License which applies to it and
-"any later version", you have the option of following the terms and
-conditions either of that version or of any later version published by
-the Free Software Foundation.  If the Library does not specify a
-license version number, you may choose any version ever published by
-the Free Software Foundation.
-
-  14. If you wish to incorporate parts of the Library into other free
-programs whose distribution conditions are incompatible with these,
-write to the author to ask for permission.  For software which is
-copyrighted by the Free Software Foundation, write to the Free
-Software Foundation; we sometimes make exceptions for this.  Our
-decision will be guided by the two goals of preserving the free status
-of all derivatives of our free software and of promoting the sharing
-and reuse of software generally.
-
-                            NO WARRANTY
-
-  15. BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO
-WARRANTY FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW.
-EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR
-OTHER PARTIES PROVIDE THE LIBRARY "AS IS" WITHOUT WARRANTY OF ANY
-KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE
-IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
-PURPOSE.  THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE
-LIBRARY IS WITH YOU.  SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME
-THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.
-
-  16. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN
-WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY
-AND/OR REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU
-FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR
-CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE
-LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING
-RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A
-FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF
-SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH
-DAMAGES.
-
-                     END OF TERMS AND CONDITIONS
-
-           How to Apply These Terms to Your New Libraries
-
-  If you develop a new library, and you want it to be of the greatest
-possible use to the public, we recommend making it free software that
-everyone can redistribute and change.  You can do so by permitting
-redistribution under these terms (or, alternatively, under the terms of the
-ordinary General Public License).
-
-  To apply these terms, attach the following notices to the library.  It is
-safest to attach them to the start of each source file to most effectively
-convey the exclusion of warranty; and each file should have at least the
-"copyright" line and a pointer to where the full notice is found.
-
-    &lt;one line to give the library's name and a brief idea of what it does.&gt;
-    Copyright &lt;year&gt;  &lt;name of author&gt;
-
-    This library is free software; you can redistribute it and/or
-    modify it under the terms of the GNU Library General Public
-    License as published by the Free Software Foundation; either
-    version 2 of the License, or (at your option) any later version.
-
-    This library is distributed in the hope that it will be useful,
-    but WITHOUT ANY WARRANTY; without even the implied warranty of
-    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-    Library General Public License for more details.
-
-    You should have received a copy of the GNU Library General Public
-    License along with this library; if not, write to the Free Software
-    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
-
-Also add information on how to contact you by electronic and paper mail.
-
-You should also get your employer (if you work as a programmer) or your
-school, if any, to sign a "copyright disclaimer" for the library, if
-necessary.  Here is a sample; alter the names:
-
-  Yoyodyne, Inc., hereby disclaims all copyright interest in the
-  library `Frob' (a library for tweaking knobs) written by James Random Hacker.
-
-  &lt;signature of Ty Coon&gt;, 1 April 1990
-  Ty Coon, President of Vice
-
-That's all there is to it!
-</pre>
-<p>
-    </p>
-</div>
-<div class="footer">
-<hr>Generated by GTK-Doc V1.27</div>
-</body>
-</html>
\ No newline at end of file
diff -pruN 2.4.10-1/docs/html/ref-agent-dbus.html 2.4.11-1/docs/html/ref-agent-dbus.html
--- 2.4.10-1/docs/html/ref-agent-dbus.html	2018-05-03 14:24:01.000000000 +0000
+++ 2.4.11-1/docs/html/ref-agent-dbus.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,45 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>Agent D-Bus API Reference: Geoclue Reference Manual</title>
-<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
-<link rel="home" href="index.html" title="Geoclue Reference Manual">
-<link rel="up" href="index.html" title="Geoclue Reference Manual">
-<link rel="prev" href="geoclue-gclue-enums.html" title="gclue-enums">
-<link rel="next" href="gdbus-org.freedesktop.GeoClue2.Agent.html" title="org.freedesktop.GeoClue2.Agent">
-<meta name="generator" content="GTK-Doc V1.27 (XML mode)">
-<link rel="stylesheet" href="style.css" type="text/css">
-</head>
-<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
-<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
-<td width="100%" align="left" class="shortcuts"></td>
-<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
-<td><img src="up-insensitive.png" width="16" height="16" border="0"></td>
-<td><a accesskey="p" href="geoclue-gclue-enums.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
-<td><a accesskey="n" href="gdbus-org.freedesktop.GeoClue2.Agent.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
-</tr></table>
-<div class="reference">
-<div class="titlepage">
-<div><div><h1 class="title">
-<a name="ref-agent-dbus"></a>Agent D-Bus API Reference</h1></div></div>
-<hr>
-</div>
-<div class="partintro">
-<div></div>
-<p>
-	This part documents the D-Bus interface that application-authorizing
-	agents must implement.
-      </p>
-<div class="toc">
-<p><b>Table of Contents</b></p>
-<dl class="toc"><dt>
-<span class="refentrytitle"><a href="gdbus-org.freedesktop.GeoClue2.Agent.html">org.freedesktop.GeoClue2.Agent</a></span><span class="refpurpose"> — The GeoClue agent interface</span>
-</dt></dl>
-</div>
-</div>
-</div>
-<div class="footer">
-<hr>Generated by GTK-Doc V1.27</div>
-</body>
-</html>
\ No newline at end of file
diff -pruN 2.4.10-1/docs/html/ref-dbus.html 2.4.11-1/docs/html/ref-dbus.html
--- 2.4.10-1/docs/html/ref-dbus.html	2018-05-03 14:24:01.000000000 +0000
+++ 2.4.11-1/docs/html/ref-dbus.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,56 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>D-Bus API Reference: Geoclue Reference Manual</title>
-<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
-<link rel="home" href="index.html" title="Geoclue Reference Manual">
-<link rel="up" href="index.html" title="Geoclue Reference Manual">
-<link rel="prev" href="index.html" title="Geoclue Reference Manual">
-<link rel="next" href="gdbus-org.freedesktop.GeoClue2.Manager.html" title="org.freedesktop.GeoClue2.Manager">
-<meta name="generator" content="GTK-Doc V1.27 (XML mode)">
-<link rel="stylesheet" href="style.css" type="text/css">
-</head>
-<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
-<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
-<td width="100%" align="left" class="shortcuts"></td>
-<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
-<td><img src="up-insensitive.png" width="16" height="16" border="0"></td>
-<td><a accesskey="p" href="index.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
-<td><a accesskey="n" href="gdbus-org.freedesktop.GeoClue2.Manager.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
-</tr></table>
-<div class="reference">
-<div class="titlepage">
-<div><div><h1 class="title">
-<a name="ref-dbus"></a>D-Bus API Reference</h1></div></div>
-<hr>
-</div>
-<div class="partintro">
-<div></div>
-<p>
-	This part documents the D-Bus interface used to access the
-	Geoclue service.
-      </p>
-<div class="toc">
-<p><b>Table of Contents</b></p>
-<dl class="toc">
-<dt>
-<span class="refentrytitle"><a href="gdbus-org.freedesktop.GeoClue2.Manager.html">org.freedesktop.GeoClue2.Manager</a></span><span class="refpurpose"> — The GeoClue service manager</span>
-</dt>
-<dt>
-<span class="refentrytitle"><a href="gdbus-org.freedesktop.GeoClue2.Client.html">org.freedesktop.GeoClue2.Client</a></span><span class="refpurpose"> — The Application-specific client API</span>
-</dt>
-<dt>
-<span class="refentrytitle"><a href="gdbus-org.freedesktop.GeoClue2.Location.html">org.freedesktop.GeoClue2.Location</a></span><span class="refpurpose"> — The Location interface</span>
-</dt>
-<dt>
-<span class="refentrytitle"><a href="geoclue-gclue-enums.html">gclue-enums</a></span><span class="refpurpose"></span>
-</dt>
-</dl>
-</div>
-</div>
-</div>
-<div class="footer">
-<hr>Generated by GTK-Doc V1.27</div>
-</body>
-</html>
\ No newline at end of file
Binary files 2.4.10-1/docs/html/right-insensitive.png and 2.4.11-1/docs/html/right-insensitive.png differ
Binary files 2.4.10-1/docs/html/right.png and 2.4.11-1/docs/html/right.png differ
diff -pruN 2.4.10-1/docs/html/style.css 2.4.11-1/docs/html/style.css
--- 2.4.10-1/docs/html/style.css	2018-05-03 14:24:01.000000000 +0000
+++ 2.4.11-1/docs/html/style.css	1970-01-01 00:00:00.000000000 +0000
@@ -1,479 +0,0 @@
-body
-{
-  font-family: cantarell, sans-serif;
-}
-.synopsis, .classsynopsis
-{
-  /* tango:aluminium 1/2 */
-  background: #eeeeec;
-  background: rgba(238, 238, 236, 0.5);
-  border: solid 1px rgb(238, 238, 236);
-  padding: 0.5em;
-}
-.programlisting
-{
-  /* tango:sky blue 0/1 */
-  /* fallback for no rgba support */
-  background: #e6f3ff;
-  border: solid 1px #729fcf;
-  background: rgba(114, 159, 207, 0.1);
-  border: solid 1px rgba(114, 159, 207, 0.2);
-  padding: 0.5em;
-}
-.variablelist
-{
-  padding: 4px;
-  margin-left: 3em;
-}
-.variablelist td:first-child
-{
-  vertical-align: top;
-}
-
-div.gallery-float
-{
-  float: left;
-  padding: 10px;
-}
-div.gallery-float img
-{
-  border-style: none;
-}
-div.gallery-spacer
-{
-  clear: both;
-}
-
-a, a:visited
-{
-  text-decoration: none;
-  /* tango:sky blue 2 */
-  color: #3465a4;
-}
-a:hover
-{
-  text-decoration: underline;
-  /* tango:sky blue 1 */
-  color: #729fcf;
-}
-
-div.informaltable table
-{
-  border-collapse: separate;
-  border-spacing: 1em 0.3em;
-  border: none;
-}
-
-div.informaltable table td, div.informaltable table th
-{
-  vertical-align: top;
-}
-
-.function_type,
-.variable_type,
-.property_type,
-.signal_type,
-.parameter_name,
-.struct_member_name,
-.union_member_name,
-.define_keyword,
-.datatype_keyword,
-.typedef_keyword
-{
-  text-align: right;
-}
-
-/* dim non-primary columns */
-.c_punctuation,
-.function_type,
-.variable_type,
-.property_type,
-.signal_type,
-.define_keyword,
-.datatype_keyword,
-.typedef_keyword,
-.property_flags,
-.signal_flags,
-.parameter_annotations,
-.enum_member_annotations,
-.struct_member_annotations,
-.union_member_annotations
-{
-  color: #888a85;
-}
-
-.function_type a,
-.function_type a:visited,
-.function_type a:hover,
-.property_type a,
-.property_type a:visited,
-.property_type a:hover,
-.signal_type a,
-.signal_type a:visited,
-.signal_type a:hover,
-.signal_flags a,
-.signal_flags a:visited,
-.signal_flags a:hover
-{
- color: #729fcf;
-}
-
-td p
-{
-  margin: 0.25em;
-}
-
-div.table table
-{
-  border-collapse: collapse;
-  border-spacing: 0px;
-  /* tango:aluminium 3 */
-  border: solid 1px #babdb6;
-}
-
-div.table table td, div.table table th
-{
-  /* tango:aluminium 3 */
-  border: solid 1px #babdb6;
-  padding: 3px;
-  vertical-align: top;
-}
-
-div.table table th
-{
-  /* tango:aluminium 2 */
-  background-color: #d3d7cf;
-}
-
-h4
-{
-  color: #555753;
-  margin-top: 1em;
-  margin-bottom: 1em;
-}
-
-hr
-{
-  /* tango:aluminium 1 */
-  color: #d3d7cf;
-  background: #d3d7cf;
-  border: none 0px;
-  height: 1px;
-  clear: both;
-  margin: 2.0em 0em 2.0em 0em;
-}
-
-dl.toc dt
-{
-  padding-bottom: 0.25em;
-}
-
-dl.toc > dt
-{
-  padding-top: 0.25em;
-  padding-bottom: 0.25em;
-  font-weight: bold;
-}
-
-dl.toc > dl
-{
-  padding-bottom: 0.5em;
-}
-
-.parameter
-{
-  font-style: normal;
-}
-
-.footer
-{
-  padding-top: 3.5em;
-  /* tango:aluminium 3 */
-  color: #babdb6;
-  text-align: center;
-  font-size: 80%;
-}
-
-.informalfigure,
-.figure
-{
-  margin: 1em;
-}
-
-.informalexample,
-.example
-{
-  margin-top: 1em;
-  margin-bottom: 1em;
-}
-
-.warning
-{
-  /* tango:orange 0/1 */
-  background: #ffeed9;
-  background: rgba(252, 175, 62, 0.1);
-  border-color: #ffb04f;
-  border-color: rgba(252, 175, 62, 0.2);
-}
-.note
-{
-  /* tango:chameleon 0/0.5 */
-  background: #d8ffb2;
-  background: rgba(138, 226, 52, 0.1);
-  border-color: #abf562;
-  border-color: rgba(138, 226, 52, 0.2);
-}
-div.blockquote
-{
-  border-color: #eeeeec;
-}
-.note, .warning, div.blockquote
-{
-  padding: 0.5em;
-  border-width: 1px;
-  border-style: solid;
-  margin: 2em;
-}
-.note p, .warning p
-{
-  margin: 0;
-}
-
-div.warning h3.title,
-div.note h3.title
-{
-  display: none;
-}
-
-p + div.section
-{
-  margin-top: 1em;
-}
-
-div.refnamediv,
-div.refsynopsisdiv,
-div.refsect1,
-div.refsect2,
-div.toc,
-div.section
-{
-  margin-bottom: 1em;
-}
-
-/* blob links */
-h2 .extralinks, h3 .extralinks
-{
-  float: right;
-  /* tango:aluminium 3 */
-  color: #babdb6;
-  font-size: 80%;
-  font-weight: normal;
-}
-
-.lineart
-{
-  color: #d3d7cf;
-  font-weight: normal;
-}
-
-.annotation
-{
-  /* tango:aluminium 5 */
-  color: #555753;
-  font-weight: normal;
-}
-
-.structfield
-{
-  font-style: normal;
-  font-weight: normal;
-}
-
-acronym,abbr 
-{
-  border-bottom: 1px dotted gray;
-}
-
-/* code listings */
-
-.listing_code .programlisting .normal,
-.listing_code .programlisting .normal a,
-.listing_code .programlisting .number,
-.listing_code .programlisting .cbracket,
-.listing_code .programlisting .symbol     { color: #555753; }
-.listing_code .programlisting .comment,
-.listing_code .programlisting .linenum    { color: #babdb6; } /* tango: aluminium 3 */
-.listing_code .programlisting .function,
-.listing_code .programlisting .function a,
-.listing_code .programlisting .preproc    { color: #204a87; } /* tango: sky blue 3  */
-.listing_code .programlisting .string     { color: #ad7fa8; } /* tango: plum */
-.listing_code .programlisting .keyword,
-.listing_code .programlisting .usertype,
-.listing_code .programlisting .type,
-.listing_code .programlisting .type a     { color: #4e9a06; } /* tango: chameleon 3  */
-
-.listing_frame {
-  /* tango:sky blue 1 */
-  border: solid 1px #729fcf;
-  border: solid 1px rgba(114, 159, 207, 0.2);
-  padding: 0px;
-}
-
-.listing_lines, .listing_code {
-  margin-top: 0px;
-  margin-bottom: 0px;
-  padding: 0.5em;
-}
-.listing_lines {
-  /* tango:sky blue 0.5 */
-  background: #a6c5e3;
-  background: rgba(114, 159, 207, 0.2);
-  /* tango:aluminium 6 */
-  color: #2e3436;
-}
-.listing_code {
-  /* tango:sky blue 0 */
-  background: #e6f3ff;
-  background: rgba(114, 159, 207, 0.1);
-}
-.listing_code .programlisting {
-  /* override from previous */
-  border: none 0px;
-  padding: 0px;
-  background: none;
-}
-.listing_lines pre, .listing_code pre {
-  margin: 0px;
-}
-
-@media screen {
-  /* these have a <sup> as a first child, but since there are no parent selectors
-   * we can't use that. */
-  a.footnote
-  {
-    position: relative;
-    top: 0em ! important;
-  }
-  /* this is needed so that the local anchors are displayed below the naviagtion */
-  div.footnote a[name], div.refnamediv a[name], div.refsect1 a[name], div.refsect2 a[name], div.index a[name], div.glossary a[name], div.sect1 a[name]
-  {
-    display: inline-block;
-    position: relative;
-    top:-5em;
-  }
-  /* this seems to be a bug in the xsl style sheets when generating indexes */
-  div.index div.index
-  {
-    top: 0em;
-  }
-  /* make space for the fixed navigation bar and add space at the bottom so that
-   * link targets appear somewhat close to top
-   */
-  body
-  {
-    padding-top: 2.5em;
-    padding-bottom: 500px;
-    max-width: 60em;
-  }
-  p
-  {
-    max-width: 60em;
-  }
-  /* style and size the navigation bar */
-  table.navigation#top
-  {
-    position: fixed;
-    background: #e2e2e2;
-    border-bottom: solid 1px #babdb6;
-    border-spacing: 5px;
-    margin-top: 0;
-    margin-bottom: 0;
-    top: 0;
-    left: 0;
-    z-index: 10;
-  }
-  table.navigation#top td
-  {
-    padding-left: 6px;
-    padding-right: 6px;
-  }
-  .navigation a, .navigation a:visited
-  {
-    /* tango:sky blue 3 */
-    color: #204a87;
-  }
-  .navigation a:hover
-  {
-    /* tango:sky blue 2 */
-    color: #3465a4;
-  }
-  td.shortcuts
-  {
-    /* tango:sky blue 2 */
-    color: #3465a4;
-    font-size: 80%;
-    white-space: nowrap;
-  }
-  td.shortcuts .dim
-  {
-    color: #babdb6;
-  }
-  .navigation .title
-  {
-    font-size: 80%;
-    max-width: none;
-    margin: 0px;
-    font-weight: normal;
-  }
-}
-@media screen and (min-width: 60em) {
-  /* screen larger than 60em */
-  body { margin: auto; }
-}
-@media screen and (max-width: 60em) {
-  /* screen less than 60em */
-  #nav_hierarchy { display: none; }
-  #nav_interfaces { display: none; }
-  #nav_prerequisites { display: none; }
-  #nav_derived_interfaces { display: none; }
-  #nav_implementations { display: none; }
-  #nav_child_properties { display: none; }
-  #nav_style_properties { display: none; }
-  #nav_index { display: none; }
-  #nav_glossary { display: none; }
-  .gallery_image { display: none; }
-  .property_flags { display: none; }
-  .signal_flags { display: none; }
-  .parameter_annotations { display: none; }
-  .enum_member_annotations { display: none; }
-  .struct_member_annotations { display: none; }
-  .union_member_annotations { display: none; }
-  /* now that a column is hidden, optimize space */
-  col.parameters_name { width: auto; }
-  col.parameters_description { width: auto; }
-  col.struct_members_name { width: auto; }
-  col.struct_members_description { width: auto; }
-  col.enum_members_name { width: auto; }
-  col.enum_members_description { width: auto; }
-  col.union_members_name { width: auto; }
-  col.union_members_description { width: auto; }
-  .listing_lines { display: none; }
-}
-@media print {
-  table.navigation {
-    visibility: collapse;
-    display: none;
-  }
-  div.titlepage table.navigation {
-    visibility: visible;
-    display: table;
-    background: #e2e2e2;
-    border: solid 1px #babdb6;
-    margin-top: 0;
-    margin-bottom: 0;
-    top: 0;
-    left: 0;
-    height: 3em;
-  }
-}
-
Binary files 2.4.10-1/docs/html/up-insensitive.png and 2.4.11-1/docs/html/up-insensitive.png differ
Binary files 2.4.10-1/docs/html/up.png and 2.4.11-1/docs/html/up.png differ
diff -pruN 2.4.10-1/docs/lib/html/annotation-glossary.html 2.4.11-1/docs/lib/html/annotation-glossary.html
--- 2.4.10-1/docs/lib/html/annotation-glossary.html	2018-05-03 14:23:59.000000000 +0000
+++ 2.4.11-1/docs/lib/html/annotation-glossary.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,50 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>Annotation Glossary: Libgeoclue Reference Manual</title>
-<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
-<link rel="home" href="index.html" title="Libgeoclue Reference Manual">
-<link rel="up" href="index.html" title="Libgeoclue Reference Manual">
-<link rel="prev" href="license.html" title="Appendix A. License">
-<meta name="generator" content="GTK-Doc V1.27 (XML mode)">
-<link rel="stylesheet" href="style.css" type="text/css">
-</head>
-<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
-<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
-<td width="100%" align="left" class="shortcuts"><span id="nav_glossary"><a class="shortcut" href="#glsA">A</a>
-                     <span class="dim">|</span> 
-                  <a class="shortcut" href="#glsO">O</a>
-                     <span class="dim">|</span> 
-                  <a class="shortcut" href="#glsS">S</a>
-                     <span class="dim">|</span> 
-                  <a class="shortcut" href="#glsT">T</a></span></td>
-<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
-<td><img src="up-insensitive.png" width="16" height="16" border="0"></td>
-<td><a accesskey="p" href="license.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
-<td><img src="right-insensitive.png" width="16" height="16" border="0"></td>
-</tr></table>
-<div class="glossary">
-<div class="titlepage"><div><div><h1 class="title">
-<a name="annotation-glossary"></a>Annotation Glossary</h1></div></div></div>
-<a name="glsA"></a><h3 class="title">A</h3>
-<dt><span class="glossterm"><a name="annotation-glossterm-allow-none"></a>allow-none</span></dt>
-<dd class="glossdef"><p>NULL is OK, both for passing and for returning.</p></dd>
-<a name="glsO"></a><h3 class="title">O</h3>
-<dt><span class="glossterm"><a name="annotation-glossterm-out"></a>out</span></dt>
-<dd class="glossdef"><p>Parameter for returning results. Default is <acronym title="Free data after the code is done."><span class="acronym">transfer full</span></acronym>.</p></dd>
-<a name="glsS"></a><h3 class="title">S</h3>
-<dt><span class="glossterm"><a name="annotation-glossterm-skip"></a>skip</span></dt>
-<dd class="glossdef"><p>Exposed in C code, not necessarily available in other languages.</p></dd>
-<a name="glsT"></a><h3 class="title">T</h3>
-<dt><span class="glossterm"><a name="annotation-glossterm-transfer%20full"></a>transfer full</span></dt>
-<dd class="glossdef"><p>Free data after the code is done.</p></dd>
-<dt><span class="glossterm"><a name="annotation-glossterm-transfer%20none"></a>transfer none</span></dt>
-<dd class="glossdef"><p>Don't free data after the code is done.</p></dd>
-<dt><span class="glossterm"><a name="annotation-glossterm-type"></a>type</span></dt>
-<dd class="glossdef"><p>Override the parsed C type with given type.</p></dd>
-</div>
-<div class="footer">
-<hr>Generated by GTK-Doc V1.27</div>
-</body>
-</html>
\ No newline at end of file
diff -pruN 2.4.10-1/docs/lib/html/ch01.html 2.4.11-1/docs/lib/html/ch01.html
--- 2.4.10-1/docs/lib/html/ch01.html	2018-05-03 14:23:59.000000000 +0000
+++ 2.4.11-1/docs/lib/html/ch01.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,32 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>Common enums and flags helpers: Libgeoclue Reference Manual</title>
-<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
-<link rel="home" href="index.html" title="Libgeoclue Reference Manual">
-<link rel="up" href="index.html" title="Libgeoclue Reference Manual">
-<link rel="prev" href="index.html" title="Libgeoclue Reference Manual">
-<link rel="next" href="libgeoclue-gclue-enums.html" title="gclue-enums">
-<meta name="generator" content="GTK-Doc V1.27 (XML mode)">
-<link rel="stylesheet" href="style.css" type="text/css">
-</head>
-<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
-<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
-<td width="100%" align="left" class="shortcuts"></td>
-<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
-<td><img src="up-insensitive.png" width="16" height="16" border="0"></td>
-<td><a accesskey="p" href="index.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
-<td><a accesskey="n" href="libgeoclue-gclue-enums.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
-</tr></table>
-<div class="chapter">
-<div class="titlepage"><div><div><h1 class="title">
-<a name="id-1.2"></a>Common enums and flags helpers</h1></div></div></div>
-<div class="toc"><dl class="toc"><dt>
-<span class="refentrytitle"><a href="libgeoclue-gclue-enums.html">gclue-enums</a></span><span class="refpurpose"></span>
-</dt></dl></div>
-</div>
-<div class="footer">
-<hr>Generated by GTK-Doc V1.27</div>
-</body>
-</html>
\ No newline at end of file
diff -pruN 2.4.10-1/docs/lib/html/ch02.html 2.4.11-1/docs/lib/html/ch02.html
--- 2.4.10-1/docs/lib/html/ch02.html	2018-05-03 14:23:59.000000000 +0000
+++ 2.4.11-1/docs/lib/html/ch02.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,32 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>Convenience API: Libgeoclue Reference Manual</title>
-<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
-<link rel="home" href="index.html" title="Libgeoclue Reference Manual">
-<link rel="up" href="index.html" title="Libgeoclue Reference Manual">
-<link rel="prev" href="libgeoclue-gclue-enums.html" title="gclue-enums">
-<link rel="next" href="GClueSimple.html" title="GClueSimple">
-<meta name="generator" content="GTK-Doc V1.27 (XML mode)">
-<link rel="stylesheet" href="style.css" type="text/css">
-</head>
-<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
-<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
-<td width="100%" align="left" class="shortcuts"></td>
-<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
-<td><img src="up-insensitive.png" width="16" height="16" border="0"></td>
-<td><a accesskey="p" href="libgeoclue-gclue-enums.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
-<td><a accesskey="n" href="GClueSimple.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
-</tr></table>
-<div class="chapter">
-<div class="titlepage"><div><div><h1 class="title">
-<a name="id-1.3"></a>Convenience API</h1></div></div></div>
-<div class="toc"><dl class="toc"><dt>
-<span class="refentrytitle"><a href="GClueSimple.html">GClueSimple</a></span><span class="refpurpose"> — Simplified convenience API</span>
-</dt></dl></div>
-</div>
-<div class="footer">
-<hr>Generated by GTK-Doc V1.27</div>
-</body>
-</html>
\ No newline at end of file
diff -pruN 2.4.10-1/docs/lib/html/ch03.html 2.4.11-1/docs/lib/html/ch03.html
--- 2.4.10-1/docs/lib/html/ch03.html	2018-05-03 14:23:59.000000000 +0000
+++ 2.4.11-1/docs/lib/html/ch03.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,37 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>The Manager object: Libgeoclue Reference Manual</title>
-<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
-<link rel="home" href="index.html" title="Libgeoclue Reference Manual">
-<link rel="up" href="index.html" title="Libgeoclue Reference Manual">
-<link rel="prev" href="GClueSimple.html" title="GClueSimple">
-<link rel="next" href="GClueManager.html" title="GClueManager">
-<meta name="generator" content="GTK-Doc V1.27 (XML mode)">
-<link rel="stylesheet" href="style.css" type="text/css">
-</head>
-<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
-<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
-<td width="100%" align="left" class="shortcuts"></td>
-<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
-<td><img src="up-insensitive.png" width="16" height="16" border="0"></td>
-<td><a accesskey="p" href="GClueSimple.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
-<td><a accesskey="n" href="GClueManager.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
-</tr></table>
-<div class="chapter">
-<div class="titlepage"><div><div><h1 class="title">
-<a name="id-1.4"></a>The Manager object</h1></div></div></div>
-<div class="toc"><dl class="toc">
-<dt>
-<span class="refentrytitle"><a href="GClueManager.html">GClueManager</a></span><span class="refpurpose"></span>
-</dt>
-<dt>
-<span class="refentrytitle"><a href="GClueManagerProxy.html">GClueManagerProxy</a></span><span class="refpurpose"></span>
-</dt>
-</dl></div>
-</div>
-<div class="footer">
-<hr>Generated by GTK-Doc V1.27</div>
-</body>
-</html>
\ No newline at end of file
diff -pruN 2.4.10-1/docs/lib/html/ch04.html 2.4.11-1/docs/lib/html/ch04.html
--- 2.4.10-1/docs/lib/html/ch04.html	2018-05-03 14:23:59.000000000 +0000
+++ 2.4.11-1/docs/lib/html/ch04.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,37 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>The Client object: Libgeoclue Reference Manual</title>
-<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
-<link rel="home" href="index.html" title="Libgeoclue Reference Manual">
-<link rel="up" href="index.html" title="Libgeoclue Reference Manual">
-<link rel="prev" href="GClueManagerProxy.html" title="GClueManagerProxy">
-<link rel="next" href="GClueClient.html" title="GClueClient">
-<meta name="generator" content="GTK-Doc V1.27 (XML mode)">
-<link rel="stylesheet" href="style.css" type="text/css">
-</head>
-<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
-<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
-<td width="100%" align="left" class="shortcuts"></td>
-<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
-<td><img src="up-insensitive.png" width="16" height="16" border="0"></td>
-<td><a accesskey="p" href="GClueManagerProxy.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
-<td><a accesskey="n" href="GClueClient.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
-</tr></table>
-<div class="chapter">
-<div class="titlepage"><div><div><h1 class="title">
-<a name="id-1.5"></a>The Client object</h1></div></div></div>
-<div class="toc"><dl class="toc">
-<dt>
-<span class="refentrytitle"><a href="GClueClient.html">GClueClient</a></span><span class="refpurpose"></span>
-</dt>
-<dt>
-<span class="refentrytitle"><a href="GClueClientProxy.html">GClueClientProxy</a></span><span class="refpurpose"></span>
-</dt>
-</dl></div>
-</div>
-<div class="footer">
-<hr>Generated by GTK-Doc V1.27</div>
-</body>
-</html>
\ No newline at end of file
diff -pruN 2.4.10-1/docs/lib/html/ch05.html 2.4.11-1/docs/lib/html/ch05.html
--- 2.4.10-1/docs/lib/html/ch05.html	2018-05-03 14:23:59.000000000 +0000
+++ 2.4.11-1/docs/lib/html/ch05.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,37 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>The Location object: Libgeoclue Reference Manual</title>
-<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
-<link rel="home" href="index.html" title="Libgeoclue Reference Manual">
-<link rel="up" href="index.html" title="Libgeoclue Reference Manual">
-<link rel="prev" href="GClueClientProxy.html" title="GClueClientProxy">
-<link rel="next" href="GClueLocation.html" title="GClueLocation">
-<meta name="generator" content="GTK-Doc V1.27 (XML mode)">
-<link rel="stylesheet" href="style.css" type="text/css">
-</head>
-<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
-<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
-<td width="100%" align="left" class="shortcuts"></td>
-<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
-<td><img src="up-insensitive.png" width="16" height="16" border="0"></td>
-<td><a accesskey="p" href="GClueClientProxy.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
-<td><a accesskey="n" href="GClueLocation.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
-</tr></table>
-<div class="chapter">
-<div class="titlepage"><div><div><h1 class="title">
-<a name="id-1.6"></a>The Location object</h1></div></div></div>
-<div class="toc"><dl class="toc">
-<dt>
-<span class="refentrytitle"><a href="GClueLocation.html">GClueLocation</a></span><span class="refpurpose"></span>
-</dt>
-<dt>
-<span class="refentrytitle"><a href="GClueLocationProxy.html">GClueLocationProxy</a></span><span class="refpurpose"></span>
-</dt>
-</dl></div>
-</div>
-<div class="footer">
-<hr>Generated by GTK-Doc V1.27</div>
-</body>
-</html>
\ No newline at end of file
diff -pruN 2.4.10-1/docs/lib/html/GClueClient.html 2.4.11-1/docs/lib/html/GClueClient.html
--- 2.4.10-1/docs/lib/html/GClueClient.html	2018-05-03 14:23:59.000000000 +0000
+++ 2.4.11-1/docs/lib/html/GClueClient.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,1213 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>GClueClient: Libgeoclue Reference Manual</title>
-<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
-<link rel="home" href="index.html" title="Libgeoclue Reference Manual">
-<link rel="up" href="ch04.html" title="The Client object">
-<link rel="prev" href="ch04.html" title="The Client object">
-<link rel="next" href="GClueClientProxy.html" title="GClueClientProxy">
-<meta name="generator" content="GTK-Doc V1.27 (XML mode)">
-<link rel="stylesheet" href="style.css" type="text/css">
-</head>
-<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
-<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
-<td width="100%" align="left" class="shortcuts">
-<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
-                  <a href="#GClueClient.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
-                  <a href="#GClueClient.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_properties">  <span class="dim">|</span> 
-                  <a href="#GClueClient.properties" class="shortcut">Properties</a></span><span id="nav_signals">  <span class="dim">|</span> 
-                  <a href="#GClueClient.signals" class="shortcut">Signals</a></span>
-</td>
-<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
-<td><a accesskey="u" href="ch04.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
-<td><a accesskey="p" href="ch04.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
-<td><a accesskey="n" href="GClueClientProxy.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
-</tr></table>
-<div class="refentry">
-<a name="GClueClient"></a><div class="titlepage"></div>
-<div class="refnamediv"><table width="100%"><tr>
-<td valign="top">
-<h2><span class="refentrytitle"><a name="GClueClient.top_of_page"></a>GClueClient</span></h2>
-<p>GClueClient</p>
-</td>
-<td class="gallery_image" valign="top" align="right"></td>
-</tr></table></div>
-<div class="refsect1">
-<a name="GClueClient.functions"></a><h2>Functions</h2>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="functions_return">
-<col class="functions_name">
-</colgroup>
-<tbody>
-<tr>
-<td class="function_type">
-<a href="../gio/gio-D-Bus-Introspection-Data.html#GDBusInterfaceInfo-struct"><span class="returnvalue">GDBusInterfaceInfo</span></a> *
-</td>
-<td class="function_name">
-<a class="link" href="GClueClient.html#gclue-client-interface-info" title="gclue_client_interface_info ()">gclue_client_interface_info</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a href="../glib/glib-Basic-Types.html#guint"><span class="returnvalue">guint</span></a>
-</td>
-<td class="function_name">
-<a class="link" href="GClueClient.html#gclue-client-override-properties" title="gclue_client_override_properties ()">gclue_client_override_properties</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<span class="returnvalue">void</span>
-</td>
-<td class="function_name">
-<a class="link" href="GClueClient.html#gclue-client-emit-location-updated" title="gclue_client_emit_location_updated ()">gclue_client_emit_location_updated</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<span class="returnvalue">void</span>
-</td>
-<td class="function_name">
-<a class="link" href="GClueClient.html#gclue-client-call-start" title="gclue_client_call_start ()">gclue_client_call_start</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
-</td>
-<td class="function_name">
-<a class="link" href="GClueClient.html#gclue-client-call-start-finish" title="gclue_client_call_start_finish ()">gclue_client_call_start_finish</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
-</td>
-<td class="function_name">
-<a class="link" href="GClueClient.html#gclue-client-call-start-sync" title="gclue_client_call_start_sync ()">gclue_client_call_start_sync</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<span class="returnvalue">void</span>
-</td>
-<td class="function_name">
-<a class="link" href="GClueClient.html#gclue-client-call-stop" title="gclue_client_call_stop ()">gclue_client_call_stop</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
-</td>
-<td class="function_name">
-<a class="link" href="GClueClient.html#gclue-client-call-stop-finish" title="gclue_client_call_stop_finish ()">gclue_client_call_stop_finish</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
-</td>
-<td class="function_name">
-<a class="link" href="GClueClient.html#gclue-client-call-stop-sync" title="gclue_client_call_stop_sync ()">gclue_client_call_stop_sync</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">const <a href="../glib/glib-Basic-Types.html#gchar"><span class="returnvalue">gchar</span></a> *
-</td>
-<td class="function_name">
-<a class="link" href="GClueClient.html#gclue-client-get-location" title="gclue_client_get_location ()">gclue_client_get_location</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a href="../glib/glib-Basic-Types.html#gchar"><span class="returnvalue">gchar</span></a> *
-</td>
-<td class="function_name">
-<a class="link" href="GClueClient.html#gclue-client-dup-location" title="gclue_client_dup_location ()">gclue_client_dup_location</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<span class="returnvalue">void</span>
-</td>
-<td class="function_name">
-<a class="link" href="GClueClient.html#gclue-client-set-location" title="gclue_client_set_location ()">gclue_client_set_location</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a href="../glib/glib-Basic-Types.html#guint"><span class="returnvalue">guint</span></a>
-</td>
-<td class="function_name">
-<a class="link" href="GClueClient.html#gclue-client-get-distance-threshold" title="gclue_client_get_distance_threshold ()">gclue_client_get_distance_threshold</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<span class="returnvalue">void</span>
-</td>
-<td class="function_name">
-<a class="link" href="GClueClient.html#gclue-client-set-distance-threshold" title="gclue_client_set_distance_threshold ()">gclue_client_set_distance_threshold</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">const <a href="../glib/glib-Basic-Types.html#gchar"><span class="returnvalue">gchar</span></a> *
-</td>
-<td class="function_name">
-<a class="link" href="GClueClient.html#gclue-client-get-desktop-id" title="gclue_client_get_desktop_id ()">gclue_client_get_desktop_id</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a href="../glib/glib-Basic-Types.html#gchar"><span class="returnvalue">gchar</span></a> *
-</td>
-<td class="function_name">
-<a class="link" href="GClueClient.html#gclue-client-dup-desktop-id" title="gclue_client_dup_desktop_id ()">gclue_client_dup_desktop_id</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<span class="returnvalue">void</span>
-</td>
-<td class="function_name">
-<a class="link" href="GClueClient.html#gclue-client-set-desktop-id" title="gclue_client_set_desktop_id ()">gclue_client_set_desktop_id</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a href="../glib/glib-Basic-Types.html#guint"><span class="returnvalue">guint</span></a>
-</td>
-<td class="function_name">
-<a class="link" href="GClueClient.html#gclue-client-get-requested-accuracy-level" title="gclue_client_get_requested_accuracy_level ()">gclue_client_get_requested_accuracy_level</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<span class="returnvalue">void</span>
-</td>
-<td class="function_name">
-<a class="link" href="GClueClient.html#gclue-client-set-requested-accuracy-level" title="gclue_client_set_requested_accuracy_level ()">gclue_client_set_requested_accuracy_level</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
-</td>
-<td class="function_name">
-<a class="link" href="GClueClient.html#gclue-client-get-active" title="gclue_client_get_active ()">gclue_client_get_active</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<span class="returnvalue">void</span>
-</td>
-<td class="function_name">
-<a class="link" href="GClueClient.html#gclue-client-set-active" title="gclue_client_set_active ()">gclue_client_set_active</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect1">
-<a name="GClueClient.properties"></a><h2>Properties</h2>
-<div class="informaltable"><table class="informaltable" border="0">
-<colgroup>
-<col width="150px" class="properties_type">
-<col width="300px" class="properties_name">
-<col width="200px" class="properties_flags">
-</colgroup>
-<tbody>
-<tr>
-<td class="property_type"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
-<td class="property_name"><a class="link" href="GClueClient.html#GClueClient--active" title="The “active” property">active</a></td>
-<td class="property_flags">Read / Write</td>
-</tr>
-<tr>
-<td class="property_type">
-<a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</td>
-<td class="property_name"><a class="link" href="GClueClient.html#GClueClient--desktop-id" title="The “desktop-id” property">desktop-id</a></td>
-<td class="property_flags">Read / Write</td>
-</tr>
-<tr>
-<td class="property_type"><a href="../glib/glib-Basic-Types.html#guint"><span class="type">guint</span></a></td>
-<td class="property_name"><a class="link" href="GClueClient.html#GClueClient--distance-threshold" title="The “distance-threshold” property">distance-threshold</a></td>
-<td class="property_flags">Read / Write</td>
-</tr>
-<tr>
-<td class="property_type">
-<a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</td>
-<td class="property_name"><a class="link" href="GClueClient.html#GClueClient--location" title="The “location” property">location</a></td>
-<td class="property_flags">Read / Write</td>
-</tr>
-<tr>
-<td class="property_type"><a href="../glib/glib-Basic-Types.html#guint"><span class="type">guint</span></a></td>
-<td class="property_name"><a class="link" href="GClueClient.html#GClueClient--requested-accuracy-level" title="The “requested-accuracy-level” property">requested-accuracy-level</a></td>
-<td class="property_flags">Read / Write</td>
-</tr>
-<tr>
-<td class="property_type"><a href="../glib/glib-Basic-Types.html#guint"><span class="type">guint</span></a></td>
-<td class="property_name"><a class="link" href="GClueClient.html#GClueClient--time-threshold" title="The “time-threshold” property">time-threshold</a></td>
-<td class="property_flags">Read / Write</td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect1">
-<a name="GClueClient.signals"></a><h2>Signals</h2>
-<div class="informaltable"><table class="informaltable" border="0">
-<colgroup>
-<col width="150px" class="signals_return">
-<col width="300px" class="signals_name">
-<col width="200px" class="signals_flags">
-</colgroup>
-<tbody>
-<tr>
-<td class="signal_type"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a></td>
-<td class="signal_name"><a class="link" href="GClueClient.html#GClueClient-handle-start" title="The “handle-start” signal">handle-start</a></td>
-<td class="signal_flags"><a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-LAST:CAPS">Run Last</a></td>
-</tr>
-<tr>
-<td class="signal_type"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a></td>
-<td class="signal_name"><a class="link" href="GClueClient.html#GClueClient-handle-stop" title="The “handle-stop” signal">handle-stop</a></td>
-<td class="signal_flags"><a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-LAST:CAPS">Run Last</a></td>
-</tr>
-<tr>
-<td class="signal_type"><span class="returnvalue">void</span></td>
-<td class="signal_name"><a class="link" href="GClueClient.html#GClueClient-location-updated" title="The “location-updated” signal">location-updated</a></td>
-<td class="signal_flags"><a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-LAST:CAPS">Run Last</a></td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect1">
-<a name="GClueClient.object-hierarchy"></a><h2>Object Hierarchy</h2>
-<pre class="screen">    <a href="/usr/share/gtk-doc/html/gobject/GTypeModule.html">GInterface</a>
-    <span class="lineart">╰──</span> GClueClient
-</pre>
-</div>
-<div class="refsect1">
-<a name="GClueClient.description"></a><h2>Description</h2>
-</div>
-<div class="refsect1">
-<a name="GClueClient.functions_details"></a><h2>Functions</h2>
-<div class="refsect2">
-<a name="gclue-client-interface-info"></a><h3>gclue_client_interface_info ()</h3>
-<pre class="programlisting"><a href="../gio/gio-D-Bus-Introspection-Data.html#GDBusInterfaceInfo-struct"><span class="returnvalue">GDBusInterfaceInfo</span></a> *
-gclue_client_interface_info (<em class="parameter"><code><span class="type">void</span></code></em>);</pre>
-<p>Gets a machine-readable description of the org.freedesktop.GeoClue2.Client D-Bus interface.</p>
-<div class="refsect3">
-<a name="gclue-client-interface-info.returns"></a><h4>Returns</h4>
-<p>A <a href="../gio/gio-D-Bus-Introspection-Data.html#GDBusInterfaceInfo-struct"><span class="type">GDBusInterfaceInfo</span></a>. Do not free. </p>
-<p><span class="annotation">[<acronym title="Don't free data after the code is done."><span class="acronym">transfer none</span></acronym>]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-client-override-properties"></a><h3>gclue_client_override_properties ()</h3>
-<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#guint"><span class="returnvalue">guint</span></a>
-gclue_client_override_properties (<em class="parameter"><code><a href="../gobject/gobject-The-Base-Object-Type.html#GObjectClass"><span class="type">GObjectClass</span></a> *klass</code></em>,
-                                  <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#guint"><span class="type">guint</span></a> property_id_begin</code></em>);</pre>
-<p>Overrides all <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct"><span class="type">GObject</span></a> properties in the <a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a> interface for a concrete class.
-The properties are overridden in the order they are defined.</p>
-<div class="refsect3">
-<a name="gclue-client-override-properties.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>klass</p></td>
-<td class="parameter_description"><p>The class structure for a <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct"><span class="type">GObject</span></a>-derived class.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>property_id_begin</p></td>
-<td class="parameter_description"><p>The property id to assign to the first overridden property.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-client-override-properties.returns"></a><h4>Returns</h4>
-<p> The last property id.</p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-client-emit-location-updated"></a><h3>gclue_client_emit_location_updated ()</h3>
-<pre class="programlisting"><span class="returnvalue">void</span>
-gclue_client_emit_location_updated (<em class="parameter"><code><a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a> *object</code></em>,
-                                    <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *arg_old</code></em>,
-                                    <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *arg_new</code></em>);</pre>
-<p>Emits the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-signal-org-freedesktop-GeoClue2-Client.LocationUpdated">"LocationUpdated"</a> D-Bus signal.</p>
-<div class="refsect3">
-<a name="gclue-client-emit-location-updated.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>arg_old</p></td>
-<td class="parameter_description"><p>Argument to pass with the signal.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>arg_new</p></td>
-<td class="parameter_description"><p>Argument to pass with the signal.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-client-call-start"></a><h3>gclue_client_call_start ()</h3>
-<pre class="programlisting"><span class="returnvalue">void</span>
-gclue_client_call_start (<em class="parameter"><code><a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a> *proxy</code></em>,
-                         <em class="parameter"><code><a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> *cancellable</code></em>,
-                         <em class="parameter"><code><a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> callback</code></em>,
-                         <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a> user_data</code></em>);</pre>
-<p>Asynchronously invokes the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-method-org-freedesktop-GeoClue2-Client.Start"><GTKDOCLINK HREF="Start"><code class="function">Start()</code></a></GTKDOCLINK> D-Bus method on <em class="parameter"><code>proxy</code></em>
-.
-When the operation is finished, <em class="parameter"><code>callback</code></em>
- will be invoked in the <a href="../glib/glib-The-Main-Event-Loop.html#g-main-context-push-thread-default">thread-default main loop</a> of the thread you are calling this method from.
-You can then call <a class="link" href="GClueClient.html#gclue-client-call-start-finish" title="gclue_client_call_start_finish ()"><code class="function">gclue_client_call_start_finish()</code></a> to get the result of the operation.</p>
-<p>See <a class="link" href="GClueClient.html#gclue-client-call-start-sync" title="gclue_client_call_start_sync ()"><code class="function">gclue_client_call_start_sync()</code></a> for the synchronous, blocking version of this method.</p>
-<div class="refsect3">
-<a name="gclue-client-call-start.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>proxy</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueClientProxy.html" title="GClueClientProxy"><span class="type">GClueClientProxy</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>cancellable</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>callback</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> to call when the request is satisfied or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>user_data</p></td>
-<td class="parameter_description"><p>User data to pass to <em class="parameter"><code>callback</code></em>
-.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-client-call-start-finish"></a><h3>gclue_client_call_start_finish ()</h3>
-<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
-gclue_client_call_start_finish (<em class="parameter"><code><a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a> *proxy</code></em>,
-                                <em class="parameter"><code><a href="../gio/GAsyncResult.html#GAsyncResult-struct"><span class="type">GAsyncResult</span></a> *res</code></em>,
-                                <em class="parameter"><code><a href="../glib/glib-Error-Reporting.html#GError"><span class="type">GError</span></a> **error</code></em>);</pre>
-<p>Finishes an operation started with <a class="link" href="GClueClient.html#gclue-client-call-start" title="gclue_client_call_start ()"><code class="function">gclue_client_call_start()</code></a>.</p>
-<div class="refsect3">
-<a name="gclue-client-call-start-finish.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>proxy</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueClientProxy.html" title="GClueClientProxy"><span class="type">GClueClientProxy</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>res</p></td>
-<td class="parameter_description"><p>The <a href="../gio/GAsyncResult.html#GAsyncResult-struct"><span class="type">GAsyncResult</span></a> obtained from the <a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> passed to <a class="link" href="GClueClient.html#gclue-client-call-start" title="gclue_client_call_start ()"><code class="function">gclue_client_call_start()</code></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>error</p></td>
-<td class="parameter_description"><p>Return location for error or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-client-call-start-finish.returns"></a><h4>Returns</h4>
-<p><a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if the call succeded, <a href="../glib/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a> if <em class="parameter"><code>error</code></em>
-is set. </p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-client-call-start-sync"></a><h3>gclue_client_call_start_sync ()</h3>
-<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
-gclue_client_call_start_sync (<em class="parameter"><code><a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a> *proxy</code></em>,
-                              <em class="parameter"><code><a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> *cancellable</code></em>,
-                              <em class="parameter"><code><a href="../glib/glib-Error-Reporting.html#GError"><span class="type">GError</span></a> **error</code></em>);</pre>
-<p>Synchronously invokes the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-method-org-freedesktop-GeoClue2-Client.Start"><GTKDOCLINK HREF="Start"><code class="function">Start()</code></a></GTKDOCLINK> D-Bus method on <em class="parameter"><code>proxy</code></em>
-. The calling thread is blocked until a reply is received.</p>
-<p>See <a class="link" href="GClueClient.html#gclue-client-call-start" title="gclue_client_call_start ()"><code class="function">gclue_client_call_start()</code></a> for the asynchronous version of this method.</p>
-<div class="refsect3">
-<a name="gclue-client-call-start-sync.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>proxy</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueClientProxy.html" title="GClueClientProxy"><span class="type">GClueClientProxy</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>cancellable</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>error</p></td>
-<td class="parameter_description"><p>Return location for error or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-client-call-start-sync.returns"></a><h4>Returns</h4>
-<p><a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if the call succeded, <a href="../glib/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a> if <em class="parameter"><code>error</code></em>
-is set. </p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-client-call-stop"></a><h3>gclue_client_call_stop ()</h3>
-<pre class="programlisting"><span class="returnvalue">void</span>
-gclue_client_call_stop (<em class="parameter"><code><a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a> *proxy</code></em>,
-                        <em class="parameter"><code><a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> *cancellable</code></em>,
-                        <em class="parameter"><code><a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> callback</code></em>,
-                        <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a> user_data</code></em>);</pre>
-<p>Asynchronously invokes the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-method-org-freedesktop-GeoClue2-Client.Stop"><GTKDOCLINK HREF="Stop"><code class="function">Stop()</code></a></GTKDOCLINK> D-Bus method on <em class="parameter"><code>proxy</code></em>
-.
-When the operation is finished, <em class="parameter"><code>callback</code></em>
- will be invoked in the <a href="../glib/glib-The-Main-Event-Loop.html#g-main-context-push-thread-default">thread-default main loop</a> of the thread you are calling this method from.
-You can then call <a class="link" href="GClueClient.html#gclue-client-call-stop-finish" title="gclue_client_call_stop_finish ()"><code class="function">gclue_client_call_stop_finish()</code></a> to get the result of the operation.</p>
-<p>See <a class="link" href="GClueClient.html#gclue-client-call-stop-sync" title="gclue_client_call_stop_sync ()"><code class="function">gclue_client_call_stop_sync()</code></a> for the synchronous, blocking version of this method.</p>
-<div class="refsect3">
-<a name="gclue-client-call-stop.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>proxy</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueClientProxy.html" title="GClueClientProxy"><span class="type">GClueClientProxy</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>cancellable</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>callback</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> to call when the request is satisfied or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>user_data</p></td>
-<td class="parameter_description"><p>User data to pass to <em class="parameter"><code>callback</code></em>
-.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-client-call-stop-finish"></a><h3>gclue_client_call_stop_finish ()</h3>
-<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
-gclue_client_call_stop_finish (<em class="parameter"><code><a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a> *proxy</code></em>,
-                               <em class="parameter"><code><a href="../gio/GAsyncResult.html#GAsyncResult-struct"><span class="type">GAsyncResult</span></a> *res</code></em>,
-                               <em class="parameter"><code><a href="../glib/glib-Error-Reporting.html#GError"><span class="type">GError</span></a> **error</code></em>);</pre>
-<p>Finishes an operation started with <a class="link" href="GClueClient.html#gclue-client-call-stop" title="gclue_client_call_stop ()"><code class="function">gclue_client_call_stop()</code></a>.</p>
-<div class="refsect3">
-<a name="gclue-client-call-stop-finish.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>proxy</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueClientProxy.html" title="GClueClientProxy"><span class="type">GClueClientProxy</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>res</p></td>
-<td class="parameter_description"><p>The <a href="../gio/GAsyncResult.html#GAsyncResult-struct"><span class="type">GAsyncResult</span></a> obtained from the <a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> passed to <a class="link" href="GClueClient.html#gclue-client-call-stop" title="gclue_client_call_stop ()"><code class="function">gclue_client_call_stop()</code></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>error</p></td>
-<td class="parameter_description"><p>Return location for error or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-client-call-stop-finish.returns"></a><h4>Returns</h4>
-<p><a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if the call succeded, <a href="../glib/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a> if <em class="parameter"><code>error</code></em>
-is set. </p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-client-call-stop-sync"></a><h3>gclue_client_call_stop_sync ()</h3>
-<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
-gclue_client_call_stop_sync (<em class="parameter"><code><a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a> *proxy</code></em>,
-                             <em class="parameter"><code><a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> *cancellable</code></em>,
-                             <em class="parameter"><code><a href="../glib/glib-Error-Reporting.html#GError"><span class="type">GError</span></a> **error</code></em>);</pre>
-<p>Synchronously invokes the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-method-org-freedesktop-GeoClue2-Client.Stop"><GTKDOCLINK HREF="Stop"><code class="function">Stop()</code></a></GTKDOCLINK> D-Bus method on <em class="parameter"><code>proxy</code></em>
-. The calling thread is blocked until a reply is received.</p>
-<p>See <a class="link" href="GClueClient.html#gclue-client-call-stop" title="gclue_client_call_stop ()"><code class="function">gclue_client_call_stop()</code></a> for the asynchronous version of this method.</p>
-<div class="refsect3">
-<a name="gclue-client-call-stop-sync.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>proxy</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueClientProxy.html" title="GClueClientProxy"><span class="type">GClueClientProxy</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>cancellable</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>error</p></td>
-<td class="parameter_description"><p>Return location for error or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-client-call-stop-sync.returns"></a><h4>Returns</h4>
-<p><a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if the call succeded, <a href="../glib/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a> if <em class="parameter"><code>error</code></em>
-is set. </p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-client-get-location"></a><h3>gclue_client_get_location ()</h3>
-<pre class="programlisting">const <a href="../glib/glib-Basic-Types.html#gchar"><span class="returnvalue">gchar</span></a> *
-gclue_client_get_location (<em class="parameter"><code><a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a> *object</code></em>);</pre>
-<p>Gets the value of the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.Location">"Location"</a> D-Bus property.</p>
-<p>Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.</p>
-<div class="warning">The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where <em class="parameter"><code>object</code></em> was constructed. Use <a class="link" href="GClueClient.html#gclue-client-dup-location" title="gclue_client_dup_location ()"><code class="function">gclue_client_dup_location()</code></a> if on another thread.</div>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-client-get-location.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody><tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr></tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-client-get-location.returns"></a><h4>Returns</h4>
-<p>The property value or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if the property is not set. Do not free the returned value, it belongs to <em class="parameter"><code>object</code></em>
-. </p>
-<p><span class="annotation">[<acronym title="Don't free data after the code is done."><span class="acronym">transfer none</span></acronym>]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-client-dup-location"></a><h3>gclue_client_dup_location ()</h3>
-<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gchar"><span class="returnvalue">gchar</span></a> *
-gclue_client_dup_location (<em class="parameter"><code><a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a> *object</code></em>);</pre>
-<p>Gets a copy of the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.Location">"Location"</a> D-Bus property.</p>
-<p>Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.</p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-client-dup-location.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody><tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr></tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-client-dup-location.returns"></a><h4>Returns</h4>
-<p>The property value or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if the property is not set. The returned value should be freed with <a href="../glib/glib-Memory-Allocation.html#g-free"><code class="function">g_free()</code></a>. </p>
-<p><span class="annotation">[<acronym title="Free data after the code is done."><span class="acronym">transfer full</span></acronym>]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-client-set-location"></a><h3>gclue_client_set_location ()</h3>
-<pre class="programlisting"><span class="returnvalue">void</span>
-gclue_client_set_location (<em class="parameter"><code><a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a> *object</code></em>,
-                           <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *value</code></em>);</pre>
-<p>Sets the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.Location">"Location"</a> D-Bus property to <em class="parameter"><code>value</code></em>
-.</p>
-<p>Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.</p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-client-set-location.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>value</p></td>
-<td class="parameter_description"><p>The value to set.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-client-get-distance-threshold"></a><h3>gclue_client_get_distance_threshold ()</h3>
-<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#guint"><span class="returnvalue">guint</span></a>
-gclue_client_get_distance_threshold (<em class="parameter"><code><a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a> *object</code></em>);</pre>
-<p>Gets the value of the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.DistanceThreshold">"DistanceThreshold"</a> D-Bus property.</p>
-<p>Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.</p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-client-get-distance-threshold.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody><tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr></tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-client-get-distance-threshold.returns"></a><h4>Returns</h4>
-<p> The property value.</p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-client-set-distance-threshold"></a><h3>gclue_client_set_distance_threshold ()</h3>
-<pre class="programlisting"><span class="returnvalue">void</span>
-gclue_client_set_distance_threshold (<em class="parameter"><code><a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a> *object</code></em>,
-                                     <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#guint"><span class="type">guint</span></a> value</code></em>);</pre>
-<p>Sets the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.DistanceThreshold">"DistanceThreshold"</a> D-Bus property to <em class="parameter"><code>value</code></em>
-.</p>
-<p>Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.</p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-client-set-distance-threshold.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>value</p></td>
-<td class="parameter_description"><p>The value to set.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-client-get-desktop-id"></a><h3>gclue_client_get_desktop_id ()</h3>
-<pre class="programlisting">const <a href="../glib/glib-Basic-Types.html#gchar"><span class="returnvalue">gchar</span></a> *
-gclue_client_get_desktop_id (<em class="parameter"><code><a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a> *object</code></em>);</pre>
-<p>Gets the value of the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.DesktopId">"DesktopId"</a> D-Bus property.</p>
-<p>Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.</p>
-<div class="warning">The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where <em class="parameter"><code>object</code></em> was constructed. Use <a class="link" href="GClueClient.html#gclue-client-dup-desktop-id" title="gclue_client_dup_desktop_id ()"><code class="function">gclue_client_dup_desktop_id()</code></a> if on another thread.</div>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-client-get-desktop-id.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody><tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr></tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-client-get-desktop-id.returns"></a><h4>Returns</h4>
-<p>The property value or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if the property is not set. Do not free the returned value, it belongs to <em class="parameter"><code>object</code></em>
-. </p>
-<p><span class="annotation">[<acronym title="Don't free data after the code is done."><span class="acronym">transfer none</span></acronym>]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-client-dup-desktop-id"></a><h3>gclue_client_dup_desktop_id ()</h3>
-<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gchar"><span class="returnvalue">gchar</span></a> *
-gclue_client_dup_desktop_id (<em class="parameter"><code><a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a> *object</code></em>);</pre>
-<p>Gets a copy of the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.DesktopId">"DesktopId"</a> D-Bus property.</p>
-<p>Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.</p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-client-dup-desktop-id.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody><tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr></tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-client-dup-desktop-id.returns"></a><h4>Returns</h4>
-<p>The property value or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if the property is not set. The returned value should be freed with <a href="../glib/glib-Memory-Allocation.html#g-free"><code class="function">g_free()</code></a>. </p>
-<p><span class="annotation">[<acronym title="Free data after the code is done."><span class="acronym">transfer full</span></acronym>]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-client-set-desktop-id"></a><h3>gclue_client_set_desktop_id ()</h3>
-<pre class="programlisting"><span class="returnvalue">void</span>
-gclue_client_set_desktop_id (<em class="parameter"><code><a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a> *object</code></em>,
-                             <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *value</code></em>);</pre>
-<p>Sets the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.DesktopId">"DesktopId"</a> D-Bus property to <em class="parameter"><code>value</code></em>
-.</p>
-<p>Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.</p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-client-set-desktop-id.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>value</p></td>
-<td class="parameter_description"><p>The value to set.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-client-get-requested-accuracy-level"></a><h3>gclue_client_get_requested_accuracy_level ()</h3>
-<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#guint"><span class="returnvalue">guint</span></a>
-gclue_client_get_requested_accuracy_level
-                               (<em class="parameter"><code><a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a> *object</code></em>);</pre>
-<p>Gets the value of the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.RequestedAccuracyLevel">"RequestedAccuracyLevel"</a> D-Bus property.</p>
-<p>Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.</p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-client-get-requested-accuracy-level.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody><tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr></tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-client-get-requested-accuracy-level.returns"></a><h4>Returns</h4>
-<p> The property value.</p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-client-set-requested-accuracy-level"></a><h3>gclue_client_set_requested_accuracy_level ()</h3>
-<pre class="programlisting"><span class="returnvalue">void</span>
-gclue_client_set_requested_accuracy_level
-                               (<em class="parameter"><code><a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a> *object</code></em>,
-                                <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#guint"><span class="type">guint</span></a> value</code></em>);</pre>
-<p>Sets the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.RequestedAccuracyLevel">"RequestedAccuracyLevel"</a> D-Bus property to <em class="parameter"><code>value</code></em>
-.</p>
-<p>Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.</p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-client-set-requested-accuracy-level.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>value</p></td>
-<td class="parameter_description"><p>The value to set.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-client-get-active"></a><h3>gclue_client_get_active ()</h3>
-<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
-gclue_client_get_active (<em class="parameter"><code><a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a> *object</code></em>);</pre>
-<p>Gets the value of the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.Active">"Active"</a> D-Bus property.</p>
-<p>Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.</p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-client-get-active.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody><tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr></tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-client-get-active.returns"></a><h4>Returns</h4>
-<p> The property value.</p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-client-set-active"></a><h3>gclue_client_set_active ()</h3>
-<pre class="programlisting"><span class="returnvalue">void</span>
-gclue_client_set_active (<em class="parameter"><code><a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a> *object</code></em>,
-                         <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> value</code></em>);</pre>
-<p>Sets the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.Active">"Active"</a> D-Bus property to <em class="parameter"><code>value</code></em>
-.</p>
-<p>Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.</p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-client-set-active.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>value</p></td>
-<td class="parameter_description"><p>The value to set.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-</div>
-<div class="refsect1">
-<a name="GClueClient.other_details"></a><h2>Types and Values</h2>
-</div>
-<div class="refsect1">
-<a name="GClueClient.property-details"></a><h2>Property Details</h2>
-<div class="refsect2">
-<a name="GClueClient--active"></a><h3>The <code class="literal">“active”</code> property</h3>
-<pre class="programlisting">  “active”                   <a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
-<p>Represents the D-Bus property <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.Active">"Active"</a>.</p>
-<p>Since the D-Bus property for this <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct"><span class="type">GObject</span></a> property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.</p>
-<p>Flags: Read / Write</p>
-<p>Default value: FALSE</p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="GClueClient--desktop-id"></a><h3>The <code class="literal">“desktop-id”</code> property</h3>
-<pre class="programlisting">  “desktop-id”               <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</pre>
-<p>Represents the D-Bus property <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.DesktopId">"DesktopId"</a>.</p>
-<p>Since the D-Bus property for this <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct"><span class="type">GObject</span></a> property is both readable and writable, it is meaningful to both read from it and write to it on both the service- and client-side.</p>
-<p>Flags: Read / Write</p>
-<p>Default value: NULL</p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="GClueClient--distance-threshold"></a><h3>The <code class="literal">“distance-threshold”</code> property</h3>
-<pre class="programlisting">  “distance-threshold”       <a href="../glib/glib-Basic-Types.html#guint"><span class="type">guint</span></a></pre>
-<p>Represents the D-Bus property <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.DistanceThreshold">"DistanceThreshold"</a>.</p>
-<p>Since the D-Bus property for this <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct"><span class="type">GObject</span></a> property is both readable and writable, it is meaningful to both read from it and write to it on both the service- and client-side.</p>
-<p>Flags: Read / Write</p>
-<p>Default value: 0</p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="GClueClient--location"></a><h3>The <code class="literal">“location”</code> property</h3>
-<pre class="programlisting">  “location”                 <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</pre>
-<p>Represents the D-Bus property <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.Location">"Location"</a>.</p>
-<p>Since the D-Bus property for this <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct"><span class="type">GObject</span></a> property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.</p>
-<p>Flags: Read / Write</p>
-<p>Default value: NULL</p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="GClueClient--requested-accuracy-level"></a><h3>The <code class="literal">“requested-accuracy-level”</code> property</h3>
-<pre class="programlisting">  “requested-accuracy-level” <a href="../glib/glib-Basic-Types.html#guint"><span class="type">guint</span></a></pre>
-<p>Represents the D-Bus property <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.RequestedAccuracyLevel">"RequestedAccuracyLevel"</a>.</p>
-<p>Since the D-Bus property for this <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct"><span class="type">GObject</span></a> property is both readable and writable, it is meaningful to both read from it and write to it on both the service- and client-side.</p>
-<p>Flags: Read / Write</p>
-<p>Default value: 0</p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="GClueClient--time-threshold"></a><h3>The <code class="literal">“time-threshold”</code> property</h3>
-<pre class="programlisting">  “time-threshold”           <a href="../glib/glib-Basic-Types.html#guint"><span class="type">guint</span></a></pre>
-<p>Represents the D-Bus property <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-property-org-freedesktop-GeoClue2-Client.TimeThreshold">"TimeThreshold"</a>.</p>
-<p>Since the D-Bus property for this <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct"><span class="type">GObject</span></a> property is both readable and writable, it is meaningful to both read from it and write to it on both the service- and client-side.</p>
-<p>Flags: Read / Write</p>
-<p>Default value: 0</p>
-</div>
-</div>
-<div class="refsect1">
-<a name="GClueClient.signal-details"></a><h2>Signal Details</h2>
-<div class="refsect2">
-<a name="GClueClient-handle-start"></a><h3>The <code class="literal">“handle-start”</code> signal</h3>
-<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
-user_function (<a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a>           *object,
-               <a href="../gio/GDBusMethodInvocation.html#GDBusMethodInvocation-struct"><span class="type">GDBusMethodInvocation</span></a> *invocation,
-               <a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>               user_data)</pre>
-<p>Signal emitted when a remote caller is invoking the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-method-org-freedesktop-GeoClue2-Client.Start"><GTKDOCLINK HREF="Start"><code class="function">Start()</code></a></GTKDOCLINK> D-Bus method.</p>
-<p>If a signal handler returns <a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a>, it means the signal handler will handle the invocation (e.g. take a reference to <em class="parameter"><code>invocation</code></em>
- and eventually call <code class="function">gclue_client_complete_start()</code> or e.g. <a href="../gio/GDBusMethodInvocation.html#g-dbus-method-invocation-return-error"><code class="function">g_dbus_method_invocation_return_error()</code></a> on it) and no order signal handlers will run. If no signal handler handles the invocation, the <a href="../gio/gio-GDBusError.html#G-DBUS-ERROR-UNKNOWN-METHOD:CAPS"><code class="literal">G_DBUS_ERROR_UNKNOWN_METHOD</code></a> error is returned.</p>
-<div class="refsect3">
-<a name="GClueClient-handle-start.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>invocation</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GDBusMethodInvocation.html#GDBusMethodInvocation-struct"><span class="type">GDBusMethodInvocation</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>user_data</p></td>
-<td class="parameter_description"><p>user data set when the signal handler was connected.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="GClueClient-handle-start.returns"></a><h4>Returns</h4>
-<p> <a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if the invocation was handled, <a href="../glib/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a> to let other signal handlers run.</p>
-</div>
-<p>Flags: <a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-LAST:CAPS">Run Last</a></p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="GClueClient-handle-stop"></a><h3>The <code class="literal">“handle-stop”</code> signal</h3>
-<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
-user_function (<a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a>           *object,
-               <a href="../gio/GDBusMethodInvocation.html#GDBusMethodInvocation-struct"><span class="type">GDBusMethodInvocation</span></a> *invocation,
-               <a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>               user_data)</pre>
-<p>Signal emitted when a remote caller is invoking the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-method-org-freedesktop-GeoClue2-Client.Stop"><GTKDOCLINK HREF="Stop"><code class="function">Stop()</code></a></GTKDOCLINK> D-Bus method.</p>
-<p>If a signal handler returns <a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a>, it means the signal handler will handle the invocation (e.g. take a reference to <em class="parameter"><code>invocation</code></em>
- and eventually call <code class="function">gclue_client_complete_stop()</code> or e.g. <a href="../gio/GDBusMethodInvocation.html#g-dbus-method-invocation-return-error"><code class="function">g_dbus_method_invocation_return_error()</code></a> on it) and no order signal handlers will run. If no signal handler handles the invocation, the <a href="../gio/gio-GDBusError.html#G-DBUS-ERROR-UNKNOWN-METHOD:CAPS"><code class="literal">G_DBUS_ERROR_UNKNOWN_METHOD</code></a> error is returned.</p>
-<div class="refsect3">
-<a name="GClueClient-handle-stop.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>invocation</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GDBusMethodInvocation.html#GDBusMethodInvocation-struct"><span class="type">GDBusMethodInvocation</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>user_data</p></td>
-<td class="parameter_description"><p>user data set when the signal handler was connected.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="GClueClient-handle-stop.returns"></a><h4>Returns</h4>
-<p> <a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if the invocation was handled, <a href="../glib/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a> to let other signal handlers run.</p>
-</div>
-<p>Flags: <a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-LAST:CAPS">Run Last</a></p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="GClueClient-location-updated"></a><h3>The <code class="literal">“location-updated”</code> signal</h3>
-<pre class="programlisting"><span class="returnvalue">void</span>
-user_function (<a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a> *object,
-               <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a>       *arg_old,
-               <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a>       *arg_new,
-               <a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>     user_data)</pre>
-<p>On the client-side, this signal is emitted whenever the D-Bus signal <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Client.html#gdbus-signal-org-freedesktop-GeoClue2-Client.LocationUpdated">"LocationUpdated"</a> is received.</p>
-<p>On the service-side, this signal can be used with e.g. <a href="../gobject/gobject-Signals.html#g-signal-emit-by-name"><code class="function">g_signal_emit_by_name()</code></a> to make the object emit the D-Bus signal.</p>
-<div class="refsect3">
-<a name="GClueClient-location-updated.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueClient.html" title="GClueClient"><span class="type">GClueClient</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>arg_old</p></td>
-<td class="parameter_description"><p>Argument.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>arg_new</p></td>
-<td class="parameter_description"><p>Argument.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>user_data</p></td>
-<td class="parameter_description"><p>user data set when the signal handler was connected.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<p>Flags: <a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-LAST:CAPS">Run Last</a></p>
-</div>
-</div>
-</div>
-<div class="footer">
-<hr>Generated by GTK-Doc V1.27</div>
-</body>
-</html>
\ No newline at end of file
diff -pruN 2.4.10-1/docs/lib/html/GClueClientProxy.html 2.4.11-1/docs/lib/html/GClueClientProxy.html
--- 2.4.10-1/docs/lib/html/GClueClientProxy.html	2018-05-03 14:23:59.000000000 +0000
+++ 2.4.11-1/docs/lib/html/GClueClientProxy.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,604 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>GClueClientProxy: Libgeoclue Reference Manual</title>
-<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
-<link rel="home" href="index.html" title="Libgeoclue Reference Manual">
-<link rel="up" href="ch04.html" title="The Client object">
-<link rel="prev" href="GClueClient.html" title="GClueClient">
-<link rel="next" href="ch05.html" title="The Location object">
-<meta name="generator" content="GTK-Doc V1.27 (XML mode)">
-<link rel="stylesheet" href="style.css" type="text/css">
-</head>
-<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
-<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
-<td width="100%" align="left" class="shortcuts">
-<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
-                  <a href="#GClueClientProxy.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
-                  <a href="#GClueClientProxy.object-hierarchy" class="shortcut">Object Hierarchy</a></span>
-</td>
-<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
-<td><a accesskey="u" href="ch04.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
-<td><a accesskey="p" href="GClueClient.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
-<td><a accesskey="n" href="ch05.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
-</tr></table>
-<div class="refentry">
-<a name="GClueClientProxy"></a><div class="titlepage"></div>
-<div class="refnamediv"><table width="100%"><tr>
-<td valign="top">
-<h2><span class="refentrytitle"><a name="GClueClientProxy.top_of_page"></a>GClueClientProxy</span></h2>
-<p>GClueClientProxy</p>
-</td>
-<td class="gallery_image" valign="top" align="right"></td>
-</tr></table></div>
-<div class="refsect1">
-<a name="GClueClientProxy.functions"></a><h2>Functions</h2>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="functions_return">
-<col class="functions_name">
-</colgroup>
-<tbody>
-<tr>
-<td class="function_type">
-<span class="returnvalue">void</span>
-</td>
-<td class="function_name">
-<a class="link" href="GClueClientProxy.html#gclue-client-proxy-create" title="gclue_client_proxy_create ()">gclue_client_proxy_create</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a class="link" href="GClueClient.html" title="GClueClient"><span class="returnvalue">GClueClient</span></a> *
-</td>
-<td class="function_name">
-<a class="link" href="GClueClientProxy.html#gclue-client-proxy-create-finish" title="gclue_client_proxy_create_finish ()">gclue_client_proxy_create_finish</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a class="link" href="GClueClient.html" title="GClueClient"><span class="returnvalue">GClueClient</span></a> *
-</td>
-<td class="function_name">
-<a class="link" href="GClueClientProxy.html#gclue-client-proxy-create-sync" title="gclue_client_proxy_create_sync ()">gclue_client_proxy_create_sync</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<span class="returnvalue">void</span>
-</td>
-<td class="function_name">
-<a class="link" href="GClueClientProxy.html#gclue-client-proxy-new" title="gclue_client_proxy_new ()">gclue_client_proxy_new</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a class="link" href="GClueClient.html" title="GClueClient"><span class="returnvalue">GClueClient</span></a> *
-</td>
-<td class="function_name">
-<a class="link" href="GClueClientProxy.html#gclue-client-proxy-new-finish" title="gclue_client_proxy_new_finish ()">gclue_client_proxy_new_finish</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a class="link" href="GClueClient.html" title="GClueClient"><span class="returnvalue">GClueClient</span></a> *
-</td>
-<td class="function_name">
-<a class="link" href="GClueClientProxy.html#gclue-client-proxy-new-sync" title="gclue_client_proxy_new_sync ()">gclue_client_proxy_new_sync</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<span class="returnvalue">void</span>
-</td>
-<td class="function_name">
-<a class="link" href="GClueClientProxy.html#gclue-client-proxy-new-for-bus" title="gclue_client_proxy_new_for_bus ()">gclue_client_proxy_new_for_bus</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a class="link" href="GClueClient.html" title="GClueClient"><span class="returnvalue">GClueClient</span></a> *
-</td>
-<td class="function_name">
-<a class="link" href="GClueClientProxy.html#gclue-client-proxy-new-for-bus-finish" title="gclue_client_proxy_new_for_bus_finish ()">gclue_client_proxy_new_for_bus_finish</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a class="link" href="GClueClient.html" title="GClueClient"><span class="returnvalue">GClueClient</span></a> *
-</td>
-<td class="function_name">
-<a class="link" href="GClueClientProxy.html#gclue-client-proxy-new-for-bus-sync" title="gclue_client_proxy_new_for_bus_sync ()">gclue_client_proxy_new_for_bus_sync</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect1">
-<a name="GClueClientProxy.object-hierarchy"></a><h2>Object Hierarchy</h2>
-<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
-    <span class="lineart">╰──</span> <a href="../gio/GDBusProxy.html#GDBusProxy-struct">GDBusProxy</a>
-        <span class="lineart">╰──</span> GClueClientProxy
-</pre>
-</div>
-<div class="refsect1">
-<a name="GClueClientProxy.description"></a><h2>Description</h2>
-</div>
-<div class="refsect1">
-<a name="GClueClientProxy.functions_details"></a><h2>Functions</h2>
-<div class="refsect2">
-<a name="gclue-client-proxy-create"></a><h3>gclue_client_proxy_create ()</h3>
-<pre class="programlisting"><span class="returnvalue">void</span>
-gclue_client_proxy_create (<em class="parameter"><code>const <span class="type">char</span> *desktop_id</code></em>,
-                           <em class="parameter"><code><a class="link" href="libgeoclue-gclue-enums.html#GClueAccuracyLevel" title="enum GClueAccuracyLevel"><span class="type">GClueAccuracyLevel</span></a> accuracy_level</code></em>,
-                           <em class="parameter"><code><a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> *cancellable</code></em>,
-                           <em class="parameter"><code><a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> callback</code></em>,
-                           <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a> user_data</code></em>);</pre>
-<p>A utility function to create a <a class="link" href="GClueClientProxy.html" title="GClueClientProxy"><span class="type">GClueClientProxy</span></a> without having to deal with
-a <a class="link" href="GClueManager.html" title="GClueManager"><span class="type">GClueManager</span></a>.</p>
-<p>See <a class="link" href="GClueClientProxy.html#gclue-client-proxy-create-sync" title="gclue_client_proxy_create_sync ()"><code class="function">gclue_client_proxy_create_sync()</code></a> for the synchronous, blocking version
-of this function.</p>
-<div class="refsect3">
-<a name="gclue-client-proxy-create.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>desktop_id</p></td>
-<td class="parameter_description"><p>The desktop file id (the basename of the desktop file).</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>accuracy_level</p></td>
-<td class="parameter_description"><p>The requested accuracy level as <a class="link" href="libgeoclue-gclue-enums.html#GClueAccuracyLevel" title="enum GClueAccuracyLevel"><span class="type">GClueAccuracyLevel</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>cancellable</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>callback</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> to call when the results are ready.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>user_data</p></td>
-<td class="parameter_description"><p>User data to pass to <em class="parameter"><code>callback</code></em>
-.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-client-proxy-create-finish"></a><h3>gclue_client_proxy_create_finish ()</h3>
-<pre class="programlisting"><a class="link" href="GClueClient.html" title="GClueClient"><span class="returnvalue">GClueClient</span></a> *
-gclue_client_proxy_create_finish (<em class="parameter"><code><a href="../gio/GAsyncResult.html#GAsyncResult-struct"><span class="type">GAsyncResult</span></a> *result</code></em>,
-                                  <em class="parameter"><code><a href="../glib/glib-Error-Reporting.html#GError"><span class="type">GError</span></a> **error</code></em>);</pre>
-<p>Finishes an operation started with <a class="link" href="GClueClientProxy.html#gclue-client-proxy-create" title="gclue_client_proxy_create ()"><code class="function">gclue_client_proxy_create()</code></a>.</p>
-<div class="refsect3">
-<a name="gclue-client-proxy-create-finish.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>result</p></td>
-<td class="parameter_description"><p>The <a href="../gio/GAsyncResult.html#GAsyncResult-struct"><span class="type">GAsyncResult</span></a> obtained from the <a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> passed to
-<a class="link" href="GClueClientProxy.html#gclue-client-proxy-create" title="gclue_client_proxy_create ()"><code class="function">gclue_client_proxy_create()</code></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>error</p></td>
-<td class="parameter_description"><p>Return location for error or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-client-proxy-create-finish.returns"></a><h4>Returns</h4>
-<p>The constructed proxy
-object or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if <em class="parameter"><code>error</code></em>
-is set. </p>
-<p><span class="annotation">[<acronym title="Free data after the code is done."><span class="acronym">transfer full</span></acronym>][<acronym title="Override the parsed C type with given type."><span class="acronym">type</span></acronym> GClueClientProxy]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-client-proxy-create-sync"></a><h3>gclue_client_proxy_create_sync ()</h3>
-<pre class="programlisting"><a class="link" href="GClueClient.html" title="GClueClient"><span class="returnvalue">GClueClient</span></a> *
-gclue_client_proxy_create_sync (<em class="parameter"><code>const <span class="type">char</span> *desktop_id</code></em>,
-                                <em class="parameter"><code><a class="link" href="libgeoclue-gclue-enums.html#GClueAccuracyLevel" title="enum GClueAccuracyLevel"><span class="type">GClueAccuracyLevel</span></a> accuracy_level</code></em>,
-                                <em class="parameter"><code><a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> *cancellable</code></em>,
-                                <em class="parameter"><code><a href="../glib/glib-Error-Reporting.html#GError"><span class="type">GError</span></a> **error</code></em>);</pre>
-<p>The synchronous and blocking version of <a class="link" href="GClueClientProxy.html#gclue-client-proxy-create" title="gclue_client_proxy_create ()"><code class="function">gclue_client_proxy_create()</code></a>.</p>
-<div class="refsect3">
-<a name="gclue-client-proxy-create-sync.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>desktop_id</p></td>
-<td class="parameter_description"><p>The desktop file id (the basename of the desktop file).</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>accuracy_level</p></td>
-<td class="parameter_description"><p>The requested accuracy level as <a class="link" href="libgeoclue-gclue-enums.html#GClueAccuracyLevel" title="enum GClueAccuracyLevel"><span class="type">GClueAccuracyLevel</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>cancellable</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>error</p></td>
-<td class="parameter_description"><p>Return location for error or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-client-proxy-create-sync.returns"></a><h4>Returns</h4>
-<p>The constructed proxy
-object or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if <em class="parameter"><code>error</code></em>
-is set. </p>
-<p><span class="annotation">[<acronym title="Free data after the code is done."><span class="acronym">transfer full</span></acronym>][<acronym title="Override the parsed C type with given type."><span class="acronym">type</span></acronym> GClueClientProxy]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-client-proxy-new"></a><h3>gclue_client_proxy_new ()</h3>
-<pre class="programlisting"><span class="returnvalue">void</span>
-gclue_client_proxy_new (<em class="parameter"><code><a href="../gio/GDBusConnection.html#GDBusConnection-struct"><span class="type">GDBusConnection</span></a> *connection</code></em>,
-                        <em class="parameter"><code><a href="../gio/GDBusProxy.html#GDBusProxyFlags"><span class="type">GDBusProxyFlags</span></a> flags</code></em>,
-                        <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *name</code></em>,
-                        <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *object_path</code></em>,
-                        <em class="parameter"><code><a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> *cancellable</code></em>,
-                        <em class="parameter"><code><a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> callback</code></em>,
-                        <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a> user_data</code></em>);</pre>
-<p>Asynchronously creates a proxy for the D-Bus interface org.freedesktop.GeoClue2.Client. See <a href="../gio/GDBusProxy.html#g-dbus-proxy-new"><code class="function">g_dbus_proxy_new()</code></a> for more details.</p>
-<p>When the operation is finished, <em class="parameter"><code>callback</code></em>
- will be invoked in the <a href="../glib/glib-The-Main-Event-Loop.html#g-main-context-push-thread-default">thread-default main loop</a> of the thread you are calling this method from.
-You can then call <a class="link" href="GClueClientProxy.html#gclue-client-proxy-new-finish" title="gclue_client_proxy_new_finish ()"><code class="function">gclue_client_proxy_new_finish()</code></a> to get the result of the operation.</p>
-<p>See <a class="link" href="GClueClientProxy.html#gclue-client-proxy-new-sync" title="gclue_client_proxy_new_sync ()"><code class="function">gclue_client_proxy_new_sync()</code></a> for the synchronous, blocking version of this constructor.</p>
-<div class="refsect3">
-<a name="gclue-client-proxy-new.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>connection</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GDBusConnection.html#GDBusConnection-struct"><span class="type">GDBusConnection</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>flags</p></td>
-<td class="parameter_description"><p>Flags from the <a href="../gio/GDBusProxy.html#GDBusProxyFlags"><span class="type">GDBusProxyFlags</span></a> enumeration.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>name</p></td>
-<td class="parameter_description"><p>A bus name (well-known or unique) or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if <em class="parameter"><code>connection</code></em>
-is not a message bus connection. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>object_path</p></td>
-<td class="parameter_description"><p>An object path.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>cancellable</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>callback</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> to call when the request is satisfied.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>user_data</p></td>
-<td class="parameter_description"><p>User data to pass to <em class="parameter"><code>callback</code></em>
-.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-client-proxy-new-finish"></a><h3>gclue_client_proxy_new_finish ()</h3>
-<pre class="programlisting"><a class="link" href="GClueClient.html" title="GClueClient"><span class="returnvalue">GClueClient</span></a> *
-gclue_client_proxy_new_finish (<em class="parameter"><code><a href="../gio/GAsyncResult.html#GAsyncResult-struct"><span class="type">GAsyncResult</span></a> *res</code></em>,
-                               <em class="parameter"><code><a href="../glib/glib-Error-Reporting.html#GError"><span class="type">GError</span></a> **error</code></em>);</pre>
-<p>Finishes an operation started with <a class="link" href="GClueClientProxy.html#gclue-client-proxy-new" title="gclue_client_proxy_new ()"><code class="function">gclue_client_proxy_new()</code></a>.</p>
-<div class="refsect3">
-<a name="gclue-client-proxy-new-finish.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>res</p></td>
-<td class="parameter_description"><p>The <a href="../gio/GAsyncResult.html#GAsyncResult-struct"><span class="type">GAsyncResult</span></a> obtained from the <a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> passed to <a class="link" href="GClueClientProxy.html#gclue-client-proxy-new" title="gclue_client_proxy_new ()"><code class="function">gclue_client_proxy_new()</code></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>error</p></td>
-<td class="parameter_description"><p>Return location for error or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a></p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-client-proxy-new-finish.returns"></a><h4>Returns</h4>
-<p>The constructed proxy object or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if <em class="parameter"><code>error</code></em>
-is set. </p>
-<p><span class="annotation">[<acronym title="Free data after the code is done."><span class="acronym">transfer full</span></acronym>][<acronym title="Override the parsed C type with given type."><span class="acronym">type</span></acronym> GClueClientProxy]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-client-proxy-new-sync"></a><h3>gclue_client_proxy_new_sync ()</h3>
-<pre class="programlisting"><a class="link" href="GClueClient.html" title="GClueClient"><span class="returnvalue">GClueClient</span></a> *
-gclue_client_proxy_new_sync (<em class="parameter"><code><a href="../gio/GDBusConnection.html#GDBusConnection-struct"><span class="type">GDBusConnection</span></a> *connection</code></em>,
-                             <em class="parameter"><code><a href="../gio/GDBusProxy.html#GDBusProxyFlags"><span class="type">GDBusProxyFlags</span></a> flags</code></em>,
-                             <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *name</code></em>,
-                             <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *object_path</code></em>,
-                             <em class="parameter"><code><a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> *cancellable</code></em>,
-                             <em class="parameter"><code><a href="../glib/glib-Error-Reporting.html#GError"><span class="type">GError</span></a> **error</code></em>);</pre>
-<p>Synchronously creates a proxy for the D-Bus interface org.freedesktop.GeoClue2.Client. See <a href="../gio/GDBusProxy.html#g-dbus-proxy-new-sync"><code class="function">g_dbus_proxy_new_sync()</code></a> for more details.</p>
-<p>The calling thread is blocked until a reply is received.</p>
-<p>See <a class="link" href="GClueClientProxy.html#gclue-client-proxy-new" title="gclue_client_proxy_new ()"><code class="function">gclue_client_proxy_new()</code></a> for the asynchronous version of this constructor.</p>
-<div class="refsect3">
-<a name="gclue-client-proxy-new-sync.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>connection</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GDBusConnection.html#GDBusConnection-struct"><span class="type">GDBusConnection</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>flags</p></td>
-<td class="parameter_description"><p>Flags from the <a href="../gio/GDBusProxy.html#GDBusProxyFlags"><span class="type">GDBusProxyFlags</span></a> enumeration.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>name</p></td>
-<td class="parameter_description"><p>A bus name (well-known or unique) or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if <em class="parameter"><code>connection</code></em>
-is not a message bus connection. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>object_path</p></td>
-<td class="parameter_description"><p>An object path.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>cancellable</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>error</p></td>
-<td class="parameter_description"><p>Return location for error or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a></p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-client-proxy-new-sync.returns"></a><h4>Returns</h4>
-<p>The constructed proxy object or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if <em class="parameter"><code>error</code></em>
-is set. </p>
-<p><span class="annotation">[<acronym title="Free data after the code is done."><span class="acronym">transfer full</span></acronym>][<acronym title="Override the parsed C type with given type."><span class="acronym">type</span></acronym> GClueClientProxy]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-client-proxy-new-for-bus"></a><h3>gclue_client_proxy_new_for_bus ()</h3>
-<pre class="programlisting"><span class="returnvalue">void</span>
-gclue_client_proxy_new_for_bus (<em class="parameter"><code><a href="../gio/GDBusConnection.html#GBusType"><span class="type">GBusType</span></a> bus_type</code></em>,
-                                <em class="parameter"><code><a href="../gio/GDBusProxy.html#GDBusProxyFlags"><span class="type">GDBusProxyFlags</span></a> flags</code></em>,
-                                <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *name</code></em>,
-                                <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *object_path</code></em>,
-                                <em class="parameter"><code><a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> *cancellable</code></em>,
-                                <em class="parameter"><code><a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> callback</code></em>,
-                                <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a> user_data</code></em>);</pre>
-<p>Like <a class="link" href="GClueClientProxy.html#gclue-client-proxy-new" title="gclue_client_proxy_new ()"><code class="function">gclue_client_proxy_new()</code></a> but takes a <a href="../gio/GDBusConnection.html#GBusType"><span class="type">GBusType</span></a> instead of a <a href="../gio/GDBusConnection.html#GDBusConnection-struct"><span class="type">GDBusConnection</span></a>.</p>
-<p>When the operation is finished, <em class="parameter"><code>callback</code></em>
- will be invoked in the <a href="../glib/glib-The-Main-Event-Loop.html#g-main-context-push-thread-default">thread-default main loop</a> of the thread you are calling this method from.
-You can then call <a class="link" href="GClueClientProxy.html#gclue-client-proxy-new-for-bus-finish" title="gclue_client_proxy_new_for_bus_finish ()"><code class="function">gclue_client_proxy_new_for_bus_finish()</code></a> to get the result of the operation.</p>
-<p>See <a class="link" href="GClueClientProxy.html#gclue-client-proxy-new-for-bus-sync" title="gclue_client_proxy_new_for_bus_sync ()"><code class="function">gclue_client_proxy_new_for_bus_sync()</code></a> for the synchronous, blocking version of this constructor.</p>
-<div class="refsect3">
-<a name="gclue-client-proxy-new-for-bus.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>bus_type</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GDBusConnection.html#GBusType"><span class="type">GBusType</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>flags</p></td>
-<td class="parameter_description"><p>Flags from the <a href="../gio/GDBusProxy.html#GDBusProxyFlags"><span class="type">GDBusProxyFlags</span></a> enumeration.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>name</p></td>
-<td class="parameter_description"><p>A bus name (well-known or unique).</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>object_path</p></td>
-<td class="parameter_description"><p>An object path.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>cancellable</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>callback</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> to call when the request is satisfied.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>user_data</p></td>
-<td class="parameter_description"><p>User data to pass to <em class="parameter"><code>callback</code></em>
-.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-client-proxy-new-for-bus-finish"></a><h3>gclue_client_proxy_new_for_bus_finish ()</h3>
-<pre class="programlisting"><a class="link" href="GClueClient.html" title="GClueClient"><span class="returnvalue">GClueClient</span></a> *
-gclue_client_proxy_new_for_bus_finish (<em class="parameter"><code><a href="../gio/GAsyncResult.html#GAsyncResult-struct"><span class="type">GAsyncResult</span></a> *res</code></em>,
-                                       <em class="parameter"><code><a href="../glib/glib-Error-Reporting.html#GError"><span class="type">GError</span></a> **error</code></em>);</pre>
-<p>Finishes an operation started with <a class="link" href="GClueClientProxy.html#gclue-client-proxy-new-for-bus" title="gclue_client_proxy_new_for_bus ()"><code class="function">gclue_client_proxy_new_for_bus()</code></a>.</p>
-<div class="refsect3">
-<a name="gclue-client-proxy-new-for-bus-finish.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>res</p></td>
-<td class="parameter_description"><p>The <a href="../gio/GAsyncResult.html#GAsyncResult-struct"><span class="type">GAsyncResult</span></a> obtained from the <a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> passed to <a class="link" href="GClueClientProxy.html#gclue-client-proxy-new-for-bus" title="gclue_client_proxy_new_for_bus ()"><code class="function">gclue_client_proxy_new_for_bus()</code></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>error</p></td>
-<td class="parameter_description"><p>Return location for error or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a></p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-client-proxy-new-for-bus-finish.returns"></a><h4>Returns</h4>
-<p>The constructed proxy object or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if <em class="parameter"><code>error</code></em>
-is set. </p>
-<p><span class="annotation">[<acronym title="Free data after the code is done."><span class="acronym">transfer full</span></acronym>][<acronym title="Override the parsed C type with given type."><span class="acronym">type</span></acronym> GClueClientProxy]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-client-proxy-new-for-bus-sync"></a><h3>gclue_client_proxy_new_for_bus_sync ()</h3>
-<pre class="programlisting"><a class="link" href="GClueClient.html" title="GClueClient"><span class="returnvalue">GClueClient</span></a> *
-gclue_client_proxy_new_for_bus_sync (<em class="parameter"><code><a href="../gio/GDBusConnection.html#GBusType"><span class="type">GBusType</span></a> bus_type</code></em>,
-                                     <em class="parameter"><code><a href="../gio/GDBusProxy.html#GDBusProxyFlags"><span class="type">GDBusProxyFlags</span></a> flags</code></em>,
-                                     <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *name</code></em>,
-                                     <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *object_path</code></em>,
-                                     <em class="parameter"><code><a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> *cancellable</code></em>,
-                                     <em class="parameter"><code><a href="../glib/glib-Error-Reporting.html#GError"><span class="type">GError</span></a> **error</code></em>);</pre>
-<p>Like <a class="link" href="GClueClientProxy.html#gclue-client-proxy-new-sync" title="gclue_client_proxy_new_sync ()"><code class="function">gclue_client_proxy_new_sync()</code></a> but takes a <a href="../gio/GDBusConnection.html#GBusType"><span class="type">GBusType</span></a> instead of a <a href="../gio/GDBusConnection.html#GDBusConnection-struct"><span class="type">GDBusConnection</span></a>.</p>
-<p>The calling thread is blocked until a reply is received.</p>
-<p>See <a class="link" href="GClueClientProxy.html#gclue-client-proxy-new-for-bus" title="gclue_client_proxy_new_for_bus ()"><code class="function">gclue_client_proxy_new_for_bus()</code></a> for the asynchronous version of this constructor.</p>
-<div class="refsect3">
-<a name="gclue-client-proxy-new-for-bus-sync.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>bus_type</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GDBusConnection.html#GBusType"><span class="type">GBusType</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>flags</p></td>
-<td class="parameter_description"><p>Flags from the <a href="../gio/GDBusProxy.html#GDBusProxyFlags"><span class="type">GDBusProxyFlags</span></a> enumeration.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>name</p></td>
-<td class="parameter_description"><p>A bus name (well-known or unique).</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>object_path</p></td>
-<td class="parameter_description"><p>An object path.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>cancellable</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>error</p></td>
-<td class="parameter_description"><p>Return location for error or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a></p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-client-proxy-new-for-bus-sync.returns"></a><h4>Returns</h4>
-<p>The constructed proxy object or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if <em class="parameter"><code>error</code></em>
-is set. </p>
-<p><span class="annotation">[<acronym title="Free data after the code is done."><span class="acronym">transfer full</span></acronym>][<acronym title="Override the parsed C type with given type."><span class="acronym">type</span></acronym> GClueClientProxy]</span></p>
-</div>
-</div>
-</div>
-<div class="refsect1">
-<a name="GClueClientProxy.other_details"></a><h2>Types and Values</h2>
-</div>
-</div>
-<div class="footer">
-<hr>Generated by GTK-Doc V1.27</div>
-</body>
-</html>
\ No newline at end of file
diff -pruN 2.4.10-1/docs/lib/html/GClueLocation.html 2.4.11-1/docs/lib/html/GClueLocation.html
--- 2.4.10-1/docs/lib/html/GClueLocation.html	2018-05-03 14:23:59.000000000 +0000
+++ 2.4.11-1/docs/lib/html/GClueLocation.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,952 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>GClueLocation: Libgeoclue Reference Manual</title>
-<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
-<link rel="home" href="index.html" title="Libgeoclue Reference Manual">
-<link rel="up" href="ch05.html" title="The Location object">
-<link rel="prev" href="ch05.html" title="The Location object">
-<link rel="next" href="GClueLocationProxy.html" title="GClueLocationProxy">
-<meta name="generator" content="GTK-Doc V1.27 (XML mode)">
-<link rel="stylesheet" href="style.css" type="text/css">
-</head>
-<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
-<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
-<td width="100%" align="left" class="shortcuts">
-<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
-                  <a href="#GClueLocation.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
-                  <a href="#GClueLocation.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_properties">  <span class="dim">|</span> 
-                  <a href="#GClueLocation.properties" class="shortcut">Properties</a></span>
-</td>
-<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
-<td><a accesskey="u" href="ch05.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
-<td><a accesskey="p" href="ch05.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
-<td><a accesskey="n" href="GClueLocationProxy.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
-</tr></table>
-<div class="refentry">
-<a name="GClueLocation"></a><div class="titlepage"></div>
-<div class="refnamediv"><table width="100%"><tr>
-<td valign="top">
-<h2><span class="refentrytitle"><a name="GClueLocation.top_of_page"></a>GClueLocation</span></h2>
-<p>GClueLocation</p>
-</td>
-<td class="gallery_image" valign="top" align="right"></td>
-</tr></table></div>
-<div class="refsect1">
-<a name="GClueLocation.functions"></a><h2>Functions</h2>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="functions_return">
-<col class="functions_name">
-</colgroup>
-<tbody>
-<tr>
-<td class="function_type">
-<a href="../gio/gio-D-Bus-Introspection-Data.html#GDBusInterfaceInfo-struct"><span class="returnvalue">GDBusInterfaceInfo</span></a> *
-</td>
-<td class="function_name">
-<a class="link" href="GClueLocation.html#gclue-location-interface-info" title="gclue_location_interface_info ()">gclue_location_interface_info</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a href="../glib/glib-Basic-Types.html#guint"><span class="returnvalue">guint</span></a>
-</td>
-<td class="function_name">
-<a class="link" href="GClueLocation.html#gclue-location-override-properties" title="gclue_location_override_properties ()">gclue_location_override_properties</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a href="../glib/glib-Basic-Types.html#gdouble"><span class="returnvalue">gdouble</span></a>
-</td>
-<td class="function_name">
-<a class="link" href="GClueLocation.html#gclue-location-get-latitude" title="gclue_location_get_latitude ()">gclue_location_get_latitude</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<span class="returnvalue">void</span>
-</td>
-<td class="function_name">
-<a class="link" href="GClueLocation.html#gclue-location-set-latitude" title="gclue_location_set_latitude ()">gclue_location_set_latitude</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a href="../glib/glib-Basic-Types.html#gdouble"><span class="returnvalue">gdouble</span></a>
-</td>
-<td class="function_name">
-<a class="link" href="GClueLocation.html#gclue-location-get-longitude" title="gclue_location_get_longitude ()">gclue_location_get_longitude</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<span class="returnvalue">void</span>
-</td>
-<td class="function_name">
-<a class="link" href="GClueLocation.html#gclue-location-set-longitude" title="gclue_location_set_longitude ()">gclue_location_set_longitude</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a href="../glib/glib-Basic-Types.html#gdouble"><span class="returnvalue">gdouble</span></a>
-</td>
-<td class="function_name">
-<a class="link" href="GClueLocation.html#gclue-location-get-accuracy" title="gclue_location_get_accuracy ()">gclue_location_get_accuracy</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<span class="returnvalue">void</span>
-</td>
-<td class="function_name">
-<a class="link" href="GClueLocation.html#gclue-location-set-accuracy" title="gclue_location_set_accuracy ()">gclue_location_set_accuracy</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a href="../glib/glib-Basic-Types.html#gdouble"><span class="returnvalue">gdouble</span></a>
-</td>
-<td class="function_name">
-<a class="link" href="GClueLocation.html#gclue-location-get-altitude" title="gclue_location_get_altitude ()">gclue_location_get_altitude</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<span class="returnvalue">void</span>
-</td>
-<td class="function_name">
-<a class="link" href="GClueLocation.html#gclue-location-set-altitude" title="gclue_location_set_altitude ()">gclue_location_set_altitude</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a href="../glib/glib-Basic-Types.html#gdouble"><span class="returnvalue">gdouble</span></a>
-</td>
-<td class="function_name">
-<a class="link" href="GClueLocation.html#gclue-location-get-speed" title="gclue_location_get_speed ()">gclue_location_get_speed</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<span class="returnvalue">void</span>
-</td>
-<td class="function_name">
-<a class="link" href="GClueLocation.html#gclue-location-set-speed" title="gclue_location_set_speed ()">gclue_location_set_speed</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a href="../glib/glib-Basic-Types.html#gdouble"><span class="returnvalue">gdouble</span></a>
-</td>
-<td class="function_name">
-<a class="link" href="GClueLocation.html#gclue-location-get-heading" title="gclue_location_get_heading ()">gclue_location_get_heading</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<span class="returnvalue">void</span>
-</td>
-<td class="function_name">
-<a class="link" href="GClueLocation.html#gclue-location-set-heading" title="gclue_location_set_heading ()">gclue_location_set_heading</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">const <a href="../glib/glib-Basic-Types.html#gchar"><span class="returnvalue">gchar</span></a> *
-</td>
-<td class="function_name">
-<a class="link" href="GClueLocation.html#gclue-location-get-description" title="gclue_location_get_description ()">gclue_location_get_description</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a href="../glib/glib-Basic-Types.html#gchar"><span class="returnvalue">gchar</span></a> *
-</td>
-<td class="function_name">
-<a class="link" href="GClueLocation.html#gclue-location-dup-description" title="gclue_location_dup_description ()">gclue_location_dup_description</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<span class="returnvalue">void</span>
-</td>
-<td class="function_name">
-<a class="link" href="GClueLocation.html#gclue-location-set-description" title="gclue_location_set_description ()">gclue_location_set_description</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a href="../glib/glib-GVariant.html#GVariant"><span class="returnvalue">GVariant</span></a> *
-</td>
-<td class="function_name">
-<a class="link" href="GClueLocation.html#gclue-location-get-timestamp" title="gclue_location_get_timestamp ()">gclue_location_get_timestamp</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a href="../glib/glib-GVariant.html#GVariant"><span class="returnvalue">GVariant</span></a> *
-</td>
-<td class="function_name">
-<a class="link" href="GClueLocation.html#gclue-location-dup-timestamp" title="gclue_location_dup_timestamp ()">gclue_location_dup_timestamp</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<span class="returnvalue">void</span>
-</td>
-<td class="function_name">
-<a class="link" href="GClueLocation.html#gclue-location-set-timestamp" title="gclue_location_set_timestamp ()">gclue_location_set_timestamp</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect1">
-<a name="GClueLocation.properties"></a><h2>Properties</h2>
-<div class="informaltable"><table class="informaltable" border="0">
-<colgroup>
-<col width="150px" class="properties_type">
-<col width="300px" class="properties_name">
-<col width="200px" class="properties_flags">
-</colgroup>
-<tbody>
-<tr>
-<td class="property_type"><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></td>
-<td class="property_name"><a class="link" href="GClueLocation.html#GClueLocation--accuracy" title="The “accuracy” property">accuracy</a></td>
-<td class="property_flags">Read / Write</td>
-</tr>
-<tr>
-<td class="property_type"><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></td>
-<td class="property_name"><a class="link" href="GClueLocation.html#GClueLocation--altitude" title="The “altitude” property">altitude</a></td>
-<td class="property_flags">Read / Write</td>
-</tr>
-<tr>
-<td class="property_type">
-<a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</td>
-<td class="property_name"><a class="link" href="GClueLocation.html#GClueLocation--description" title="The “description” property">description</a></td>
-<td class="property_flags">Read / Write</td>
-</tr>
-<tr>
-<td class="property_type"><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></td>
-<td class="property_name"><a class="link" href="GClueLocation.html#GClueLocation--heading" title="The “heading” property">heading</a></td>
-<td class="property_flags">Read / Write</td>
-</tr>
-<tr>
-<td class="property_type"><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></td>
-<td class="property_name"><a class="link" href="GClueLocation.html#GClueLocation--latitude" title="The “latitude” property">latitude</a></td>
-<td class="property_flags">Read / Write</td>
-</tr>
-<tr>
-<td class="property_type"><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></td>
-<td class="property_name"><a class="link" href="GClueLocation.html#GClueLocation--longitude" title="The “longitude” property">longitude</a></td>
-<td class="property_flags">Read / Write</td>
-</tr>
-<tr>
-<td class="property_type"><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></td>
-<td class="property_name"><a class="link" href="GClueLocation.html#GClueLocation--speed" title="The “speed” property">speed</a></td>
-<td class="property_flags">Read / Write</td>
-</tr>
-<tr>
-<td class="property_type">
-<a href="../glib/glib-GVariant.html#GVariant"><span class="type">GVariant</span></a> *</td>
-<td class="property_name"><a class="link" href="GClueLocation.html#GClueLocation--timestamp" title="The “timestamp” property">timestamp</a></td>
-<td class="property_flags">Read / Write</td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect1">
-<a name="GClueLocation.object-hierarchy"></a><h2>Object Hierarchy</h2>
-<pre class="screen">    <a href="/usr/share/gtk-doc/html/gobject/GTypeModule.html">GInterface</a>
-    <span class="lineart">╰──</span> GClueLocation
-</pre>
-</div>
-<div class="refsect1">
-<a name="GClueLocation.description"></a><h2>Description</h2>
-</div>
-<div class="refsect1">
-<a name="GClueLocation.functions_details"></a><h2>Functions</h2>
-<div class="refsect2">
-<a name="gclue-location-interface-info"></a><h3>gclue_location_interface_info ()</h3>
-<pre class="programlisting"><a href="../gio/gio-D-Bus-Introspection-Data.html#GDBusInterfaceInfo-struct"><span class="returnvalue">GDBusInterfaceInfo</span></a> *
-gclue_location_interface_info (<em class="parameter"><code><span class="type">void</span></code></em>);</pre>
-<p>Gets a machine-readable description of the org.freedesktop.GeoClue2.Location D-Bus interface.</p>
-<div class="refsect3">
-<a name="gclue-location-interface-info.returns"></a><h4>Returns</h4>
-<p>A <a href="../gio/gio-D-Bus-Introspection-Data.html#GDBusInterfaceInfo-struct"><span class="type">GDBusInterfaceInfo</span></a>. Do not free. </p>
-<p><span class="annotation">[<acronym title="Don't free data after the code is done."><span class="acronym">transfer none</span></acronym>]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-location-override-properties"></a><h3>gclue_location_override_properties ()</h3>
-<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#guint"><span class="returnvalue">guint</span></a>
-gclue_location_override_properties (<em class="parameter"><code><a href="../gobject/gobject-The-Base-Object-Type.html#GObjectClass"><span class="type">GObjectClass</span></a> *klass</code></em>,
-                                    <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#guint"><span class="type">guint</span></a> property_id_begin</code></em>);</pre>
-<p>Overrides all <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct"><span class="type">GObject</span></a> properties in the <a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a> interface for a concrete class.
-The properties are overridden in the order they are defined.</p>
-<div class="refsect3">
-<a name="gclue-location-override-properties.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>klass</p></td>
-<td class="parameter_description"><p>The class structure for a <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct"><span class="type">GObject</span></a>-derived class.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>property_id_begin</p></td>
-<td class="parameter_description"><p>The property id to assign to the first overridden property.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-location-override-properties.returns"></a><h4>Returns</h4>
-<p> The last property id.</p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-location-get-latitude"></a><h3>gclue_location_get_latitude ()</h3>
-<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gdouble"><span class="returnvalue">gdouble</span></a>
-gclue_location_get_latitude (<em class="parameter"><code><a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a> *object</code></em>);</pre>
-<p>Gets the value of the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Latitude">"Latitude"</a> D-Bus property.</p>
-<p>Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.</p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-location-get-latitude.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody><tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr></tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-location-get-latitude.returns"></a><h4>Returns</h4>
-<p> The property value.</p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-location-set-latitude"></a><h3>gclue_location_set_latitude ()</h3>
-<pre class="programlisting"><span class="returnvalue">void</span>
-gclue_location_set_latitude (<em class="parameter"><code><a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a> *object</code></em>,
-                             <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> value</code></em>);</pre>
-<p>Sets the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Latitude">"Latitude"</a> D-Bus property to <em class="parameter"><code>value</code></em>
-.</p>
-<p>Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.</p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-location-set-latitude.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>value</p></td>
-<td class="parameter_description"><p>The value to set.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-location-get-longitude"></a><h3>gclue_location_get_longitude ()</h3>
-<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gdouble"><span class="returnvalue">gdouble</span></a>
-gclue_location_get_longitude (<em class="parameter"><code><a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a> *object</code></em>);</pre>
-<p>Gets the value of the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Longitude">"Longitude"</a> D-Bus property.</p>
-<p>Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.</p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-location-get-longitude.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody><tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr></tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-location-get-longitude.returns"></a><h4>Returns</h4>
-<p> The property value.</p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-location-set-longitude"></a><h3>gclue_location_set_longitude ()</h3>
-<pre class="programlisting"><span class="returnvalue">void</span>
-gclue_location_set_longitude (<em class="parameter"><code><a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a> *object</code></em>,
-                              <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> value</code></em>);</pre>
-<p>Sets the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Longitude">"Longitude"</a> D-Bus property to <em class="parameter"><code>value</code></em>
-.</p>
-<p>Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.</p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-location-set-longitude.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>value</p></td>
-<td class="parameter_description"><p>The value to set.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-location-get-accuracy"></a><h3>gclue_location_get_accuracy ()</h3>
-<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gdouble"><span class="returnvalue">gdouble</span></a>
-gclue_location_get_accuracy (<em class="parameter"><code><a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a> *object</code></em>);</pre>
-<p>Gets the value of the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Accuracy">"Accuracy"</a> D-Bus property.</p>
-<p>Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.</p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-location-get-accuracy.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody><tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr></tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-location-get-accuracy.returns"></a><h4>Returns</h4>
-<p> The property value.</p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-location-set-accuracy"></a><h3>gclue_location_set_accuracy ()</h3>
-<pre class="programlisting"><span class="returnvalue">void</span>
-gclue_location_set_accuracy (<em class="parameter"><code><a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a> *object</code></em>,
-                             <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> value</code></em>);</pre>
-<p>Sets the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Accuracy">"Accuracy"</a> D-Bus property to <em class="parameter"><code>value</code></em>
-.</p>
-<p>Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.</p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-location-set-accuracy.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>value</p></td>
-<td class="parameter_description"><p>The value to set.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-location-get-altitude"></a><h3>gclue_location_get_altitude ()</h3>
-<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gdouble"><span class="returnvalue">gdouble</span></a>
-gclue_location_get_altitude (<em class="parameter"><code><a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a> *object</code></em>);</pre>
-<p>Gets the value of the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Altitude">"Altitude"</a> D-Bus property.</p>
-<p>Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.</p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-location-get-altitude.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody><tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr></tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-location-get-altitude.returns"></a><h4>Returns</h4>
-<p> The property value.</p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-location-set-altitude"></a><h3>gclue_location_set_altitude ()</h3>
-<pre class="programlisting"><span class="returnvalue">void</span>
-gclue_location_set_altitude (<em class="parameter"><code><a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a> *object</code></em>,
-                             <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> value</code></em>);</pre>
-<p>Sets the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Altitude">"Altitude"</a> D-Bus property to <em class="parameter"><code>value</code></em>
-.</p>
-<p>Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.</p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-location-set-altitude.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>value</p></td>
-<td class="parameter_description"><p>The value to set.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-location-get-speed"></a><h3>gclue_location_get_speed ()</h3>
-<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gdouble"><span class="returnvalue">gdouble</span></a>
-gclue_location_get_speed (<em class="parameter"><code><a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a> *object</code></em>);</pre>
-<p>Gets the value of the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Speed">"Speed"</a> D-Bus property.</p>
-<p>Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.</p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-location-get-speed.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody><tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr></tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-location-get-speed.returns"></a><h4>Returns</h4>
-<p> The property value.</p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-location-set-speed"></a><h3>gclue_location_set_speed ()</h3>
-<pre class="programlisting"><span class="returnvalue">void</span>
-gclue_location_set_speed (<em class="parameter"><code><a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a> *object</code></em>,
-                          <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> value</code></em>);</pre>
-<p>Sets the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Speed">"Speed"</a> D-Bus property to <em class="parameter"><code>value</code></em>
-.</p>
-<p>Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.</p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-location-set-speed.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>value</p></td>
-<td class="parameter_description"><p>The value to set.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-location-get-heading"></a><h3>gclue_location_get_heading ()</h3>
-<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gdouble"><span class="returnvalue">gdouble</span></a>
-gclue_location_get_heading (<em class="parameter"><code><a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a> *object</code></em>);</pre>
-<p>Gets the value of the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Heading">"Heading"</a> D-Bus property.</p>
-<p>Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.</p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-location-get-heading.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody><tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr></tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-location-get-heading.returns"></a><h4>Returns</h4>
-<p> The property value.</p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-location-set-heading"></a><h3>gclue_location_set_heading ()</h3>
-<pre class="programlisting"><span class="returnvalue">void</span>
-gclue_location_set_heading (<em class="parameter"><code><a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a> *object</code></em>,
-                            <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> value</code></em>);</pre>
-<p>Sets the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Heading">"Heading"</a> D-Bus property to <em class="parameter"><code>value</code></em>
-.</p>
-<p>Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.</p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-location-set-heading.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>value</p></td>
-<td class="parameter_description"><p>The value to set.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-location-get-description"></a><h3>gclue_location_get_description ()</h3>
-<pre class="programlisting">const <a href="../glib/glib-Basic-Types.html#gchar"><span class="returnvalue">gchar</span></a> *
-gclue_location_get_description (<em class="parameter"><code><a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a> *object</code></em>);</pre>
-<p>Gets the value of the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Description">"Description"</a> D-Bus property.</p>
-<p>Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.</p>
-<div class="warning">The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where <em class="parameter"><code>object</code></em> was constructed. Use <a class="link" href="GClueLocation.html#gclue-location-dup-description" title="gclue_location_dup_description ()"><code class="function">gclue_location_dup_description()</code></a> if on another thread.</div>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-location-get-description.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody><tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr></tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-location-get-description.returns"></a><h4>Returns</h4>
-<p>The property value or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if the property is not set. Do not free the returned value, it belongs to <em class="parameter"><code>object</code></em>
-. </p>
-<p><span class="annotation">[<acronym title="Don't free data after the code is done."><span class="acronym">transfer none</span></acronym>]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-location-dup-description"></a><h3>gclue_location_dup_description ()</h3>
-<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gchar"><span class="returnvalue">gchar</span></a> *
-gclue_location_dup_description (<em class="parameter"><code><a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a> *object</code></em>);</pre>
-<p>Gets a copy of the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Description">"Description"</a> D-Bus property.</p>
-<p>Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.</p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-location-dup-description.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody><tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr></tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-location-dup-description.returns"></a><h4>Returns</h4>
-<p>The property value or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if the property is not set. The returned value should be freed with <a href="../glib/glib-Memory-Allocation.html#g-free"><code class="function">g_free()</code></a>. </p>
-<p><span class="annotation">[<acronym title="Free data after the code is done."><span class="acronym">transfer full</span></acronym>]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-location-set-description"></a><h3>gclue_location_set_description ()</h3>
-<pre class="programlisting"><span class="returnvalue">void</span>
-gclue_location_set_description (<em class="parameter"><code><a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a> *object</code></em>,
-                                <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *value</code></em>);</pre>
-<p>Sets the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Description">"Description"</a> D-Bus property to <em class="parameter"><code>value</code></em>
-.</p>
-<p>Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.</p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-location-set-description.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>value</p></td>
-<td class="parameter_description"><p>The value to set.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-location-get-timestamp"></a><h3>gclue_location_get_timestamp ()</h3>
-<pre class="programlisting"><a href="../glib/glib-GVariant.html#GVariant"><span class="returnvalue">GVariant</span></a> *
-gclue_location_get_timestamp (<em class="parameter"><code><a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a> *object</code></em>);</pre>
-<p>Gets the value of the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Timestamp">"Timestamp"</a> D-Bus property.</p>
-<p>Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.</p>
-<div class="warning">The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where <em class="parameter"><code>object</code></em> was constructed. Use <a class="link" href="GClueLocation.html#gclue-location-dup-timestamp" title="gclue_location_dup_timestamp ()"><code class="function">gclue_location_dup_timestamp()</code></a> if on another thread.</div>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-location-get-timestamp.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody><tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr></tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-location-get-timestamp.returns"></a><h4>Returns</h4>
-<p>The property value or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if the property is not set. Do not free the returned value, it belongs to <em class="parameter"><code>object</code></em>
-. </p>
-<p><span class="annotation">[<acronym title="Don't free data after the code is done."><span class="acronym">transfer none</span></acronym>]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-location-dup-timestamp"></a><h3>gclue_location_dup_timestamp ()</h3>
-<pre class="programlisting"><a href="../glib/glib-GVariant.html#GVariant"><span class="returnvalue">GVariant</span></a> *
-gclue_location_dup_timestamp (<em class="parameter"><code><a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a> *object</code></em>);</pre>
-<p>Gets a copy of the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Timestamp">"Timestamp"</a> D-Bus property.</p>
-<p>Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.</p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-location-dup-timestamp.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody><tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr></tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-location-dup-timestamp.returns"></a><h4>Returns</h4>
-<p>The property value or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if the property is not set. The returned value should be freed with <a href="../glib/glib-GVariant.html#g-variant-unref"><code class="function">g_variant_unref()</code></a>. </p>
-<p><span class="annotation">[<acronym title="Free data after the code is done."><span class="acronym">transfer full</span></acronym>]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-location-set-timestamp"></a><h3>gclue_location_set_timestamp ()</h3>
-<pre class="programlisting"><span class="returnvalue">void</span>
-gclue_location_set_timestamp (<em class="parameter"><code><a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a> *object</code></em>,
-                              <em class="parameter"><code><a href="../glib/glib-GVariant.html#GVariant"><span class="type">GVariant</span></a> *value</code></em>);</pre>
-<p>Sets the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Timestamp">"Timestamp"</a> D-Bus property to <em class="parameter"><code>value</code></em>
-.</p>
-<p>Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.</p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-location-set-timestamp.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>value</p></td>
-<td class="parameter_description"><p>The value to set.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-</div>
-<div class="refsect1">
-<a name="GClueLocation.other_details"></a><h2>Types and Values</h2>
-</div>
-<div class="refsect1">
-<a name="GClueLocation.property-details"></a><h2>Property Details</h2>
-<div class="refsect2">
-<a name="GClueLocation--accuracy"></a><h3>The <code class="literal">“accuracy”</code> property</h3>
-<pre class="programlisting">  “accuracy”                 <a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></pre>
-<p>Represents the D-Bus property <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Accuracy">"Accuracy"</a>.</p>
-<p>Since the D-Bus property for this <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct"><span class="type">GObject</span></a> property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.</p>
-<p>Flags: Read / Write</p>
-<p>Default value: 0</p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="GClueLocation--altitude"></a><h3>The <code class="literal">“altitude”</code> property</h3>
-<pre class="programlisting">  “altitude”                 <a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></pre>
-<p>Represents the D-Bus property <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Altitude">"Altitude"</a>.</p>
-<p>Since the D-Bus property for this <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct"><span class="type">GObject</span></a> property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.</p>
-<p>Flags: Read / Write</p>
-<p>Default value: 0</p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="GClueLocation--description"></a><h3>The <code class="literal">“description”</code> property</h3>
-<pre class="programlisting">  “description”              <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</pre>
-<p>Represents the D-Bus property <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Description">"Description"</a>.</p>
-<p>Since the D-Bus property for this <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct"><span class="type">GObject</span></a> property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.</p>
-<p>Flags: Read / Write</p>
-<p>Default value: NULL</p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="GClueLocation--heading"></a><h3>The <code class="literal">“heading”</code> property</h3>
-<pre class="programlisting">  “heading”                  <a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></pre>
-<p>Represents the D-Bus property <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Heading">"Heading"</a>.</p>
-<p>Since the D-Bus property for this <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct"><span class="type">GObject</span></a> property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.</p>
-<p>Flags: Read / Write</p>
-<p>Default value: 0</p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="GClueLocation--latitude"></a><h3>The <code class="literal">“latitude”</code> property</h3>
-<pre class="programlisting">  “latitude”                 <a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></pre>
-<p>Represents the D-Bus property <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Latitude">"Latitude"</a>.</p>
-<p>Since the D-Bus property for this <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct"><span class="type">GObject</span></a> property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.</p>
-<p>Flags: Read / Write</p>
-<p>Default value: 0</p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="GClueLocation--longitude"></a><h3>The <code class="literal">“longitude”</code> property</h3>
-<pre class="programlisting">  “longitude”                <a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></pre>
-<p>Represents the D-Bus property <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Longitude">"Longitude"</a>.</p>
-<p>Since the D-Bus property for this <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct"><span class="type">GObject</span></a> property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.</p>
-<p>Flags: Read / Write</p>
-<p>Default value: 0</p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="GClueLocation--speed"></a><h3>The <code class="literal">“speed”</code> property</h3>
-<pre class="programlisting">  “speed”                    <a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></pre>
-<p>Represents the D-Bus property <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Speed">"Speed"</a>.</p>
-<p>Since the D-Bus property for this <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct"><span class="type">GObject</span></a> property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.</p>
-<p>Flags: Read / Write</p>
-<p>Default value: 0</p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="GClueLocation--timestamp"></a><h3>The <code class="literal">“timestamp”</code> property</h3>
-<pre class="programlisting">  “timestamp”                <a href="../glib/glib-GVariant.html#GVariant"><span class="type">GVariant</span></a> *</pre>
-<p>Represents the D-Bus property <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Location.html#gdbus-property-org-freedesktop-GeoClue2-Location.Timestamp">"Timestamp"</a>.</p>
-<p>Since the D-Bus property for this <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct"><span class="type">GObject</span></a> property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.</p>
-<p>Flags: Read / Write</p>
-<p>Allowed values: GVariant&lt;(tt)&gt;</p>
-<p>Default value: NULL</p>
-</div>
-</div>
-</div>
-<div class="footer">
-<hr>Generated by GTK-Doc V1.27</div>
-</body>
-</html>
\ No newline at end of file
diff -pruN 2.4.10-1/docs/lib/html/GClueLocationProxy.html 2.4.11-1/docs/lib/html/GClueLocationProxy.html
--- 2.4.10-1/docs/lib/html/GClueLocationProxy.html	2018-05-03 14:23:59.000000000 +0000
+++ 2.4.11-1/docs/lib/html/GClueLocationProxy.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,442 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>GClueLocationProxy: Libgeoclue Reference Manual</title>
-<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
-<link rel="home" href="index.html" title="Libgeoclue Reference Manual">
-<link rel="up" href="ch05.html" title="The Location object">
-<link rel="prev" href="GClueLocation.html" title="GClueLocation">
-<link rel="next" href="ix01.html" title="Index">
-<meta name="generator" content="GTK-Doc V1.27 (XML mode)">
-<link rel="stylesheet" href="style.css" type="text/css">
-</head>
-<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
-<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
-<td width="100%" align="left" class="shortcuts">
-<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
-                  <a href="#GClueLocationProxy.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
-                  <a href="#GClueLocationProxy.object-hierarchy" class="shortcut">Object Hierarchy</a></span>
-</td>
-<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
-<td><a accesskey="u" href="ch05.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
-<td><a accesskey="p" href="GClueLocation.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
-<td><a accesskey="n" href="ix01.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
-</tr></table>
-<div class="refentry">
-<a name="GClueLocationProxy"></a><div class="titlepage"></div>
-<div class="refnamediv"><table width="100%"><tr>
-<td valign="top">
-<h2><span class="refentrytitle"><a name="GClueLocationProxy.top_of_page"></a>GClueLocationProxy</span></h2>
-<p>GClueLocationProxy</p>
-</td>
-<td class="gallery_image" valign="top" align="right"></td>
-</tr></table></div>
-<div class="refsect1">
-<a name="GClueLocationProxy.functions"></a><h2>Functions</h2>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="functions_return">
-<col class="functions_name">
-</colgroup>
-<tbody>
-<tr>
-<td class="function_type">
-<span class="returnvalue">void</span>
-</td>
-<td class="function_name">
-<a class="link" href="GClueLocationProxy.html#gclue-location-proxy-new" title="gclue_location_proxy_new ()">gclue_location_proxy_new</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a class="link" href="GClueLocation.html" title="GClueLocation"><span class="returnvalue">GClueLocation</span></a> *
-</td>
-<td class="function_name">
-<a class="link" href="GClueLocationProxy.html#gclue-location-proxy-new-finish" title="gclue_location_proxy_new_finish ()">gclue_location_proxy_new_finish</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a class="link" href="GClueLocation.html" title="GClueLocation"><span class="returnvalue">GClueLocation</span></a> *
-</td>
-<td class="function_name">
-<a class="link" href="GClueLocationProxy.html#gclue-location-proxy-new-sync" title="gclue_location_proxy_new_sync ()">gclue_location_proxy_new_sync</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<span class="returnvalue">void</span>
-</td>
-<td class="function_name">
-<a class="link" href="GClueLocationProxy.html#gclue-location-proxy-new-for-bus" title="gclue_location_proxy_new_for_bus ()">gclue_location_proxy_new_for_bus</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a class="link" href="GClueLocation.html" title="GClueLocation"><span class="returnvalue">GClueLocation</span></a> *
-</td>
-<td class="function_name">
-<a class="link" href="GClueLocationProxy.html#gclue-location-proxy-new-for-bus-finish" title="gclue_location_proxy_new_for_bus_finish ()">gclue_location_proxy_new_for_bus_finish</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a class="link" href="GClueLocation.html" title="GClueLocation"><span class="returnvalue">GClueLocation</span></a> *
-</td>
-<td class="function_name">
-<a class="link" href="GClueLocationProxy.html#gclue-location-proxy-new-for-bus-sync" title="gclue_location_proxy_new_for_bus_sync ()">gclue_location_proxy_new_for_bus_sync</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect1">
-<a name="GClueLocationProxy.object-hierarchy"></a><h2>Object Hierarchy</h2>
-<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
-    <span class="lineart">╰──</span> <a href="../gio/GDBusProxy.html#GDBusProxy-struct">GDBusProxy</a>
-        <span class="lineart">╰──</span> GClueLocationProxy
-</pre>
-</div>
-<div class="refsect1">
-<a name="GClueLocationProxy.description"></a><h2>Description</h2>
-</div>
-<div class="refsect1">
-<a name="GClueLocationProxy.functions_details"></a><h2>Functions</h2>
-<div class="refsect2">
-<a name="gclue-location-proxy-new"></a><h3>gclue_location_proxy_new ()</h3>
-<pre class="programlisting"><span class="returnvalue">void</span>
-gclue_location_proxy_new (<em class="parameter"><code><a href="../gio/GDBusConnection.html#GDBusConnection-struct"><span class="type">GDBusConnection</span></a> *connection</code></em>,
-                          <em class="parameter"><code><a href="../gio/GDBusProxy.html#GDBusProxyFlags"><span class="type">GDBusProxyFlags</span></a> flags</code></em>,
-                          <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *name</code></em>,
-                          <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *object_path</code></em>,
-                          <em class="parameter"><code><a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> *cancellable</code></em>,
-                          <em class="parameter"><code><a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> callback</code></em>,
-                          <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a> user_data</code></em>);</pre>
-<p>Asynchronously creates a proxy for the D-Bus interface org.freedesktop.GeoClue2.Location. See <a href="../gio/GDBusProxy.html#g-dbus-proxy-new"><code class="function">g_dbus_proxy_new()</code></a> for more details.</p>
-<p>When the operation is finished, <em class="parameter"><code>callback</code></em>
- will be invoked in the <a href="../glib/glib-The-Main-Event-Loop.html#g-main-context-push-thread-default">thread-default main loop</a> of the thread you are calling this method from.
-You can then call <a class="link" href="GClueLocationProxy.html#gclue-location-proxy-new-finish" title="gclue_location_proxy_new_finish ()"><code class="function">gclue_location_proxy_new_finish()</code></a> to get the result of the operation.</p>
-<p>See <a class="link" href="GClueLocationProxy.html#gclue-location-proxy-new-sync" title="gclue_location_proxy_new_sync ()"><code class="function">gclue_location_proxy_new_sync()</code></a> for the synchronous, blocking version of this constructor.</p>
-<div class="refsect3">
-<a name="gclue-location-proxy-new.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>connection</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GDBusConnection.html#GDBusConnection-struct"><span class="type">GDBusConnection</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>flags</p></td>
-<td class="parameter_description"><p>Flags from the <a href="../gio/GDBusProxy.html#GDBusProxyFlags"><span class="type">GDBusProxyFlags</span></a> enumeration.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>name</p></td>
-<td class="parameter_description"><p>A bus name (well-known or unique) or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if <em class="parameter"><code>connection</code></em>
-is not a message bus connection. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>object_path</p></td>
-<td class="parameter_description"><p>An object path.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>cancellable</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>callback</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> to call when the request is satisfied.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>user_data</p></td>
-<td class="parameter_description"><p>User data to pass to <em class="parameter"><code>callback</code></em>
-.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-location-proxy-new-finish"></a><h3>gclue_location_proxy_new_finish ()</h3>
-<pre class="programlisting"><a class="link" href="GClueLocation.html" title="GClueLocation"><span class="returnvalue">GClueLocation</span></a> *
-gclue_location_proxy_new_finish (<em class="parameter"><code><a href="../gio/GAsyncResult.html#GAsyncResult-struct"><span class="type">GAsyncResult</span></a> *res</code></em>,
-                                 <em class="parameter"><code><a href="../glib/glib-Error-Reporting.html#GError"><span class="type">GError</span></a> **error</code></em>);</pre>
-<p>Finishes an operation started with <a class="link" href="GClueLocationProxy.html#gclue-location-proxy-new" title="gclue_location_proxy_new ()"><code class="function">gclue_location_proxy_new()</code></a>.</p>
-<div class="refsect3">
-<a name="gclue-location-proxy-new-finish.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>res</p></td>
-<td class="parameter_description"><p>The <a href="../gio/GAsyncResult.html#GAsyncResult-struct"><span class="type">GAsyncResult</span></a> obtained from the <a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> passed to <a class="link" href="GClueLocationProxy.html#gclue-location-proxy-new" title="gclue_location_proxy_new ()"><code class="function">gclue_location_proxy_new()</code></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>error</p></td>
-<td class="parameter_description"><p>Return location for error or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a></p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-location-proxy-new-finish.returns"></a><h4>Returns</h4>
-<p>The constructed proxy object or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if <em class="parameter"><code>error</code></em>
-is set. </p>
-<p><span class="annotation">[<acronym title="Free data after the code is done."><span class="acronym">transfer full</span></acronym>][<acronym title="Override the parsed C type with given type."><span class="acronym">type</span></acronym> GClueLocationProxy]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-location-proxy-new-sync"></a><h3>gclue_location_proxy_new_sync ()</h3>
-<pre class="programlisting"><a class="link" href="GClueLocation.html" title="GClueLocation"><span class="returnvalue">GClueLocation</span></a> *
-gclue_location_proxy_new_sync (<em class="parameter"><code><a href="../gio/GDBusConnection.html#GDBusConnection-struct"><span class="type">GDBusConnection</span></a> *connection</code></em>,
-                               <em class="parameter"><code><a href="../gio/GDBusProxy.html#GDBusProxyFlags"><span class="type">GDBusProxyFlags</span></a> flags</code></em>,
-                               <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *name</code></em>,
-                               <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *object_path</code></em>,
-                               <em class="parameter"><code><a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> *cancellable</code></em>,
-                               <em class="parameter"><code><a href="../glib/glib-Error-Reporting.html#GError"><span class="type">GError</span></a> **error</code></em>);</pre>
-<p>Synchronously creates a proxy for the D-Bus interface org.freedesktop.GeoClue2.Location. See <a href="../gio/GDBusProxy.html#g-dbus-proxy-new-sync"><code class="function">g_dbus_proxy_new_sync()</code></a> for more details.</p>
-<p>The calling thread is blocked until a reply is received.</p>
-<p>See <a class="link" href="GClueLocationProxy.html#gclue-location-proxy-new" title="gclue_location_proxy_new ()"><code class="function">gclue_location_proxy_new()</code></a> for the asynchronous version of this constructor.</p>
-<div class="refsect3">
-<a name="gclue-location-proxy-new-sync.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>connection</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GDBusConnection.html#GDBusConnection-struct"><span class="type">GDBusConnection</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>flags</p></td>
-<td class="parameter_description"><p>Flags from the <a href="../gio/GDBusProxy.html#GDBusProxyFlags"><span class="type">GDBusProxyFlags</span></a> enumeration.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>name</p></td>
-<td class="parameter_description"><p>A bus name (well-known or unique) or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if <em class="parameter"><code>connection</code></em>
-is not a message bus connection. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>object_path</p></td>
-<td class="parameter_description"><p>An object path.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>cancellable</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>error</p></td>
-<td class="parameter_description"><p>Return location for error or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a></p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-location-proxy-new-sync.returns"></a><h4>Returns</h4>
-<p>The constructed proxy object or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if <em class="parameter"><code>error</code></em>
-is set. </p>
-<p><span class="annotation">[<acronym title="Free data after the code is done."><span class="acronym">transfer full</span></acronym>][<acronym title="Override the parsed C type with given type."><span class="acronym">type</span></acronym> GClueLocationProxy]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-location-proxy-new-for-bus"></a><h3>gclue_location_proxy_new_for_bus ()</h3>
-<pre class="programlisting"><span class="returnvalue">void</span>
-gclue_location_proxy_new_for_bus (<em class="parameter"><code><a href="../gio/GDBusConnection.html#GBusType"><span class="type">GBusType</span></a> bus_type</code></em>,
-                                  <em class="parameter"><code><a href="../gio/GDBusProxy.html#GDBusProxyFlags"><span class="type">GDBusProxyFlags</span></a> flags</code></em>,
-                                  <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *name</code></em>,
-                                  <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *object_path</code></em>,
-                                  <em class="parameter"><code><a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> *cancellable</code></em>,
-                                  <em class="parameter"><code><a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> callback</code></em>,
-                                  <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a> user_data</code></em>);</pre>
-<p>Like <a class="link" href="GClueLocationProxy.html#gclue-location-proxy-new" title="gclue_location_proxy_new ()"><code class="function">gclue_location_proxy_new()</code></a> but takes a <a href="../gio/GDBusConnection.html#GBusType"><span class="type">GBusType</span></a> instead of a <a href="../gio/GDBusConnection.html#GDBusConnection-struct"><span class="type">GDBusConnection</span></a>.</p>
-<p>When the operation is finished, <em class="parameter"><code>callback</code></em>
- will be invoked in the <a href="../glib/glib-The-Main-Event-Loop.html#g-main-context-push-thread-default">thread-default main loop</a> of the thread you are calling this method from.
-You can then call <a class="link" href="GClueLocationProxy.html#gclue-location-proxy-new-for-bus-finish" title="gclue_location_proxy_new_for_bus_finish ()"><code class="function">gclue_location_proxy_new_for_bus_finish()</code></a> to get the result of the operation.</p>
-<p>See <a class="link" href="GClueLocationProxy.html#gclue-location-proxy-new-for-bus-sync" title="gclue_location_proxy_new_for_bus_sync ()"><code class="function">gclue_location_proxy_new_for_bus_sync()</code></a> for the synchronous, blocking version of this constructor.</p>
-<div class="refsect3">
-<a name="gclue-location-proxy-new-for-bus.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>bus_type</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GDBusConnection.html#GBusType"><span class="type">GBusType</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>flags</p></td>
-<td class="parameter_description"><p>Flags from the <a href="../gio/GDBusProxy.html#GDBusProxyFlags"><span class="type">GDBusProxyFlags</span></a> enumeration.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>name</p></td>
-<td class="parameter_description"><p>A bus name (well-known or unique).</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>object_path</p></td>
-<td class="parameter_description"><p>An object path.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>cancellable</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>callback</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> to call when the request is satisfied.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>user_data</p></td>
-<td class="parameter_description"><p>User data to pass to <em class="parameter"><code>callback</code></em>
-.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-location-proxy-new-for-bus-finish"></a><h3>gclue_location_proxy_new_for_bus_finish ()</h3>
-<pre class="programlisting"><a class="link" href="GClueLocation.html" title="GClueLocation"><span class="returnvalue">GClueLocation</span></a> *
-gclue_location_proxy_new_for_bus_finish
-                               (<em class="parameter"><code><a href="../gio/GAsyncResult.html#GAsyncResult-struct"><span class="type">GAsyncResult</span></a> *res</code></em>,
-                                <em class="parameter"><code><a href="../glib/glib-Error-Reporting.html#GError"><span class="type">GError</span></a> **error</code></em>);</pre>
-<p>Finishes an operation started with <a class="link" href="GClueLocationProxy.html#gclue-location-proxy-new-for-bus" title="gclue_location_proxy_new_for_bus ()"><code class="function">gclue_location_proxy_new_for_bus()</code></a>.</p>
-<div class="refsect3">
-<a name="gclue-location-proxy-new-for-bus-finish.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>res</p></td>
-<td class="parameter_description"><p>The <a href="../gio/GAsyncResult.html#GAsyncResult-struct"><span class="type">GAsyncResult</span></a> obtained from the <a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> passed to <a class="link" href="GClueLocationProxy.html#gclue-location-proxy-new-for-bus" title="gclue_location_proxy_new_for_bus ()"><code class="function">gclue_location_proxy_new_for_bus()</code></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>error</p></td>
-<td class="parameter_description"><p>Return location for error or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a></p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-location-proxy-new-for-bus-finish.returns"></a><h4>Returns</h4>
-<p>The constructed proxy object or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if <em class="parameter"><code>error</code></em>
-is set. </p>
-<p><span class="annotation">[<acronym title="Free data after the code is done."><span class="acronym">transfer full</span></acronym>][<acronym title="Override the parsed C type with given type."><span class="acronym">type</span></acronym> GClueLocationProxy]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-location-proxy-new-for-bus-sync"></a><h3>gclue_location_proxy_new_for_bus_sync ()</h3>
-<pre class="programlisting"><a class="link" href="GClueLocation.html" title="GClueLocation"><span class="returnvalue">GClueLocation</span></a> *
-gclue_location_proxy_new_for_bus_sync (<em class="parameter"><code><a href="../gio/GDBusConnection.html#GBusType"><span class="type">GBusType</span></a> bus_type</code></em>,
-                                       <em class="parameter"><code><a href="../gio/GDBusProxy.html#GDBusProxyFlags"><span class="type">GDBusProxyFlags</span></a> flags</code></em>,
-                                       <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *name</code></em>,
-                                       <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *object_path</code></em>,
-                                       <em class="parameter"><code><a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> *cancellable</code></em>,
-                                       <em class="parameter"><code><a href="../glib/glib-Error-Reporting.html#GError"><span class="type">GError</span></a> **error</code></em>);</pre>
-<p>Like <a class="link" href="GClueLocationProxy.html#gclue-location-proxy-new-sync" title="gclue_location_proxy_new_sync ()"><code class="function">gclue_location_proxy_new_sync()</code></a> but takes a <a href="../gio/GDBusConnection.html#GBusType"><span class="type">GBusType</span></a> instead of a <a href="../gio/GDBusConnection.html#GDBusConnection-struct"><span class="type">GDBusConnection</span></a>.</p>
-<p>The calling thread is blocked until a reply is received.</p>
-<p>See <a class="link" href="GClueLocationProxy.html#gclue-location-proxy-new-for-bus" title="gclue_location_proxy_new_for_bus ()"><code class="function">gclue_location_proxy_new_for_bus()</code></a> for the asynchronous version of this constructor.</p>
-<div class="refsect3">
-<a name="gclue-location-proxy-new-for-bus-sync.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>bus_type</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GDBusConnection.html#GBusType"><span class="type">GBusType</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>flags</p></td>
-<td class="parameter_description"><p>Flags from the <a href="../gio/GDBusProxy.html#GDBusProxyFlags"><span class="type">GDBusProxyFlags</span></a> enumeration.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>name</p></td>
-<td class="parameter_description"><p>A bus name (well-known or unique).</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>object_path</p></td>
-<td class="parameter_description"><p>An object path.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>cancellable</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>error</p></td>
-<td class="parameter_description"><p>Return location for error or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a></p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-location-proxy-new-for-bus-sync.returns"></a><h4>Returns</h4>
-<p>The constructed proxy object or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if <em class="parameter"><code>error</code></em>
-is set. </p>
-<p><span class="annotation">[<acronym title="Free data after the code is done."><span class="acronym">transfer full</span></acronym>][<acronym title="Override the parsed C type with given type."><span class="acronym">type</span></acronym> GClueLocationProxy]</span></p>
-</div>
-</div>
-</div>
-<div class="refsect1">
-<a name="GClueLocationProxy.other_details"></a><h2>Types and Values</h2>
-</div>
-</div>
-<div class="footer">
-<hr>Generated by GTK-Doc V1.27</div>
-</body>
-</html>
\ No newline at end of file
diff -pruN 2.4.10-1/docs/lib/html/GClueManager.html 2.4.11-1/docs/lib/html/GClueManager.html
--- 2.4.10-1/docs/lib/html/GClueManager.html	2018-05-03 14:23:59.000000000 +0000
+++ 2.4.11-1/docs/lib/html/GClueManager.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,786 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>GClueManager: Libgeoclue Reference Manual</title>
-<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
-<link rel="home" href="index.html" title="Libgeoclue Reference Manual">
-<link rel="up" href="ch03.html" title="The Manager object">
-<link rel="prev" href="ch03.html" title="The Manager object">
-<link rel="next" href="GClueManagerProxy.html" title="GClueManagerProxy">
-<meta name="generator" content="GTK-Doc V1.27 (XML mode)">
-<link rel="stylesheet" href="style.css" type="text/css">
-</head>
-<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
-<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
-<td width="100%" align="left" class="shortcuts">
-<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
-                  <a href="#GClueManager.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
-                  <a href="#GClueManager.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_properties">  <span class="dim">|</span> 
-                  <a href="#GClueManager.properties" class="shortcut">Properties</a></span><span id="nav_signals">  <span class="dim">|</span> 
-                  <a href="#GClueManager.signals" class="shortcut">Signals</a></span>
-</td>
-<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
-<td><a accesskey="u" href="ch03.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
-<td><a accesskey="p" href="ch03.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
-<td><a accesskey="n" href="GClueManagerProxy.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
-</tr></table>
-<div class="refentry">
-<a name="GClueManager"></a><div class="titlepage"></div>
-<div class="refnamediv"><table width="100%"><tr>
-<td valign="top">
-<h2><span class="refentrytitle"><a name="GClueManager.top_of_page"></a>GClueManager</span></h2>
-<p>GClueManager</p>
-</td>
-<td class="gallery_image" valign="top" align="right"></td>
-</tr></table></div>
-<div class="refsect1">
-<a name="GClueManager.functions"></a><h2>Functions</h2>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="functions_return">
-<col class="functions_name">
-</colgroup>
-<tbody>
-<tr>
-<td class="function_type">
-<a href="../gio/gio-D-Bus-Introspection-Data.html#GDBusInterfaceInfo-struct"><span class="returnvalue">GDBusInterfaceInfo</span></a> *
-</td>
-<td class="function_name">
-<a class="link" href="GClueManager.html#gclue-manager-interface-info" title="gclue_manager_interface_info ()">gclue_manager_interface_info</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a href="../glib/glib-Basic-Types.html#guint"><span class="returnvalue">guint</span></a>
-</td>
-<td class="function_name">
-<a class="link" href="GClueManager.html#gclue-manager-override-properties" title="gclue_manager_override_properties ()">gclue_manager_override_properties</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<span class="returnvalue">void</span>
-</td>
-<td class="function_name">
-<a class="link" href="GClueManager.html#gclue-manager-call-get-client" title="gclue_manager_call_get_client ()">gclue_manager_call_get_client</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
-</td>
-<td class="function_name">
-<a class="link" href="GClueManager.html#gclue-manager-call-get-client-finish" title="gclue_manager_call_get_client_finish ()">gclue_manager_call_get_client_finish</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
-</td>
-<td class="function_name">
-<a class="link" href="GClueManager.html#gclue-manager-call-get-client-sync" title="gclue_manager_call_get_client_sync ()">gclue_manager_call_get_client_sync</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<span class="returnvalue">void</span>
-</td>
-<td class="function_name">
-<a class="link" href="GClueManager.html#gclue-manager-call-add-agent" title="gclue_manager_call_add_agent ()">gclue_manager_call_add_agent</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
-</td>
-<td class="function_name">
-<a class="link" href="GClueManager.html#gclue-manager-call-add-agent-finish" title="gclue_manager_call_add_agent_finish ()">gclue_manager_call_add_agent_finish</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
-</td>
-<td class="function_name">
-<a class="link" href="GClueManager.html#gclue-manager-call-add-agent-sync" title="gclue_manager_call_add_agent_sync ()">gclue_manager_call_add_agent_sync</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
-</td>
-<td class="function_name">
-<a class="link" href="GClueManager.html#gclue-manager-get-in-use" title="gclue_manager_get_in_use ()">gclue_manager_get_in_use</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<span class="returnvalue">void</span>
-</td>
-<td class="function_name">
-<a class="link" href="GClueManager.html#gclue-manager-set-in-use" title="gclue_manager_set_in_use ()">gclue_manager_set_in_use</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a href="../glib/glib-Basic-Types.html#guint"><span class="returnvalue">guint</span></a>
-</td>
-<td class="function_name">
-<a class="link" href="GClueManager.html#gclue-manager-get-available-accuracy-level" title="gclue_manager_get_available_accuracy_level ()">gclue_manager_get_available_accuracy_level</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<span class="returnvalue">void</span>
-</td>
-<td class="function_name">
-<a class="link" href="GClueManager.html#gclue-manager-set-available-accuracy-level" title="gclue_manager_set_available_accuracy_level ()">gclue_manager_set_available_accuracy_level</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect1">
-<a name="GClueManager.properties"></a><h2>Properties</h2>
-<div class="informaltable"><table class="informaltable" border="0">
-<colgroup>
-<col width="150px" class="properties_type">
-<col width="300px" class="properties_name">
-<col width="200px" class="properties_flags">
-</colgroup>
-<tbody>
-<tr>
-<td class="property_type"><a href="../glib/glib-Basic-Types.html#guint"><span class="type">guint</span></a></td>
-<td class="property_name"><a class="link" href="GClueManager.html#GClueManager--available-accuracy-level" title="The “available-accuracy-level” property">available-accuracy-level</a></td>
-<td class="property_flags">Read / Write</td>
-</tr>
-<tr>
-<td class="property_type"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
-<td class="property_name"><a class="link" href="GClueManager.html#GClueManager--in-use" title="The “in-use” property">in-use</a></td>
-<td class="property_flags">Read / Write</td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect1">
-<a name="GClueManager.signals"></a><h2>Signals</h2>
-<div class="informaltable"><table class="informaltable" border="0">
-<colgroup>
-<col width="150px" class="signals_return">
-<col width="300px" class="signals_name">
-<col width="200px" class="signals_flags">
-</colgroup>
-<tbody>
-<tr>
-<td class="signal_type"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a></td>
-<td class="signal_name"><a class="link" href="GClueManager.html#GClueManager-handle-add-agent" title="The “handle-add-agent” signal">handle-add-agent</a></td>
-<td class="signal_flags"><a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-LAST:CAPS">Run Last</a></td>
-</tr>
-<tr>
-<td class="signal_type"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a></td>
-<td class="signal_name"><a class="link" href="GClueManager.html#GClueManager-handle-get-client" title="The “handle-get-client” signal">handle-get-client</a></td>
-<td class="signal_flags"><a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-LAST:CAPS">Run Last</a></td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<a name="GClueManagerSkeleton"></a><div class="refsect1">
-<a name="GClueManager.object-hierarchy"></a><h2>Object Hierarchy</h2>
-<pre class="screen">    <a href="/usr/share/gtk-doc/html/gobject/GTypeModule.html">GInterface</a>
-    <span class="lineart">╰──</span> GClueManager
-    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
-    <span class="lineart">╰──</span> <a href="../gio/GDBusInterfaceSkeleton.html#GDBusInterfaceSkeleton-struct">GDBusInterfaceSkeleton</a>
-        <span class="lineart">╰──</span> GClueManagerSkeleton
-</pre>
-</div>
-<div class="refsect1">
-<a name="GClueManager.description"></a><h2>Description</h2>
-</div>
-<div class="refsect1">
-<a name="GClueManager.functions_details"></a><h2>Functions</h2>
-<div class="refsect2">
-<a name="gclue-manager-interface-info"></a><h3>gclue_manager_interface_info ()</h3>
-<pre class="programlisting"><a href="../gio/gio-D-Bus-Introspection-Data.html#GDBusInterfaceInfo-struct"><span class="returnvalue">GDBusInterfaceInfo</span></a> *
-gclue_manager_interface_info (<em class="parameter"><code><span class="type">void</span></code></em>);</pre>
-<p>Gets a machine-readable description of the org.freedesktop.GeoClue2.Manager D-Bus interface.</p>
-<div class="refsect3">
-<a name="gclue-manager-interface-info.returns"></a><h4>Returns</h4>
-<p>A <a href="../gio/gio-D-Bus-Introspection-Data.html#GDBusInterfaceInfo-struct"><span class="type">GDBusInterfaceInfo</span></a>. Do not free. </p>
-<p><span class="annotation">[<acronym title="Don't free data after the code is done."><span class="acronym">transfer none</span></acronym>]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-manager-override-properties"></a><h3>gclue_manager_override_properties ()</h3>
-<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#guint"><span class="returnvalue">guint</span></a>
-gclue_manager_override_properties (<em class="parameter"><code><a href="../gobject/gobject-The-Base-Object-Type.html#GObjectClass"><span class="type">GObjectClass</span></a> *klass</code></em>,
-                                   <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#guint"><span class="type">guint</span></a> property_id_begin</code></em>);</pre>
-<p>Overrides all <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct"><span class="type">GObject</span></a> properties in the <a class="link" href="GClueManager.html" title="GClueManager"><span class="type">GClueManager</span></a> interface for a concrete class.
-The properties are overridden in the order they are defined.</p>
-<div class="refsect3">
-<a name="gclue-manager-override-properties.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>klass</p></td>
-<td class="parameter_description"><p>The class structure for a <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct"><span class="type">GObject</span></a>-derived class.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>property_id_begin</p></td>
-<td class="parameter_description"><p>The property id to assign to the first overridden property.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-manager-override-properties.returns"></a><h4>Returns</h4>
-<p> The last property id.</p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-manager-call-get-client"></a><h3>gclue_manager_call_get_client ()</h3>
-<pre class="programlisting"><span class="returnvalue">void</span>
-gclue_manager_call_get_client (<em class="parameter"><code><a class="link" href="GClueManager.html" title="GClueManager"><span class="type">GClueManager</span></a> *proxy</code></em>,
-                               <em class="parameter"><code><a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> *cancellable</code></em>,
-                               <em class="parameter"><code><a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> callback</code></em>,
-                               <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a> user_data</code></em>);</pre>
-<p>Asynchronously invokes the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Manager.html#gdbus-method-org-freedesktop-GeoClue2-Manager.GetClient"><GTKDOCLINK HREF="GetClient"><code class="function">GetClient()</code></a></GTKDOCLINK> D-Bus method on <em class="parameter"><code>proxy</code></em>
-.
-When the operation is finished, <em class="parameter"><code>callback</code></em>
- will be invoked in the <a href="../glib/glib-The-Main-Event-Loop.html#g-main-context-push-thread-default">thread-default main loop</a> of the thread you are calling this method from.
-You can then call <a class="link" href="GClueManager.html#gclue-manager-call-get-client-finish" title="gclue_manager_call_get_client_finish ()"><code class="function">gclue_manager_call_get_client_finish()</code></a> to get the result of the operation.</p>
-<p>See <a class="link" href="GClueManager.html#gclue-manager-call-get-client-sync" title="gclue_manager_call_get_client_sync ()"><code class="function">gclue_manager_call_get_client_sync()</code></a> for the synchronous, blocking version of this method.</p>
-<div class="refsect3">
-<a name="gclue-manager-call-get-client.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>proxy</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueManagerProxy.html" title="GClueManagerProxy"><span class="type">GClueManagerProxy</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>cancellable</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>callback</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> to call when the request is satisfied or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>user_data</p></td>
-<td class="parameter_description"><p>User data to pass to <em class="parameter"><code>callback</code></em>
-.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-manager-call-get-client-finish"></a><h3>gclue_manager_call_get_client_finish ()</h3>
-<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
-gclue_manager_call_get_client_finish (<em class="parameter"><code><a class="link" href="GClueManager.html" title="GClueManager"><span class="type">GClueManager</span></a> *proxy</code></em>,
-                                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> **out_client</code></em>,
-                                      <em class="parameter"><code><a href="../gio/GAsyncResult.html#GAsyncResult-struct"><span class="type">GAsyncResult</span></a> *res</code></em>,
-                                      <em class="parameter"><code><a href="../glib/glib-Error-Reporting.html#GError"><span class="type">GError</span></a> **error</code></em>);</pre>
-<p>Finishes an operation started with <a class="link" href="GClueManager.html#gclue-manager-call-get-client" title="gclue_manager_call_get_client ()"><code class="function">gclue_manager_call_get_client()</code></a>.</p>
-<div class="refsect3">
-<a name="gclue-manager-call-get-client-finish.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>proxy</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueManagerProxy.html" title="GClueManagerProxy"><span class="type">GClueManagerProxy</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>out_client</p></td>
-<td class="parameter_description"><p>Return location for return parameter or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> to ignore. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="Parameter for returning results. Default is transfer full."><span class="acronym">out</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>res</p></td>
-<td class="parameter_description"><p>The <a href="../gio/GAsyncResult.html#GAsyncResult-struct"><span class="type">GAsyncResult</span></a> obtained from the <a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> passed to <a class="link" href="GClueManager.html#gclue-manager-call-get-client" title="gclue_manager_call_get_client ()"><code class="function">gclue_manager_call_get_client()</code></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>error</p></td>
-<td class="parameter_description"><p>Return location for error or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-manager-call-get-client-finish.returns"></a><h4>Returns</h4>
-<p><a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if the call succeded, <a href="../glib/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a> if <em class="parameter"><code>error</code></em>
-is set. </p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-manager-call-get-client-sync"></a><h3>gclue_manager_call_get_client_sync ()</h3>
-<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
-gclue_manager_call_get_client_sync (<em class="parameter"><code><a class="link" href="GClueManager.html" title="GClueManager"><span class="type">GClueManager</span></a> *proxy</code></em>,
-                                    <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> **out_client</code></em>,
-                                    <em class="parameter"><code><a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> *cancellable</code></em>,
-                                    <em class="parameter"><code><a href="../glib/glib-Error-Reporting.html#GError"><span class="type">GError</span></a> **error</code></em>);</pre>
-<p>Synchronously invokes the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Manager.html#gdbus-method-org-freedesktop-GeoClue2-Manager.GetClient"><GTKDOCLINK HREF="GetClient"><code class="function">GetClient()</code></a></GTKDOCLINK> D-Bus method on <em class="parameter"><code>proxy</code></em>
-. The calling thread is blocked until a reply is received.</p>
-<p>See <a class="link" href="GClueManager.html#gclue-manager-call-get-client" title="gclue_manager_call_get_client ()"><code class="function">gclue_manager_call_get_client()</code></a> for the asynchronous version of this method.</p>
-<div class="refsect3">
-<a name="gclue-manager-call-get-client-sync.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>proxy</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueManagerProxy.html" title="GClueManagerProxy"><span class="type">GClueManagerProxy</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>out_client</p></td>
-<td class="parameter_description"><p>Return location for return parameter or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> to ignore. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="Parameter for returning results. Default is transfer full."><span class="acronym">out</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>cancellable</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>error</p></td>
-<td class="parameter_description"><p>Return location for error or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-manager-call-get-client-sync.returns"></a><h4>Returns</h4>
-<p><a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if the call succeded, <a href="../glib/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a> if <em class="parameter"><code>error</code></em>
-is set. </p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-manager-call-add-agent"></a><h3>gclue_manager_call_add_agent ()</h3>
-<pre class="programlisting"><span class="returnvalue">void</span>
-gclue_manager_call_add_agent (<em class="parameter"><code><a class="link" href="GClueManager.html" title="GClueManager"><span class="type">GClueManager</span></a> *proxy</code></em>,
-                              <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *arg_id</code></em>,
-                              <em class="parameter"><code><a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> *cancellable</code></em>,
-                              <em class="parameter"><code><a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> callback</code></em>,
-                              <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a> user_data</code></em>);</pre>
-<p>Asynchronously invokes the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Manager.html#gdbus-method-org-freedesktop-GeoClue2-Manager.AddAgent"><GTKDOCLINK HREF="AddAgent"><code class="function">AddAgent()</code></a></GTKDOCLINK> D-Bus method on <em class="parameter"><code>proxy</code></em>
-.
-When the operation is finished, <em class="parameter"><code>callback</code></em>
- will be invoked in the <a href="../glib/glib-The-Main-Event-Loop.html#g-main-context-push-thread-default">thread-default main loop</a> of the thread you are calling this method from.
-You can then call <a class="link" href="GClueManager.html#gclue-manager-call-add-agent-finish" title="gclue_manager_call_add_agent_finish ()"><code class="function">gclue_manager_call_add_agent_finish()</code></a> to get the result of the operation.</p>
-<p>See <a class="link" href="GClueManager.html#gclue-manager-call-add-agent-sync" title="gclue_manager_call_add_agent_sync ()"><code class="function">gclue_manager_call_add_agent_sync()</code></a> for the synchronous, blocking version of this method.</p>
-<div class="refsect3">
-<a name="gclue-manager-call-add-agent.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>proxy</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueManagerProxy.html" title="GClueManagerProxy"><span class="type">GClueManagerProxy</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>arg_id</p></td>
-<td class="parameter_description"><p>Argument to pass with the method invocation.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>cancellable</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>callback</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> to call when the request is satisfied or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>user_data</p></td>
-<td class="parameter_description"><p>User data to pass to <em class="parameter"><code>callback</code></em>
-.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-manager-call-add-agent-finish"></a><h3>gclue_manager_call_add_agent_finish ()</h3>
-<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
-gclue_manager_call_add_agent_finish (<em class="parameter"><code><a class="link" href="GClueManager.html" title="GClueManager"><span class="type">GClueManager</span></a> *proxy</code></em>,
-                                     <em class="parameter"><code><a href="../gio/GAsyncResult.html#GAsyncResult-struct"><span class="type">GAsyncResult</span></a> *res</code></em>,
-                                     <em class="parameter"><code><a href="../glib/glib-Error-Reporting.html#GError"><span class="type">GError</span></a> **error</code></em>);</pre>
-<p>Finishes an operation started with <a class="link" href="GClueManager.html#gclue-manager-call-add-agent" title="gclue_manager_call_add_agent ()"><code class="function">gclue_manager_call_add_agent()</code></a>.</p>
-<div class="refsect3">
-<a name="gclue-manager-call-add-agent-finish.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>proxy</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueManagerProxy.html" title="GClueManagerProxy"><span class="type">GClueManagerProxy</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>res</p></td>
-<td class="parameter_description"><p>The <a href="../gio/GAsyncResult.html#GAsyncResult-struct"><span class="type">GAsyncResult</span></a> obtained from the <a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> passed to <a class="link" href="GClueManager.html#gclue-manager-call-add-agent" title="gclue_manager_call_add_agent ()"><code class="function">gclue_manager_call_add_agent()</code></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>error</p></td>
-<td class="parameter_description"><p>Return location for error or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-manager-call-add-agent-finish.returns"></a><h4>Returns</h4>
-<p><a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if the call succeded, <a href="../glib/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a> if <em class="parameter"><code>error</code></em>
-is set. </p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-manager-call-add-agent-sync"></a><h3>gclue_manager_call_add_agent_sync ()</h3>
-<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
-gclue_manager_call_add_agent_sync (<em class="parameter"><code><a class="link" href="GClueManager.html" title="GClueManager"><span class="type">GClueManager</span></a> *proxy</code></em>,
-                                   <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *arg_id</code></em>,
-                                   <em class="parameter"><code><a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> *cancellable</code></em>,
-                                   <em class="parameter"><code><a href="../glib/glib-Error-Reporting.html#GError"><span class="type">GError</span></a> **error</code></em>);</pre>
-<p>Synchronously invokes the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Manager.html#gdbus-method-org-freedesktop-GeoClue2-Manager.AddAgent"><GTKDOCLINK HREF="AddAgent"><code class="function">AddAgent()</code></a></GTKDOCLINK> D-Bus method on <em class="parameter"><code>proxy</code></em>
-. The calling thread is blocked until a reply is received.</p>
-<p>See <a class="link" href="GClueManager.html#gclue-manager-call-add-agent" title="gclue_manager_call_add_agent ()"><code class="function">gclue_manager_call_add_agent()</code></a> for the asynchronous version of this method.</p>
-<div class="refsect3">
-<a name="gclue-manager-call-add-agent-sync.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>proxy</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueManagerProxy.html" title="GClueManagerProxy"><span class="type">GClueManagerProxy</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>arg_id</p></td>
-<td class="parameter_description"><p>Argument to pass with the method invocation.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>cancellable</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>error</p></td>
-<td class="parameter_description"><p>Return location for error or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-manager-call-add-agent-sync.returns"></a><h4>Returns</h4>
-<p><a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if the call succeded, <a href="../glib/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a> if <em class="parameter"><code>error</code></em>
-is set. </p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-manager-get-in-use"></a><h3>gclue_manager_get_in_use ()</h3>
-<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
-gclue_manager_get_in_use (<em class="parameter"><code><a class="link" href="GClueManager.html" title="GClueManager"><span class="type">GClueManager</span></a> *object</code></em>);</pre>
-<p>Gets the value of the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Manager.html#gdbus-property-org-freedesktop-GeoClue2-Manager.InUse">"InUse"</a> D-Bus property.</p>
-<p>Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.</p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-manager-get-in-use.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody><tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueManager.html" title="GClueManager"><span class="type">GClueManager</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr></tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-manager-get-in-use.returns"></a><h4>Returns</h4>
-<p> The property value.</p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-manager-set-in-use"></a><h3>gclue_manager_set_in_use ()</h3>
-<pre class="programlisting"><span class="returnvalue">void</span>
-gclue_manager_set_in_use (<em class="parameter"><code><a class="link" href="GClueManager.html" title="GClueManager"><span class="type">GClueManager</span></a> *object</code></em>,
-                          <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> value</code></em>);</pre>
-<p>Sets the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Manager.html#gdbus-property-org-freedesktop-GeoClue2-Manager.InUse">"InUse"</a> D-Bus property to <em class="parameter"><code>value</code></em>
-.</p>
-<p>Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.</p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-manager-set-in-use.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueManager.html" title="GClueManager"><span class="type">GClueManager</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>value</p></td>
-<td class="parameter_description"><p>The value to set.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-manager-get-available-accuracy-level"></a><h3>gclue_manager_get_available_accuracy_level ()</h3>
-<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#guint"><span class="returnvalue">guint</span></a>
-gclue_manager_get_available_accuracy_level
-                               (<em class="parameter"><code><a class="link" href="GClueManager.html" title="GClueManager"><span class="type">GClueManager</span></a> *object</code></em>);</pre>
-<p>Gets the value of the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Manager.html#gdbus-property-org-freedesktop-GeoClue2-Manager.AvailableAccuracyLevel">"AvailableAccuracyLevel"</a> D-Bus property.</p>
-<p>Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.</p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-manager-get-available-accuracy-level.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody><tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueManager.html" title="GClueManager"><span class="type">GClueManager</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr></tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-manager-get-available-accuracy-level.returns"></a><h4>Returns</h4>
-<p> The property value.</p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-manager-set-available-accuracy-level"></a><h3>gclue_manager_set_available_accuracy_level ()</h3>
-<pre class="programlisting"><span class="returnvalue">void</span>
-gclue_manager_set_available_accuracy_level
-                               (<em class="parameter"><code><a class="link" href="GClueManager.html" title="GClueManager"><span class="type">GClueManager</span></a> *object</code></em>,
-                                <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#guint"><span class="type">guint</span></a> value</code></em>);</pre>
-<p>Sets the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Manager.html#gdbus-property-org-freedesktop-GeoClue2-Manager.AvailableAccuracyLevel">"AvailableAccuracyLevel"</a> D-Bus property to <em class="parameter"><code>value</code></em>
-.</p>
-<p>Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.</p>
-<p><span class="annotation">[<acronym title="Exposed in C code, not necessarily available in other languages."><span class="acronym">skip</span></acronym>]</span></p>
-<div class="refsect3">
-<a name="gclue-manager-set-available-accuracy-level.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueManager.html" title="GClueManager"><span class="type">GClueManager</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>value</p></td>
-<td class="parameter_description"><p>The value to set.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-</div>
-<div class="refsect1">
-<a name="GClueManager.other_details"></a><h2>Types and Values</h2>
-</div>
-<div class="refsect1">
-<a name="GClueManager.property-details"></a><h2>Property Details</h2>
-<div class="refsect2">
-<a name="GClueManager--available-accuracy-level"></a><h3>The <code class="literal">“available-accuracy-level”</code> property</h3>
-<pre class="programlisting">  “available-accuracy-level” <a href="../glib/glib-Basic-Types.html#guint"><span class="type">guint</span></a></pre>
-<p>Represents the D-Bus property <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Manager.html#gdbus-property-org-freedesktop-GeoClue2-Manager.AvailableAccuracyLevel">"AvailableAccuracyLevel"</a>.</p>
-<p>Since the D-Bus property for this <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct"><span class="type">GObject</span></a> property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.</p>
-<p>Flags: Read / Write</p>
-<p>Default value: 0</p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="GClueManager--in-use"></a><h3>The <code class="literal">“in-use”</code> property</h3>
-<pre class="programlisting">  “in-use”                   <a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
-<p>Represents the D-Bus property <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Manager.html#gdbus-property-org-freedesktop-GeoClue2-Manager.InUse">"InUse"</a>.</p>
-<p>Since the D-Bus property for this <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct"><span class="type">GObject</span></a> property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.</p>
-<p>Flags: Read / Write</p>
-<p>Default value: FALSE</p>
-</div>
-</div>
-<div class="refsect1">
-<a name="GClueManager.signal-details"></a><h2>Signal Details</h2>
-<div class="refsect2">
-<a name="GClueManager-handle-add-agent"></a><h3>The <code class="literal">“handle-add-agent”</code> signal</h3>
-<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
-user_function (<a class="link" href="GClueManager.html" title="GClueManager"><span class="type">GClueManager</span></a>          *object,
-               <a href="../gio/GDBusMethodInvocation.html#GDBusMethodInvocation-struct"><span class="type">GDBusMethodInvocation</span></a> *invocation,
-               <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a>                 *arg_id,
-               <a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>               user_data)</pre>
-<p>Signal emitted when a remote caller is invoking the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Manager.html#gdbus-method-org-freedesktop-GeoClue2-Manager.AddAgent"><GTKDOCLINK HREF="AddAgent"><code class="function">AddAgent()</code></a></GTKDOCLINK> D-Bus method.</p>
-<p>If a signal handler returns <a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a>, it means the signal handler will handle the invocation (e.g. take a reference to <em class="parameter"><code>invocation</code></em>
- and eventually call <code class="function">gclue_manager_complete_add_agent()</code> or e.g. <a href="../gio/GDBusMethodInvocation.html#g-dbus-method-invocation-return-error"><code class="function">g_dbus_method_invocation_return_error()</code></a> on it) and no order signal handlers will run. If no signal handler handles the invocation, the <a href="../gio/gio-GDBusError.html#G-DBUS-ERROR-UNKNOWN-METHOD:CAPS"><code class="literal">G_DBUS_ERROR_UNKNOWN_METHOD</code></a> error is returned.</p>
-<div class="refsect3">
-<a name="GClueManager-handle-add-agent.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueManager.html" title="GClueManager"><span class="type">GClueManager</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>invocation</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GDBusMethodInvocation.html#GDBusMethodInvocation-struct"><span class="type">GDBusMethodInvocation</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>arg_id</p></td>
-<td class="parameter_description"><p>Argument passed by remote caller.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>user_data</p></td>
-<td class="parameter_description"><p>user data set when the signal handler was connected.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="GClueManager-handle-add-agent.returns"></a><h4>Returns</h4>
-<p> <a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if the invocation was handled, <a href="../glib/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a> to let other signal handlers run.</p>
-</div>
-<p>Flags: <a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-LAST:CAPS">Run Last</a></p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="GClueManager-handle-get-client"></a><h3>The <code class="literal">“handle-get-client”</code> signal</h3>
-<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
-user_function (<a class="link" href="GClueManager.html" title="GClueManager"><span class="type">GClueManager</span></a>          *object,
-               <a href="../gio/GDBusMethodInvocation.html#GDBusMethodInvocation-struct"><span class="type">GDBusMethodInvocation</span></a> *invocation,
-               <a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>               user_data)</pre>
-<p>Signal emitted when a remote caller is invoking the <a href="../geoclue/gdbus-org.freedesktop.GeoClue2.Manager.html#gdbus-method-org-freedesktop-GeoClue2-Manager.GetClient"><GTKDOCLINK HREF="GetClient"><code class="function">GetClient()</code></a></GTKDOCLINK> D-Bus method.</p>
-<p>If a signal handler returns <a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a>, it means the signal handler will handle the invocation (e.g. take a reference to <em class="parameter"><code>invocation</code></em>
- and eventually call <code class="function">gclue_manager_complete_get_client()</code> or e.g. <a href="../gio/GDBusMethodInvocation.html#g-dbus-method-invocation-return-error"><code class="function">g_dbus_method_invocation_return_error()</code></a> on it) and no order signal handlers will run. If no signal handler handles the invocation, the <a href="../gio/gio-GDBusError.html#G-DBUS-ERROR-UNKNOWN-METHOD:CAPS"><code class="literal">G_DBUS_ERROR_UNKNOWN_METHOD</code></a> error is returned.</p>
-<div class="refsect3">
-<a name="GClueManager-handle-get-client.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>object</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueManager.html" title="GClueManager"><span class="type">GClueManager</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>invocation</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GDBusMethodInvocation.html#GDBusMethodInvocation-struct"><span class="type">GDBusMethodInvocation</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>user_data</p></td>
-<td class="parameter_description"><p>user data set when the signal handler was connected.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="GClueManager-handle-get-client.returns"></a><h4>Returns</h4>
-<p> <a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if the invocation was handled, <a href="../glib/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a> to let other signal handlers run.</p>
-</div>
-<p>Flags: <a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-LAST:CAPS">Run Last</a></p>
-</div>
-</div>
-</div>
-<div class="footer">
-<hr>Generated by GTK-Doc V1.27</div>
-</body>
-</html>
\ No newline at end of file
diff -pruN 2.4.10-1/docs/lib/html/GClueManagerProxy.html 2.4.11-1/docs/lib/html/GClueManagerProxy.html
--- 2.4.10-1/docs/lib/html/GClueManagerProxy.html	2018-05-03 14:23:59.000000000 +0000
+++ 2.4.11-1/docs/lib/html/GClueManagerProxy.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,442 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>GClueManagerProxy: Libgeoclue Reference Manual</title>
-<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
-<link rel="home" href="index.html" title="Libgeoclue Reference Manual">
-<link rel="up" href="ch03.html" title="The Manager object">
-<link rel="prev" href="GClueManager.html" title="GClueManager">
-<link rel="next" href="ch04.html" title="The Client object">
-<meta name="generator" content="GTK-Doc V1.27 (XML mode)">
-<link rel="stylesheet" href="style.css" type="text/css">
-</head>
-<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
-<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
-<td width="100%" align="left" class="shortcuts">
-<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
-                  <a href="#GClueManagerProxy.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
-                  <a href="#GClueManagerProxy.object-hierarchy" class="shortcut">Object Hierarchy</a></span>
-</td>
-<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
-<td><a accesskey="u" href="ch03.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
-<td><a accesskey="p" href="GClueManager.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
-<td><a accesskey="n" href="ch04.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
-</tr></table>
-<div class="refentry">
-<a name="GClueManagerProxy"></a><div class="titlepage"></div>
-<div class="refnamediv"><table width="100%"><tr>
-<td valign="top">
-<h2><span class="refentrytitle"><a name="GClueManagerProxy.top_of_page"></a>GClueManagerProxy</span></h2>
-<p>GClueManagerProxy</p>
-</td>
-<td class="gallery_image" valign="top" align="right"></td>
-</tr></table></div>
-<div class="refsect1">
-<a name="GClueManagerProxy.functions"></a><h2>Functions</h2>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="functions_return">
-<col class="functions_name">
-</colgroup>
-<tbody>
-<tr>
-<td class="function_type">
-<span class="returnvalue">void</span>
-</td>
-<td class="function_name">
-<a class="link" href="GClueManagerProxy.html#gclue-manager-proxy-new" title="gclue_manager_proxy_new ()">gclue_manager_proxy_new</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a class="link" href="GClueManager.html" title="GClueManager"><span class="returnvalue">GClueManager</span></a> *
-</td>
-<td class="function_name">
-<a class="link" href="GClueManagerProxy.html#gclue-manager-proxy-new-finish" title="gclue_manager_proxy_new_finish ()">gclue_manager_proxy_new_finish</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a class="link" href="GClueManager.html" title="GClueManager"><span class="returnvalue">GClueManager</span></a> *
-</td>
-<td class="function_name">
-<a class="link" href="GClueManagerProxy.html#gclue-manager-proxy-new-sync" title="gclue_manager_proxy_new_sync ()">gclue_manager_proxy_new_sync</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<span class="returnvalue">void</span>
-</td>
-<td class="function_name">
-<a class="link" href="GClueManagerProxy.html#gclue-manager-proxy-new-for-bus" title="gclue_manager_proxy_new_for_bus ()">gclue_manager_proxy_new_for_bus</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a class="link" href="GClueManager.html" title="GClueManager"><span class="returnvalue">GClueManager</span></a> *
-</td>
-<td class="function_name">
-<a class="link" href="GClueManagerProxy.html#gclue-manager-proxy-new-for-bus-finish" title="gclue_manager_proxy_new_for_bus_finish ()">gclue_manager_proxy_new_for_bus_finish</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a class="link" href="GClueManager.html" title="GClueManager"><span class="returnvalue">GClueManager</span></a> *
-</td>
-<td class="function_name">
-<a class="link" href="GClueManagerProxy.html#gclue-manager-proxy-new-for-bus-sync" title="gclue_manager_proxy_new_for_bus_sync ()">gclue_manager_proxy_new_for_bus_sync</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect1">
-<a name="GClueManagerProxy.object-hierarchy"></a><h2>Object Hierarchy</h2>
-<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
-    <span class="lineart">╰──</span> <a href="../gio/GDBusProxy.html#GDBusProxy-struct">GDBusProxy</a>
-        <span class="lineart">╰──</span> GClueManagerProxy
-</pre>
-</div>
-<div class="refsect1">
-<a name="GClueManagerProxy.description"></a><h2>Description</h2>
-</div>
-<div class="refsect1">
-<a name="GClueManagerProxy.functions_details"></a><h2>Functions</h2>
-<div class="refsect2">
-<a name="gclue-manager-proxy-new"></a><h3>gclue_manager_proxy_new ()</h3>
-<pre class="programlisting"><span class="returnvalue">void</span>
-gclue_manager_proxy_new (<em class="parameter"><code><a href="../gio/GDBusConnection.html#GDBusConnection-struct"><span class="type">GDBusConnection</span></a> *connection</code></em>,
-                         <em class="parameter"><code><a href="../gio/GDBusProxy.html#GDBusProxyFlags"><span class="type">GDBusProxyFlags</span></a> flags</code></em>,
-                         <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *name</code></em>,
-                         <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *object_path</code></em>,
-                         <em class="parameter"><code><a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> *cancellable</code></em>,
-                         <em class="parameter"><code><a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> callback</code></em>,
-                         <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a> user_data</code></em>);</pre>
-<p>Asynchronously creates a proxy for the D-Bus interface org.freedesktop.GeoClue2.Manager. See <a href="../gio/GDBusProxy.html#g-dbus-proxy-new"><code class="function">g_dbus_proxy_new()</code></a> for more details.</p>
-<p>When the operation is finished, <em class="parameter"><code>callback</code></em>
- will be invoked in the <a href="../glib/glib-The-Main-Event-Loop.html#g-main-context-push-thread-default">thread-default main loop</a> of the thread you are calling this method from.
-You can then call <a class="link" href="GClueManagerProxy.html#gclue-manager-proxy-new-finish" title="gclue_manager_proxy_new_finish ()"><code class="function">gclue_manager_proxy_new_finish()</code></a> to get the result of the operation.</p>
-<p>See <a class="link" href="GClueManagerProxy.html#gclue-manager-proxy-new-sync" title="gclue_manager_proxy_new_sync ()"><code class="function">gclue_manager_proxy_new_sync()</code></a> for the synchronous, blocking version of this constructor.</p>
-<div class="refsect3">
-<a name="gclue-manager-proxy-new.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>connection</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GDBusConnection.html#GDBusConnection-struct"><span class="type">GDBusConnection</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>flags</p></td>
-<td class="parameter_description"><p>Flags from the <a href="../gio/GDBusProxy.html#GDBusProxyFlags"><span class="type">GDBusProxyFlags</span></a> enumeration.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>name</p></td>
-<td class="parameter_description"><p>A bus name (well-known or unique) or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if <em class="parameter"><code>connection</code></em>
-is not a message bus connection. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>object_path</p></td>
-<td class="parameter_description"><p>An object path.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>cancellable</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>callback</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> to call when the request is satisfied.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>user_data</p></td>
-<td class="parameter_description"><p>User data to pass to <em class="parameter"><code>callback</code></em>
-.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-manager-proxy-new-finish"></a><h3>gclue_manager_proxy_new_finish ()</h3>
-<pre class="programlisting"><a class="link" href="GClueManager.html" title="GClueManager"><span class="returnvalue">GClueManager</span></a> *
-gclue_manager_proxy_new_finish (<em class="parameter"><code><a href="../gio/GAsyncResult.html#GAsyncResult-struct"><span class="type">GAsyncResult</span></a> *res</code></em>,
-                                <em class="parameter"><code><a href="../glib/glib-Error-Reporting.html#GError"><span class="type">GError</span></a> **error</code></em>);</pre>
-<p>Finishes an operation started with <a class="link" href="GClueManagerProxy.html#gclue-manager-proxy-new" title="gclue_manager_proxy_new ()"><code class="function">gclue_manager_proxy_new()</code></a>.</p>
-<div class="refsect3">
-<a name="gclue-manager-proxy-new-finish.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>res</p></td>
-<td class="parameter_description"><p>The <a href="../gio/GAsyncResult.html#GAsyncResult-struct"><span class="type">GAsyncResult</span></a> obtained from the <a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> passed to <a class="link" href="GClueManagerProxy.html#gclue-manager-proxy-new" title="gclue_manager_proxy_new ()"><code class="function">gclue_manager_proxy_new()</code></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>error</p></td>
-<td class="parameter_description"><p>Return location for error or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a></p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-manager-proxy-new-finish.returns"></a><h4>Returns</h4>
-<p>The constructed proxy object or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if <em class="parameter"><code>error</code></em>
-is set. </p>
-<p><span class="annotation">[<acronym title="Free data after the code is done."><span class="acronym">transfer full</span></acronym>][<acronym title="Override the parsed C type with given type."><span class="acronym">type</span></acronym> GClueManagerProxy]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-manager-proxy-new-sync"></a><h3>gclue_manager_proxy_new_sync ()</h3>
-<pre class="programlisting"><a class="link" href="GClueManager.html" title="GClueManager"><span class="returnvalue">GClueManager</span></a> *
-gclue_manager_proxy_new_sync (<em class="parameter"><code><a href="../gio/GDBusConnection.html#GDBusConnection-struct"><span class="type">GDBusConnection</span></a> *connection</code></em>,
-                              <em class="parameter"><code><a href="../gio/GDBusProxy.html#GDBusProxyFlags"><span class="type">GDBusProxyFlags</span></a> flags</code></em>,
-                              <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *name</code></em>,
-                              <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *object_path</code></em>,
-                              <em class="parameter"><code><a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> *cancellable</code></em>,
-                              <em class="parameter"><code><a href="../glib/glib-Error-Reporting.html#GError"><span class="type">GError</span></a> **error</code></em>);</pre>
-<p>Synchronously creates a proxy for the D-Bus interface org.freedesktop.GeoClue2.Manager. See <a href="../gio/GDBusProxy.html#g-dbus-proxy-new-sync"><code class="function">g_dbus_proxy_new_sync()</code></a> for more details.</p>
-<p>The calling thread is blocked until a reply is received.</p>
-<p>See <a class="link" href="GClueManagerProxy.html#gclue-manager-proxy-new" title="gclue_manager_proxy_new ()"><code class="function">gclue_manager_proxy_new()</code></a> for the asynchronous version of this constructor.</p>
-<div class="refsect3">
-<a name="gclue-manager-proxy-new-sync.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>connection</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GDBusConnection.html#GDBusConnection-struct"><span class="type">GDBusConnection</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>flags</p></td>
-<td class="parameter_description"><p>Flags from the <a href="../gio/GDBusProxy.html#GDBusProxyFlags"><span class="type">GDBusProxyFlags</span></a> enumeration.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>name</p></td>
-<td class="parameter_description"><p>A bus name (well-known or unique) or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if <em class="parameter"><code>connection</code></em>
-is not a message bus connection. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>object_path</p></td>
-<td class="parameter_description"><p>An object path.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>cancellable</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>error</p></td>
-<td class="parameter_description"><p>Return location for error or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a></p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-manager-proxy-new-sync.returns"></a><h4>Returns</h4>
-<p>The constructed proxy object or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if <em class="parameter"><code>error</code></em>
-is set. </p>
-<p><span class="annotation">[<acronym title="Free data after the code is done."><span class="acronym">transfer full</span></acronym>][<acronym title="Override the parsed C type with given type."><span class="acronym">type</span></acronym> GClueManagerProxy]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-manager-proxy-new-for-bus"></a><h3>gclue_manager_proxy_new_for_bus ()</h3>
-<pre class="programlisting"><span class="returnvalue">void</span>
-gclue_manager_proxy_new_for_bus (<em class="parameter"><code><a href="../gio/GDBusConnection.html#GBusType"><span class="type">GBusType</span></a> bus_type</code></em>,
-                                 <em class="parameter"><code><a href="../gio/GDBusProxy.html#GDBusProxyFlags"><span class="type">GDBusProxyFlags</span></a> flags</code></em>,
-                                 <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *name</code></em>,
-                                 <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *object_path</code></em>,
-                                 <em class="parameter"><code><a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> *cancellable</code></em>,
-                                 <em class="parameter"><code><a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> callback</code></em>,
-                                 <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a> user_data</code></em>);</pre>
-<p>Like <a class="link" href="GClueManagerProxy.html#gclue-manager-proxy-new" title="gclue_manager_proxy_new ()"><code class="function">gclue_manager_proxy_new()</code></a> but takes a <a href="../gio/GDBusConnection.html#GBusType"><span class="type">GBusType</span></a> instead of a <a href="../gio/GDBusConnection.html#GDBusConnection-struct"><span class="type">GDBusConnection</span></a>.</p>
-<p>When the operation is finished, <em class="parameter"><code>callback</code></em>
- will be invoked in the <a href="../glib/glib-The-Main-Event-Loop.html#g-main-context-push-thread-default">thread-default main loop</a> of the thread you are calling this method from.
-You can then call <a class="link" href="GClueManagerProxy.html#gclue-manager-proxy-new-for-bus-finish" title="gclue_manager_proxy_new_for_bus_finish ()"><code class="function">gclue_manager_proxy_new_for_bus_finish()</code></a> to get the result of the operation.</p>
-<p>See <a class="link" href="GClueManagerProxy.html#gclue-manager-proxy-new-for-bus-sync" title="gclue_manager_proxy_new_for_bus_sync ()"><code class="function">gclue_manager_proxy_new_for_bus_sync()</code></a> for the synchronous, blocking version of this constructor.</p>
-<div class="refsect3">
-<a name="gclue-manager-proxy-new-for-bus.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>bus_type</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GDBusConnection.html#GBusType"><span class="type">GBusType</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>flags</p></td>
-<td class="parameter_description"><p>Flags from the <a href="../gio/GDBusProxy.html#GDBusProxyFlags"><span class="type">GDBusProxyFlags</span></a> enumeration.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>name</p></td>
-<td class="parameter_description"><p>A bus name (well-known or unique).</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>object_path</p></td>
-<td class="parameter_description"><p>An object path.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>cancellable</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>callback</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> to call when the request is satisfied.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>user_data</p></td>
-<td class="parameter_description"><p>User data to pass to <em class="parameter"><code>callback</code></em>
-.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-manager-proxy-new-for-bus-finish"></a><h3>gclue_manager_proxy_new_for_bus_finish ()</h3>
-<pre class="programlisting"><a class="link" href="GClueManager.html" title="GClueManager"><span class="returnvalue">GClueManager</span></a> *
-gclue_manager_proxy_new_for_bus_finish
-                               (<em class="parameter"><code><a href="../gio/GAsyncResult.html#GAsyncResult-struct"><span class="type">GAsyncResult</span></a> *res</code></em>,
-                                <em class="parameter"><code><a href="../glib/glib-Error-Reporting.html#GError"><span class="type">GError</span></a> **error</code></em>);</pre>
-<p>Finishes an operation started with <a class="link" href="GClueManagerProxy.html#gclue-manager-proxy-new-for-bus" title="gclue_manager_proxy_new_for_bus ()"><code class="function">gclue_manager_proxy_new_for_bus()</code></a>.</p>
-<div class="refsect3">
-<a name="gclue-manager-proxy-new-for-bus-finish.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>res</p></td>
-<td class="parameter_description"><p>The <a href="../gio/GAsyncResult.html#GAsyncResult-struct"><span class="type">GAsyncResult</span></a> obtained from the <a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> passed to <a class="link" href="GClueManagerProxy.html#gclue-manager-proxy-new-for-bus" title="gclue_manager_proxy_new_for_bus ()"><code class="function">gclue_manager_proxy_new_for_bus()</code></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>error</p></td>
-<td class="parameter_description"><p>Return location for error or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a></p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-manager-proxy-new-for-bus-finish.returns"></a><h4>Returns</h4>
-<p>The constructed proxy object or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if <em class="parameter"><code>error</code></em>
-is set. </p>
-<p><span class="annotation">[<acronym title="Free data after the code is done."><span class="acronym">transfer full</span></acronym>][<acronym title="Override the parsed C type with given type."><span class="acronym">type</span></acronym> GClueManagerProxy]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-manager-proxy-new-for-bus-sync"></a><h3>gclue_manager_proxy_new_for_bus_sync ()</h3>
-<pre class="programlisting"><a class="link" href="GClueManager.html" title="GClueManager"><span class="returnvalue">GClueManager</span></a> *
-gclue_manager_proxy_new_for_bus_sync (<em class="parameter"><code><a href="../gio/GDBusConnection.html#GBusType"><span class="type">GBusType</span></a> bus_type</code></em>,
-                                      <em class="parameter"><code><a href="../gio/GDBusProxy.html#GDBusProxyFlags"><span class="type">GDBusProxyFlags</span></a> flags</code></em>,
-                                      <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *name</code></em>,
-                                      <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *object_path</code></em>,
-                                      <em class="parameter"><code><a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> *cancellable</code></em>,
-                                      <em class="parameter"><code><a href="../glib/glib-Error-Reporting.html#GError"><span class="type">GError</span></a> **error</code></em>);</pre>
-<p>Like <a class="link" href="GClueManagerProxy.html#gclue-manager-proxy-new-sync" title="gclue_manager_proxy_new_sync ()"><code class="function">gclue_manager_proxy_new_sync()</code></a> but takes a <a href="../gio/GDBusConnection.html#GBusType"><span class="type">GBusType</span></a> instead of a <a href="../gio/GDBusConnection.html#GDBusConnection-struct"><span class="type">GDBusConnection</span></a>.</p>
-<p>The calling thread is blocked until a reply is received.</p>
-<p>See <a class="link" href="GClueManagerProxy.html#gclue-manager-proxy-new-for-bus" title="gclue_manager_proxy_new_for_bus ()"><code class="function">gclue_manager_proxy_new_for_bus()</code></a> for the asynchronous version of this constructor.</p>
-<div class="refsect3">
-<a name="gclue-manager-proxy-new-for-bus-sync.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>bus_type</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GDBusConnection.html#GBusType"><span class="type">GBusType</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>flags</p></td>
-<td class="parameter_description"><p>Flags from the <a href="../gio/GDBusProxy.html#GDBusProxyFlags"><span class="type">GDBusProxyFlags</span></a> enumeration.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>name</p></td>
-<td class="parameter_description"><p>A bus name (well-known or unique).</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>object_path</p></td>
-<td class="parameter_description"><p>An object path.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>cancellable</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>error</p></td>
-<td class="parameter_description"><p>Return location for error or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a></p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-manager-proxy-new-for-bus-sync.returns"></a><h4>Returns</h4>
-<p>The constructed proxy object or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if <em class="parameter"><code>error</code></em>
-is set. </p>
-<p><span class="annotation">[<acronym title="Free data after the code is done."><span class="acronym">transfer full</span></acronym>][<acronym title="Override the parsed C type with given type."><span class="acronym">type</span></acronym> GClueManagerProxy]</span></p>
-</div>
-</div>
-</div>
-<div class="refsect1">
-<a name="GClueManagerProxy.other_details"></a><h2>Types and Values</h2>
-</div>
-</div>
-<div class="footer">
-<hr>Generated by GTK-Doc V1.27</div>
-</body>
-</html>
\ No newline at end of file
diff -pruN 2.4.10-1/docs/lib/html/GClueSimple.html 2.4.11-1/docs/lib/html/GClueSimple.html
--- 2.4.10-1/docs/lib/html/GClueSimple.html	2018-05-03 14:23:59.000000000 +0000
+++ 2.4.11-1/docs/lib/html/GClueSimple.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,378 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>GClueSimple: Libgeoclue Reference Manual</title>
-<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
-<link rel="home" href="index.html" title="Libgeoclue Reference Manual">
-<link rel="up" href="ch02.html" title="Convenience API">
-<link rel="prev" href="ch02.html" title="Convenience API">
-<link rel="next" href="ch03.html" title="The Manager object">
-<meta name="generator" content="GTK-Doc V1.27 (XML mode)">
-<link rel="stylesheet" href="style.css" type="text/css">
-</head>
-<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
-<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
-<td width="100%" align="left" class="shortcuts">
-<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
-                  <a href="#GClueSimple.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
-                  <a href="#GClueSimple.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_properties">  <span class="dim">|</span> 
-                  <a href="#GClueSimple.properties" class="shortcut">Properties</a></span>
-</td>
-<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
-<td><a accesskey="u" href="ch02.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
-<td><a accesskey="p" href="ch02.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
-<td><a accesskey="n" href="ch03.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
-</tr></table>
-<div class="refentry">
-<a name="GClueSimple"></a><div class="titlepage"></div>
-<div class="refnamediv"><table width="100%"><tr>
-<td valign="top">
-<h2><span class="refentrytitle"><a name="GClueSimple.top_of_page"></a>GClueSimple</span></h2>
-<p>GClueSimple — Simplified convenience API</p>
-</td>
-<td class="gallery_image" valign="top" align="right"></td>
-</tr></table></div>
-<div class="refsect1">
-<a name="GClueSimple.functions"></a><h2>Functions</h2>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="functions_return">
-<col class="functions_name">
-</colgroup>
-<tbody>
-<tr>
-<td class="function_type">
-<span class="returnvalue">void</span>
-</td>
-<td class="function_name">
-<a class="link" href="GClueSimple.html#gclue-simple-new" title="gclue_simple_new ()">gclue_simple_new</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a class="link" href="GClueSimple.html" title="GClueSimple"><span class="returnvalue">GClueSimple</span></a> *
-</td>
-<td class="function_name">
-<a class="link" href="GClueSimple.html#gclue-simple-new-finish" title="gclue_simple_new_finish ()">gclue_simple_new_finish</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a class="link" href="GClueSimple.html" title="GClueSimple"><span class="returnvalue">GClueSimple</span></a> *
-</td>
-<td class="function_name">
-<a class="link" href="GClueSimple.html#gclue-simple-new-sync" title="gclue_simple_new_sync ()">gclue_simple_new_sync</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a class="link" href="GClueClient.html" title="GClueClient"><span class="returnvalue">GClueClient</span></a> *
-</td>
-<td class="function_name">
-<a class="link" href="GClueSimple.html#gclue-simple-get-client" title="gclue_simple_get_client ()">gclue_simple_get_client</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-<tr>
-<td class="function_type">
-<a class="link" href="GClueLocation.html" title="GClueLocation"><span class="returnvalue">GClueLocation</span></a> *
-</td>
-<td class="function_name">
-<a class="link" href="GClueSimple.html#gclue-simple-get-location" title="gclue_simple_get_location ()">gclue_simple_get_location</a> <span class="c_punctuation">()</span>
-</td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect1">
-<a name="GClueSimple.properties"></a><h2>Properties</h2>
-<div class="informaltable"><table class="informaltable" border="0">
-<colgroup>
-<col width="150px" class="properties_type">
-<col width="300px" class="properties_name">
-<col width="200px" class="properties_flags">
-</colgroup>
-<tbody>
-<tr>
-<td class="property_type"><a class="link" href="libgeoclue-gclue-enums.html#GClueAccuracyLevel" title="enum GClueAccuracyLevel"><span class="type">GClueAccuracyLevel</span></a></td>
-<td class="property_name"><a class="link" href="GClueSimple.html#GClueSimple--accuracy-level" title="The “accuracy-level” property">accuracy-level</a></td>
-<td class="property_flags">Write / Construct Only</td>
-</tr>
-<tr>
-<td class="property_type">
-<a class="link" href="GClueClientProxy.html" title="GClueClientProxy"><span class="type">GClueClientProxy</span></a> *</td>
-<td class="property_name"><a class="link" href="GClueSimple.html#GClueSimple--client" title="The “client” property">client</a></td>
-<td class="property_flags">Read</td>
-</tr>
-<tr>
-<td class="property_type">
-<a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</td>
-<td class="property_name"><a class="link" href="GClueSimple.html#GClueSimple--desktop-id" title="The “desktop-id” property">desktop-id</a></td>
-<td class="property_flags">Write / Construct Only</td>
-</tr>
-<tr>
-<td class="property_type">
-<a class="link" href="GClueLocationProxy.html" title="GClueLocationProxy"><span class="type">GClueLocationProxy</span></a> *</td>
-<td class="property_name"><a class="link" href="GClueSimple.html#GClueSimple--location" title="The “location” property">location</a></td>
-<td class="property_flags">Read</td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect1">
-<a name="GClueSimple.object-hierarchy"></a><h2>Object Hierarchy</h2>
-<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
-    <span class="lineart">╰──</span> GClueSimple
-</pre>
-</div>
-<div class="refsect1">
-<a name="GClueSimple.description"></a><h2>Description</h2>
-<p><a class="link" href="GClueSimple.html" title="GClueSimple"><span class="type">GClueSimple</span></a> make it very simple to get latest location and monitoring
-location updates. It takes care of the boring tasks of creating a
-<a class="link" href="GClueClientProxy.html" title="GClueClientProxy"><span class="type">GClueClientProxy</span></a> instance, starting it, waiting till we have a location fix
-and then creating a <a class="link" href="GClueLocationProxy.html" title="GClueLocationProxy"><span class="type">GClueLocationProxy</span></a> instance for it.</p>
-<p>Use <a class="link" href="GClueSimple.html#gclue-simple-new" title="gclue_simple_new ()"><code class="function">gclue_simple_new()</code></a> or <a class="link" href="GClueSimple.html#gclue-simple-new-sync" title="gclue_simple_new_sync ()"><code class="function">gclue_simple_new_sync()</code></a> to create a new
-<a class="link" href="GClueSimple.html" title="GClueSimple"><span class="type">GClueSimple</span></a> instance. Once you have a <a class="link" href="GClueSimple.html" title="GClueSimple"><span class="type">GClueSimple</span></a> instance, you can get the
-latest location using <a class="link" href="GClueSimple.html#gclue-simple-get-location" title="gclue_simple_get_location ()"><code class="function">gclue_simple_get_location()</code></a> or reading the
-<a class="link" href="GClueSimple.html#GClueSimple--location" title="The “location” property"><span class="type">“location”</span></a> property. To monitor location updates, connect to
-notify signal for this property.</p>
-<p>While most applications will find this API very useful, it is most
-useful for applications that simply want to get the current location as
-quickly as possible and do not care about accuracy (much).</p>
-</div>
-<div class="refsect1">
-<a name="GClueSimple.functions_details"></a><h2>Functions</h2>
-<div class="refsect2">
-<a name="gclue-simple-new"></a><h3>gclue_simple_new ()</h3>
-<pre class="programlisting"><span class="returnvalue">void</span>
-gclue_simple_new (<em class="parameter"><code>const <span class="type">char</span> *desktop_id</code></em>,
-                  <em class="parameter"><code><a class="link" href="libgeoclue-gclue-enums.html#GClueAccuracyLevel" title="enum GClueAccuracyLevel"><span class="type">GClueAccuracyLevel</span></a> accuracy_level</code></em>,
-                  <em class="parameter"><code><a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> *cancellable</code></em>,
-                  <em class="parameter"><code><a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> callback</code></em>,
-                  <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a> user_data</code></em>);</pre>
-<p>Asynchronously creates a <a class="link" href="GClueSimple.html" title="GClueSimple"><span class="type">GClueSimple</span></a> instance. Use
-<a class="link" href="GClueSimple.html#gclue-simple-new-finish" title="gclue_simple_new_finish ()"><code class="function">gclue_simple_new_finish()</code></a> to get the created <a class="link" href="GClueSimple.html" title="GClueSimple"><span class="type">GClueSimple</span></a> instance.</p>
-<p>See <a class="link" href="GClueSimple.html#gclue-simple-new-sync" title="gclue_simple_new_sync ()"><code class="function">gclue_simple_new_sync()</code></a> for the synchronous, blocking version
-of this function.</p>
-<div class="refsect3">
-<a name="gclue-simple-new.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>desktop_id</p></td>
-<td class="parameter_description"><p>The desktop file id (the basename of the desktop file).</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>accuracy_level</p></td>
-<td class="parameter_description"><p>The requested accuracy level as <a class="link" href="libgeoclue-gclue-enums.html#GClueAccuracyLevel" title="enum GClueAccuracyLevel"><span class="type">GClueAccuracyLevel</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>cancellable</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>callback</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> to call when the results are ready.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>user_data</p></td>
-<td class="parameter_description"><p>User data to pass to <em class="parameter"><code>callback</code></em>
-.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-simple-new-finish"></a><h3>gclue_simple_new_finish ()</h3>
-<pre class="programlisting"><a class="link" href="GClueSimple.html" title="GClueSimple"><span class="returnvalue">GClueSimple</span></a> *
-gclue_simple_new_finish (<em class="parameter"><code><a href="../gio/GAsyncResult.html#GAsyncResult-struct"><span class="type">GAsyncResult</span></a> *result</code></em>,
-                         <em class="parameter"><code><a href="../glib/glib-Error-Reporting.html#GError"><span class="type">GError</span></a> **error</code></em>);</pre>
-<p>Finishes an operation started with <a class="link" href="GClueSimple.html#gclue-simple-new" title="gclue_simple_new ()"><code class="function">gclue_simple_new()</code></a>.</p>
-<div class="refsect3">
-<a name="gclue-simple-new-finish.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>result</p></td>
-<td class="parameter_description"><p>The <a href="../gio/GAsyncResult.html#GAsyncResult-struct"><span class="type">GAsyncResult</span></a> obtained from the <a href="../gio/GAsyncResult.html#GAsyncReadyCallback"><span class="type">GAsyncReadyCallback</span></a> passed to
-<a class="link" href="GClueSimple.html#gclue-simple-new" title="gclue_simple_new ()"><code class="function">gclue_simple_new()</code></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>error</p></td>
-<td class="parameter_description"><p>Return location for error or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-simple-new-finish.returns"></a><h4>Returns</h4>
-<p>The constructed proxy
-object or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if <em class="parameter"><code>error</code></em>
-is set. </p>
-<p><span class="annotation">[<acronym title="Free data after the code is done."><span class="acronym">transfer full</span></acronym>][<acronym title="Override the parsed C type with given type."><span class="acronym">type</span></acronym> GClueSimple]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-simple-new-sync"></a><h3>gclue_simple_new_sync ()</h3>
-<pre class="programlisting"><a class="link" href="GClueSimple.html" title="GClueSimple"><span class="returnvalue">GClueSimple</span></a> *
-gclue_simple_new_sync (<em class="parameter"><code>const <span class="type">char</span> *desktop_id</code></em>,
-                       <em class="parameter"><code><a class="link" href="libgeoclue-gclue-enums.html#GClueAccuracyLevel" title="enum GClueAccuracyLevel"><span class="type">GClueAccuracyLevel</span></a> accuracy_level</code></em>,
-                       <em class="parameter"><code><a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> *cancellable</code></em>,
-                       <em class="parameter"><code><a href="../glib/glib-Error-Reporting.html#GError"><span class="type">GError</span></a> **error</code></em>);</pre>
-<p>The synchronous and blocking version of <a class="link" href="GClueSimple.html#gclue-simple-new" title="gclue_simple_new ()"><code class="function">gclue_simple_new()</code></a>.</p>
-<div class="refsect3">
-<a name="gclue-simple-new-sync.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="parameter_name"><p>desktop_id</p></td>
-<td class="parameter_description"><p>The desktop file id (the basename of the desktop file).</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>accuracy_level</p></td>
-<td class="parameter_description"><p>The requested accuracy level as <a class="link" href="libgeoclue-gclue-enums.html#GClueAccuracyLevel" title="enum GClueAccuracyLevel"><span class="type">GClueAccuracyLevel</span></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-<tr>
-<td class="parameter_name"><p>cancellable</p></td>
-<td class="parameter_description"><p>A <a href="../gio/GCancellable.html#GCancellable-struct"><span class="type">GCancellable</span></a> or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>. </p></td>
-<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
-</tr>
-<tr>
-<td class="parameter_name"><p>error</p></td>
-<td class="parameter_description"><p>Return location for error or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>.</p></td>
-<td class="parameter_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-simple-new-sync.returns"></a><h4>Returns</h4>
-<p>The new <a class="link" href="GClueSimple.html" title="GClueSimple"><span class="type">GClueSimple</span></a> object or
-<a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if <em class="parameter"><code>error</code></em>
-is set. </p>
-<p><span class="annotation">[<acronym title="Free data after the code is done."><span class="acronym">transfer full</span></acronym>][<acronym title="Override the parsed C type with given type."><span class="acronym">type</span></acronym> GClueSimple]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-simple-get-client"></a><h3>gclue_simple_get_client ()</h3>
-<pre class="programlisting"><a class="link" href="GClueClient.html" title="GClueClient"><span class="returnvalue">GClueClient</span></a> *
-gclue_simple_get_client (<em class="parameter"><code><a class="link" href="GClueSimple.html" title="GClueSimple"><span class="type">GClueSimple</span></a> *simple</code></em>);</pre>
-<p>Gets the client proxy.</p>
-<div class="refsect3">
-<a name="gclue-simple-get-client.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody><tr>
-<td class="parameter_name"><p>simple</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueSimple.html" title="GClueSimple"><span class="type">GClueSimple</span></a> object.</p></td>
-<td class="parameter_annotations"> </td>
-</tr></tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-simple-get-client.returns"></a><h4>Returns</h4>
-<p>The client object. </p>
-<p><span class="annotation">[<acronym title="Don't free data after the code is done."><span class="acronym">transfer none</span></acronym>][<acronym title="Override the parsed C type with given type."><span class="acronym">type</span></acronym> GClueClientProxy]</span></p>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="gclue-simple-get-location"></a><h3>gclue_simple_get_location ()</h3>
-<pre class="programlisting"><a class="link" href="GClueLocation.html" title="GClueLocation"><span class="returnvalue">GClueLocation</span></a> *
-gclue_simple_get_location (<em class="parameter"><code><a class="link" href="GClueSimple.html" title="GClueSimple"><span class="type">GClueSimple</span></a> *simple</code></em>);</pre>
-<p>Gets the current location.</p>
-<div class="refsect3">
-<a name="gclue-simple-get-location.parameters"></a><h4>Parameters</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="parameters_name">
-<col class="parameters_description">
-<col width="200px" class="parameters_annotations">
-</colgroup>
-<tbody><tr>
-<td class="parameter_name"><p>simple</p></td>
-<td class="parameter_description"><p>A <a class="link" href="GClueSimple.html" title="GClueSimple"><span class="type">GClueSimple</span></a> object.</p></td>
-<td class="parameter_annotations"> </td>
-</tr></tbody>
-</table></div>
-</div>
-<div class="refsect3">
-<a name="gclue-simple-get-location.returns"></a><h4>Returns</h4>
-<p>The last known location
-as <a class="link" href="GClueLocation.html" title="GClueLocation"><span class="type">GClueLocation</span></a>. </p>
-<p><span class="annotation">[<acronym title="Don't free data after the code is done."><span class="acronym">transfer none</span></acronym>][<acronym title="Override the parsed C type with given type."><span class="acronym">type</span></acronym> GClueLocationProxy]</span></p>
-</div>
-</div>
-</div>
-<div class="refsect1">
-<a name="GClueSimple.other_details"></a><h2>Types and Values</h2>
-</div>
-<div class="refsect1">
-<a name="GClueSimple.property-details"></a><h2>Property Details</h2>
-<div class="refsect2">
-<a name="GClueSimple--accuracy-level"></a><h3>The <code class="literal">“accuracy-level”</code> property</h3>
-<pre class="programlisting">  “accuracy-level”           <a class="link" href="libgeoclue-gclue-enums.html#GClueAccuracyLevel" title="enum GClueAccuracyLevel"><span class="type">GClueAccuracyLevel</span></a></pre>
-<p>The requested maximum accuracy level.</p>
-<p>Flags: Write / Construct Only</p>
-<p>Default value: GCLUE_ACCURACY_LEVEL_NONE</p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="GClueSimple--client"></a><h3>The <code class="literal">“client”</code> property</h3>
-<pre class="programlisting">  “client”                   <a class="link" href="GClueClientProxy.html" title="GClueClientProxy"><span class="type">GClueClientProxy</span></a> *</pre>
-<p>The client proxy.</p>
-<p>Flags: Read</p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="GClueSimple--desktop-id"></a><h3>The <code class="literal">“desktop-id”</code> property</h3>
-<pre class="programlisting">  “desktop-id”               <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</pre>
-<p>The Desktop ID of the application.</p>
-<p>Flags: Write / Construct Only</p>
-<p>Default value: NULL</p>
-</div>
-<hr>
-<div class="refsect2">
-<a name="GClueSimple--location"></a><h3>The <code class="literal">“location”</code> property</h3>
-<pre class="programlisting">  “location”                 <a class="link" href="GClueLocationProxy.html" title="GClueLocationProxy"><span class="type">GClueLocationProxy</span></a> *</pre>
-<p>The current location.</p>
-<p>Flags: Read</p>
-</div>
-</div>
-</div>
-<div class="footer">
-<hr>Generated by GTK-Doc V1.27</div>
-</body>
-</html>
\ No newline at end of file
Binary files 2.4.10-1/docs/lib/html/home.png and 2.4.11-1/docs/lib/html/home.png differ
diff -pruN 2.4.10-1/docs/lib/html/index.html 2.4.11-1/docs/lib/html/index.html
--- 2.4.10-1/docs/lib/html/index.html	2018-05-03 14:23:59.000000000 +0000
+++ 2.4.11-1/docs/lib/html/index.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,104 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>Libgeoclue Reference Manual: Libgeoclue Reference Manual</title>
-<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
-<link rel="home" href="index.html" title="Libgeoclue Reference Manual">
-<link rel="next" href="ch01.html" title="Common enums and flags helpers">
-<meta name="generator" content="GTK-Doc V1.27 (XML mode)">
-<link rel="stylesheet" href="style.css" type="text/css">
-</head>
-<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
-<div class="book">
-<div class="titlepage">
-<div>
-<div><table class="navigation" id="top" width="100%" cellpadding="2" cellspacing="0"><tr><th valign="middle"><p class="title">Libgeoclue Reference Manual</p></th></tr></table></div>
-<div><div class="authorgroup"><div class="author">
-<h3 class="author">
-<span class="firstname">Zeeshan</span> <span class="surname">Ali (Khattak)</span>
-</h3>
-<div class="affiliation"><div class="address"><p><br>
-	    <code class="email">&lt;<a class="email" href="mailto:zeeshanak@gnome.org">zeeshanak@gnome.org</a>&gt;</code><br>
-	  </p></div></div>
-</div></div></div>
-<div><p class="releaseinfo">Version 2.4.10
-</p></div>
-<div><p class="copyright">Copyright © 2015 Red Hat, Inc.</p></div>
-<div><div class="legalnotice">
-<a name="id-1.1.5"></a><p>
-	Permission is granted to copy, distribute and/or modify this
-	document under the terms of the <em class="citetitle">GNU Free
-	Documentation License</em>, Version 1.1 or any later
-	version published by the Free Software Foundation with no
-	Invariant Sections, no Front-Cover Texts, and no Back-Cover
-	Texts. You may obtain a copy of the <em class="citetitle">GNU Free
-	Documentation License</em> from the Free Software
-	Foundation by visiting <a class="ulink" href="http://www.fsf.org" target="_top">their Web site</a> or by writing
-	to:
-
-	</p>
-<div class="address"><p><br>
-	  The Free Software Foundation, Inc.,<br>
-	  <span class="street">59 Temple Place</span> - Suite 330,<br>
-	  <span class="city">Boston</span>, <span class="state">MA</span> <span class="postcode">02111-1307</span>,<br>
-	  <span class="country">USA</span><br>
-	</p></div>
-<p>
-      </p>
-<p>
-	Many of the names used by companies to distinguish their
-	products and services are claimed as trademarks. Where those
-	names appear in any GNOME documentation, and those trademarks
-	are made aware to the members of the GNOME Documentation
-	Project, the names have been printed in caps or initial caps.
-      </p>
-</div></div>
-</div>
-<hr>
-</div>
-<div class="toc"><dl class="toc">
-<dt><span class="chapter"><a href="ch01.html">Common enums and flags helpers</a></span></dt>
-<dd><dl><dt>
-<span class="refentrytitle"><a href="libgeoclue-gclue-enums.html">gclue-enums</a></span><span class="refpurpose"></span>
-</dt></dl></dd>
-<dt><span class="chapter"><a href="ch02.html">Convenience API</a></span></dt>
-<dd><dl><dt>
-<span class="refentrytitle"><a href="GClueSimple.html">GClueSimple</a></span><span class="refpurpose"> — Simplified convenience API</span>
-</dt></dl></dd>
-<dt><span class="chapter"><a href="ch03.html">The Manager object</a></span></dt>
-<dd><dl>
-<dt>
-<span class="refentrytitle"><a href="GClueManager.html">GClueManager</a></span><span class="refpurpose"></span>
-</dt>
-<dt>
-<span class="refentrytitle"><a href="GClueManagerProxy.html">GClueManagerProxy</a></span><span class="refpurpose"></span>
-</dt>
-</dl></dd>
-<dt><span class="chapter"><a href="ch04.html">The Client object</a></span></dt>
-<dd><dl>
-<dt>
-<span class="refentrytitle"><a href="GClueClient.html">GClueClient</a></span><span class="refpurpose"></span>
-</dt>
-<dt>
-<span class="refentrytitle"><a href="GClueClientProxy.html">GClueClientProxy</a></span><span class="refpurpose"></span>
-</dt>
-</dl></dd>
-<dt><span class="chapter"><a href="ch05.html">The Location object</a></span></dt>
-<dd><dl>
-<dt>
-<span class="refentrytitle"><a href="GClueLocation.html">GClueLocation</a></span><span class="refpurpose"></span>
-</dt>
-<dt>
-<span class="refentrytitle"><a href="GClueLocationProxy.html">GClueLocationProxy</a></span><span class="refpurpose"></span>
-</dt>
-</dl></dd>
-<dt><span class="index"><a href="ix01.html">Index</a></span></dt>
-<dt><span class="appendix"><a href="license.html">A. License</a></span></dt>
-<dt><span class="glossary"><a href="annotation-glossary.html">Annotation Glossary</a></span></dt>
-</dl></div>
-</div>
-<div class="footer">
-<hr>Generated by GTK-Doc V1.27</div>
-</body>
-</html>
\ No newline at end of file
diff -pruN 2.4.10-1/docs/lib/html/ix01.html 2.4.11-1/docs/lib/html/ix01.html
--- 2.4.10-1/docs/lib/html/ix01.html	2018-05-03 14:23:59.000000000 +0000
+++ 2.4.11-1/docs/lib/html/ix01.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,248 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>Index: Libgeoclue Reference Manual</title>
-<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
-<link rel="home" href="index.html" title="Libgeoclue Reference Manual">
-<link rel="up" href="index.html" title="Libgeoclue Reference Manual">
-<link rel="prev" href="GClueLocationProxy.html" title="GClueLocationProxy">
-<link rel="next" href="license.html" title="Appendix A. License">
-<meta name="generator" content="GTK-Doc V1.27 (XML mode)">
-<link rel="stylesheet" href="style.css" type="text/css">
-</head>
-<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
-<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
-<td width="100%" align="left" class="shortcuts"></td>
-<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
-<td><img src="up-insensitive.png" width="16" height="16" border="0"></td>
-<td><a accesskey="p" href="GClueLocationProxy.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
-<td><a accesskey="n" href="license.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
-</tr></table>
-<div class="index">
-<div class="titlepage"><div><div><h1 class="title">
-<a name="id-1.7"></a>Index</h1></div></div></div>
-<div xmlns:xlink="http://www.w3.org/1999/xlink" class="index"><div class="indexdiv">
-<h3>G</h3>
-<dl>
-<dt id="ientry-idm140501623384784">GClueAccuracyLevel, <a class="indexterm" href="libgeoclue-gclue-enums.html#GClueAccuracyLevel">enum GClueAccuracyLevel</a>
-</dt>
-<dt id="ientry-idm140501611591264">GClueClient::handle-start, <a class="indexterm" href="GClueClient.html#GClueClient-handle-start">The “handle-start” signal</a>
-</dt>
-<dt id="ientry-idm140501611556192">GClueClient::handle-stop, <a class="indexterm" href="GClueClient.html#GClueClient-handle-stop">The “handle-stop” signal</a>
-</dt>
-<dt id="ientry-idm140501611520944">GClueClient::location-updated, <a class="indexterm" href="GClueClient.html#GClueClient-location-updated">The “location-updated” signal</a>
-</dt>
-<dt id="ientry-idm140501611642800">GClueClient:active, <a class="indexterm" href="GClueClient.html#GClueClient--active">The “active” property</a>
-</dt>
-<dt id="ientry-idm140501611634624">GClueClient:desktop-id, <a class="indexterm" href="GClueClient.html#GClueClient--desktop-id">The “desktop-id” property</a>
-</dt>
-<dt id="ientry-idm140501611626240">GClueClient:distance-threshold, <a class="indexterm" href="GClueClient.html#GClueClient--distance-threshold">The “distance-threshold” property</a>
-</dt>
-<dt id="ientry-idm140501611618096">GClueClient:location, <a class="indexterm" href="GClueClient.html#GClueClient--location">The “location” property</a>
-</dt>
-<dt id="ientry-idm140501611609664">GClueClient:requested-accuracy-level, <a class="indexterm" href="GClueClient.html#GClueClient--requested-accuracy-level">The “requested-accuracy-level” property</a>
-</dt>
-<dt id="ientry-idm140501611601360">GClueClient:time-threshold, <a class="indexterm" href="GClueClient.html#GClueClient--time-threshold">The “time-threshold” property</a>
-</dt>
-<dt id="ientry-idm140501610660864">GClueLocation:accuracy, <a class="indexterm" href="GClueLocation.html#GClueLocation--accuracy">The “accuracy” property</a>
-</dt>
-<dt id="ientry-idm140501610653696">GClueLocation:altitude, <a class="indexterm" href="GClueLocation.html#GClueLocation--altitude">The “altitude” property</a>
-</dt>
-<dt id="ientry-idm140501610646528">GClueLocation:description, <a class="indexterm" href="GClueLocation.html#GClueLocation--description">The “description” property</a>
-</dt>
-<dt id="ientry-idm140501610639232">GClueLocation:heading, <a class="indexterm" href="GClueLocation.html#GClueLocation--heading">The “heading” property</a>
-</dt>
-<dt id="ientry-idm140501610632064">GClueLocation:latitude, <a class="indexterm" href="GClueLocation.html#GClueLocation--latitude">The “latitude” property</a>
-</dt>
-<dt id="ientry-idm140501610624896">GClueLocation:longitude, <a class="indexterm" href="GClueLocation.html#GClueLocation--longitude">The “longitude” property</a>
-</dt>
-<dt id="ientry-idm140501610617728">GClueLocation:speed, <a class="indexterm" href="GClueLocation.html#GClueLocation--speed">The “speed” property</a>
-</dt>
-<dt id="ientry-idm140501610610640">GClueLocation:timestamp, <a class="indexterm" href="GClueLocation.html#GClueLocation--timestamp">The “timestamp” property</a>
-</dt>
-<dt id="ientry-idm140501613193920">GClueManager::handle-add-agent, <a class="indexterm" href="GClueManager.html#GClueManager-handle-add-agent">The “handle-add-agent” signal</a>
-</dt>
-<dt id="ientry-idm140501613160656">GClueManager::handle-get-client, <a class="indexterm" href="GClueManager.html#GClueManager-handle-get-client">The “handle-get-client” signal</a>
-</dt>
-<dt id="ientry-idm140501613209584">GClueManager:available-accuracy-level, <a class="indexterm" href="GClueManager.html#GClueManager--available-accuracy-level">The “available-accuracy-level” property</a>
-</dt>
-<dt id="ientry-idm140501613202496">GClueManager:in-use, <a class="indexterm" href="GClueManager.html#GClueManager--in-use">The “in-use” property</a>
-</dt>
-<dt id="ientry-idm140501615986704">GClueSimple:accuracy-level, <a class="indexterm" href="GClueSimple.html#GClueSimple--accuracy-level">The “accuracy-level” property</a>
-</dt>
-<dt id="ientry-idm140501615980800">GClueSimple:client, <a class="indexterm" href="GClueSimple.html#GClueSimple--client">The “client” property</a>
-</dt>
-<dt id="ientry-idm140501615975168">GClueSimple:desktop-id, <a class="indexterm" href="GClueSimple.html#GClueSimple--desktop-id">The “desktop-id” property</a>
-</dt>
-<dt id="ientry-idm140501615969056">GClueSimple:location, <a class="indexterm" href="GClueSimple.html#GClueSimple--location">The “location” property</a>
-</dt>
-<dt id="ientry-idm140501623267920">gclue_accuracy_level_get_type, <a class="indexterm" href="libgeoclue-gclue-enums.html#gclue-accuracy-level-get-type">gclue_accuracy_level_get_type ()</a>
-</dt>
-<dt id="ientry-idm140501612625328">gclue_client_call_start, <a class="indexterm" href="GClueClient.html#gclue-client-call-start">gclue_client_call_start ()</a>
-</dt>
-<dt id="ientry-idm140501612586736">gclue_client_call_start_finish, <a class="indexterm" href="GClueClient.html#gclue-client-call-start-finish">gclue_client_call_start_finish ()</a>
-</dt>
-<dt id="ientry-idm140501612553072">gclue_client_call_start_sync, <a class="indexterm" href="GClueClient.html#gclue-client-call-start-sync">gclue_client_call_start_sync ()</a>
-</dt>
-<dt id="ientry-idm140501612516608">gclue_client_call_stop, <a class="indexterm" href="GClueClient.html#gclue-client-call-stop">gclue_client_call_stop ()</a>
-</dt>
-<dt id="ientry-idm140501611953232">gclue_client_call_stop_finish, <a class="indexterm" href="GClueClient.html#gclue-client-call-stop-finish">gclue_client_call_stop_finish ()</a>
-</dt>
-<dt id="ientry-idm140501611923696">gclue_client_call_stop_sync, <a class="indexterm" href="GClueClient.html#gclue-client-call-stop-sync">gclue_client_call_stop_sync ()</a>
-</dt>
-<dt id="ientry-idm140501611772448">gclue_client_dup_desktop_id, <a class="indexterm" href="GClueClient.html#gclue-client-dup-desktop-id">gclue_client_dup_desktop_id ()</a>
-</dt>
-<dt id="ientry-idm140501611869792">gclue_client_dup_location, <a class="indexterm" href="GClueClient.html#gclue-client-dup-location">gclue_client_dup_location ()</a>
-</dt>
-<dt id="ientry-idm140501612648992">gclue_client_emit_location_updated, <a class="indexterm" href="GClueClient.html#gclue-client-emit-location-updated">gclue_client_emit_location_updated ()</a>
-</dt>
-<dt id="ientry-idm140501611689104">gclue_client_get_active, <a class="indexterm" href="GClueClient.html#gclue-client-get-active">gclue_client_get_active ()</a>
-</dt>
-<dt id="ientry-idm140501611794336">gclue_client_get_desktop_id, <a class="indexterm" href="GClueClient.html#gclue-client-get-desktop-id">gclue_client_get_desktop_id ()</a>
-</dt>
-<dt id="ientry-idm140501611830384">gclue_client_get_distance_threshold, <a class="indexterm" href="GClueClient.html#gclue-client-get-distance-threshold">gclue_client_get_distance_threshold ()</a>
-</dt>
-<dt id="ientry-idm140501611891664">gclue_client_get_location, <a class="indexterm" href="GClueClient.html#gclue-client-get-location">gclue_client_get_location ()</a>
-</dt>
-<dt id="ientry-idm140501611731232">gclue_client_get_requested_accuracy_level, <a class="indexterm" href="GClueClient.html#gclue-client-get-requested-accuracy-level">gclue_client_get_requested_accuracy_level ()</a>
-</dt>
-<dt id="ientry-idm140501612681728">gclue_client_interface_info, <a class="indexterm" href="GClueClient.html#gclue-client-interface-info">gclue_client_interface_info ()</a>
-</dt>
-<dt id="ientry-idm140501612671456">gclue_client_override_properties, <a class="indexterm" href="GClueClient.html#gclue-client-override-properties">gclue_client_override_properties ()</a>
-</dt>
-<dt id="ientry-idm140501617189312">gclue_client_proxy_create, <a class="indexterm" href="GClueClientProxy.html#gclue-client-proxy-create">gclue_client_proxy_create ()</a>
-</dt>
-<dt id="ientry-idm140501612456640">gclue_client_proxy_create_finish, <a class="indexterm" href="GClueClientProxy.html#gclue-client-proxy-create-finish">gclue_client_proxy_create_finish ()</a>
-</dt>
-<dt id="ientry-idm140501612428192">gclue_client_proxy_create_sync, <a class="indexterm" href="GClueClientProxy.html#gclue-client-proxy-create-sync">gclue_client_proxy_create_sync ()</a>
-</dt>
-<dt id="ientry-idm140501612390176">gclue_client_proxy_new, <a class="indexterm" href="GClueClientProxy.html#gclue-client-proxy-new">gclue_client_proxy_new ()</a>
-</dt>
-<dt id="ientry-idm140501612337168">gclue_client_proxy_new_finish, <a class="indexterm" href="GClueClientProxy.html#gclue-client-proxy-new-finish">gclue_client_proxy_new_finish ()</a>
-</dt>
-<dt id="ientry-idm140501611470496">gclue_client_proxy_new_for_bus, <a class="indexterm" href="GClueClientProxy.html#gclue-client-proxy-new-for-bus">gclue_client_proxy_new_for_bus ()</a>
-</dt>
-<dt id="ientry-idm140501611425552">gclue_client_proxy_new_for_bus_finish, <a class="indexterm" href="GClueClientProxy.html#gclue-client-proxy-new-for-bus-finish">gclue_client_proxy_new_for_bus_finish ()</a>
-</dt>
-<dt id="ientry-idm140501611400752">gclue_client_proxy_new_for_bus_sync, <a class="indexterm" href="GClueClientProxy.html#gclue-client-proxy-new-for-bus-sync">gclue_client_proxy_new_for_bus_sync ()</a>
-</dt>
-<dt id="ientry-idm140501612308816">gclue_client_proxy_new_sync, <a class="indexterm" href="GClueClientProxy.html#gclue-client-proxy-new-sync">gclue_client_proxy_new_sync ()</a>
-</dt>
-<dt id="ientry-idm140501611669488">gclue_client_set_active, <a class="indexterm" href="GClueClient.html#gclue-client-set-active">gclue_client_set_active ()</a>
-</dt>
-<dt id="ientry-idm140501611752480">gclue_client_set_desktop_id, <a class="indexterm" href="GClueClient.html#gclue-client-set-desktop-id">gclue_client_set_desktop_id ()</a>
-</dt>
-<dt id="ientry-idm140501611813680">gclue_client_set_distance_threshold, <a class="indexterm" href="GClueClient.html#gclue-client-set-distance-threshold">gclue_client_set_distance_threshold ()</a>
-</dt>
-<dt id="ientry-idm140501611849840">gclue_client_set_location, <a class="indexterm" href="GClueClient.html#gclue-client-set-location">gclue_client_set_location ()</a>
-</dt>
-<dt id="ientry-idm140501611711440">gclue_client_set_requested_accuracy_level, <a class="indexterm" href="GClueClient.html#gclue-client-set-requested-accuracy-level">gclue_client_set_requested_accuracy_level ()</a>
-</dt>
-<dt id="ientry-idm140501610765328">gclue_location_dup_description, <a class="indexterm" href="GClueLocation.html#gclue-location-dup-description">gclue_location_dup_description ()</a>
-</dt>
-<dt id="ientry-idm140501610703856">gclue_location_dup_timestamp, <a class="indexterm" href="GClueLocation.html#gclue-location-dup-timestamp">gclue_location_dup_timestamp ()</a>
-</dt>
-<dt id="ientry-idm140501611177488">gclue_location_get_accuracy, <a class="indexterm" href="GClueLocation.html#gclue-location-get-accuracy">gclue_location_get_accuracy ()</a>
-</dt>
-<dt id="ientry-idm140501611136160">gclue_location_get_altitude, <a class="indexterm" href="GClueLocation.html#gclue-location-get-altitude">gclue_location_get_altitude ()</a>
-</dt>
-<dt id="ientry-idm140501610787200">gclue_location_get_description, <a class="indexterm" href="GClueLocation.html#gclue-location-get-description">gclue_location_get_description ()</a>
-</dt>
-<dt id="ientry-idm140501610823360">gclue_location_get_heading, <a class="indexterm" href="GClueLocation.html#gclue-location-get-heading">gclue_location_get_heading ()</a>
-</dt>
-<dt id="ientry-idm140501611260144">gclue_location_get_latitude, <a class="indexterm" href="GClueLocation.html#gclue-location-get-latitude">gclue_location_get_latitude ()</a>
-</dt>
-<dt id="ientry-idm140501611218816">gclue_location_get_longitude, <a class="indexterm" href="GClueLocation.html#gclue-location-get-longitude">gclue_location_get_longitude ()</a>
-</dt>
-<dt id="ientry-idm140501610859520">gclue_location_get_speed, <a class="indexterm" href="GClueLocation.html#gclue-location-get-speed">gclue_location_get_speed ()</a>
-</dt>
-<dt id="ientry-idm140501610725680">gclue_location_get_timestamp, <a class="indexterm" href="GClueLocation.html#gclue-location-get-timestamp">gclue_location_get_timestamp ()</a>
-</dt>
-<dt id="ientry-idm140501611292880">gclue_location_interface_info, <a class="indexterm" href="GClueLocation.html#gclue-location-interface-info">gclue_location_interface_info ()</a>
-</dt>
-<dt id="ientry-idm140501611282608">gclue_location_override_properties, <a class="indexterm" href="GClueLocation.html#gclue-location-override-properties">gclue_location_override_properties ()</a>
-</dt>
-<dt id="ientry-idm140501613337856">gclue_location_proxy_new, <a class="indexterm" href="GClueLocationProxy.html#gclue-location-proxy-new">gclue_location_proxy_new ()</a>
-</dt>
-<dt id="ientry-idm140501611074672">gclue_location_proxy_new_finish, <a class="indexterm" href="GClueLocationProxy.html#gclue-location-proxy-new-finish">gclue_location_proxy_new_finish ()</a>
-</dt>
-<dt id="ientry-idm140501610596208">gclue_location_proxy_new_for_bus, <a class="indexterm" href="GClueLocationProxy.html#gclue-location-proxy-new-for-bus">gclue_location_proxy_new_for_bus ()</a>
-</dt>
-<dt id="ientry-idm140501610551264">gclue_location_proxy_new_for_bus_finish, <a class="indexterm" href="GClueLocationProxy.html#gclue-location-proxy-new-for-bus-finish">gclue_location_proxy_new_for_bus_finish ()</a>
-</dt>
-<dt id="ientry-idm140501610526464">gclue_location_proxy_new_for_bus_sync, <a class="indexterm" href="GClueLocationProxy.html#gclue-location-proxy-new-for-bus-sync">gclue_location_proxy_new_for_bus_sync ()</a>
-</dt>
-<dt id="ientry-idm140501610947936">gclue_location_proxy_new_sync, <a class="indexterm" href="GClueLocationProxy.html#gclue-location-proxy-new-sync">gclue_location_proxy_new_sync ()</a>
-</dt>
-<dt id="ientry-idm140501611158192">gclue_location_set_accuracy, <a class="indexterm" href="GClueLocation.html#gclue-location-set-accuracy">gclue_location_set_accuracy ()</a>
-</dt>
-<dt id="ientry-idm140501611116864">gclue_location_set_altitude, <a class="indexterm" href="GClueLocation.html#gclue-location-set-altitude">gclue_location_set_altitude ()</a>
-</dt>
-<dt id="ientry-idm140501610745216">gclue_location_set_description, <a class="indexterm" href="GClueLocation.html#gclue-location-set-description">gclue_location_set_description ()</a>
-</dt>
-<dt id="ientry-idm140501610806528">gclue_location_set_heading, <a class="indexterm" href="GClueLocation.html#gclue-location-set-heading">gclue_location_set_heading ()</a>
-</dt>
-<dt id="ientry-idm140501611240848">gclue_location_set_latitude, <a class="indexterm" href="GClueLocation.html#gclue-location-set-latitude">gclue_location_set_latitude ()</a>
-</dt>
-<dt id="ientry-idm140501611199520">gclue_location_set_longitude, <a class="indexterm" href="GClueLocation.html#gclue-location-set-longitude">gclue_location_set_longitude ()</a>
-</dt>
-<dt id="ientry-idm140501610842688">gclue_location_set_speed, <a class="indexterm" href="GClueLocation.html#gclue-location-set-speed">gclue_location_set_speed ()</a>
-</dt>
-<dt id="ientry-idm140501610683744">gclue_location_set_timestamp, <a class="indexterm" href="GClueLocation.html#gclue-location-set-timestamp">gclue_location_set_timestamp ()</a>
-</dt>
-<dt id="ientry-idm140501613593392">gclue_manager_call_add_agent, <a class="indexterm" href="GClueManager.html#gclue-manager-call-add-agent">gclue_manager_call_add_agent ()</a>
-</dt>
-<dt id="ientry-idm140501613550832">gclue_manager_call_add_agent_finish, <a class="indexterm" href="GClueManager.html#gclue-manager-call-add-agent-finish">gclue_manager_call_add_agent_finish ()</a>
-</dt>
-<dt id="ientry-idm140501613320912">gclue_manager_call_add_agent_sync, <a class="indexterm" href="GClueManager.html#gclue-manager-call-add-agent-sync">gclue_manager_call_add_agent_sync ()</a>
-</dt>
-<dt id="ientry-idm140501613713456">gclue_manager_call_get_client, <a class="indexterm" href="GClueManager.html#gclue-manager-call-get-client">gclue_manager_call_get_client ()</a>
-</dt>
-<dt id="ientry-idm140501613674928">gclue_manager_call_get_client_finish, <a class="indexterm" href="GClueManager.html#gclue-manager-call-get-client-finish">gclue_manager_call_get_client_finish ()</a>
-</dt>
-<dt id="ientry-idm140501613635616">gclue_manager_call_get_client_sync, <a class="indexterm" href="GClueManager.html#gclue-manager-call-get-client-sync">gclue_manager_call_get_client_sync ()</a>
-</dt>
-<dt id="ientry-idm140501613249216">gclue_manager_get_available_accuracy_level, <a class="indexterm" href="GClueManager.html#gclue-manager-get-available-accuracy-level">gclue_manager_get_available_accuracy_level ()</a>
-</dt>
-<dt id="ientry-idm140501613285376">gclue_manager_get_in_use, <a class="indexterm" href="GClueManager.html#gclue-manager-get-in-use">gclue_manager_get_in_use ()</a>
-</dt>
-<dt id="ientry-idm140501613746192">gclue_manager_interface_info, <a class="indexterm" href="GClueManager.html#gclue-manager-interface-info">gclue_manager_interface_info ()</a>
-</dt>
-<dt id="ientry-idm140501613735920">gclue_manager_override_properties, <a class="indexterm" href="GClueManager.html#gclue-manager-override-properties">gclue_manager_override_properties ()</a>
-</dt>
-<dt id="ientry-idm140501613796480">gclue_manager_proxy_new, <a class="indexterm" href="GClueManagerProxy.html#gclue-manager-proxy-new">gclue_manager_proxy_new ()</a>
-</dt>
-<dt id="ientry-idm140501613089488">gclue_manager_proxy_new_finish, <a class="indexterm" href="GClueManagerProxy.html#gclue-manager-proxy-new-finish">gclue_manager_proxy_new_finish ()</a>
-</dt>
-<dt id="ientry-idm140501613009808">gclue_manager_proxy_new_for_bus, <a class="indexterm" href="GClueManagerProxy.html#gclue-manager-proxy-new-for-bus">gclue_manager_proxy_new_for_bus ()</a>
-</dt>
-<dt id="ientry-idm140501612958736">gclue_manager_proxy_new_for_bus_finish, <a class="indexterm" href="GClueManagerProxy.html#gclue-manager-proxy-new-for-bus-finish">gclue_manager_proxy_new_for_bus_finish ()</a>
-</dt>
-<dt id="ientry-idm140501612930544">gclue_manager_proxy_new_for_bus_sync, <a class="indexterm" href="GClueManagerProxy.html#gclue-manager-proxy-new-for-bus-sync">gclue_manager_proxy_new_for_bus_sync ()</a>
-</dt>
-<dt id="ientry-idm140501613061136">gclue_manager_proxy_new_sync, <a class="indexterm" href="GClueManagerProxy.html#gclue-manager-proxy-new-sync">gclue_manager_proxy_new_sync ()</a>
-</dt>
-<dt id="ientry-idm140501613232384">gclue_manager_set_available_accuracy_level, <a class="indexterm" href="GClueManager.html#gclue-manager-set-available-accuracy-level">gclue_manager_set_available_accuracy_level ()</a>
-</dt>
-<dt id="ientry-idm140501613268544">gclue_manager_set_in_use, <a class="indexterm" href="GClueManager.html#gclue-manager-set-in-use">gclue_manager_set_in_use ()</a>
-</dt>
-<dt id="ientry-idm140501616029040">gclue_simple_get_client, <a class="indexterm" href="GClueSimple.html#gclue-simple-get-client">gclue_simple_get_client ()</a>
-</dt>
-<dt id="ientry-idm140501616010400">gclue_simple_get_location, <a class="indexterm" href="GClueSimple.html#gclue-simple-get-location">gclue_simple_get_location ()</a>
-</dt>
-<dt id="ientry-idm140501616138880">gclue_simple_new, <a class="indexterm" href="GClueSimple.html#gclue-simple-new">gclue_simple_new ()</a>
-</dt>
-<dt id="ientry-idm140501616098016">gclue_simple_new_finish, <a class="indexterm" href="GClueSimple.html#gclue-simple-new-finish">gclue_simple_new_finish ()</a>
-</dt>
-<dt id="ientry-idm140501616067904">gclue_simple_new_sync, <a class="indexterm" href="GClueSimple.html#gclue-simple-new-sync">gclue_simple_new_sync ()</a>
-</dt>
-<dt id="ientry-idm140501616156512">GCLUE_TYPE_ACCURACY_LEVEL, <a class="indexterm" href="libgeoclue-gclue-enums.html#GCLUE-TYPE-ACCURACY-LEVEL:CAPS">GCLUE_TYPE_ACCURACY_LEVEL</a>
-</dt>
-</dl>
-</div></div>
-</div>
-<div class="footer">
-<hr>Generated by GTK-Doc V1.27</div>
-</body>
-</html>
\ No newline at end of file
Binary files 2.4.10-1/docs/lib/html/left-insensitive.png and 2.4.11-1/docs/lib/html/left-insensitive.png differ
Binary files 2.4.10-1/docs/lib/html/left.png and 2.4.11-1/docs/lib/html/left.png differ
diff -pruN 2.4.10-1/docs/lib/html/libgeoclue.devhelp2 2.4.11-1/docs/lib/html/libgeoclue.devhelp2
--- 2.4.10-1/docs/lib/html/libgeoclue.devhelp2	2018-05-03 14:23:59.000000000 +0000
+++ 2.4.11-1/docs/lib/html/libgeoclue.devhelp2	1970-01-01 00:00:00.000000000 +0000
@@ -1,141 +0,0 @@
-<?xml version="1.0" encoding="utf-8" standalone="no"?>
-<book xmlns="http://www.devhelp.net/book" title="Libgeoclue Reference Manual" link="index.html" author="Zeeshan Ali (Khattak)" name="libgeoclue" version="2" language="c">
-  <chapters>
-    <sub name="Common enums and flags helpers" link="ch01.html">
-      <sub name="gclue-enums" link="libgeoclue-gclue-enums.html"/>
-    </sub>
-    <sub name="Convenience API" link="ch02.html">
-      <sub name="GClueSimple" link="GClueSimple.html"/>
-    </sub>
-    <sub name="The Manager object" link="ch03.html">
-      <sub name="GClueManager" link="GClueManager.html"/>
-      <sub name="GClueManagerProxy" link="GClueManagerProxy.html"/>
-    </sub>
-    <sub name="The Client object" link="ch04.html">
-      <sub name="GClueClient" link="GClueClient.html"/>
-      <sub name="GClueClientProxy" link="GClueClientProxy.html"/>
-    </sub>
-    <sub name="The Location object" link="ch05.html">
-      <sub name="GClueLocation" link="GClueLocation.html"/>
-      <sub name="GClueLocationProxy" link="GClueLocationProxy.html"/>
-    </sub>
-    <sub name="Index" link="ix01.html"/>
-    <sub name="License" link="license.html"/>
-    <sub name="Annotation Glossary" link="annotation-glossary.html"/>
-  </chapters>
-  <functions>
-    <keyword type="function" name="gclue_accuracy_level_get_type ()" link="libgeoclue-gclue-enums.html#gclue-accuracy-level-get-type"/>
-    <keyword type="enum" name="enum GClueAccuracyLevel" link="libgeoclue-gclue-enums.html#GClueAccuracyLevel"/>
-    <keyword type="macro" name="GCLUE_TYPE_ACCURACY_LEVEL" link="libgeoclue-gclue-enums.html#GCLUE-TYPE-ACCURACY-LEVEL:CAPS"/>
-    <keyword type="function" name="gclue_simple_new ()" link="GClueSimple.html#gclue-simple-new"/>
-    <keyword type="function" name="gclue_simple_new_finish ()" link="GClueSimple.html#gclue-simple-new-finish"/>
-    <keyword type="function" name="gclue_simple_new_sync ()" link="GClueSimple.html#gclue-simple-new-sync"/>
-    <keyword type="function" name="gclue_simple_get_client ()" link="GClueSimple.html#gclue-simple-get-client"/>
-    <keyword type="function" name="gclue_simple_get_location ()" link="GClueSimple.html#gclue-simple-get-location"/>
-    <keyword type="property" name="The “accuracy-level” property" link="GClueSimple.html#GClueSimple--accuracy-level"/>
-    <keyword type="property" name="The “client” property" link="GClueSimple.html#GClueSimple--client"/>
-    <keyword type="property" name="The “desktop-id” property" link="GClueSimple.html#GClueSimple--desktop-id"/>
-    <keyword type="property" name="The “location” property" link="GClueSimple.html#GClueSimple--location"/>
-    <keyword type="function" name="gclue_manager_interface_info ()" link="GClueManager.html#gclue-manager-interface-info"/>
-    <keyword type="function" name="gclue_manager_override_properties ()" link="GClueManager.html#gclue-manager-override-properties"/>
-    <keyword type="function" name="gclue_manager_call_get_client ()" link="GClueManager.html#gclue-manager-call-get-client"/>
-    <keyword type="function" name="gclue_manager_call_get_client_finish ()" link="GClueManager.html#gclue-manager-call-get-client-finish"/>
-    <keyword type="function" name="gclue_manager_call_get_client_sync ()" link="GClueManager.html#gclue-manager-call-get-client-sync"/>
-    <keyword type="function" name="gclue_manager_call_add_agent ()" link="GClueManager.html#gclue-manager-call-add-agent"/>
-    <keyword type="function" name="gclue_manager_call_add_agent_finish ()" link="GClueManager.html#gclue-manager-call-add-agent-finish"/>
-    <keyword type="function" name="gclue_manager_call_add_agent_sync ()" link="GClueManager.html#gclue-manager-call-add-agent-sync"/>
-    <keyword type="function" name="gclue_manager_get_in_use ()" link="GClueManager.html#gclue-manager-get-in-use"/>
-    <keyword type="function" name="gclue_manager_set_in_use ()" link="GClueManager.html#gclue-manager-set-in-use"/>
-    <keyword type="function" name="gclue_manager_get_available_accuracy_level ()" link="GClueManager.html#gclue-manager-get-available-accuracy-level"/>
-    <keyword type="function" name="gclue_manager_set_available_accuracy_level ()" link="GClueManager.html#gclue-manager-set-available-accuracy-level"/>
-    <keyword type="property" name="The “available-accuracy-level” property" link="GClueManager.html#GClueManager--available-accuracy-level"/>
-    <keyword type="property" name="The “in-use” property" link="GClueManager.html#GClueManager--in-use"/>
-    <keyword type="signal" name="The “handle-add-agent” signal" link="GClueManager.html#GClueManager-handle-add-agent"/>
-    <keyword type="signal" name="The “handle-get-client” signal" link="GClueManager.html#GClueManager-handle-get-client"/>
-    <keyword type="function" name="gclue_manager_proxy_new ()" link="GClueManagerProxy.html#gclue-manager-proxy-new"/>
-    <keyword type="function" name="gclue_manager_proxy_new_finish ()" link="GClueManagerProxy.html#gclue-manager-proxy-new-finish"/>
-    <keyword type="function" name="gclue_manager_proxy_new_sync ()" link="GClueManagerProxy.html#gclue-manager-proxy-new-sync"/>
-    <keyword type="function" name="gclue_manager_proxy_new_for_bus ()" link="GClueManagerProxy.html#gclue-manager-proxy-new-for-bus"/>
-    <keyword type="function" name="gclue_manager_proxy_new_for_bus_finish ()" link="GClueManagerProxy.html#gclue-manager-proxy-new-for-bus-finish"/>
-    <keyword type="function" name="gclue_manager_proxy_new_for_bus_sync ()" link="GClueManagerProxy.html#gclue-manager-proxy-new-for-bus-sync"/>
-    <keyword type="function" name="gclue_client_interface_info ()" link="GClueClient.html#gclue-client-interface-info"/>
-    <keyword type="function" name="gclue_client_override_properties ()" link="GClueClient.html#gclue-client-override-properties"/>
-    <keyword type="function" name="gclue_client_emit_location_updated ()" link="GClueClient.html#gclue-client-emit-location-updated"/>
-    <keyword type="function" name="gclue_client_call_start ()" link="GClueClient.html#gclue-client-call-start"/>
-    <keyword type="function" name="gclue_client_call_start_finish ()" link="GClueClient.html#gclue-client-call-start-finish"/>
-    <keyword type="function" name="gclue_client_call_start_sync ()" link="GClueClient.html#gclue-client-call-start-sync"/>
-    <keyword type="function" name="gclue_client_call_stop ()" link="GClueClient.html#gclue-client-call-stop"/>
-    <keyword type="function" name="gclue_client_call_stop_finish ()" link="GClueClient.html#gclue-client-call-stop-finish"/>
-    <keyword type="function" name="gclue_client_call_stop_sync ()" link="GClueClient.html#gclue-client-call-stop-sync"/>
-    <keyword type="function" name="gclue_client_get_location ()" link="GClueClient.html#gclue-client-get-location"/>
-    <keyword type="function" name="gclue_client_dup_location ()" link="GClueClient.html#gclue-client-dup-location"/>
-    <keyword type="function" name="gclue_client_set_location ()" link="GClueClient.html#gclue-client-set-location"/>
-    <keyword type="function" name="gclue_client_get_distance_threshold ()" link="GClueClient.html#gclue-client-get-distance-threshold"/>
-    <keyword type="function" name="gclue_client_set_distance_threshold ()" link="GClueClient.html#gclue-client-set-distance-threshold"/>
-    <keyword type="function" name="gclue_client_get_desktop_id ()" link="GClueClient.html#gclue-client-get-desktop-id"/>
-    <keyword type="function" name="gclue_client_dup_desktop_id ()" link="GClueClient.html#gclue-client-dup-desktop-id"/>
-    <keyword type="function" name="gclue_client_set_desktop_id ()" link="GClueClient.html#gclue-client-set-desktop-id"/>
-    <keyword type="function" name="gclue_client_get_requested_accuracy_level ()" link="GClueClient.html#gclue-client-get-requested-accuracy-level"/>
-    <keyword type="function" name="gclue_client_set_requested_accuracy_level ()" link="GClueClient.html#gclue-client-set-requested-accuracy-level"/>
-    <keyword type="function" name="gclue_client_get_active ()" link="GClueClient.html#gclue-client-get-active"/>
-    <keyword type="function" name="gclue_client_set_active ()" link="GClueClient.html#gclue-client-set-active"/>
-    <keyword type="property" name="The “active” property" link="GClueClient.html#GClueClient--active"/>
-    <keyword type="property" name="The “desktop-id” property" link="GClueClient.html#GClueClient--desktop-id"/>
-    <keyword type="property" name="The “distance-threshold” property" link="GClueClient.html#GClueClient--distance-threshold"/>
-    <keyword type="property" name="The “location” property" link="GClueClient.html#GClueClient--location"/>
-    <keyword type="property" name="The “requested-accuracy-level” property" link="GClueClient.html#GClueClient--requested-accuracy-level"/>
-    <keyword type="property" name="The “time-threshold” property" link="GClueClient.html#GClueClient--time-threshold"/>
-    <keyword type="signal" name="The “handle-start” signal" link="GClueClient.html#GClueClient-handle-start"/>
-    <keyword type="signal" name="The “handle-stop” signal" link="GClueClient.html#GClueClient-handle-stop"/>
-    <keyword type="signal" name="The “location-updated” signal" link="GClueClient.html#GClueClient-location-updated"/>
-    <keyword type="function" name="gclue_client_proxy_create ()" link="GClueClientProxy.html#gclue-client-proxy-create"/>
-    <keyword type="function" name="gclue_client_proxy_create_finish ()" link="GClueClientProxy.html#gclue-client-proxy-create-finish"/>
-    <keyword type="function" name="gclue_client_proxy_create_sync ()" link="GClueClientProxy.html#gclue-client-proxy-create-sync"/>
-    <keyword type="function" name="gclue_client_proxy_new ()" link="GClueClientProxy.html#gclue-client-proxy-new"/>
-    <keyword type="function" name="gclue_client_proxy_new_finish ()" link="GClueClientProxy.html#gclue-client-proxy-new-finish"/>
-    <keyword type="function" name="gclue_client_proxy_new_sync ()" link="GClueClientProxy.html#gclue-client-proxy-new-sync"/>
-    <keyword type="function" name="gclue_client_proxy_new_for_bus ()" link="GClueClientProxy.html#gclue-client-proxy-new-for-bus"/>
-    <keyword type="function" name="gclue_client_proxy_new_for_bus_finish ()" link="GClueClientProxy.html#gclue-client-proxy-new-for-bus-finish"/>
-    <keyword type="function" name="gclue_client_proxy_new_for_bus_sync ()" link="GClueClientProxy.html#gclue-client-proxy-new-for-bus-sync"/>
-    <keyword type="function" name="gclue_location_interface_info ()" link="GClueLocation.html#gclue-location-interface-info"/>
-    <keyword type="function" name="gclue_location_override_properties ()" link="GClueLocation.html#gclue-location-override-properties"/>
-    <keyword type="function" name="gclue_location_get_latitude ()" link="GClueLocation.html#gclue-location-get-latitude"/>
-    <keyword type="function" name="gclue_location_set_latitude ()" link="GClueLocation.html#gclue-location-set-latitude"/>
-    <keyword type="function" name="gclue_location_get_longitude ()" link="GClueLocation.html#gclue-location-get-longitude"/>
-    <keyword type="function" name="gclue_location_set_longitude ()" link="GClueLocation.html#gclue-location-set-longitude"/>
-    <keyword type="function" name="gclue_location_get_accuracy ()" link="GClueLocation.html#gclue-location-get-accuracy"/>
-    <keyword type="function" name="gclue_location_set_accuracy ()" link="GClueLocation.html#gclue-location-set-accuracy"/>
-    <keyword type="function" name="gclue_location_get_altitude ()" link="GClueLocation.html#gclue-location-get-altitude"/>
-    <keyword type="function" name="gclue_location_set_altitude ()" link="GClueLocation.html#gclue-location-set-altitude"/>
-    <keyword type="function" name="gclue_location_get_speed ()" link="GClueLocation.html#gclue-location-get-speed"/>
-    <keyword type="function" name="gclue_location_set_speed ()" link="GClueLocation.html#gclue-location-set-speed"/>
-    <keyword type="function" name="gclue_location_get_heading ()" link="GClueLocation.html#gclue-location-get-heading"/>
-    <keyword type="function" name="gclue_location_set_heading ()" link="GClueLocation.html#gclue-location-set-heading"/>
-    <keyword type="function" name="gclue_location_get_description ()" link="GClueLocation.html#gclue-location-get-description"/>
-    <keyword type="function" name="gclue_location_dup_description ()" link="GClueLocation.html#gclue-location-dup-description"/>
-    <keyword type="function" name="gclue_location_set_description ()" link="GClueLocation.html#gclue-location-set-description"/>
-    <keyword type="function" name="gclue_location_get_timestamp ()" link="GClueLocation.html#gclue-location-get-timestamp"/>
-    <keyword type="function" name="gclue_location_dup_timestamp ()" link="GClueLocation.html#gclue-location-dup-timestamp"/>
-    <keyword type="function" name="gclue_location_set_timestamp ()" link="GClueLocation.html#gclue-location-set-timestamp"/>
-    <keyword type="property" name="The “accuracy” property" link="GClueLocation.html#GClueLocation--accuracy"/>
-    <keyword type="property" name="The “altitude” property" link="GClueLocation.html#GClueLocation--altitude"/>
-    <keyword type="property" name="The “description” property" link="GClueLocation.html#GClueLocation--description"/>
-    <keyword type="property" name="The “heading” property" link="GClueLocation.html#GClueLocation--heading"/>
-    <keyword type="property" name="The “latitude” property" link="GClueLocation.html#GClueLocation--latitude"/>
-    <keyword type="property" name="The “longitude” property" link="GClueLocation.html#GClueLocation--longitude"/>
-    <keyword type="property" name="The “speed” property" link="GClueLocation.html#GClueLocation--speed"/>
-    <keyword type="property" name="The “timestamp” property" link="GClueLocation.html#GClueLocation--timestamp"/>
-    <keyword type="function" name="gclue_location_proxy_new ()" link="GClueLocationProxy.html#gclue-location-proxy-new"/>
-    <keyword type="function" name="gclue_location_proxy_new_finish ()" link="GClueLocationProxy.html#gclue-location-proxy-new-finish"/>
-    <keyword type="function" name="gclue_location_proxy_new_sync ()" link="GClueLocationProxy.html#gclue-location-proxy-new-sync"/>
-    <keyword type="function" name="gclue_location_proxy_new_for_bus ()" link="GClueLocationProxy.html#gclue-location-proxy-new-for-bus"/>
-    <keyword type="function" name="gclue_location_proxy_new_for_bus_finish ()" link="GClueLocationProxy.html#gclue-location-proxy-new-for-bus-finish"/>
-    <keyword type="function" name="gclue_location_proxy_new_for_bus_sync ()" link="GClueLocationProxy.html#gclue-location-proxy-new-for-bus-sync"/>
-    <keyword type="constant" name="GCLUE_ACCURACY_LEVEL_NONE" link="libgeoclue-gclue-enums.html#GCLUE-ACCURACY-LEVEL-NONE:CAPS"/>
-    <keyword type="constant" name="GCLUE_ACCURACY_LEVEL_COUNTRY" link="libgeoclue-gclue-enums.html#GCLUE-ACCURACY-LEVEL-COUNTRY:CAPS"/>
-    <keyword type="constant" name="GCLUE_ACCURACY_LEVEL_CITY" link="libgeoclue-gclue-enums.html#GCLUE-ACCURACY-LEVEL-CITY:CAPS"/>
-    <keyword type="constant" name="GCLUE_ACCURACY_LEVEL_NEIGHBORHOOD" link="libgeoclue-gclue-enums.html#GCLUE-ACCURACY-LEVEL-NEIGHBORHOOD:CAPS"/>
-    <keyword type="constant" name="GCLUE_ACCURACY_LEVEL_STREET" link="libgeoclue-gclue-enums.html#GCLUE-ACCURACY-LEVEL-STREET:CAPS"/>
-    <keyword type="constant" name="GCLUE_ACCURACY_LEVEL_EXACT" link="libgeoclue-gclue-enums.html#GCLUE-ACCURACY-LEVEL-EXACT:CAPS"/>
-  </functions>
-</book>
diff -pruN 2.4.10-1/docs/lib/html/libgeoclue-gclue-enums.html 2.4.11-1/docs/lib/html/libgeoclue-gclue-enums.html
--- 2.4.10-1/docs/lib/html/libgeoclue-gclue-enums.html	2018-05-03 14:23:59.000000000 +0000
+++ 2.4.11-1/docs/lib/html/libgeoclue-gclue-enums.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,159 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>gclue-enums: Libgeoclue Reference Manual</title>
-<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
-<link rel="home" href="index.html" title="Libgeoclue Reference Manual">
-<link rel="up" href="ch01.html" title="Common enums and flags helpers">
-<link rel="prev" href="ch01.html" title="Common enums and flags helpers">
-<link rel="next" href="ch02.html" title="Convenience API">
-<meta name="generator" content="GTK-Doc V1.27 (XML mode)">
-<link rel="stylesheet" href="style.css" type="text/css">
-</head>
-<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
-<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
-<td width="100%" align="left" class="shortcuts">
-<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
-                  <a href="#libgeoclue-gclue-enums.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
-                  <a href="#libgeoclue-gclue-enums.object-hierarchy" class="shortcut">Object Hierarchy</a></span>
-</td>
-<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
-<td><a accesskey="u" href="ch01.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
-<td><a accesskey="p" href="ch01.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
-<td><a accesskey="n" href="ch02.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
-</tr></table>
-<div class="refentry">
-<a name="libgeoclue-gclue-enums"></a><div class="titlepage"></div>
-<div class="refnamediv"><table width="100%"><tr>
-<td valign="top">
-<h2><span class="refentrytitle"><a name="libgeoclue-gclue-enums.top_of_page"></a>gclue-enums</span></h2>
-<p>gclue-enums</p>
-</td>
-<td class="gallery_image" valign="top" align="right"></td>
-</tr></table></div>
-<div class="refsect1">
-<a name="libgeoclue-gclue-enums.functions"></a><h2>Functions</h2>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="functions_return">
-<col class="functions_name">
-</colgroup>
-<tbody><tr>
-<td class="function_type">
-<a href="../gobject/gobject-Type-Information.html#GType"><span class="returnvalue">GType</span></a>
-</td>
-<td class="function_name">
-<a class="link" href="libgeoclue-gclue-enums.html#gclue-accuracy-level-get-type" title="gclue_accuracy_level_get_type ()">gclue_accuracy_level_get_type</a> <span class="c_punctuation">()</span>
-</td>
-</tr></tbody>
-</table></div>
-</div>
-<div class="refsect1">
-<a name="libgeoclue-gclue-enums.other"></a><h2>Types and Values</h2>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="150px" class="name">
-<col class="description">
-</colgroup>
-<tbody>
-<tr>
-<td class="datatype_keyword">enum</td>
-<td class="function_name"><a class="link" href="libgeoclue-gclue-enums.html#GClueAccuracyLevel" title="enum GClueAccuracyLevel">GClueAccuracyLevel</a></td>
-</tr>
-<tr>
-<td class="define_keyword">#define</td>
-<td class="function_name"><a class="link" href="libgeoclue-gclue-enums.html#GCLUE-TYPE-ACCURACY-LEVEL:CAPS" title="GCLUE_TYPE_ACCURACY_LEVEL">GCLUE_TYPE_ACCURACY_LEVEL</a></td>
-</tr>
-</tbody>
-</table></div>
-</div>
-<div class="refsect1">
-<a name="libgeoclue-gclue-enums.object-hierarchy"></a><h2>Object Hierarchy</h2>
-<pre class="screen">    <a href="/usr/share/gtk-doc/html/gobject/gobject-Enumeration-and-Flag-Types.html">GEnum</a>
-    <span class="lineart">╰──</span> GClueAccuracyLevel
-</pre>
-</div>
-<div class="refsect1">
-<a name="libgeoclue-gclue-enums.description"></a><h2>Description</h2>
-</div>
-<div class="refsect1">
-<a name="libgeoclue-gclue-enums.functions_details"></a><h2>Functions</h2>
-<div class="refsect2">
-<a name="gclue-accuracy-level-get-type"></a><h3>gclue_accuracy_level_get_type ()</h3>
-<pre class="programlisting"><a href="../gobject/gobject-Type-Information.html#GType"><span class="returnvalue">GType</span></a>
-gclue_accuracy_level_get_type (<em class="parameter"><code><span class="type">void</span></code></em>);</pre>
-</div>
-</div>
-<div class="refsect1">
-<a name="libgeoclue-gclue-enums.other_details"></a><h2>Types and Values</h2>
-<div class="refsect2">
-<a name="GClueAccuracyLevel"></a><h3>enum GClueAccuracyLevel</h3>
-<p>Used to specify level of accuracy requested by, or allowed for a client.</p>
-<div class="refsect3">
-<a name="GClueAccuracyLevel.members"></a><h4>Members</h4>
-<div class="informaltable"><table class="informaltable" width="100%" border="0">
-<colgroup>
-<col width="300px" class="enum_members_name">
-<col class="enum_members_description">
-<col width="200px" class="enum_members_annotations">
-</colgroup>
-<tbody>
-<tr>
-<td class="enum_member_name"><p><a name="GCLUE-ACCURACY-LEVEL-NONE:CAPS"></a>GCLUE_ACCURACY_LEVEL_NONE</p></td>
-<td class="enum_member_description">
-<p>Accuracy level unknown or unset.</p>
-</td>
-<td class="enum_member_annotations"> </td>
-</tr>
-<tr>
-<td class="enum_member_name"><p><a name="GCLUE-ACCURACY-LEVEL-COUNTRY:CAPS"></a>GCLUE_ACCURACY_LEVEL_COUNTRY</p></td>
-<td class="enum_member_description">
-<p>Country-level accuracy.</p>
-</td>
-<td class="enum_member_annotations"> </td>
-</tr>
-<tr>
-<td class="enum_member_name"><p><a name="GCLUE-ACCURACY-LEVEL-CITY:CAPS"></a>GCLUE_ACCURACY_LEVEL_CITY</p></td>
-<td class="enum_member_description">
-<p>City-level accuracy.</p>
-</td>
-<td class="enum_member_annotations"> </td>
-</tr>
-<tr>
-<td class="enum_member_name"><p><a name="GCLUE-ACCURACY-LEVEL-NEIGHBORHOOD:CAPS"></a>GCLUE_ACCURACY_LEVEL_NEIGHBORHOOD</p></td>
-<td class="enum_member_description">
-<p>neighborhood-level accuracy.</p>
-</td>
-<td class="enum_member_annotations"> </td>
-</tr>
-<tr>
-<td class="enum_member_name"><p><a name="GCLUE-ACCURACY-LEVEL-STREET:CAPS"></a>GCLUE_ACCURACY_LEVEL_STREET</p></td>
-<td class="enum_member_description">
-<p>Street-level accuracy.</p>
-</td>
-<td class="enum_member_annotations"> </td>
-</tr>
-<tr>
-<td class="enum_member_name"><p><a name="GCLUE-ACCURACY-LEVEL-EXACT:CAPS"></a>GCLUE_ACCURACY_LEVEL_EXACT</p></td>
-<td class="enum_member_description">
-<p>Exact accuracy. Typically requires GPS receiver.</p>
-</td>
-<td class="enum_member_annotations"> </td>
-</tr>
-</tbody>
-</table></div>
-</div>
-</div>
-<hr>
-<div class="refsect2">
-<a name="GCLUE-TYPE-ACCURACY-LEVEL:CAPS"></a><h3>GCLUE_TYPE_ACCURACY_LEVEL</h3>
-<pre class="programlisting">#define GCLUE_TYPE_ACCURACY_LEVEL (gclue_accuracy_level_get_type ())
-</pre>
-</div>
-</div>
-</div>
-<div class="footer">
-<hr>Generated by GTK-Doc V1.27</div>
-</body>
-</html>
\ No newline at end of file
diff -pruN 2.4.10-1/docs/lib/html/license.html 2.4.11-1/docs/lib/html/license.html
--- 2.4.10-1/docs/lib/html/license.html	2018-05-03 14:23:59.000000000 +0000
+++ 2.4.11-1/docs/lib/html/license.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,536 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>Appendix A. License: Libgeoclue Reference Manual</title>
-<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
-<link rel="home" href="index.html" title="Libgeoclue Reference Manual">
-<link rel="up" href="index.html" title="Libgeoclue Reference Manual">
-<link rel="prev" href="ix01.html" title="Index">
-<link rel="next" href="annotation-glossary.html" title="Annotation Glossary">
-<meta name="generator" content="GTK-Doc V1.27 (XML mode)">
-<link rel="stylesheet" href="style.css" type="text/css">
-</head>
-<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
-<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
-<td width="100%" align="left" class="shortcuts"></td>
-<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
-<td><img src="up-insensitive.png" width="16" height="16" border="0"></td>
-<td><a accesskey="p" href="ix01.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
-<td><a accesskey="n" href="annotation-glossary.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
-</tr></table>
-<div class="appendix">
-<div class="titlepage"><div><div><h1 class="title">
-<a name="license"></a>Appendix A. License</h1></div></div></div>
-<p>
-</p>
-<pre class="programlisting">                  GNU LESSER GENERAL PUBLIC LICENSE
-                       Version 2.1, February 1999
-
- Copyright 1991, 1999 Free Software Foundation, Inc.
- 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
- Everyone is permitted to copy and distribute verbatim copies
- of this license document, but changing it is not allowed.
-
-[This is the first released version of the Lesser GPL.  It also counts
- as the successor of the GNU Library Public License, version 2, hence
- the version number 2.1.]
-
-                            Preamble
-
-  The licenses for most software are designed to take away your
-freedom to share and change it.  By contrast, the GNU General Public
-Licenses are intended to guarantee your freedom to share and change
-free software--to make sure the software is free for all its users.
-
-  This license, the Lesser General Public License, applies to some
-specially designated software packages--typically libraries--of the
-Free Software Foundation and other authors who decide to use it.  You
-can use it too, but we suggest you first think carefully about whether
-this license or the ordinary General Public License is the better
-strategy to use in any particular case, based on the explanations below.
-
-  When we speak of free software, we are referring to freedom of use,
-not price.  Our General Public Licenses are designed to make sure that
-you have the freedom to distribute copies of free software (and charge
-for this service if you wish); that you receive source code or can get
-it if you want it; that you can change the software and use pieces of
-it in new free programs; and that you are informed that you can do
-these things.
-
-  To protect your rights, we need to make restrictions that forbid
-distributors to deny you these rights or to ask you to surrender these
-rights.  These restrictions translate to certain responsibilities for
-you if you distribute copies of the library or if you modify it.
-
-  For example, if you distribute copies of the library, whether gratis
-or for a fee, you must give the recipients all the rights that we gave
-you.  You must make sure that they, too, receive or can get the source
-code.  If you link other code with the library, you must provide
-complete object files to the recipients, so that they can relink them
-with the library after making changes to the library and recompiling
-it.  And you must show them these terms so they know their rights.
-
-  We protect your rights with a two-step method: (1) we copyright the
-library, and (2) we offer you this license, which gives you legal
-permission to copy, distribute and/or modify the library.
-
-  To protect each distributor, we want to make it very clear that
-there is no warranty for the free library.  Also, if the library is
-modified by someone else and passed on, the recipients should know
-that what they have is not the original version, so that the original
-author's reputation will not be affected by problems that might be
-introduced by others.
-
-  Finally, software patents pose a constant threat to the existence of
-any free program.  We wish to make sure that a company cannot
-effectively restrict the users of a free program by obtaining a
-restrictive license from a patent holder.  Therefore, we insist that
-any patent license obtained for a version of the library must be
-consistent with the full freedom of use specified in this license.
-
-  Most GNU software, including some libraries, is covered by the
-ordinary GNU General Public License.  This license, the GNU Lesser
-General Public License, applies to certain designated libraries, and
-is quite different from the ordinary General Public License.  We use
-this license for certain libraries in order to permit linking those
-libraries into non-free programs.
-
-  When a program is linked with a library, whether statically or using
-a shared library, the combination of the two is legally speaking a
-combined work, a derivative of the original library.  The ordinary
-General Public License therefore permits such linking only if the
-entire combination fits its criteria of freedom.  The Lesser General
-Public License permits more lax criteria for linking other code with
-the library.
-
-  We call this license the "Lesser" General Public License because it
-does Less to protect the user's freedom than the ordinary General
-Public License.  It also provides other free software developers Less
-of an advantage over competing non-free programs.  These disadvantages
-are the reason we use the ordinary General Public License for many
-libraries.  However, the Lesser license provides advantages in certain
-special circumstances.
-
-  For example, on rare occasions, there may be a special need to
-encourage the widest possible use of a certain library, so that it becomes
-a de-facto standard.  To achieve this, non-free programs must be
-allowed to use the library.  A more frequent case is that a free
-library does the same job as widely used non-free libraries.  In this
-case, there is little to gain by limiting the free library to free
-software only, so we use the Lesser General Public License.
-
-  In other cases, permission to use a particular library in non-free
-programs enables a greater number of people to use a large body of
-free software.  For example, permission to use the GNU C Library in
-non-free programs enables many more people to use the whole GNU
-operating system, as well as its variant, the GNU/Linux operating
-system.
-
-  Although the Lesser General Public License is Less protective of the
-users' freedom, it does ensure that the user of a program that is
-linked with the Library has the freedom and the wherewithal to run
-that program using a modified version of the Library.
-
-  The precise terms and conditions for copying, distribution and
-modification follow.  Pay close attention to the difference between a
-"work based on the library" and a "work that uses the library".  The
-former contains code derived from the library, whereas the latter must
-be combined with the library in order to run.
-
-                  GNU LESSER GENERAL PUBLIC LICENSE
-   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
-
-  0. This License Agreement applies to any software library or other
-program which contains a notice placed by the copyright holder or
-other authorized party saying it may be distributed under the terms of
-this Lesser General Public License (also called "this License").
-Each licensee is addressed as "you".
-
-  A "library" means a collection of software functions and/or data
-prepared so as to be conveniently linked with application programs
-(which use some of those functions and data) to form executables.
-
-  The "Library", below, refers to any such software library or work
-which has been distributed under these terms.  A "work based on the
-Library" means either the Library or any derivative work under
-copyright law: that is to say, a work containing the Library or a
-portion of it, either verbatim or with modifications and/or translated
-straightforwardly into another language.  (Hereinafter, translation is
-included without limitation in the term "modification".)
-
-  "Source code" for a work means the preferred form of the work for
-making modifications to it.  For a library, complete source code means
-all the source code for all modules it contains, plus any associated
-interface definition files, plus the scripts used to control compilation
-and installation of the library.
-
-  Activities other than copying, distribution and modification are not
-covered by this License; they are outside its scope.  The act of
-running a program using the Library is not restricted, and output from
-such a program is covered only if its contents constitute a work based
-on the Library (independent of the use of the Library in a tool for
-writing it).  Whether that is true depends on what the Library does
-and what the program that uses the Library does.
-
-  1. You may copy and distribute verbatim copies of the Library's
-complete source code as you receive it, in any medium, provided that
-you conspicuously and appropriately publish on each copy an
-appropriate copyright notice and disclaimer of warranty; keep intact
-all the notices that refer to this License and to the absence of any
-warranty; and distribute a copy of this License along with the
-Library.
-
-  You may charge a fee for the physical act of transferring a copy,
-and you may at your option offer warranty protection in exchange for a
-fee.
-
-  2. You may modify your copy or copies of the Library or any portion
-of it, thus forming a work based on the Library, and copy and
-distribute such modifications or work under the terms of Section 1
-above, provided that you also meet all of these conditions:
-
-    a) The modified work must itself be a software library.
-
-    b) You must cause the files modified to carry prominent notices
-    stating that you changed the files and the date of any change.
-
-    c) You must cause the whole of the work to be licensed at no
-    charge to all third parties under the terms of this License.
-
-    d) If a facility in the modified Library refers to a function or a
-    table of data to be supplied by an application program that uses
-    the facility, other than as an argument passed when the facility
-    is invoked, then you must make a good faith effort to ensure that,
-    in the event an application does not supply such function or
-    table, the facility still operates, and performs whatever part of
-    its purpose remains meaningful.
-
-    (For example, a function in a library to compute square roots has
-    a purpose that is entirely well-defined independent of the
-    application.  Therefore, Subsection 2d requires that any
-    application-supplied function or table used by this function must
-    be optional: if the application does not supply it, the square
-    root function must still compute square roots.)
-
-These requirements apply to the modified work as a whole.  If
-identifiable sections of that work are not derived from the Library,
-and can be reasonably considered independent and separate works in
-themselves, then this License, and its terms, do not apply to those
-sections when you distribute them as separate works.  But when you
-distribute the same sections as part of a whole which is a work based
-on the Library, the distribution of the whole must be on the terms of
-this License, whose permissions for other licensees extend to the
-entire whole, and thus to each and every part regardless of who wrote
-it.
-
-Thus, it is not the intent of this section to claim rights or contest
-your rights to work written entirely by you; rather, the intent is to
-exercise the right to control the distribution of derivative or
-collective works based on the Library.
-
-In addition, mere aggregation of another work not based on the Library
-with the Library (or with a work based on the Library) on a volume of
-a storage or distribution medium does not bring the other work under
-the scope of this License.
-
-  3. You may opt to apply the terms of the ordinary GNU General Public
-License instead of this License to a given copy of the Library.  To do
-this, you must alter all the notices that refer to this License, so
-that they refer to the ordinary GNU General Public License, version 2,
-instead of to this License.  (If a newer version than version 2 of the
-ordinary GNU General Public License has appeared, then you can specify
-that version instead if you wish.)  Do not make any other change in
-these notices.
-
-  Once this change is made in a given copy, it is irreversible for
-that copy, so the ordinary GNU General Public License applies to all
-subsequent copies and derivative works made from that copy.
-
-  This option is useful when you wish to copy part of the code of
-the Library into a program that is not a library.
-
-  4. You may copy and distribute the Library (or a portion or
-derivative of it, under Section 2) in object code or executable form
-under the terms of Sections 1 and 2 above provided that you accompany
-it with the complete corresponding machine-readable source code, which
-must be distributed under the terms of Sections 1 and 2 above on a
-medium customarily used for software interchange.
-
-  If distribution of object code is made by offering access to copy
-from a designated place, then offering equivalent access to copy the
-source code from the same place satisfies the requirement to
-distribute the source code, even though third parties are not
-compelled to copy the source along with the object code.
-
-  5. A program that contains no derivative of any portion of the
-Library, but is designed to work with the Library by being compiled or
-linked with it, is called a "work that uses the Library".  Such a
-work, in isolation, is not a derivative work of the Library, and
-therefore falls outside the scope of this License.
-
-  However, linking a "work that uses the Library" with the Library
-creates an executable that is a derivative of the Library (because it
-contains portions of the Library), rather than a "work that uses the
-library".  The executable is therefore covered by this License.
-Section 6 states terms for distribution of such executables.
-
-  When a "work that uses the Library" uses material from a header file
-that is part of the Library, the object code for the work may be a
-derivative work of the Library even though the source code is not.
-Whether this is true is especially significant if the work can be
-linked without the Library, or if the work is itself a library.  The
-threshold for this to be true is not precisely defined by law.
-
-  If such an object file uses only numerical parameters, data
-structure layouts and accessors, and small macros and small inline
-functions (ten lines or less in length), then the use of the object
-file is unrestricted, regardless of whether it is legally a derivative
-work.  (Executables containing this object code plus portions of the
-Library will still fall under Section 6.)
-
-  Otherwise, if the work is a derivative of the Library, you may
-distribute the object code for the work under the terms of Section 6.
-Any executables containing that work also fall under Section 6,
-whether or not they are linked directly with the Library itself.
-
-  6. As an exception to the Sections above, you may also combine or
-link a "work that uses the Library" with the Library to produce a
-work containing portions of the Library, and distribute that work
-under terms of your choice, provided that the terms permit
-modification of the work for the customer's own use and reverse
-engineering for debugging such modifications.
-
-  You must give prominent notice with each copy of the work that the
-Library is used in it and that the Library and its use are covered by
-this License.  You must supply a copy of this License.  If the work
-during execution displays copyright notices, you must include the
-copyright notice for the Library among them, as well as a reference
-directing the user to the copy of this License.  Also, you must do one
-of these things:
-
-    a) Accompany the work with the complete corresponding
-    machine-readable source code for the Library including whatever
-    changes were used in the work (which must be distributed under
-    Sections 1 and 2 above); and, if the work is an executable linked
-    with the Library, with the complete machine-readable "work that
-    uses the Library", as object code and/or source code, so that the
-    user can modify the Library and then relink to produce a modified
-    executable containing the modified Library.  (It is understood
-    that the user who changes the contents of definitions files in the
-    Library will not necessarily be able to recompile the application
-    to use the modified definitions.)
-
-    b) Use a suitable shared library mechanism for linking with the
-    Library.  A suitable mechanism is one that (1) uses at run time a
-    copy of the library already present on the user's computer system,
-    rather than copying library functions into the executable, and (2)
-    will operate properly with a modified version of the library, if
-    the user installs one, as long as the modified version is
-    interface-compatible with the version that the work was made with.
-
-    c) Accompany the work with a written offer, valid for at
-    least three years, to give the same user the materials
-    specified in Subsection 6a, above, for a charge no more
-    than the cost of performing this distribution.
-
-    d) If distribution of the work is made by offering access to copy
-    from a designated place, offer equivalent access to copy the above
-    specified materials from the same place.
-
-    e) Verify that the user has already received a copy of these
-    materials or that you have already sent this user a copy.
-
-  For an executable, the required form of the "work that uses the
-Library" must include any data and utility programs needed for
-reproducing the executable from it.  However, as a special exception,
-the materials to be distributed need not include anything that is
-normally distributed (in either source or binary form) with the major
-components (compiler, kernel, and so on) of the operating system on
-which the executable runs, unless that component itself accompanies
-the executable.
-
-  It may happen that this requirement contradicts the license
-restrictions of other proprietary libraries that do not normally
-accompany the operating system.  Such a contradiction means you cannot
-use both them and the Library together in an executable that you
-distribute.
-
-  7. You may place library facilities that are a work based on the
-Library side-by-side in a single library together with other library
-facilities not covered by this License, and distribute such a combined
-library, provided that the separate distribution of the work based on
-the Library and of the other library facilities is otherwise
-permitted, and provided that you do these two things:
-
-    a) Accompany the combined library with a copy of the same work
-    based on the Library, uncombined with any other library
-    facilities.  This must be distributed under the terms of the
-    Sections above.
-
-    b) Give prominent notice with the combined library of the fact
-    that part of it is a work based on the Library, and explaining
-    where to find the accompanying uncombined form of the same work.
-
-  8. You may not copy, modify, sublicense, link with, or distribute
-the Library except as expressly provided under this License.  Any
-attempt otherwise to copy, modify, sublicense, link with, or
-distribute the Library is void, and will automatically terminate your
-rights under this License.  However, parties who have received copies,
-or rights, from you under this License will not have their licenses
-terminated so long as such parties remain in full compliance.
-
-  9. You are not required to accept this License, since you have not
-signed it.  However, nothing else grants you permission to modify or
-distribute the Library or its derivative works.  These actions are
-prohibited by law if you do not accept this License.  Therefore, by
-modifying or distributing the Library (or any work based on the
-Library), you indicate your acceptance of this License to do so, and
-all its terms and conditions for copying, distributing or modifying
-the Library or works based on it.
-
-  10. Each time you redistribute the Library (or any work based on the
-Library), the recipient automatically receives a license from the
-original licensor to copy, distribute, link with or modify the Library
-subject to these terms and conditions.  You may not impose any further
-restrictions on the recipients' exercise of the rights granted herein.
-You are not responsible for enforcing compliance by third parties with
-this License.
-
-  11. If, as a consequence of a court judgment or allegation of patent
-infringement or for any other reason (not limited to patent issues),
-conditions are imposed on you (whether by court order, agreement or
-otherwise) that contradict the conditions of this License, they do not
-excuse you from the conditions of this License.  If you cannot
-distribute so as to satisfy simultaneously your obligations under this
-License and any other pertinent obligations, then as a consequence you
-may not distribute the Library at all.  For example, if a patent
-license would not permit royalty-free redistribution of the Library by
-all those who receive copies directly or indirectly through you, then
-the only way you could satisfy both it and this License would be to
-refrain entirely from distribution of the Library.
-
-If any portion of this section is held invalid or unenforceable under any
-particular circumstance, the balance of the section is intended to apply,
-and the section as a whole is intended to apply in other circumstances.
-
-It is not the purpose of this section to induce you to infringe any
-patents or other property right claims or to contest validity of any
-such claims; this section has the sole purpose of protecting the
-integrity of the free software distribution system which is
-implemented by public license practices.  Many people have made
-generous contributions to the wide range of software distributed
-through that system in reliance on consistent application of that
-system; it is up to the author/donor to decide if he or she is willing
-to distribute software through any other system and a licensee cannot
-impose that choice.
-
-This section is intended to make thoroughly clear what is believed to
-be a consequence of the rest of this License.
-
-  12. If the distribution and/or use of the Library is restricted in
-certain countries either by patents or by copyrighted interfaces, the
-original copyright holder who places the Library under this License may add
-an explicit geographical distribution limitation excluding those countries,
-so that distribution is permitted only in or among countries not thus
-excluded.  In such case, this License incorporates the limitation as if
-written in the body of this License.
-
-  13. The Free Software Foundation may publish revised and/or new
-versions of the Lesser General Public License from time to time.
-Such new versions will be similar in spirit to the present version,
-but may differ in detail to address new problems or concerns.
-
-Each version is given a distinguishing version number.  If the Library
-specifies a version number of this License which applies to it and
-"any later version", you have the option of following the terms and
-conditions either of that version or of any later version published by
-the Free Software Foundation.  If the Library does not specify a
-license version number, you may choose any version ever published by
-the Free Software Foundation.
-
-  14. If you wish to incorporate parts of the Library into other free
-programs whose distribution conditions are incompatible with these,
-write to the author to ask for permission.  For software which is
-copyrighted by the Free Software Foundation, write to the Free
-Software Foundation; we sometimes make exceptions for this.  Our
-decision will be guided by the two goals of preserving the free status
-of all derivatives of our free software and of promoting the sharing
-and reuse of software generally.
-
-                            NO WARRANTY
-
-  15. BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO
-WARRANTY FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW.
-EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR
-OTHER PARTIES PROVIDE THE LIBRARY "AS IS" WITHOUT WARRANTY OF ANY
-KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE
-IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
-PURPOSE.  THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE
-LIBRARY IS WITH YOU.  SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME
-THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.
-
-  16. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN
-WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY
-AND/OR REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU
-FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR
-CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE
-LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING
-RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A
-FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF
-SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH
-DAMAGES.
-
-                     END OF TERMS AND CONDITIONS
-
-           How to Apply These Terms to Your New Libraries
-
-  If you develop a new library, and you want it to be of the greatest
-possible use to the public, we recommend making it free software that
-everyone can redistribute and change.  You can do so by permitting
-redistribution under these terms (or, alternatively, under the terms of the
-ordinary General Public License).
-
-  To apply these terms, attach the following notices to the library.  It is
-safest to attach them to the start of each source file to most effectively
-convey the exclusion of warranty; and each file should have at least the
-"copyright" line and a pointer to where the full notice is found.
-
-    &lt;one line to give the library's name and a brief idea of what it does.&gt;
-    Copyright &lt;year&gt;  &lt;name of author&gt;
-
-    This library is free software; you can redistribute it and/or
-    modify it under the terms of the GNU Lesser General Public
-    License as published by the Free Software Foundation; either
-    version 2.1 of the License, or (at your option) any later version.
-
-    This library is distributed in the hope that it will be useful,
-    but WITHOUT ANY WARRANTY; without even the implied warranty of
-    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-    Lesser General Public License for more details.
-
-    You should have received a copy of the GNU Lesser General Public
-    License along with this library; if not, write to the Free Software
-    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
-
-Also add information on how to contact you by electronic and paper mail.
-
-You should also get your employer (if you work as a programmer) or your
-school, if any, to sign a "copyright disclaimer" for the library, if
-necessary.  Here is a sample; alter the names:
-
-  Yoyodyne, Inc., hereby disclaims all copyright interest in the
-  library `Frob' (a library for tweaking knobs) written by James Random Hacker.
-
-  &lt;signature of Ty Coon&gt;, 1 April 1990
-  Ty Coon, President of Vice
-
-That's all there is to it!
-</pre>
-<p>
-    </p>
-</div>
-<div class="footer">
-<hr>Generated by GTK-Doc V1.27</div>
-</body>
-</html>
\ No newline at end of file
Binary files 2.4.10-1/docs/lib/html/right-insensitive.png and 2.4.11-1/docs/lib/html/right-insensitive.png differ
Binary files 2.4.10-1/docs/lib/html/right.png and 2.4.11-1/docs/lib/html/right.png differ
diff -pruN 2.4.10-1/docs/lib/html/style.css 2.4.11-1/docs/lib/html/style.css
--- 2.4.10-1/docs/lib/html/style.css	2018-05-03 14:23:59.000000000 +0000
+++ 2.4.11-1/docs/lib/html/style.css	1970-01-01 00:00:00.000000000 +0000
@@ -1,479 +0,0 @@
-body
-{
-  font-family: cantarell, sans-serif;
-}
-.synopsis, .classsynopsis
-{
-  /* tango:aluminium 1/2 */
-  background: #eeeeec;
-  background: rgba(238, 238, 236, 0.5);
-  border: solid 1px rgb(238, 238, 236);
-  padding: 0.5em;
-}
-.programlisting
-{
-  /* tango:sky blue 0/1 */
-  /* fallback for no rgba support */
-  background: #e6f3ff;
-  border: solid 1px #729fcf;
-  background: rgba(114, 159, 207, 0.1);
-  border: solid 1px rgba(114, 159, 207, 0.2);
-  padding: 0.5em;
-}
-.variablelist
-{
-  padding: 4px;
-  margin-left: 3em;
-}
-.variablelist td:first-child
-{
-  vertical-align: top;
-}
-
-div.gallery-float
-{
-  float: left;
-  padding: 10px;
-}
-div.gallery-float img
-{
-  border-style: none;
-}
-div.gallery-spacer
-{
-  clear: both;
-}
-
-a, a:visited
-{
-  text-decoration: none;
-  /* tango:sky blue 2 */
-  color: #3465a4;
-}
-a:hover
-{
-  text-decoration: underline;
-  /* tango:sky blue 1 */
-  color: #729fcf;
-}
-
-div.informaltable table
-{
-  border-collapse: separate;
-  border-spacing: 1em 0.3em;
-  border: none;
-}
-
-div.informaltable table td, div.informaltable table th
-{
-  vertical-align: top;
-}
-
-.function_type,
-.variable_type,
-.property_type,
-.signal_type,
-.parameter_name,
-.struct_member_name,
-.union_member_name,
-.define_keyword,
-.datatype_keyword,
-.typedef_keyword
-{
-  text-align: right;
-}
-
-/* dim non-primary columns */
-.c_punctuation,
-.function_type,
-.variable_type,
-.property_type,
-.signal_type,
-.define_keyword,
-.datatype_keyword,
-.typedef_keyword,
-.property_flags,
-.signal_flags,
-.parameter_annotations,
-.enum_member_annotations,
-.struct_member_annotations,
-.union_member_annotations
-{
-  color: #888a85;
-}
-
-.function_type a,
-.function_type a:visited,
-.function_type a:hover,
-.property_type a,
-.property_type a:visited,
-.property_type a:hover,
-.signal_type a,
-.signal_type a:visited,
-.signal_type a:hover,
-.signal_flags a,
-.signal_flags a:visited,
-.signal_flags a:hover
-{
- color: #729fcf;
-}
-
-td p
-{
-  margin: 0.25em;
-}
-
-div.table table
-{
-  border-collapse: collapse;
-  border-spacing: 0px;
-  /* tango:aluminium 3 */
-  border: solid 1px #babdb6;
-}
-
-div.table table td, div.table table th
-{
-  /* tango:aluminium 3 */
-  border: solid 1px #babdb6;
-  padding: 3px;
-  vertical-align: top;
-}
-
-div.table table th
-{
-  /* tango:aluminium 2 */
-  background-color: #d3d7cf;
-}
-
-h4
-{
-  color: #555753;
-  margin-top: 1em;
-  margin-bottom: 1em;
-}
-
-hr
-{
-  /* tango:aluminium 1 */
-  color: #d3d7cf;
-  background: #d3d7cf;
-  border: none 0px;
-  height: 1px;
-  clear: both;
-  margin: 2.0em 0em 2.0em 0em;
-}
-
-dl.toc dt
-{
-  padding-bottom: 0.25em;
-}
-
-dl.toc > dt
-{
-  padding-top: 0.25em;
-  padding-bottom: 0.25em;
-  font-weight: bold;
-}
-
-dl.toc > dl
-{
-  padding-bottom: 0.5em;
-}
-
-.parameter
-{
-  font-style: normal;
-}
-
-.footer
-{
-  padding-top: 3.5em;
-  /* tango:aluminium 3 */
-  color: #babdb6;
-  text-align: center;
-  font-size: 80%;
-}
-
-.informalfigure,
-.figure
-{
-  margin: 1em;
-}
-
-.informalexample,
-.example
-{
-  margin-top: 1em;
-  margin-bottom: 1em;
-}
-
-.warning
-{
-  /* tango:orange 0/1 */
-  background: #ffeed9;
-  background: rgba(252, 175, 62, 0.1);
-  border-color: #ffb04f;
-  border-color: rgba(252, 175, 62, 0.2);
-}
-.note
-{
-  /* tango:chameleon 0/0.5 */
-  background: #d8ffb2;
-  background: rgba(138, 226, 52, 0.1);
-  border-color: #abf562;
-  border-color: rgba(138, 226, 52, 0.2);
-}
-div.blockquote
-{
-  border-color: #eeeeec;
-}
-.note, .warning, div.blockquote
-{
-  padding: 0.5em;
-  border-width: 1px;
-  border-style: solid;
-  margin: 2em;
-}
-.note p, .warning p
-{
-  margin: 0;
-}
-
-div.warning h3.title,
-div.note h3.title
-{
-  display: none;
-}
-
-p + div.section
-{
-  margin-top: 1em;
-}
-
-div.refnamediv,
-div.refsynopsisdiv,
-div.refsect1,
-div.refsect2,
-div.toc,
-div.section
-{
-  margin-bottom: 1em;
-}
-
-/* blob links */
-h2 .extralinks, h3 .extralinks
-{
-  float: right;
-  /* tango:aluminium 3 */
-  color: #babdb6;
-  font-size: 80%;
-  font-weight: normal;
-}
-
-.lineart
-{
-  color: #d3d7cf;
-  font-weight: normal;
-}
-
-.annotation
-{
-  /* tango:aluminium 5 */
-  color: #555753;
-  font-weight: normal;
-}
-
-.structfield
-{
-  font-style: normal;
-  font-weight: normal;
-}
-
-acronym,abbr 
-{
-  border-bottom: 1px dotted gray;
-}
-
-/* code listings */
-
-.listing_code .programlisting .normal,
-.listing_code .programlisting .normal a,
-.listing_code .programlisting .number,
-.listing_code .programlisting .cbracket,
-.listing_code .programlisting .symbol     { color: #555753; }
-.listing_code .programlisting .comment,
-.listing_code .programlisting .linenum    { color: #babdb6; } /* tango: aluminium 3 */
-.listing_code .programlisting .function,
-.listing_code .programlisting .function a,
-.listing_code .programlisting .preproc    { color: #204a87; } /* tango: sky blue 3  */
-.listing_code .programlisting .string     { color: #ad7fa8; } /* tango: plum */
-.listing_code .programlisting .keyword,
-.listing_code .programlisting .usertype,
-.listing_code .programlisting .type,
-.listing_code .programlisting .type a     { color: #4e9a06; } /* tango: chameleon 3  */
-
-.listing_frame {
-  /* tango:sky blue 1 */
-  border: solid 1px #729fcf;
-  border: solid 1px rgba(114, 159, 207, 0.2);
-  padding: 0px;
-}
-
-.listing_lines, .listing_code {
-  margin-top: 0px;
-  margin-bottom: 0px;
-  padding: 0.5em;
-}
-.listing_lines {
-  /* tango:sky blue 0.5 */
-  background: #a6c5e3;
-  background: rgba(114, 159, 207, 0.2);
-  /* tango:aluminium 6 */
-  color: #2e3436;
-}
-.listing_code {
-  /* tango:sky blue 0 */
-  background: #e6f3ff;
-  background: rgba(114, 159, 207, 0.1);
-}
-.listing_code .programlisting {
-  /* override from previous */
-  border: none 0px;
-  padding: 0px;
-  background: none;
-}
-.listing_lines pre, .listing_code pre {
-  margin: 0px;
-}
-
-@media screen {
-  /* these have a <sup> as a first child, but since there are no parent selectors
-   * we can't use that. */
-  a.footnote
-  {
-    position: relative;
-    top: 0em ! important;
-  }
-  /* this is needed so that the local anchors are displayed below the naviagtion */
-  div.footnote a[name], div.refnamediv a[name], div.refsect1 a[name], div.refsect2 a[name], div.index a[name], div.glossary a[name], div.sect1 a[name]
-  {
-    display: inline-block;
-    position: relative;
-    top:-5em;
-  }
-  /* this seems to be a bug in the xsl style sheets when generating indexes */
-  div.index div.index
-  {
-    top: 0em;
-  }
-  /* make space for the fixed navigation bar and add space at the bottom so that
-   * link targets appear somewhat close to top
-   */
-  body
-  {
-    padding-top: 2.5em;
-    padding-bottom: 500px;
-    max-width: 60em;
-  }
-  p
-  {
-    max-width: 60em;
-  }
-  /* style and size the navigation bar */
-  table.navigation#top
-  {
-    position: fixed;
-    background: #e2e2e2;
-    border-bottom: solid 1px #babdb6;
-    border-spacing: 5px;
-    margin-top: 0;
-    margin-bottom: 0;
-    top: 0;
-    left: 0;
-    z-index: 10;
-  }
-  table.navigation#top td
-  {
-    padding-left: 6px;
-    padding-right: 6px;
-  }
-  .navigation a, .navigation a:visited
-  {
-    /* tango:sky blue 3 */
-    color: #204a87;
-  }
-  .navigation a:hover
-  {
-    /* tango:sky blue 2 */
-    color: #3465a4;
-  }
-  td.shortcuts
-  {
-    /* tango:sky blue 2 */
-    color: #3465a4;
-    font-size: 80%;
-    white-space: nowrap;
-  }
-  td.shortcuts .dim
-  {
-    color: #babdb6;
-  }
-  .navigation .title
-  {
-    font-size: 80%;
-    max-width: none;
-    margin: 0px;
-    font-weight: normal;
-  }
-}
-@media screen and (min-width: 60em) {
-  /* screen larger than 60em */
-  body { margin: auto; }
-}
-@media screen and (max-width: 60em) {
-  /* screen less than 60em */
-  #nav_hierarchy { display: none; }
-  #nav_interfaces { display: none; }
-  #nav_prerequisites { display: none; }
-  #nav_derived_interfaces { display: none; }
-  #nav_implementations { display: none; }
-  #nav_child_properties { display: none; }
-  #nav_style_properties { display: none; }
-  #nav_index { display: none; }
-  #nav_glossary { display: none; }
-  .gallery_image { display: none; }
-  .property_flags { display: none; }
-  .signal_flags { display: none; }
-  .parameter_annotations { display: none; }
-  .enum_member_annotations { display: none; }
-  .struct_member_annotations { display: none; }
-  .union_member_annotations { display: none; }
-  /* now that a column is hidden, optimize space */
-  col.parameters_name { width: auto; }
-  col.parameters_description { width: auto; }
-  col.struct_members_name { width: auto; }
-  col.struct_members_description { width: auto; }
-  col.enum_members_name { width: auto; }
-  col.enum_members_description { width: auto; }
-  col.union_members_name { width: auto; }
-  col.union_members_description { width: auto; }
-  .listing_lines { display: none; }
-}
-@media print {
-  table.navigation {
-    visibility: collapse;
-    display: none;
-  }
-  div.titlepage table.navigation {
-    visibility: visible;
-    display: table;
-    background: #e2e2e2;
-    border: solid 1px #babdb6;
-    margin-top: 0;
-    margin-bottom: 0;
-    top: 0;
-    left: 0;
-    height: 3em;
-  }
-}
-
Binary files 2.4.10-1/docs/lib/html/up-insensitive.png and 2.4.11-1/docs/lib/html/up-insensitive.png differ
Binary files 2.4.10-1/docs/lib/html/up.png and 2.4.11-1/docs/lib/html/up.png differ
diff -pruN 2.4.10-1/docs/lib/libgeoclue-sections.txt 2.4.11-1/docs/lib/libgeoclue-sections.txt
--- 2.4.10-1/docs/lib/libgeoclue-sections.txt	2018-05-03 14:23:59.000000000 +0000
+++ 2.4.11-1/docs/lib/libgeoclue-sections.txt	1970-01-01 00:00:00.000000000 +0000
@@ -1,254 +0,0 @@
-<SECTION>
-<FILE>GClueClient</FILE>
-<TITLE>GClueClient</TITLE>
-<SUBSECTION Private>
-GCLUE_CLIENT_SKELETON
-GCLUE_CLIENT_SKELETON_CLASS
-GCLUE_CLIENT_SKELETON_GET_CLASS
-GCLUE_IS_CLIENT_SKELETON
-GCLUE_IS_CLIENT_SKELETON_CLASS
-GCLUE_TYPE_CLIENT_SKELETON
-GClueClientSkeleton
-GClueClientSkeletonClass
-GClueClientSkeletonPrivate
-gclue_client_skeleton_get_type
-gclue_client_skeleton_new
-</SECTION>
-
-<SECTION>
-<FILE>gclue-client</FILE>
-<TITLE>GClueClient</TITLE>
-gclue_client_interface_info
-gclue_client_override_properties
-gclue_client_emit_location_updated
-gclue_client_call_start
-gclue_client_call_start_finish
-gclue_client_call_start_sync
-gclue_client_call_stop
-gclue_client_call_stop_finish
-gclue_client_call_stop_sync
-gclue_client_get_location
-gclue_client_dup_location
-gclue_client_set_location
-gclue_client_get_distance_threshold
-gclue_client_set_distance_threshold
-gclue_client_get_desktop_id
-gclue_client_dup_desktop_id
-gclue_client_set_desktop_id
-gclue_client_get_requested_accuracy_level
-gclue_client_set_requested_accuracy_level
-gclue_client_get_active
-gclue_client_set_active
-<SUBSECTION Standard>
-GCLUE_CLIENT
-GCLUE_CLIENT_GET_IFACE
-GCLUE_IS_CLIENT
-GCLUE_TYPE_CLIENT
-GClueClient
-GClueClientIface
-gclue_client_get_type
-<SUBSECTION Private>
-gclue_client_complete_start
-gclue_client_complete_stop
-</SECTION>
-
-<SECTION>
-<FILE>gclue-client-proxy</FILE>
-<TITLE>GClueClientProxy</TITLE>
-gclue_client_proxy_create
-gclue_client_proxy_create_finish
-gclue_client_proxy_create_sync
-gclue_client_proxy_new
-gclue_client_proxy_new_finish
-gclue_client_proxy_new_sync
-gclue_client_proxy_new_for_bus
-gclue_client_proxy_new_for_bus_finish
-gclue_client_proxy_new_for_bus_sync
-<SUBSECTION Standard>
-GCLUE_CLIENT_PROXY
-GCLUE_CLIENT_PROXY_CLASS
-GCLUE_CLIENT_PROXY_GET_CLASS
-GCLUE_IS_CLIENT_PROXY
-GCLUE_IS_CLIENT_PROXY_CLASS
-GCLUE_TYPE_CLIENT_PROXY
-GClueClientProxy
-GClueClientProxyClass
-gclue_client_proxy_get_type
-<SUBSECTION Private>
-GClueClientProxyPrivate
-</SECTION>
-
-<SECTION>
-<FILE>gclue-enums</FILE>
-GClueAccuracyLevel
-GCLUE_TYPE_ACCURACY_LEVEL
-gclue_accuracy_level_get_type
-<SUBSECTION Private>
-gclue_accuracy_level_build_string_from_mask
-gclue_accuracy_level_get_string
-</SECTION>
-
-<SECTION>
-<FILE>gclue-helpers</FILE>
-</SECTION>
-
-<SECTION>
-<FILE>GClueLocation</FILE>
-<TITLE>GClueLocation</TITLE>
-<SUBSECTION Private>
-GCLUE_IS_LOCATION_SKELETON
-GCLUE_IS_LOCATION_SKELETON_CLASS
-GCLUE_LOCATION_SKELETON
-GCLUE_LOCATION_SKELETON_CLASS
-GCLUE_LOCATION_SKELETON_GET_CLASS
-GCLUE_TYPE_LOCATION_SKELETON
-GClueLocationSkeleton
-GClueLocationSkeletonClass
-GClueLocationSkeletonPrivate
-gclue_location_skeleton_get_type
-gclue_location_skeleton_new
-</SECTION>
-
-<SECTION>
-<FILE>gclue-location</FILE>
-<TITLE>GClueLocation</TITLE>
-gclue_location_interface_info
-gclue_location_override_properties
-gclue_location_get_latitude
-gclue_location_set_latitude
-gclue_location_get_longitude
-gclue_location_set_longitude
-gclue_location_get_accuracy
-gclue_location_set_accuracy
-gclue_location_get_altitude
-gclue_location_set_altitude
-gclue_location_get_speed
-gclue_location_set_speed
-gclue_location_get_heading
-gclue_location_set_heading
-gclue_location_get_description
-gclue_location_dup_description
-gclue_location_set_description
-gclue_location_get_timestamp
-gclue_location_dup_timestamp
-gclue_location_set_timestamp
-<SUBSECTION Standard>
-GCLUE_IS_LOCATION
-GCLUE_LOCATION
-GCLUE_LOCATION_GET_IFACE
-GCLUE_TYPE_LOCATION
-GClueLocation
-GClueLocationIface
-gclue_location_get_type
-</SECTION>
-
-<SECTION>
-<FILE>gclue-location-proxy</FILE>
-<TITLE>GClueLocationProxy</TITLE>
-gclue_location_proxy_new
-gclue_location_proxy_new_finish
-gclue_location_proxy_new_sync
-gclue_location_proxy_new_for_bus
-gclue_location_proxy_new_for_bus_finish
-gclue_location_proxy_new_for_bus_sync
-<SUBSECTION Standard>
-GCLUE_IS_LOCATION_PROXY
-GCLUE_IS_LOCATION_PROXY_CLASS
-GCLUE_LOCATION_PROXY
-GCLUE_LOCATION_PROXY_CLASS
-GCLUE_LOCATION_PROXY_GET_CLASS
-GCLUE_TYPE_LOCATION_PROXY
-GClueLocationProxy
-GClueLocationProxyClass
-GClueLocationProxyPrivate
-gclue_location_proxy_get_type
-</SECTION>
-
-<SECTION>
-<FILE>GClueManager</FILE>
-<TITLE>GClueManager</TITLE>
-</SECTION>
-
-<SECTION>
-<FILE>gclue-manager</FILE>
-<TITLE>GClueManager</TITLE>
-gclue_manager_interface_info
-gclue_manager_override_properties
-gclue_manager_call_get_client
-gclue_manager_call_get_client_finish
-gclue_manager_call_get_client_sync
-gclue_manager_call_add_agent
-gclue_manager_call_add_agent_finish
-gclue_manager_call_add_agent_sync
-gclue_manager_get_in_use
-gclue_manager_set_in_use
-gclue_manager_get_available_accuracy_level
-gclue_manager_set_available_accuracy_level
-<SUBSECTION Standard>
-GCLUE_IS_MANAGER
-GCLUE_MANAGER
-GCLUE_MANAGER_GET_IFACE
-GCLUE_TYPE_MANAGER
-GClueManager
-GClueManagerIface
-gclue_manager_get_type
-<SUBSECTION Private>
-GCLUE_IS_MANAGER_SKELETON
-GCLUE_IS_MANAGER_SKELETON_CLASS
-GCLUE_MANAGER_SKELETON
-GCLUE_MANAGER_SKELETON_CLASS
-GCLUE_MANAGER_SKELETON_GET_CLASS
-GCLUE_TYPE_MANAGER_SKELETON
-GClueManagerSkeleton
-GClueManagerSkeletonClass
-GClueManagerSkeletonPrivate
-gclue_manager_skeleton_get_type
-gclue_manager_skeleton_new
-gclue_manager_complete_get_client
-gclue_manager_complete_add_agent
-</SECTION>
-
-<SECTION>
-<FILE>gclue-manager-proxy</FILE>
-<TITLE>GClueManagerProxy</TITLE>
-gclue_manager_proxy_new
-gclue_manager_proxy_new_finish
-gclue_manager_proxy_new_sync
-gclue_manager_proxy_new_for_bus
-gclue_manager_proxy_new_for_bus_finish
-gclue_manager_proxy_new_for_bus_sync
-<SUBSECTION Standard>
-GCLUE_IS_MANAGER_PROXY
-GCLUE_IS_MANAGER_PROXY_CLASS
-GCLUE_MANAGER_PROXY
-GCLUE_MANAGER_PROXY_CLASS
-GCLUE_MANAGER_PROXY_GET_CLASS
-GCLUE_TYPE_MANAGER_PROXY
-GClueManagerProxy
-GClueManagerProxyClass
-gclue_manager_proxy_get_type
-<SUBSECTION Private>
-GClueManagerProxyPrivate
-</SECTION>
-<SECTION>
-
-<SECTION>
-<FILE>gclue-simple</FILE>
-<TITLE>GClueSimple</TITLE>
-gclue_simple_new
-gclue_simple_new_finish
-gclue_simple_new_sync
-gclue_simple_get_client
-gclue_simple_get_location
-<SUBSECTION Standard>
-GCLUE_IS_SIMPLE
-GCLUE_IS_SIMPLE_CLASS
-GCLUE_SIMPLE
-GCLUE_SIMPLE_CLASS
-GCLUE_SIMPLE_GET_CLASS
-GCLUE_TYPE_SIMPLE
-GClueSimple
-GClueSimpleClass
-GClueSimplePrivate
-gclue_simple_get_type
-</SECTION>
diff -pruN 2.4.10-1/docs/lib/libgeoclue.types 2.4.11-1/docs/lib/libgeoclue.types
--- 2.4.10-1/docs/lib/libgeoclue.types	2018-05-03 14:23:59.000000000 +0000
+++ 2.4.11-1/docs/lib/libgeoclue.types	1970-01-01 00:00:00.000000000 +0000
@@ -1,11 +0,0 @@
-gclue_accuracy_level_get_type
-gclue_client_get_type
-gclue_client_proxy_get_type
-gclue_client_skeleton_get_type
-gclue_location_get_type
-gclue_location_proxy_get_type
-gclue_location_skeleton_get_type
-gclue_manager_get_type
-gclue_manager_proxy_get_type
-gclue_manager_skeleton_get_type
-gclue_simple_get_type
diff -pruN 2.4.10-1/docs/lib/Makefile.in 2.4.11-1/docs/lib/Makefile.in
--- 2.4.10-1/docs/lib/Makefile.in	2018-05-03 14:23:53.000000000 +0000
+++ 2.4.11-1/docs/lib/Makefile.in	2018-07-25 15:32:55.000000000 +0000
@@ -114,10 +114,10 @@ host_triplet = @host@
 subdir = docs/lib
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/gnome-compiler-flags.m4 \
-	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
-	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
-	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/libtool.m4 \
+	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
+	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
+	$(top_srcdir)/m4/vapigen.m4 $(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
@@ -259,6 +259,9 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 STRIP = @STRIP@
 USE_NLS = @USE_NLS@
+VAPIGEN = @VAPIGEN@
+VAPIGEN_MAKEFILE = @VAPIGEN_MAKEFILE@
+VAPIGEN_VAPIDIR = @VAPIGEN_VAPIDIR@
 VERSION = @VERSION@
 WARN_CFLAGS = @WARN_CFLAGS@
 XGETTEXT = @XGETTEXT@
@@ -573,11 +576,11 @@ maintainer-clean-generic:
 	@echo "This command is intended for maintainers to use"
 	@echo "it deletes files that may require special tools to rebuild."
 	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
-@ENABLE_GTK_DOC_FALSE@install-data-local:
 @ENABLE_GTK_DOC_FALSE@maintainer-clean-local:
-@ENABLE_GTK_DOC_FALSE@clean-local:
 @ENABLE_GTK_DOC_FALSE@distclean-local:
 @ENABLE_GTK_DOC_FALSE@uninstall-local:
+@ENABLE_GTK_DOC_FALSE@install-data-local:
+@ENABLE_GTK_DOC_FALSE@clean-local:
 clean: clean-am
 
 clean-am: clean-generic clean-libtool clean-local mostlyclean-am
diff -pruN 2.4.10-1/docs/lib/version.xml 2.4.11-1/docs/lib/version.xml
--- 2.4.10-1/docs/lib/version.xml	2018-05-03 14:23:56.000000000 +0000
+++ 2.4.11-1/docs/lib/version.xml	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-2.4.10
diff -pruN 2.4.10-1/docs/Makefile.in 2.4.11-1/docs/Makefile.in
--- 2.4.10-1/docs/Makefile.in	2018-05-03 14:23:53.000000000 +0000
+++ 2.4.11-1/docs/Makefile.in	2018-07-25 15:32:55.000000000 +0000
@@ -114,10 +114,10 @@ host_triplet = @host@
 subdir = docs
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/gnome-compiler-flags.m4 \
-	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
-	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
-	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/libtool.m4 \
+	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
+	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
+	$(top_srcdir)/m4/vapigen.m4 $(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
@@ -319,6 +319,9 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 STRIP = @STRIP@
 USE_NLS = @USE_NLS@
+VAPIGEN = @VAPIGEN@
+VAPIGEN_MAKEFILE = @VAPIGEN_MAKEFILE@
+VAPIGEN_VAPIDIR = @VAPIGEN_VAPIDIR@
 VERSION = @VERSION@
 WARN_CFLAGS = @WARN_CFLAGS@
 XGETTEXT = @XGETTEXT@
@@ -761,10 +764,10 @@ maintainer-clean-generic:
 	@echo "it deletes files that may require special tools to rebuild."
 	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
 @ENABLE_GTK_DOC_FALSE@maintainer-clean-local:
+@ENABLE_GTK_DOC_FALSE@distclean-local:
 @ENABLE_GTK_DOC_FALSE@install-data-local:
-@ENABLE_GTK_DOC_FALSE@clean-local:
 @ENABLE_GTK_DOC_FALSE@uninstall-local:
-@ENABLE_GTK_DOC_FALSE@distclean-local:
+@ENABLE_GTK_DOC_FALSE@clean-local:
 clean: clean-recursive
 
 clean-am: clean-generic clean-libtool clean-local mostlyclean-am
diff -pruN 2.4.10-1/docs/version.xml 2.4.11-1/docs/version.xml
--- 2.4.10-1/docs/version.xml	2018-05-03 14:23:56.000000000 +0000
+++ 2.4.11-1/docs/version.xml	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-2.4.10
diff -pruN 2.4.10-1/libgeoclue/gclue-client.c 2.4.11-1/libgeoclue/gclue-client.c
--- 2.4.10-1/libgeoclue/gclue-client.c	2018-05-03 14:04:52.000000000 +0000
+++ 2.4.11-1/libgeoclue/gclue-client.c	2018-07-25 15:33:08.000000000 +0000
@@ -1,7 +1,8 @@
 /*
- * Generated by gdbus-codegen 2.54.3. DO NOT EDIT.
+ * Generated by gdbus-codegen 2.56.1. DO NOT EDIT.
  *
- * The license of this code is the same as for the source it was derived from.
+ * The license of this code is the same as for the D-Bus interface description
+ * it was derived from.
  */
 
 #ifdef HAVE_CONFIG_H
@@ -388,7 +389,7 @@ gclue_client_interface_info (void)
 
 /**
  * gclue_client_override_properties:
- * @klass: The class structure for a #GObject<!-- -->-derived class.
+ * @klass: The class structure for a #GObject derived class.
  * @property_id_begin: The property id to assign to the first overridden property.
  *
  * Overrides all #GObject properties in the #GClueClient interface for a concrete class.
@@ -807,7 +808,7 @@ gclue_client_emit_location_updated (
 /**
  * gclue_client_call_start:
  * @proxy: A #GClueClientProxy.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied or %NULL.
  * @user_data: User data to pass to @callback.
  *
@@ -864,7 +865,7 @@ _out:
 /**
  * gclue_client_call_start_sync:
  * @proxy: A #GClueClientProxy.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL.
  *
  * Synchronously invokes the <link linkend="gdbus-method-org-freedesktop-GeoClue2-Client.Start">Start()</link> D-Bus method on @proxy. The calling thread is blocked until a reply is received.
@@ -899,7 +900,7 @@ _out:
 /**
  * gclue_client_call_stop:
  * @proxy: A #GClueClientProxy.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied or %NULL.
  * @user_data: User data to pass to @callback.
  *
@@ -956,7 +957,7 @@ _out:
 /**
  * gclue_client_call_stop_sync:
  * @proxy: A #GClueClientProxy.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL.
  *
  * Synchronously invokes the <link linkend="gdbus-method-org-freedesktop-GeoClue2-Client.Stop">Stop()</link> D-Bus method on @proxy. The calling thread is blocked until a reply is received.
@@ -1340,9 +1341,9 @@ gclue_client_proxy_iface_init (GClueClie
  * gclue_client_proxy_new:
  * @connection: A #GDBusConnection.
  * @flags: Flags from the #GDBusProxyFlags enumeration.
- * @name: (allow-none): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
+ * @name: (nullable): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied.
  * @user_data: User data to pass to @callback.
  *
@@ -1395,9 +1396,9 @@ gclue_client_proxy_new_finish (
  * gclue_client_proxy_new_sync:
  * @connection: A #GDBusConnection.
  * @flags: Flags from the #GDBusProxyFlags enumeration.
- * @name: (allow-none): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
+ * @name: (nullable): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL
  *
  * Synchronously creates a proxy for the D-Bus interface <link linkend="gdbus-interface-org-freedesktop-GeoClue2-Client.top_of_page">org.freedesktop.GeoClue2.Client</link>. See g_dbus_proxy_new_sync() for more details.
@@ -1432,7 +1433,7 @@ gclue_client_proxy_new_sync (
  * @flags: Flags from the #GDBusProxyFlags enumeration.
  * @name: A bus name (well-known or unique).
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied.
  * @user_data: User data to pass to @callback.
  *
@@ -1487,7 +1488,7 @@ gclue_client_proxy_new_for_bus_finish (
  * @flags: Flags from the #GDBusProxyFlags enumeration.
  * @name: A bus name (well-known or unique).
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL
  *
  * Like gclue_client_proxy_new_sync() but takes a #GBusType instead of a #GDBusConnection.
diff -pruN 2.4.10-1/libgeoclue/gclue-client.h 2.4.11-1/libgeoclue/gclue-client.h
--- 2.4.10-1/libgeoclue/gclue-client.h	2018-05-03 14:04:52.000000000 +0000
+++ 2.4.11-1/libgeoclue/gclue-client.h	2018-07-25 15:33:08.000000000 +0000
@@ -1,7 +1,8 @@
 /*
- * Generated by gdbus-codegen 2.54.3. DO NOT EDIT.
+ * Generated by gdbus-codegen 2.56.1. DO NOT EDIT.
  *
- * The license of this code is the same as for the source it was derived from.
+ * The license of this code is the same as for the D-Bus interface description
+ * it was derived from.
  */
 
 #ifndef __GCLUE_CLIENT_H__
diff -pruN 2.4.10-1/libgeoclue/gclue-location.c 2.4.11-1/libgeoclue/gclue-location.c
--- 2.4.10-1/libgeoclue/gclue-location.c	2018-05-03 14:04:52.000000000 +0000
+++ 2.4.11-1/libgeoclue/gclue-location.c	2018-07-25 15:33:08.000000000 +0000
@@ -1,7 +1,8 @@
 /*
- * Generated by gdbus-codegen 2.54.3. DO NOT EDIT.
+ * Generated by gdbus-codegen 2.56.1. DO NOT EDIT.
  *
- * The license of this code is the same as for the source it was derived from.
+ * The license of this code is the same as for the D-Bus interface description
+ * it was derived from.
  */
 
 #ifdef HAVE_CONFIG_H
@@ -309,7 +310,7 @@ gclue_location_interface_info (void)
 
 /**
  * gclue_location_override_properties:
- * @klass: The class structure for a #GObject<!-- -->-derived class.
+ * @klass: The class structure for a #GObject derived class.
  * @property_id_begin: The property id to assign to the first overridden property.
  *
  * Overrides all #GObject properties in the #GClueLocation interface for a concrete class.
@@ -1069,9 +1070,9 @@ gclue_location_proxy_iface_init (GClueLo
  * gclue_location_proxy_new:
  * @connection: A #GDBusConnection.
  * @flags: Flags from the #GDBusProxyFlags enumeration.
- * @name: (allow-none): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
+ * @name: (nullable): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied.
  * @user_data: User data to pass to @callback.
  *
@@ -1124,9 +1125,9 @@ gclue_location_proxy_new_finish (
  * gclue_location_proxy_new_sync:
  * @connection: A #GDBusConnection.
  * @flags: Flags from the #GDBusProxyFlags enumeration.
- * @name: (allow-none): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
+ * @name: (nullable): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL
  *
  * Synchronously creates a proxy for the D-Bus interface <link linkend="gdbus-interface-org-freedesktop-GeoClue2-Location.top_of_page">org.freedesktop.GeoClue2.Location</link>. See g_dbus_proxy_new_sync() for more details.
@@ -1161,7 +1162,7 @@ gclue_location_proxy_new_sync (
  * @flags: Flags from the #GDBusProxyFlags enumeration.
  * @name: A bus name (well-known or unique).
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied.
  * @user_data: User data to pass to @callback.
  *
@@ -1216,7 +1217,7 @@ gclue_location_proxy_new_for_bus_finish
  * @flags: Flags from the #GDBusProxyFlags enumeration.
  * @name: A bus name (well-known or unique).
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL
  *
  * Like gclue_location_proxy_new_sync() but takes a #GBusType instead of a #GDBusConnection.
diff -pruN 2.4.10-1/libgeoclue/gclue-location.h 2.4.11-1/libgeoclue/gclue-location.h
--- 2.4.10-1/libgeoclue/gclue-location.h	2018-05-03 14:04:52.000000000 +0000
+++ 2.4.11-1/libgeoclue/gclue-location.h	2018-07-25 15:33:08.000000000 +0000
@@ -1,7 +1,8 @@
 /*
- * Generated by gdbus-codegen 2.54.3. DO NOT EDIT.
+ * Generated by gdbus-codegen 2.56.1. DO NOT EDIT.
  *
- * The license of this code is the same as for the source it was derived from.
+ * The license of this code is the same as for the D-Bus interface description
+ * it was derived from.
  */
 
 #ifndef __GCLUE_LOCATION_H__
diff -pruN 2.4.10-1/libgeoclue/gclue-manager.c 2.4.11-1/libgeoclue/gclue-manager.c
--- 2.4.10-1/libgeoclue/gclue-manager.c	2018-05-03 14:04:52.000000000 +0000
+++ 2.4.11-1/libgeoclue/gclue-manager.c	2018-07-25 15:33:08.000000000 +0000
@@ -1,7 +1,8 @@
 /*
- * Generated by gdbus-codegen 2.54.3. DO NOT EDIT.
+ * Generated by gdbus-codegen 2.56.1. DO NOT EDIT.
  *
- * The license of this code is the same as for the source it was derived from.
+ * The license of this code is the same as for the D-Bus interface description
+ * it was derived from.
  */
 
 #ifdef HAVE_CONFIG_H
@@ -292,7 +293,7 @@ gclue_manager_interface_info (void)
 
 /**
  * gclue_manager_override_properties:
- * @klass: The class structure for a #GObject<!-- -->-derived class.
+ * @klass: The class structure for a #GObject derived class.
  * @property_id_begin: The property id to assign to the first overridden property.
  *
  * Overrides all #GObject properties in the #GClueManager interface for a concrete class.
@@ -465,7 +466,7 @@ gclue_manager_set_available_accuracy_lev
 /**
  * gclue_manager_call_get_client:
  * @proxy: A #GClueManagerProxy.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied or %NULL.
  * @user_data: User data to pass to @callback.
  *
@@ -526,7 +527,7 @@ _out:
  * gclue_manager_call_get_client_sync:
  * @proxy: A #GClueManagerProxy.
  * @out_client: (out): Return location for return parameter or %NULL to ignore.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL.
  *
  * Synchronously invokes the <link linkend="gdbus-method-org-freedesktop-GeoClue2-Manager.GetClient">GetClient()</link> D-Bus method on @proxy. The calling thread is blocked until a reply is received.
@@ -564,7 +565,7 @@ _out:
  * gclue_manager_call_add_agent:
  * @proxy: A #GClueManagerProxy.
  * @arg_id: Argument to pass with the method invocation.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied or %NULL.
  * @user_data: User data to pass to @callback.
  *
@@ -624,7 +625,7 @@ _out:
  * gclue_manager_call_add_agent_sync:
  * @proxy: A #GClueManagerProxy.
  * @arg_id: Argument to pass with the method invocation.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL.
  *
  * Synchronously invokes the <link linkend="gdbus-method-org-freedesktop-GeoClue2-Manager.AddAgent">AddAgent()</link> D-Bus method on @proxy. The calling thread is blocked until a reply is received.
@@ -949,9 +950,9 @@ gclue_manager_proxy_iface_init (GClueMan
  * gclue_manager_proxy_new:
  * @connection: A #GDBusConnection.
  * @flags: Flags from the #GDBusProxyFlags enumeration.
- * @name: (allow-none): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
+ * @name: (nullable): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied.
  * @user_data: User data to pass to @callback.
  *
@@ -1004,9 +1005,9 @@ gclue_manager_proxy_new_finish (
  * gclue_manager_proxy_new_sync:
  * @connection: A #GDBusConnection.
  * @flags: Flags from the #GDBusProxyFlags enumeration.
- * @name: (allow-none): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
+ * @name: (nullable): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL
  *
  * Synchronously creates a proxy for the D-Bus interface <link linkend="gdbus-interface-org-freedesktop-GeoClue2-Manager.top_of_page">org.freedesktop.GeoClue2.Manager</link>. See g_dbus_proxy_new_sync() for more details.
@@ -1041,7 +1042,7 @@ gclue_manager_proxy_new_sync (
  * @flags: Flags from the #GDBusProxyFlags enumeration.
  * @name: A bus name (well-known or unique).
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied.
  * @user_data: User data to pass to @callback.
  *
@@ -1096,7 +1097,7 @@ gclue_manager_proxy_new_for_bus_finish (
  * @flags: Flags from the #GDBusProxyFlags enumeration.
  * @name: A bus name (well-known or unique).
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL
  *
  * Like gclue_manager_proxy_new_sync() but takes a #GBusType instead of a #GDBusConnection.
diff -pruN 2.4.10-1/libgeoclue/gclue-manager.h 2.4.11-1/libgeoclue/gclue-manager.h
--- 2.4.10-1/libgeoclue/gclue-manager.h	2018-05-03 14:04:52.000000000 +0000
+++ 2.4.11-1/libgeoclue/gclue-manager.h	2018-07-25 15:33:08.000000000 +0000
@@ -1,7 +1,8 @@
 /*
- * Generated by gdbus-codegen 2.54.3. DO NOT EDIT.
+ * Generated by gdbus-codegen 2.56.1. DO NOT EDIT.
  *
- * The license of this code is the same as for the source it was derived from.
+ * The license of this code is the same as for the D-Bus interface description
+ * it was derived from.
  */
 
 #ifndef __GCLUE_MANAGER_H__
diff -pruN 2.4.10-1/libgeoclue/libgeoclue-2.0.deps 2.4.11-1/libgeoclue/libgeoclue-2.0.deps
--- 2.4.10-1/libgeoclue/libgeoclue-2.0.deps	1970-01-01 00:00:00.000000000 +0000
+++ 2.4.11-1/libgeoclue/libgeoclue-2.0.deps	2018-07-09 11:27:17.000000000 +0000
@@ -0,0 +1,4 @@
+glib-2.0
+gobject-2.0
+gio-2.0
+gio-unix-2.0
diff -pruN 2.4.10-1/libgeoclue/Makefile.am 2.4.11-1/libgeoclue/Makefile.am
--- 2.4.10-1/libgeoclue/Makefile.am	2018-04-26 22:06:21.000000000 +0000
+++ 2.4.11-1/libgeoclue/Makefile.am	2018-07-25 15:20:19.000000000 +0000
@@ -121,11 +121,27 @@ Geoclue-2.0.typelib: Geoclue-2.0.gir $(I
 
 CLEANFILES += $(gir_DATA) $(typelibs_DATA)
 
+if ENABLE_VAPIGEN
+-include $(VAPIGEN_MAKEFILE)
+
+libgeoclue-2.0.vapi: Geoclue-2.0.gir libgeoclue-2.0.deps
+
+VAPIGEN_VAPIS = libgeoclue-2.0.vapi
+
+libgeoclue_2_0_vapi_DEPS = glib-2.0 gobject-2.0 gio-2.0 gio-unix-2.0
+libgeoclue_2_0_vapi_FILES = Geoclue-2.0.gir
+
+vapidir = $(datadir)/vala/vapi
+vapi_DATA = $(VAPIGEN_VAPIS) $(VAPIGEN_VAPIS:.vapi=.deps)
+
+EXTRA_DIST = libgeoclue-2.0.deps
+endif
+
 endif # HAVE_INTROSPECTION
 
 pkgconfigdir = $(libdir)/pkgconfig
 pkgconfig_DATA = libgeoclue-$(GEOCLUE_API_VERSION).pc
 
-DISTCLEANFILES = $(pkgconfig_DATA)
+DISTCLEANFILES = $(pkgconfig_DATA) $(VAPIGEN_VAPIS)
 
 -include $(top_srcdir)/git.mk
diff -pruN 2.4.10-1/libgeoclue/Makefile.in 2.4.11-1/libgeoclue/Makefile.in
--- 2.4.10-1/libgeoclue/Makefile.in	2018-05-03 14:23:53.000000000 +0000
+++ 2.4.11-1/libgeoclue/Makefile.in	2018-07-25 15:32:55.000000000 +0000
@@ -94,10 +94,10 @@ host_triplet = @host@
 subdir = libgeoclue
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/gnome-compiler-flags.m4 \
-	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
-	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
-	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/libtool.m4 \
+	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
+	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
+	$(top_srcdir)/m4/vapigen.m4 $(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
 DIST_COMMON = $(srcdir)/Makefile.am $(geoclue_include_HEADERS) \
@@ -135,7 +135,7 @@ am__uninstall_files_from_dir = { \
   }
 am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(girdir)" \
 	"$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(typelibsdir)" \
-	"$(DESTDIR)$(geoclue_includedir)"
+	"$(DESTDIR)$(vapidir)" "$(DESTDIR)$(geoclue_includedir)"
 LTLIBRARIES = $(lib_LTLIBRARIES)
 am__DEPENDENCIES_1 =
 libgeoclue_2_la_DEPENDENCIES = $(am__DEPENDENCIES_1) \
@@ -188,7 +188,7 @@ am__can_run_installinfo = \
     n|no|NO) false;; \
     *) (install-info --version) >/dev/null 2>&1;; \
   esac
-DATA = $(gir_DATA) $(pkgconfig_DATA) $(typelibs_DATA)
+DATA = $(gir_DATA) $(pkgconfig_DATA) $(typelibs_DATA) $(vapi_DATA)
 HEADERS = $(geoclue_include_HEADERS)
 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
 # Read a list of newline-separated strings from the standard input,
@@ -323,6 +323,9 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 STRIP = @STRIP@
 USE_NLS = @USE_NLS@
+VAPIGEN = @VAPIGEN@
+VAPIGEN_MAKEFILE = @VAPIGEN_MAKEFILE@
+VAPIGEN_VAPIDIR = @VAPIGEN_VAPIDIR@
 VERSION = @VERSION@
 WARN_CFLAGS = @WARN_CFLAGS@
 XGETTEXT = @XGETTEXT@
@@ -441,9 +444,15 @@ CLEANFILES = $(BUILT_SOURCES) $(NULL) $(
 @HAVE_INTROSPECTION_TRUE@gir_DATA = Geoclue-2.0.gir
 @HAVE_INTROSPECTION_TRUE@typelibsdir = $(libdir)/girepository-1.0
 @HAVE_INTROSPECTION_TRUE@typelibs_DATA = Geoclue-2.0.typelib
+@ENABLE_VAPIGEN_TRUE@@HAVE_INTROSPECTION_TRUE@VAPIGEN_VAPIS = libgeoclue-2.0.vapi
+@ENABLE_VAPIGEN_TRUE@@HAVE_INTROSPECTION_TRUE@libgeoclue_2_0_vapi_DEPS = glib-2.0 gobject-2.0 gio-2.0 gio-unix-2.0
+@ENABLE_VAPIGEN_TRUE@@HAVE_INTROSPECTION_TRUE@libgeoclue_2_0_vapi_FILES = Geoclue-2.0.gir
+@ENABLE_VAPIGEN_TRUE@@HAVE_INTROSPECTION_TRUE@vapidir = $(datadir)/vala/vapi
+@ENABLE_VAPIGEN_TRUE@@HAVE_INTROSPECTION_TRUE@vapi_DATA = $(VAPIGEN_VAPIS) $(VAPIGEN_VAPIS:.vapi=.deps)
+@ENABLE_VAPIGEN_TRUE@@HAVE_INTROSPECTION_TRUE@EXTRA_DIST = libgeoclue-2.0.deps
 pkgconfigdir = $(libdir)/pkgconfig
 pkgconfig_DATA = libgeoclue-$(GEOCLUE_API_VERSION).pc
-DISTCLEANFILES = $(pkgconfig_DATA)
+DISTCLEANFILES = $(pkgconfig_DATA) $(VAPIGEN_VAPIS)
 all: $(BUILT_SOURCES)
 	$(MAKE) $(AM_MAKEFLAGS) all-am
 
@@ -619,6 +628,27 @@ uninstall-typelibsDATA:
 	@list='$(typelibs_DATA)'; test -n "$(typelibsdir)" || list=; \
 	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
 	dir='$(DESTDIR)$(typelibsdir)'; $(am__uninstall_files_from_dir)
+install-vapiDATA: $(vapi_DATA)
+	@$(NORMAL_INSTALL)
+	@list='$(vapi_DATA)'; test -n "$(vapidir)" || list=; \
+	if test -n "$$list"; then \
+	  echo " $(MKDIR_P) '$(DESTDIR)$(vapidir)'"; \
+	  $(MKDIR_P) "$(DESTDIR)$(vapidir)" || exit 1; \
+	fi; \
+	for p in $$list; do \
+	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+	  echo "$$d$$p"; \
+	done | $(am__base_list) | \
+	while read files; do \
+	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(vapidir)'"; \
+	  $(INSTALL_DATA) $$files "$(DESTDIR)$(vapidir)" || exit $$?; \
+	done
+
+uninstall-vapiDATA:
+	@$(NORMAL_UNINSTALL)
+	@list='$(vapi_DATA)'; test -n "$(vapidir)" || list=; \
+	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
+	dir='$(DESTDIR)$(vapidir)'; $(am__uninstall_files_from_dir)
 install-geoclue_includeHEADERS: $(geoclue_include_HEADERS)
 	@$(NORMAL_INSTALL)
 	@list='$(geoclue_include_HEADERS)'; test -n "$(geoclue_includedir)" || list=; \
@@ -729,7 +759,7 @@ check: $(BUILT_SOURCES)
 	$(MAKE) $(AM_MAKEFLAGS) check-am
 all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS)
 installdirs:
-	for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(girdir)" "$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(typelibsdir)" "$(DESTDIR)$(geoclue_includedir)"; do \
+	for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(girdir)" "$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(typelibsdir)" "$(DESTDIR)$(vapidir)" "$(DESTDIR)$(geoclue_includedir)"; do \
 	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
 	done
 install: $(BUILT_SOURCES)
@@ -790,7 +820,7 @@ info: info-am
 info-am:
 
 install-data-am: install-geoclue_includeHEADERS install-girDATA \
-	install-pkgconfigDATA install-typelibsDATA
+	install-pkgconfigDATA install-typelibsDATA install-vapiDATA
 
 install-dvi: install-dvi-am
 
@@ -838,7 +868,7 @@ ps-am:
 
 uninstall-am: uninstall-geoclue_includeHEADERS uninstall-girDATA \
 	uninstall-libLTLIBRARIES uninstall-pkgconfigDATA \
-	uninstall-typelibsDATA
+	uninstall-typelibsDATA uninstall-vapiDATA
 
 .MAKE: all check check-am install install-am install-strip
 
@@ -852,13 +882,14 @@ uninstall-am: uninstall-geoclue_includeH
 	install-html install-html-am install-info install-info-am \
 	install-libLTLIBRARIES install-man install-pdf install-pdf-am \
 	install-pkgconfigDATA install-ps install-ps-am install-strip \
-	install-typelibsDATA installcheck installcheck-am installdirs \
-	maintainer-clean maintainer-clean-generic mostlyclean \
-	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
-	pdf pdf-am ps ps-am tags tags-am uninstall uninstall-am \
+	install-typelibsDATA install-vapiDATA installcheck \
+	installcheck-am installdirs maintainer-clean \
+	maintainer-clean-generic mostlyclean mostlyclean-compile \
+	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
+	tags tags-am uninstall uninstall-am \
 	uninstall-geoclue_includeHEADERS uninstall-girDATA \
 	uninstall-libLTLIBRARIES uninstall-pkgconfigDATA \
-	uninstall-typelibsDATA
+	uninstall-typelibsDATA uninstall-vapiDATA
 
 .PRECIOUS: Makefile
 
@@ -968,6 +999,10 @@ gclue-manager.h: Makefile.am $(MANAGER_I
 @HAVE_INTROSPECTION_TRUE@Geoclue-2.0.typelib: Geoclue-2.0.gir $(INTROSPECTION_COMPILER)
 @HAVE_INTROSPECTION_TRUE@	$(INTROSPECTION_COMPILER) $< -o $@
 
+@ENABLE_VAPIGEN_TRUE@@HAVE_INTROSPECTION_TRUE@-include $(VAPIGEN_MAKEFILE)
+
+@ENABLE_VAPIGEN_TRUE@@HAVE_INTROSPECTION_TRUE@libgeoclue-2.0.vapi: Geoclue-2.0.gir libgeoclue-2.0.deps
+
 -include $(top_srcdir)/git.mk
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
diff -pruN 2.4.10-1/m4/intltool.m4 2.4.11-1/m4/intltool.m4
--- 2.4.10-1/m4/intltool.m4	2015-03-09 01:39:54.000000000 +0000
+++ 2.4.11-1/m4/intltool.m4	1970-01-01 00:00:00.000000000 +0000
@@ -1,212 +0,0 @@
-## intltool.m4 - Configure intltool for the target system. -*-Shell-script-*-
-## Copyright (C) 2001 Eazel, Inc.
-## Author: Maciej Stachowiak <mjs@noisehavoc.org>
-##         Kenneth Christiansen <kenneth@gnu.org>
-##
-## This program is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License as published by
-## the Free Software Foundation; either version 2 of the License, or
-## (at your option) any later version.
-##
-## This program is distributed in the hope that it will be useful, but
-## WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-## General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, write to the Free Software
-## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
-##
-## As a special exception to the GNU General Public License, if you
-## distribute this file as part of a program that contains a
-## configuration script generated by Autoconf, you may include it under
-## the same distribution terms that you use for the rest of that program.
-
-dnl IT_PROG_INTLTOOL([MINIMUM-VERSION], [no-xml])
-# serial 42 IT_PROG_INTLTOOL
-AC_DEFUN([IT_PROG_INTLTOOL], [
-AC_PREREQ([2.50])dnl
-AC_REQUIRE([AM_NLS])dnl
-
-case "$am__api_version" in
-    1.[01234])
-	AC_MSG_ERROR([Automake 1.5 or newer is required to use intltool])
-    ;;
-    *)
-    ;;
-esac
-
-INTLTOOL_REQUIRED_VERSION_AS_INT=`echo $1 | awk -F. '{ print $ 1 * 1000 + $ 2 * 100 + $ 3; }'`
-INTLTOOL_APPLIED_VERSION=`intltool-update --version | head -1 | cut -d" " -f3`
-INTLTOOL_APPLIED_VERSION_AS_INT=`echo $INTLTOOL_APPLIED_VERSION | awk -F. '{ print $ 1 * 1000 + $ 2 * 100 + $ 3; }'`
-if test -n "$1"; then
-    AC_MSG_CHECKING([for intltool >= $1])
-    AC_MSG_RESULT([$INTLTOOL_APPLIED_VERSION found])
-    test "$INTLTOOL_APPLIED_VERSION_AS_INT" -ge "$INTLTOOL_REQUIRED_VERSION_AS_INT" ||
-	AC_MSG_ERROR([Your intltool is too old.  You need intltool $1 or later.])
-fi
-
-AC_PATH_PROG(INTLTOOL_UPDATE, [intltool-update])
-AC_PATH_PROG(INTLTOOL_MERGE, [intltool-merge])
-AC_PATH_PROG(INTLTOOL_EXTRACT, [intltool-extract])
-if test -z "$INTLTOOL_UPDATE" -o -z "$INTLTOOL_MERGE" -o -z "$INTLTOOL_EXTRACT"; then
-    AC_MSG_ERROR([The intltool scripts were not found. Please install intltool.])
-fi
-
-if test -z "$AM_DEFAULT_VERBOSITY"; then
-  AM_DEFAULT_VERBOSITY=1
-fi
-AC_SUBST([AM_DEFAULT_VERBOSITY])
-
-INTLTOOL_V_MERGE='$(INTLTOOL__v_MERGE_$(V))'
-INTLTOOL__v_MERGE_='$(INTLTOOL__v_MERGE_$(AM_DEFAULT_VERBOSITY))'
-INTLTOOL__v_MERGE_0='@echo "  ITMRG " [$]@;'
-AC_SUBST(INTLTOOL_V_MERGE)
-AC_SUBST(INTLTOOL__v_MERGE_)
-AC_SUBST(INTLTOOL__v_MERGE_0)
-
-INTLTOOL_V_MERGE_OPTIONS='$(intltool__v_merge_options_$(V))'
-intltool__v_merge_options_='$(intltool__v_merge_options_$(AM_DEFAULT_VERBOSITY))'
-intltool__v_merge_options_0='-q'
-AC_SUBST(INTLTOOL_V_MERGE_OPTIONS)
-AC_SUBST(intltool__v_merge_options_)
-AC_SUBST(intltool__v_merge_options_0)
-
-  INTLTOOL_DESKTOP_RULE='%.desktop:   %.desktop.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@' 
-INTLTOOL_DIRECTORY_RULE='%.directory: %.directory.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@' 
-     INTLTOOL_KEYS_RULE='%.keys:      %.keys.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -k -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@' 
-     INTLTOOL_PROP_RULE='%.prop:      %.prop.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@' 
-      INTLTOOL_OAF_RULE='%.oaf:       %.oaf.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -o -p $(top_srcdir)/po $< [$]@'
-     INTLTOOL_PONG_RULE='%.pong:      %.pong.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@' 
-   INTLTOOL_SERVER_RULE='%.server:    %.server.in    $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -o -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@' 
-    INTLTOOL_SHEET_RULE='%.sheet:     %.sheet.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@' 
-INTLTOOL_SOUNDLIST_RULE='%.soundlist: %.soundlist.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@' 
-       INTLTOOL_UI_RULE='%.ui:        %.ui.in        $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@' 
-      INTLTOOL_XML_RULE='%.xml:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@' 
-if test "$INTLTOOL_APPLIED_VERSION_AS_INT" -ge 5000; then
-      INTLTOOL_XML_NOMERGE_RULE='%.xml:       %.xml.in       $(INTLTOOL_MERGE) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -x -u --no-translations $< [$]@'
-else
-      INTLTOOL_XML_NOMERGE_RULE='%.xml:       %.xml.in       $(INTLTOOL_MERGE) ; $(INTLTOOL_V_MERGE)_it_tmp_dir=tmp.intltool.[$][$]RANDOM && mkdir [$][$]_it_tmp_dir && LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -x -u [$][$]_it_tmp_dir $< [$]@ && rmdir [$][$]_it_tmp_dir'
-fi
-      INTLTOOL_XAM_RULE='%.xam:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@' 
-      INTLTOOL_KBD_RULE='%.kbd:       %.kbd.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -x -u -m -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@' 
-    INTLTOOL_CAVES_RULE='%.caves:     %.caves.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@' 
-  INTLTOOL_SCHEMAS_RULE='%.schemas:   %.schemas.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -s -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@' 
-    INTLTOOL_THEME_RULE='%.theme:     %.theme.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@' 
-    INTLTOOL_SERVICE_RULE='%.service: %.service.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@'
-   INTLTOOL_POLICY_RULE='%.policy:    %.policy.in    $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; $(INTLTOOL_V_MERGE)LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_V_MERGE_OPTIONS) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@'
-
-_IT_SUBST(INTLTOOL_DESKTOP_RULE)
-_IT_SUBST(INTLTOOL_DIRECTORY_RULE)
-_IT_SUBST(INTLTOOL_KEYS_RULE)
-_IT_SUBST(INTLTOOL_PROP_RULE)
-_IT_SUBST(INTLTOOL_OAF_RULE)
-_IT_SUBST(INTLTOOL_PONG_RULE)
-_IT_SUBST(INTLTOOL_SERVER_RULE)
-_IT_SUBST(INTLTOOL_SHEET_RULE)
-_IT_SUBST(INTLTOOL_SOUNDLIST_RULE)
-_IT_SUBST(INTLTOOL_UI_RULE)
-_IT_SUBST(INTLTOOL_XAM_RULE)
-_IT_SUBST(INTLTOOL_KBD_RULE)
-_IT_SUBST(INTLTOOL_XML_RULE)
-_IT_SUBST(INTLTOOL_XML_NOMERGE_RULE)
-_IT_SUBST(INTLTOOL_CAVES_RULE)
-_IT_SUBST(INTLTOOL_SCHEMAS_RULE)
-_IT_SUBST(INTLTOOL_THEME_RULE)
-_IT_SUBST(INTLTOOL_SERVICE_RULE)
-_IT_SUBST(INTLTOOL_POLICY_RULE)
-
-# Check the gettext tools to make sure they are GNU
-AC_PATH_PROG(XGETTEXT, xgettext)
-AC_PATH_PROG(MSGMERGE, msgmerge)
-AC_PATH_PROG(MSGFMT, msgfmt)
-AC_PATH_PROG(GMSGFMT, gmsgfmt, $MSGFMT)
-if test -z "$XGETTEXT" -o -z "$MSGMERGE" -o -z "$MSGFMT"; then
-    AC_MSG_ERROR([GNU gettext tools not found; required for intltool])
-fi
-xgversion="`$XGETTEXT --version|grep '(GNU ' 2> /dev/null`"
-mmversion="`$MSGMERGE --version|grep '(GNU ' 2> /dev/null`"
-mfversion="`$MSGFMT --version|grep '(GNU ' 2> /dev/null`"
-if test -z "$xgversion" -o -z "$mmversion" -o -z "$mfversion"; then
-    AC_MSG_ERROR([GNU gettext tools not found; required for intltool])
-fi
-
-AC_PATH_PROG(INTLTOOL_PERL, perl)
-if test -z "$INTLTOOL_PERL"; then
-   AC_MSG_ERROR([perl not found])
-fi
-AC_MSG_CHECKING([for perl >= 5.8.1])
-$INTLTOOL_PERL -e "use 5.8.1;" > /dev/null 2>&1
-if test $? -ne 0; then
-   AC_MSG_ERROR([perl 5.8.1 is required for intltool])
-else
-   IT_PERL_VERSION=`$INTLTOOL_PERL -e "printf '%vd', $^V"`
-   AC_MSG_RESULT([$IT_PERL_VERSION])
-fi
-if test "x$2" != "xno-xml"; then
-   AC_MSG_CHECKING([for XML::Parser])
-   if `$INTLTOOL_PERL -e "require XML::Parser" 2>/dev/null`; then
-       AC_MSG_RESULT([ok])
-   else
-       AC_MSG_ERROR([XML::Parser perl module is required for intltool])
-   fi
-fi
-
-# Substitute ALL_LINGUAS so we can use it in po/Makefile
-AC_SUBST(ALL_LINGUAS)
-
-IT_PO_SUBDIR([po])
-
-])
-
-
-# IT_PO_SUBDIR(DIRNAME)
-# ---------------------
-# All po subdirs have to be declared with this macro; the subdir "po" is
-# declared by IT_PROG_INTLTOOL.
-#
-AC_DEFUN([IT_PO_SUBDIR],
-[AC_PREREQ([2.53])dnl We use ac_top_srcdir inside AC_CONFIG_COMMANDS.
-dnl
-dnl The following CONFIG_COMMANDS should be executed at the very end
-dnl of config.status.
-AC_CONFIG_COMMANDS_PRE([
-  AC_CONFIG_COMMANDS([$1/stamp-it], [
-    if [ ! grep "^# INTLTOOL_MAKEFILE$" "$1/Makefile.in" > /dev/null ]; then
-       AC_MSG_ERROR([$1/Makefile.in.in was not created by intltoolize.])
-    fi
-    rm -f "$1/stamp-it" "$1/stamp-it.tmp" "$1/POTFILES" "$1/Makefile.tmp"
-    >"$1/stamp-it.tmp"
-    [sed '/^#/d
-	 s/^[[].*] *//
-	 /^[ 	]*$/d
-	'"s|^|	$ac_top_srcdir/|" \
-      "$srcdir/$1/POTFILES.in" | sed '$!s/$/ \\/' >"$1/POTFILES"
-    ]
-    [sed '/^POTFILES =/,/[^\\]$/ {
-		/^POTFILES =/!d
-		r $1/POTFILES
-	  }
-	 ' "$1/Makefile.in" >"$1/Makefile"]
-    rm -f "$1/Makefile.tmp"
-    mv "$1/stamp-it.tmp" "$1/stamp-it"
-  ])
-])dnl
-])
-
-# _IT_SUBST(VARIABLE)
-# -------------------
-# Abstract macro to do either _AM_SUBST_NOTMAKE or AC_SUBST
-#
-AC_DEFUN([_IT_SUBST],
-[
-AC_SUBST([$1])
-m4_ifdef([_AM_SUBST_NOTMAKE], [_AM_SUBST_NOTMAKE([$1])])
-]
-)
-
-# deprecated macros
-AU_ALIAS([AC_PROG_INTLTOOL], [IT_PROG_INTLTOOL])
-# A hint is needed for aclocal from Automake <= 1.9.4:
-# AC_DEFUN([AC_PROG_INTLTOOL], ...)
-
diff -pruN 2.4.10-1/m4/vapigen.m4 2.4.11-1/m4/vapigen.m4
--- 2.4.10-1/m4/vapigen.m4	1970-01-01 00:00:00.000000000 +0000
+++ 2.4.11-1/m4/vapigen.m4	2018-07-11 17:30:53.000000000 +0000
@@ -0,0 +1,101 @@
+dnl vapigen.m4
+dnl
+dnl Copyright 2012 Evan Nemerson
+dnl
+dnl This library is free software; you can redistribute it and/or
+dnl modify it under the terms of the GNU Lesser General Public
+dnl License as published by the Free Software Foundation; either
+dnl version 2.1 of the License, or (at your option) any later version.
+dnl
+dnl This library is distributed in the hope that it will be useful,
+dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
+dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+dnl Lesser General Public License for more details.
+dnl
+dnl You should have received a copy of the GNU Lesser General Public
+dnl License along with this library; if not, write to the Free Software
+dnl Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
+
+# VAPIGEN_CHECK([VERSION], [API_VERSION], [FOUND_INTROSPECTION], [DEFAULT])
+# --------------------------------------
+# Check vapigen existence and version
+#
+# See http://live.gnome.org/Vala/UpstreamGuide for detailed documentation
+AC_DEFUN([VAPIGEN_CHECK],
+[
+  AS_IF([test "x$3" != "xyes"], [
+      m4_provide_if([GOBJECT_INTROSPECTION_CHECK], [], [
+          m4_provide_if([GOBJECT_INTROSPECTION_REQUIRE], [], [
+              AC_MSG_ERROR([[You must call GOBJECT_INTROSPECTION_CHECK or GOBJECT_INTROSPECTION_REQUIRE before using VAPIGEN_CHECK unless using the FOUND_INTROSPECTION argument is "yes"]])
+            ])
+        ])
+    ])
+
+  AC_ARG_ENABLE([vala],
+    [AS_HELP_STRING([--enable-vala[=@<:@no/auto/yes@:>@]],[build Vala bindings @<:@default=]ifelse($4,,auto,$4)[@:>@])],,[
+      AS_IF([test "x$4" = "x"], [
+          enable_vala=auto
+        ], [
+          enable_vala=$4
+        ])
+    ])
+
+  AS_CASE([$enable_vala], [no], [enable_vala=no],
+      [yes], [
+        AS_IF([test "x$3" != "xyes" -a "x$found_introspection" != "xyes"], [
+            AC_MSG_ERROR([Vala bindings require GObject Introspection])
+          ])
+      ], [auto], [
+        AS_IF([test "x$3" != "xyes" -a "x$found_introspection" != "xyes"], [
+            enable_vala=no
+          ])
+      ], [
+        AC_MSG_ERROR([Invalid argument passed to --enable-vala, should be one of @<:@no/auto/yes@:>@])
+      ])
+
+  AS_IF([test "x$2" = "x"], [
+      vapigen_pkg_name=vapigen
+    ], [
+      vapigen_pkg_name=vapigen-$2
+    ])
+  AS_IF([test "x$1" = "x"], [
+      vapigen_pkg="$vapigen_pkg_name"
+    ], [
+      vapigen_pkg="$vapigen_pkg_name >= $1"
+    ])
+
+  PKG_PROG_PKG_CONFIG
+
+  PKG_CHECK_EXISTS([$vapigen_pkg], [
+      AS_IF([test "$enable_vala" = "auto"], [
+          enable_vala=yes
+        ])
+    ], [
+      AS_CASE([$enable_vala], [yes], [
+          AC_MSG_ERROR([$vapigen_pkg not found])
+        ], [auto], [
+          enable_vala=no
+        ])
+    ])
+
+  AC_MSG_CHECKING([for vapigen])
+
+  AS_CASE([$enable_vala],
+    [yes], [
+      VAPIGEN=`$PKG_CONFIG --variable=vapigen $vapigen_pkg_name`
+      VAPIGEN_MAKEFILE=`$PKG_CONFIG --variable=datadir $vapigen_pkg_name`/vala/Makefile.vapigen
+      AS_IF([test "x$2" = "x"], [
+          VAPIGEN_VAPIDIR=`$PKG_CONFIG --variable=vapidir $vapigen_pkg_name`
+        ], [
+          VAPIGEN_VAPIDIR=`$PKG_CONFIG --variable=vapidir_versioned $vapigen_pkg_name`
+        ])
+    ])
+
+  AC_MSG_RESULT([$enable_vala])
+
+  AC_SUBST([VAPIGEN])
+  AC_SUBST([VAPIGEN_VAPIDIR])
+  AC_SUBST([VAPIGEN_MAKEFILE])
+
+  AM_CONDITIONAL(ENABLE_VAPIGEN, test "x$enable_vala" = "xyes")
+])
diff -pruN 2.4.10-1/Makefile.in 2.4.11-1/Makefile.in
--- 2.4.10-1/Makefile.in	2018-05-03 14:23:53.000000000 +0000
+++ 2.4.11-1/Makefile.in	2018-07-25 15:32:55.000000000 +0000
@@ -90,10 +90,10 @@ host_triplet = @host@
 subdir = .
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/gnome-compiler-flags.m4 \
-	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
-	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
-	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/libtool.m4 \
+	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
+	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
+	$(top_srcdir)/m4/vapigen.m4 $(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
@@ -322,6 +322,9 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 STRIP = @STRIP@
 USE_NLS = @USE_NLS@
+VAPIGEN = @VAPIGEN@
+VAPIGEN_MAKEFILE = @VAPIGEN_MAKEFILE@
+VAPIGEN_VAPIDIR = @VAPIGEN_VAPIDIR@
 VERSION = @VERSION@
 WARN_CFLAGS = @WARN_CFLAGS@
 XGETTEXT = @XGETTEXT@
diff -pruN 2.4.10-1/NEWS 2.4.11-1/NEWS
--- 2.4.10-1/NEWS	2018-05-03 14:23:40.000000000 +0000
+++ 2.4.11-1/NEWS	2018-07-25 15:32:24.000000000 +0000
@@ -1,3 +1,25 @@
+2.4.11
+======
+
+- Don't crash on invalid accuracy level request.
+- The demo agent now watches for geoclue on D-Bus if it's not running already,
+  instead of giving up. This solves a race-condition, which makes geoclue
+  completely unusable.
+- Provide Vala bindings for libgeoclue.
+- Add gclue_client_get/set_time_threshold() to docs.
+
+Dependency-related changes:
+
+Require glib >= 2.44
+
+Contributors to this release:
+
+Corentin Noël <corentin.noel@collabora.co.uk>
+Karl-Philipp Richter <krichter722@aol.de>
+Valentin Blot <freedesktop-devel@valentinblot.org>
+Zeeshan Ali <zeenix@collabora.co.uk>
+Zeeshan Ali <zeenix@gmail.com>
+
 2.4.10
 ======
 
diff -pruN 2.4.10-1/public-api/gclue-enums.h 2.4.11-1/public-api/gclue-enums.h
--- 2.4.10-1/public-api/gclue-enums.h	2018-05-02 20:59:23.000000000 +0000
+++ 2.4.11-1/public-api/gclue-enums.h	2018-05-06 14:25:44.000000000 +0000
@@ -20,8 +20,8 @@
  * Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
  */
 
-#ifndef GCLUE_ENUM_H
-#define GCLUE_ENUM_H
+#ifndef GCLUE_ENUMS_H
+#define GCLUE_ENUMS_H
 
 #include <glib.h>
 
@@ -49,4 +49,4 @@ typedef enum {/*< underscore_name=gclue_
 
 G_END_DECLS
 
-#endif /* GCLUE_ENUM_H */
+#endif /* GCLUE_ENUMS_H */
diff -pruN 2.4.10-1/public-api/Makefile.in 2.4.11-1/public-api/Makefile.in
--- 2.4.10-1/public-api/Makefile.in	2018-05-03 14:23:54.000000000 +0000
+++ 2.4.11-1/public-api/Makefile.in	2018-07-25 15:32:55.000000000 +0000
@@ -92,10 +92,10 @@ host_triplet = @host@
 subdir = public-api
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/gnome-compiler-flags.m4 \
-	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
-	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
-	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/libtool.m4 \
+	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
+	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
+	$(top_srcdir)/m4/vapigen.m4 $(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
 DIST_COMMON = $(srcdir)/Makefile.am $(geoclue_include_HEADERS) \
@@ -317,6 +317,9 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 STRIP = @STRIP@
 USE_NLS = @USE_NLS@
+VAPIGEN = @VAPIGEN@
+VAPIGEN_MAKEFILE = @VAPIGEN_MAKEFILE@
+VAPIGEN_VAPIDIR = @VAPIGEN_VAPIDIR@
 VERSION = @VERSION@
 WARN_CFLAGS = @WARN_CFLAGS@
 XGETTEXT = @XGETTEXT@
diff -pruN 2.4.10-1/README 2.4.11-1/README
--- 2.4.10-1/README	2016-09-02 09:22:25.000000000 +0000
+++ 2.4.11-1/README	2018-07-09 11:27:17.000000000 +0000
@@ -5,3 +5,10 @@ GeoClue is a D-Bus geoinformation servic
 make creating location-aware applications as simple as possible.
 
 Geoclue is Free Software, licensed under GNU GPLv2+.
+
+# Troubleshooting and known limitations
+
+  * GeoClue requires Glib >= 2.44.0 which should make it hard to build to Ubuntu
+14.04. It's currently not supported, but all maintained Ubuntu versions >= 16.04
+are.
+
diff -pruN 2.4.10-1/src/agent/geoclue-agent-interface.c 2.4.11-1/src/agent/geoclue-agent-interface.c
--- 2.4.10-1/src/agent/geoclue-agent-interface.c	2018-05-03 14:04:47.000000000 +0000
+++ 2.4.11-1/src/agent/geoclue-agent-interface.c	2018-07-25 15:33:03.000000000 +0000
@@ -1,7 +1,8 @@
 /*
- * Generated by gdbus-codegen 2.54.3. DO NOT EDIT.
+ * Generated by gdbus-codegen 2.56.1. DO NOT EDIT.
  *
- * The license of this code is the same as for the source it was derived from.
+ * The license of this code is the same as for the D-Bus interface description
+ * it was derived from.
  */
 
 #ifdef HAVE_CONFIG_H
@@ -288,7 +289,7 @@ gclue_agent_interface_info (void)
 
 /**
  * gclue_agent_override_properties:
- * @klass: The class structure for a #GObject<!-- -->-derived class.
+ * @klass: The class structure for a #GObject derived class.
  * @property_id_begin: The property id to assign to the first overridden property.
  *
  * Overrides all #GObject properties in the #GClueAgent interface for a concrete class.
@@ -399,7 +400,7 @@ gclue_agent_set_max_accuracy_level (GClu
  * @proxy: A #GClueAgentProxy.
  * @arg_desktop_id: Argument to pass with the method invocation.
  * @arg_req_accuracy_level: Argument to pass with the method invocation.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied or %NULL.
  * @user_data: User data to pass to @callback.
  *
@@ -470,7 +471,7 @@ _out:
  * @arg_req_accuracy_level: Argument to pass with the method invocation.
  * @out_authorized: (out): Return location for return parameter or %NULL to ignore.
  * @out_allowed_accuracy_level: (out): Return location for return parameter or %NULL to ignore.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL.
  *
  * Synchronously invokes the <link linkend="gdbus-method-org-freedesktop-GeoClue2-Agent.AuthorizeApp">AuthorizeApp()</link> D-Bus method on @proxy. The calling thread is blocked until a reply is received.
@@ -770,9 +771,9 @@ gclue_agent_proxy_iface_init (GClueAgent
  * gclue_agent_proxy_new:
  * @connection: A #GDBusConnection.
  * @flags: Flags from the #GDBusProxyFlags enumeration.
- * @name: (allow-none): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
+ * @name: (nullable): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied.
  * @user_data: User data to pass to @callback.
  *
@@ -825,9 +826,9 @@ gclue_agent_proxy_new_finish (
  * gclue_agent_proxy_new_sync:
  * @connection: A #GDBusConnection.
  * @flags: Flags from the #GDBusProxyFlags enumeration.
- * @name: (allow-none): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
+ * @name: (nullable): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL
  *
  * Synchronously creates a proxy for the D-Bus interface <link linkend="gdbus-interface-org-freedesktop-GeoClue2-Agent.top_of_page">org.freedesktop.GeoClue2.Agent</link>. See g_dbus_proxy_new_sync() for more details.
@@ -862,7 +863,7 @@ gclue_agent_proxy_new_sync (
  * @flags: Flags from the #GDBusProxyFlags enumeration.
  * @name: A bus name (well-known or unique).
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied.
  * @user_data: User data to pass to @callback.
  *
@@ -917,7 +918,7 @@ gclue_agent_proxy_new_for_bus_finish (
  * @flags: Flags from the #GDBusProxyFlags enumeration.
  * @name: A bus name (well-known or unique).
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL
  *
  * Like gclue_agent_proxy_new_sync() but takes a #GBusType instead of a #GDBusConnection.
diff -pruN 2.4.10-1/src/agent/geoclue-agent-interface.h 2.4.11-1/src/agent/geoclue-agent-interface.h
--- 2.4.10-1/src/agent/geoclue-agent-interface.h	2018-05-03 14:04:47.000000000 +0000
+++ 2.4.11-1/src/agent/geoclue-agent-interface.h	2018-07-25 15:33:03.000000000 +0000
@@ -1,7 +1,8 @@
 /*
- * Generated by gdbus-codegen 2.54.3. DO NOT EDIT.
+ * Generated by gdbus-codegen 2.56.1. DO NOT EDIT.
  *
- * The license of this code is the same as for the source it was derived from.
+ * The license of this code is the same as for the D-Bus interface description
+ * it was derived from.
  */
 
 #ifndef __GEOCLUE_AGENT_INTERFACE_H__
diff -pruN 2.4.10-1/src/agent/Makefile.in 2.4.11-1/src/agent/Makefile.in
--- 2.4.10-1/src/agent/Makefile.in	2018-05-03 14:23:54.000000000 +0000
+++ 2.4.11-1/src/agent/Makefile.in	2018-07-25 15:32:55.000000000 +0000
@@ -92,10 +92,10 @@ host_triplet = @host@
 subdir = src/agent
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/gnome-compiler-flags.m4 \
-	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
-	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
-	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/libtool.m4 \
+	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
+	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
+	$(top_srcdir)/m4/vapigen.m4 $(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
@@ -316,6 +316,9 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 STRIP = @STRIP@
 USE_NLS = @USE_NLS@
+VAPIGEN = @VAPIGEN@
+VAPIGEN_MAKEFILE = @VAPIGEN_MAKEFILE@
+VAPIGEN_VAPIDIR = @VAPIGEN_VAPIDIR@
 VERSION = @VERSION@
 WARN_CFLAGS = @WARN_CFLAGS@
 XGETTEXT = @XGETTEXT@
diff -pruN 2.4.10-1/src/compass-interface.c 2.4.11-1/src/compass-interface.c
--- 2.4.10-1/src/compass-interface.c	2018-05-03 14:04:47.000000000 +0000
+++ 2.4.11-1/src/compass-interface.c	2018-07-25 15:33:03.000000000 +0000
@@ -1,7 +1,8 @@
 /*
- * Generated by gdbus-codegen 2.54.3. DO NOT EDIT.
+ * Generated by gdbus-codegen 2.56.1. DO NOT EDIT.
  *
- * The license of this code is the same as for the source it was derived from.
+ * The license of this code is the same as for the D-Bus interface description
+ * it was derived from.
  */
 
 #ifdef HAVE_CONFIG_H
@@ -258,7 +259,7 @@ compass_interface_info (void)
 
 /**
  * compass_override_properties:
- * @klass: The class structure for a #GObject<!-- -->-derived class.
+ * @klass: The class structure for a #GObject derived class.
  * @property_id_begin: The property id to assign to the first overridden property.
  *
  * Overrides all #GObject properties in the #Compass interface for a concrete class.
@@ -430,7 +431,7 @@ compass_set_compass_heading (Compass *ob
 /**
  * compass_call_claim_compass:
  * @proxy: A #CompassProxy.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied or %NULL.
  * @user_data: User data to pass to @callback.
  *
@@ -487,7 +488,7 @@ _out:
 /**
  * compass_call_claim_compass_sync:
  * @proxy: A #CompassProxy.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL.
  *
  * Synchronously invokes the <link linkend="gdbus-method-net-hadess-SensorProxy-Compass.ClaimCompass">ClaimCompass()</link> D-Bus method on @proxy. The calling thread is blocked until a reply is received.
@@ -522,7 +523,7 @@ _out:
 /**
  * compass_call_release_compass:
  * @proxy: A #CompassProxy.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied or %NULL.
  * @user_data: User data to pass to @callback.
  *
@@ -579,7 +580,7 @@ _out:
 /**
  * compass_call_release_compass_sync:
  * @proxy: A #CompassProxy.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL.
  *
  * Synchronously invokes the <link linkend="gdbus-method-net-hadess-SensorProxy-Compass.ReleaseCompass">ReleaseCompass()</link> D-Bus method on @proxy. The calling thread is blocked until a reply is received.
@@ -899,9 +900,9 @@ compass_proxy_iface_init (CompassIface *
  * compass_proxy_new:
  * @connection: A #GDBusConnection.
  * @flags: Flags from the #GDBusProxyFlags enumeration.
- * @name: (allow-none): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
+ * @name: (nullable): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied.
  * @user_data: User data to pass to @callback.
  *
@@ -954,9 +955,9 @@ compass_proxy_new_finish (
  * compass_proxy_new_sync:
  * @connection: A #GDBusConnection.
  * @flags: Flags from the #GDBusProxyFlags enumeration.
- * @name: (allow-none): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
+ * @name: (nullable): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL
  *
  * Synchronously creates a proxy for the D-Bus interface <link linkend="gdbus-interface-net-hadess-SensorProxy-Compass.top_of_page">net.hadess.SensorProxy.Compass</link>. See g_dbus_proxy_new_sync() for more details.
@@ -991,7 +992,7 @@ compass_proxy_new_sync (
  * @flags: Flags from the #GDBusProxyFlags enumeration.
  * @name: A bus name (well-known or unique).
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied.
  * @user_data: User data to pass to @callback.
  *
@@ -1046,7 +1047,7 @@ compass_proxy_new_for_bus_finish (
  * @flags: Flags from the #GDBusProxyFlags enumeration.
  * @name: A bus name (well-known or unique).
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL
  *
  * Like compass_proxy_new_sync() but takes a #GBusType instead of a #GDBusConnection.
diff -pruN 2.4.10-1/src/compass-interface.h 2.4.11-1/src/compass-interface.h
--- 2.4.10-1/src/compass-interface.h	2018-05-03 14:04:47.000000000 +0000
+++ 2.4.11-1/src/compass-interface.h	2018-07-25 15:33:03.000000000 +0000
@@ -1,7 +1,8 @@
 /*
- * Generated by gdbus-codegen 2.54.3. DO NOT EDIT.
+ * Generated by gdbus-codegen 2.56.1. DO NOT EDIT.
  *
- * The license of this code is the same as for the source it was derived from.
+ * The license of this code is the same as for the D-Bus interface description
+ * it was derived from.
  */
 
 #ifndef __COMPASS_INTERFACE_H__
diff -pruN 2.4.10-1/src/gclue-client-interface.c 2.4.11-1/src/gclue-client-interface.c
--- 2.4.10-1/src/gclue-client-interface.c	2018-05-03 14:04:47.000000000 +0000
+++ 2.4.11-1/src/gclue-client-interface.c	2018-07-25 15:33:03.000000000 +0000
@@ -1,7 +1,8 @@
 /*
- * Generated by gdbus-codegen 2.54.3. DO NOT EDIT.
+ * Generated by gdbus-codegen 2.56.1. DO NOT EDIT.
  *
- * The license of this code is the same as for the source it was derived from.
+ * The license of this code is the same as for the D-Bus interface description
+ * it was derived from.
  */
 
 #ifdef HAVE_CONFIG_H
@@ -388,7 +389,7 @@ gclue_dbus_client_interface_info (void)
 
 /**
  * gclue_dbus_client_override_properties:
- * @klass: The class structure for a #GObject<!-- -->-derived class.
+ * @klass: The class structure for a #GObject derived class.
  * @property_id_begin: The property id to assign to the first overridden property.
  *
  * Overrides all #GObject properties in the #GClueDBusClient interface for a concrete class.
@@ -807,7 +808,7 @@ gclue_dbus_client_emit_location_updated
 /**
  * gclue_dbus_client_call_start:
  * @proxy: A #GClueDBusClientProxy.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied or %NULL.
  * @user_data: User data to pass to @callback.
  *
@@ -864,7 +865,7 @@ _out:
 /**
  * gclue_dbus_client_call_start_sync:
  * @proxy: A #GClueDBusClientProxy.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL.
  *
  * Synchronously invokes the <link linkend="gdbus-method-org-freedesktop-GeoClue2-Client.Start">Start()</link> D-Bus method on @proxy. The calling thread is blocked until a reply is received.
@@ -899,7 +900,7 @@ _out:
 /**
  * gclue_dbus_client_call_stop:
  * @proxy: A #GClueDBusClientProxy.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied or %NULL.
  * @user_data: User data to pass to @callback.
  *
@@ -956,7 +957,7 @@ _out:
 /**
  * gclue_dbus_client_call_stop_sync:
  * @proxy: A #GClueDBusClientProxy.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL.
  *
  * Synchronously invokes the <link linkend="gdbus-method-org-freedesktop-GeoClue2-Client.Stop">Stop()</link> D-Bus method on @proxy. The calling thread is blocked until a reply is received.
@@ -1340,9 +1341,9 @@ gclue_dbus_client_proxy_iface_init (GClu
  * gclue_dbus_client_proxy_new:
  * @connection: A #GDBusConnection.
  * @flags: Flags from the #GDBusProxyFlags enumeration.
- * @name: (allow-none): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
+ * @name: (nullable): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied.
  * @user_data: User data to pass to @callback.
  *
@@ -1395,9 +1396,9 @@ gclue_dbus_client_proxy_new_finish (
  * gclue_dbus_client_proxy_new_sync:
  * @connection: A #GDBusConnection.
  * @flags: Flags from the #GDBusProxyFlags enumeration.
- * @name: (allow-none): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
+ * @name: (nullable): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL
  *
  * Synchronously creates a proxy for the D-Bus interface <link linkend="gdbus-interface-org-freedesktop-GeoClue2-Client.top_of_page">org.freedesktop.GeoClue2.Client</link>. See g_dbus_proxy_new_sync() for more details.
@@ -1432,7 +1433,7 @@ gclue_dbus_client_proxy_new_sync (
  * @flags: Flags from the #GDBusProxyFlags enumeration.
  * @name: A bus name (well-known or unique).
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied.
  * @user_data: User data to pass to @callback.
  *
@@ -1487,7 +1488,7 @@ gclue_dbus_client_proxy_new_for_bus_fini
  * @flags: Flags from the #GDBusProxyFlags enumeration.
  * @name: A bus name (well-known or unique).
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL
  *
  * Like gclue_dbus_client_proxy_new_sync() but takes a #GBusType instead of a #GDBusConnection.
diff -pruN 2.4.10-1/src/gclue-client-interface.h 2.4.11-1/src/gclue-client-interface.h
--- 2.4.10-1/src/gclue-client-interface.h	2018-05-03 14:04:47.000000000 +0000
+++ 2.4.11-1/src/gclue-client-interface.h	2018-07-25 15:33:03.000000000 +0000
@@ -1,7 +1,8 @@
 /*
- * Generated by gdbus-codegen 2.54.3. DO NOT EDIT.
+ * Generated by gdbus-codegen 2.56.1. DO NOT EDIT.
  *
- * The license of this code is the same as for the source it was derived from.
+ * The license of this code is the same as for the D-Bus interface description
+ * it was derived from.
  */
 
 #ifndef __GCLUE_CLIENT_INTERFACE_H__
diff -pruN 2.4.10-1/src/gclue-location-interface.c 2.4.11-1/src/gclue-location-interface.c
--- 2.4.10-1/src/gclue-location-interface.c	2018-05-03 14:04:47.000000000 +0000
+++ 2.4.11-1/src/gclue-location-interface.c	2018-07-25 15:33:03.000000000 +0000
@@ -1,7 +1,8 @@
 /*
- * Generated by gdbus-codegen 2.54.3. DO NOT EDIT.
+ * Generated by gdbus-codegen 2.56.1. DO NOT EDIT.
  *
- * The license of this code is the same as for the source it was derived from.
+ * The license of this code is the same as for the D-Bus interface description
+ * it was derived from.
  */
 
 #ifdef HAVE_CONFIG_H
@@ -309,7 +310,7 @@ gclue_dbus_location_interface_info (void
 
 /**
  * gclue_dbus_location_override_properties:
- * @klass: The class structure for a #GObject<!-- -->-derived class.
+ * @klass: The class structure for a #GObject derived class.
  * @property_id_begin: The property id to assign to the first overridden property.
  *
  * Overrides all #GObject properties in the #GClueDBusLocation interface for a concrete class.
@@ -1069,9 +1070,9 @@ gclue_dbus_location_proxy_iface_init (GC
  * gclue_dbus_location_proxy_new:
  * @connection: A #GDBusConnection.
  * @flags: Flags from the #GDBusProxyFlags enumeration.
- * @name: (allow-none): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
+ * @name: (nullable): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied.
  * @user_data: User data to pass to @callback.
  *
@@ -1124,9 +1125,9 @@ gclue_dbus_location_proxy_new_finish (
  * gclue_dbus_location_proxy_new_sync:
  * @connection: A #GDBusConnection.
  * @flags: Flags from the #GDBusProxyFlags enumeration.
- * @name: (allow-none): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
+ * @name: (nullable): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL
  *
  * Synchronously creates a proxy for the D-Bus interface <link linkend="gdbus-interface-org-freedesktop-GeoClue2-Location.top_of_page">org.freedesktop.GeoClue2.Location</link>. See g_dbus_proxy_new_sync() for more details.
@@ -1161,7 +1162,7 @@ gclue_dbus_location_proxy_new_sync (
  * @flags: Flags from the #GDBusProxyFlags enumeration.
  * @name: A bus name (well-known or unique).
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied.
  * @user_data: User data to pass to @callback.
  *
@@ -1216,7 +1217,7 @@ gclue_dbus_location_proxy_new_for_bus_fi
  * @flags: Flags from the #GDBusProxyFlags enumeration.
  * @name: A bus name (well-known or unique).
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL
  *
  * Like gclue_dbus_location_proxy_new_sync() but takes a #GBusType instead of a #GDBusConnection.
diff -pruN 2.4.10-1/src/gclue-location-interface.h 2.4.11-1/src/gclue-location-interface.h
--- 2.4.10-1/src/gclue-location-interface.h	2018-05-03 14:04:47.000000000 +0000
+++ 2.4.11-1/src/gclue-location-interface.h	2018-07-25 15:33:03.000000000 +0000
@@ -1,7 +1,8 @@
 /*
- * Generated by gdbus-codegen 2.54.3. DO NOT EDIT.
+ * Generated by gdbus-codegen 2.56.1. DO NOT EDIT.
  *
- * The license of this code is the same as for the source it was derived from.
+ * The license of this code is the same as for the D-Bus interface description
+ * it was derived from.
  */
 
 #ifndef __GCLUE_LOCATION_INTERFACE_H__
diff -pruN 2.4.10-1/src/gclue-locator.c 2.4.11-1/src/gclue-locator.c
--- 2.4.10-1/src/gclue-locator.c	2018-05-02 20:59:23.000000000 +0000
+++ 2.4.11-1/src/gclue-locator.c	2018-05-06 14:25:44.000000000 +0000
@@ -332,7 +332,9 @@ gclue_locator_constructed (GObject *obje
 {
         GClueLocator *locator = GCLUE_LOCATOR (object);
         GClueLocationSource *submit_source = NULL;
+#if GCLUE_USE_NMEA_SOURCE
         GClueConfig *gconfig = gclue_config_get_singleton ();
+#endif
         GList *node;
         GClueMinUINT *threshold;
 
diff -pruN 2.4.10-1/src/gclue-manager-interface.c 2.4.11-1/src/gclue-manager-interface.c
--- 2.4.10-1/src/gclue-manager-interface.c	2018-05-03 14:04:47.000000000 +0000
+++ 2.4.11-1/src/gclue-manager-interface.c	2018-07-25 15:33:03.000000000 +0000
@@ -1,7 +1,8 @@
 /*
- * Generated by gdbus-codegen 2.54.3. DO NOT EDIT.
+ * Generated by gdbus-codegen 2.56.1. DO NOT EDIT.
  *
- * The license of this code is the same as for the source it was derived from.
+ * The license of this code is the same as for the D-Bus interface description
+ * it was derived from.
  */
 
 #ifdef HAVE_CONFIG_H
@@ -292,7 +293,7 @@ gclue_dbus_manager_interface_info (void)
 
 /**
  * gclue_dbus_manager_override_properties:
- * @klass: The class structure for a #GObject<!-- -->-derived class.
+ * @klass: The class structure for a #GObject derived class.
  * @property_id_begin: The property id to assign to the first overridden property.
  *
  * Overrides all #GObject properties in the #GClueDBusManager interface for a concrete class.
@@ -465,7 +466,7 @@ gclue_dbus_manager_set_available_accurac
 /**
  * gclue_dbus_manager_call_get_client:
  * @proxy: A #GClueDBusManagerProxy.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied or %NULL.
  * @user_data: User data to pass to @callback.
  *
@@ -526,7 +527,7 @@ _out:
  * gclue_dbus_manager_call_get_client_sync:
  * @proxy: A #GClueDBusManagerProxy.
  * @out_client: (out): Return location for return parameter or %NULL to ignore.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL.
  *
  * Synchronously invokes the <link linkend="gdbus-method-org-freedesktop-GeoClue2-Manager.GetClient">GetClient()</link> D-Bus method on @proxy. The calling thread is blocked until a reply is received.
@@ -564,7 +565,7 @@ _out:
  * gclue_dbus_manager_call_add_agent:
  * @proxy: A #GClueDBusManagerProxy.
  * @arg_id: Argument to pass with the method invocation.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied or %NULL.
  * @user_data: User data to pass to @callback.
  *
@@ -624,7 +625,7 @@ _out:
  * gclue_dbus_manager_call_add_agent_sync:
  * @proxy: A #GClueDBusManagerProxy.
  * @arg_id: Argument to pass with the method invocation.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL.
  *
  * Synchronously invokes the <link linkend="gdbus-method-org-freedesktop-GeoClue2-Manager.AddAgent">AddAgent()</link> D-Bus method on @proxy. The calling thread is blocked until a reply is received.
@@ -949,9 +950,9 @@ gclue_dbus_manager_proxy_iface_init (GCl
  * gclue_dbus_manager_proxy_new:
  * @connection: A #GDBusConnection.
  * @flags: Flags from the #GDBusProxyFlags enumeration.
- * @name: (allow-none): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
+ * @name: (nullable): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied.
  * @user_data: User data to pass to @callback.
  *
@@ -1004,9 +1005,9 @@ gclue_dbus_manager_proxy_new_finish (
  * gclue_dbus_manager_proxy_new_sync:
  * @connection: A #GDBusConnection.
  * @flags: Flags from the #GDBusProxyFlags enumeration.
- * @name: (allow-none): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
+ * @name: (nullable): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL
  *
  * Synchronously creates a proxy for the D-Bus interface <link linkend="gdbus-interface-org-freedesktop-GeoClue2-Manager.top_of_page">org.freedesktop.GeoClue2.Manager</link>. See g_dbus_proxy_new_sync() for more details.
@@ -1041,7 +1042,7 @@ gclue_dbus_manager_proxy_new_sync (
  * @flags: Flags from the #GDBusProxyFlags enumeration.
  * @name: A bus name (well-known or unique).
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied.
  * @user_data: User data to pass to @callback.
  *
@@ -1096,7 +1097,7 @@ gclue_dbus_manager_proxy_new_for_bus_fin
  * @flags: Flags from the #GDBusProxyFlags enumeration.
  * @name: A bus name (well-known or unique).
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL
  *
  * Like gclue_dbus_manager_proxy_new_sync() but takes a #GBusType instead of a #GDBusConnection.
diff -pruN 2.4.10-1/src/gclue-manager-interface.h 2.4.11-1/src/gclue-manager-interface.h
--- 2.4.10-1/src/gclue-manager-interface.h	2018-05-03 14:04:47.000000000 +0000
+++ 2.4.11-1/src/gclue-manager-interface.h	2018-07-25 15:33:03.000000000 +0000
@@ -1,7 +1,8 @@
 /*
- * Generated by gdbus-codegen 2.54.3. DO NOT EDIT.
+ * Generated by gdbus-codegen 2.56.1. DO NOT EDIT.
  *
- * The license of this code is the same as for the source it was derived from.
+ * The license of this code is the same as for the D-Bus interface description
+ * it was derived from.
  */
 
 #ifndef __GCLUE_MANAGER_INTERFACE_H__
diff -pruN 2.4.10-1/src/gclue-service-client.c 2.4.11-1/src/gclue-service-client.c
--- 2.4.10-1/src/gclue-service-client.c	2018-05-03 12:10:39.000000000 +0000
+++ 2.4.11-1/src/gclue-service-client.c	2018-07-09 11:27:17.000000000 +0000
@@ -279,6 +279,39 @@ stop_client (GClueServiceClient *client)
         gclue_dbus_client_set_active (GCLUE_DBUS_CLIENT (client), FALSE);
 }
 
+static GClueAccuracyLevel
+ensure_valid_accuracy_level (GClueAccuracyLevel accuracy_level,
+                             GClueAccuracyLevel max_accuracy)
+{
+        GClueAccuracyLevel accuracy;
+        GEnumClass *enum_class;
+        GEnumValue *enum_value;
+
+        accuracy = CLAMP (accuracy_level,
+                          GCLUE_ACCURACY_LEVEL_COUNTRY,
+                          max_accuracy);
+
+        enum_class = g_type_class_ref (GCLUE_TYPE_ACCURACY_LEVEL);
+        enum_value = g_enum_get_value (enum_class, accuracy);
+
+        if (enum_value == NULL) {
+                GClueAccuracyLevel i;
+
+                g_debug ("Invalid accuracy level %u requested", accuracy_level);
+                for (i = accuracy; i >= GCLUE_ACCURACY_LEVEL_COUNTRY; i--) {
+                        enum_value = g_enum_get_value (enum_class, i);
+
+                        if (enum_value != NULL) {
+                                accuracy = i;
+
+                                break;
+                        }
+                }
+        }
+
+        return accuracy;
+}
+
 static void
 on_agent_props_changed (GDBusProxy *agent_proxy,
                         GVariant   *changed_properties,
@@ -316,7 +349,7 @@ on_agent_props_changed (GDBusProxy *agen
                         client->priv->agent_stopped = FALSE;
                         accuracy = gclue_dbus_client_get_requested_accuracy_level
                                 (gdbus_client);
-                        accuracy = CLAMP (accuracy, 0, max_accuracy);
+                        accuracy = ensure_valid_accuracy_level (accuracy, max_accuracy);
 
                         start_client (client, accuracy);
                         g_debug ("Re-started '%s'.", id);
@@ -432,7 +465,7 @@ handle_post_agent_check_auth (StartData
         g_debug ("requested accuracy level: %u. "
                  "Max accuracy level allowed by agent: %u",
                  data->accuracy_level, max_accuracy);
-        data->accuracy_level = CLAMP (data->accuracy_level, 0, max_accuracy);
+        data->accuracy_level = ensure_valid_accuracy_level (data->accuracy_level, max_accuracy);
 
         config = gclue_config_get_singleton ();
         app_perm = gclue_config_get_app_perm (config,
@@ -558,9 +591,8 @@ gclue_service_client_handle_start (GClue
         data->desktop_id =  g_strdup (desktop_id);
 
         data->accuracy_level = gclue_dbus_client_get_requested_accuracy_level (client);
-        data->accuracy_level = CLAMP (data->accuracy_level,
-                                      GCLUE_ACCURACY_LEVEL_COUNTRY,
-                                      GCLUE_ACCURACY_LEVEL_EXACT);
+        data->accuracy_level = ensure_valid_accuracy_level
+                (data->accuracy_level, GCLUE_ACCURACY_LEVEL_EXACT);
 
         /* No agent == No authorization */
         if (priv->agent_proxy == NULL) {
diff -pruN 2.4.10-1/src/geocode-glib/Makefile.in 2.4.11-1/src/geocode-glib/Makefile.in
--- 2.4.10-1/src/geocode-glib/Makefile.in	2018-05-03 14:23:54.000000000 +0000
+++ 2.4.11-1/src/geocode-glib/Makefile.in	2018-07-25 15:32:55.000000000 +0000
@@ -91,10 +91,10 @@ host_triplet = @host@
 subdir = src/geocode-glib
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/gnome-compiler-flags.m4 \
-	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
-	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
-	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/libtool.m4 \
+	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
+	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
+	$(top_srcdir)/m4/vapigen.m4 $(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
@@ -288,6 +288,9 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 STRIP = @STRIP@
 USE_NLS = @USE_NLS@
+VAPIGEN = @VAPIGEN@
+VAPIGEN_MAKEFILE = @VAPIGEN_MAKEFILE@
+VAPIGEN_VAPIDIR = @VAPIGEN_VAPIDIR@
 VERSION = @VERSION@
 WARN_CFLAGS = @WARN_CFLAGS@
 XGETTEXT = @XGETTEXT@
diff -pruN 2.4.10-1/src/Makefile.in 2.4.11-1/src/Makefile.in
--- 2.4.10-1/src/Makefile.in	2018-05-03 14:23:54.000000000 +0000
+++ 2.4.11-1/src/Makefile.in	2018-07-25 15:32:55.000000000 +0000
@@ -103,10 +103,10 @@ libexec_PROGRAMS = geoclue$(EXEEXT)
 subdir = src
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/gnome-compiler-flags.m4 \
-	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
-	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
-	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/libtool.m4 \
+	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
+	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
+	$(top_srcdir)/m4/vapigen.m4 $(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
@@ -416,6 +416,9 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 STRIP = @STRIP@
 USE_NLS = @USE_NLS@
+VAPIGEN = @VAPIGEN@
+VAPIGEN_MAKEFILE = @VAPIGEN_MAKEFILE@
+VAPIGEN_VAPIDIR = @VAPIGEN_VAPIDIR@
 VERSION = @VERSION@
 WARN_CFLAGS = @WARN_CFLAGS@
 XGETTEXT = @XGETTEXT@
diff -pruN 2.4.10-1/src/wpa_supplicant-interface.c 2.4.11-1/src/wpa_supplicant-interface.c
--- 2.4.10-1/src/wpa_supplicant-interface.c	2018-05-03 14:04:47.000000000 +0000
+++ 2.4.11-1/src/wpa_supplicant-interface.c	2018-07-25 15:33:03.000000000 +0000
@@ -1,7 +1,8 @@
 /*
- * Generated by gdbus-codegen 2.54.3. DO NOT EDIT.
+ * Generated by gdbus-codegen 2.56.1. DO NOT EDIT.
  *
- * The license of this code is the same as for the source it was derived from.
+ * The license of this code is the same as for the D-Bus interface description
+ * it was derived from.
  */
 
 #ifdef HAVE_CONFIG_H
@@ -286,7 +287,7 @@ wpa_supplicant_interface_info (void)
 
 /**
  * wpa_supplicant_override_properties:
- * @klass: The class structure for a #GObject<!-- -->-derived class.
+ * @klass: The class structure for a #GObject derived class.
  * @property_id_begin: The property id to assign to the first overridden property.
  *
  * Overrides all #GObject properties in the #WPASupplicant interface for a concrete class.
@@ -643,10 +644,14 @@ wpa_supplicant_proxy_get_interfaces (WPA
   WPASupplicantProxy *proxy = WPA_SUPPLICANT_PROXY (object);
   GVariant *variant;
   const gchar *const *value = NULL;
+  value = g_datalist_get_data (&proxy->priv->qdata, "Interfaces");
+  if (value != NULL)
+    return value;
   variant = g_dbus_proxy_get_cached_property (G_DBUS_PROXY (proxy), "Interfaces");
   if (variant != NULL)
     {
       value = g_variant_get_objv (variant, NULL);
+      g_datalist_set_data_full (&proxy->priv->qdata, "Interfaces", (gpointer) value, g_free);
       g_variant_unref (variant);
     }
   return value;
@@ -696,9 +701,9 @@ wpa_supplicant_proxy_iface_init (WPASupp
  * wpa_supplicant_proxy_new:
  * @connection: A #GDBusConnection.
  * @flags: Flags from the #GDBusProxyFlags enumeration.
- * @name: (allow-none): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
+ * @name: (nullable): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied.
  * @user_data: User data to pass to @callback.
  *
@@ -751,9 +756,9 @@ wpa_supplicant_proxy_new_finish (
  * wpa_supplicant_proxy_new_sync:
  * @connection: A #GDBusConnection.
  * @flags: Flags from the #GDBusProxyFlags enumeration.
- * @name: (allow-none): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
+ * @name: (nullable): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL
  *
  * Synchronously creates a proxy for the D-Bus interface <link linkend="gdbus-interface-fi-w1-wpa_supplicant1.top_of_page">fi.w1.wpa_supplicant1</link>. See g_dbus_proxy_new_sync() for more details.
@@ -788,7 +793,7 @@ wpa_supplicant_proxy_new_sync (
  * @flags: Flags from the #GDBusProxyFlags enumeration.
  * @name: A bus name (well-known or unique).
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied.
  * @user_data: User data to pass to @callback.
  *
@@ -843,7 +848,7 @@ wpa_supplicant_proxy_new_for_bus_finish
  * @flags: Flags from the #GDBusProxyFlags enumeration.
  * @name: A bus name (well-known or unique).
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL
  *
  * Like wpa_supplicant_proxy_new_sync() but takes a #GBusType instead of a #GDBusConnection.
@@ -1555,7 +1560,7 @@ wpa_interface_interface_info (void)
 
 /**
  * wpa_interface_override_properties:
- * @klass: The class structure for a #GObject<!-- -->-derived class.
+ * @klass: The class structure for a #GObject derived class.
  * @property_id_begin: The property id to assign to the first overridden property.
  *
  * Overrides all #GObject properties in the #WPAInterface interface for a concrete class.
@@ -2066,10 +2071,14 @@ wpa_interface_proxy_get_bsss (WPAInterfa
   WPAInterfaceProxy *proxy = WPA_INTERFACE_PROXY (object);
   GVariant *variant;
   const gchar *const *value = NULL;
+  value = g_datalist_get_data (&proxy->priv->qdata, "BSSs");
+  if (value != NULL)
+    return value;
   variant = g_dbus_proxy_get_cached_property (G_DBUS_PROXY (proxy), "BSSs");
   if (variant != NULL)
     {
       value = g_variant_get_objv (variant, NULL);
+      g_datalist_set_data_full (&proxy->priv->qdata, "BSSs", (gpointer) value, g_free);
       g_variant_unref (variant);
     }
   return value;
@@ -2121,9 +2130,9 @@ wpa_interface_proxy_iface_init (WPAInter
  * wpa_interface_proxy_new:
  * @connection: A #GDBusConnection.
  * @flags: Flags from the #GDBusProxyFlags enumeration.
- * @name: (allow-none): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
+ * @name: (nullable): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied.
  * @user_data: User data to pass to @callback.
  *
@@ -2176,9 +2185,9 @@ wpa_interface_proxy_new_finish (
  * wpa_interface_proxy_new_sync:
  * @connection: A #GDBusConnection.
  * @flags: Flags from the #GDBusProxyFlags enumeration.
- * @name: (allow-none): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
+ * @name: (nullable): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL
  *
  * Synchronously creates a proxy for the D-Bus interface <link linkend="gdbus-interface-fi-w1-wpa_supplicant1-Interface.top_of_page">fi.w1.wpa_supplicant1.Interface</link>. See g_dbus_proxy_new_sync() for more details.
@@ -2213,7 +2222,7 @@ wpa_interface_proxy_new_sync (
  * @flags: Flags from the #GDBusProxyFlags enumeration.
  * @name: A bus name (well-known or unique).
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied.
  * @user_data: User data to pass to @callback.
  *
@@ -2268,7 +2277,7 @@ wpa_interface_proxy_new_for_bus_finish (
  * @flags: Flags from the #GDBusProxyFlags enumeration.
  * @name: A bus name (well-known or unique).
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL
  *
  * Like wpa_interface_proxy_new_sync() but takes a #GBusType instead of a #GDBusConnection.
@@ -2945,7 +2954,7 @@ wpa_bss_interface_info (void)
 
 /**
  * wpa_bss_override_properties:
- * @klass: The class structure for a #GObject<!-- -->-derived class.
+ * @klass: The class structure for a #GObject derived class.
  * @property_id_begin: The property id to assign to the first overridden property.
  *
  * Overrides all #GObject properties in the #WPABSS interface for a concrete class.
@@ -3471,9 +3480,9 @@ wpa_bss_proxy_iface_init (WPABSSIface *i
  * wpa_bss_proxy_new:
  * @connection: A #GDBusConnection.
  * @flags: Flags from the #GDBusProxyFlags enumeration.
- * @name: (allow-none): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
+ * @name: (nullable): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied.
  * @user_data: User data to pass to @callback.
  *
@@ -3526,9 +3535,9 @@ wpa_bss_proxy_new_finish (
  * wpa_bss_proxy_new_sync:
  * @connection: A #GDBusConnection.
  * @flags: Flags from the #GDBusProxyFlags enumeration.
- * @name: (allow-none): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
+ * @name: (nullable): A bus name (well-known or unique) or %NULL if @connection is not a message bus connection.
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL
  *
  * Synchronously creates a proxy for the D-Bus interface <link linkend="gdbus-interface-fi-w1-wpa_supplicant1-BSS.top_of_page">fi.w1.wpa_supplicant1.BSS</link>. See g_dbus_proxy_new_sync() for more details.
@@ -3563,7 +3572,7 @@ wpa_bss_proxy_new_sync (
  * @flags: Flags from the #GDBusProxyFlags enumeration.
  * @name: A bus name (well-known or unique).
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @callback: A #GAsyncReadyCallback to call when the request is satisfied.
  * @user_data: User data to pass to @callback.
  *
@@ -3618,7 +3627,7 @@ wpa_bss_proxy_new_for_bus_finish (
  * @flags: Flags from the #GDBusProxyFlags enumeration.
  * @name: A bus name (well-known or unique).
  * @object_path: An object path.
- * @cancellable: (allow-none): A #GCancellable or %NULL.
+ * @cancellable: (nullable): A #GCancellable or %NULL.
  * @error: Return location for error or %NULL
  *
  * Like wpa_bss_proxy_new_sync() but takes a #GBusType instead of a #GDBusConnection.
diff -pruN 2.4.10-1/src/wpa_supplicant-interface.h 2.4.11-1/src/wpa_supplicant-interface.h
--- 2.4.10-1/src/wpa_supplicant-interface.h	2018-05-03 14:04:47.000000000 +0000
+++ 2.4.11-1/src/wpa_supplicant-interface.h	2018-07-25 15:33:03.000000000 +0000
@@ -1,7 +1,8 @@
 /*
- * Generated by gdbus-codegen 2.54.3. DO NOT EDIT.
+ * Generated by gdbus-codegen 2.56.1. DO NOT EDIT.
  *
- * The license of this code is the same as for the source it was derived from.
+ * The license of this code is the same as for the D-Bus interface description
+ * it was derived from.
  */
 
 #ifndef __WPA_SUPPLICANT_INTERFACE_H__
diff -pruN 2.4.10-1/.version 2.4.11-1/.version
--- 2.4.10-1/.version	2018-05-02 21:54:17.000000000 +0000
+++ 2.4.11-1/.version	2018-07-25 15:33:02.000000000 +0000
@@ -1 +1 @@
-2.4.9
+2.4.11
